﻿<%@ page language="C#" autoeventwireup="true" inherits="Forms_APNSettings, App_Web_txr1i55a" %>

<%@ Register Assembly="AjaxControlToolkit" Namespace="AjaxControlToolkit" TagPrefix="cc1" %>
<%@ Register Src="~/UserControls/New_Header.ascx" TagName="Header" TagPrefix="uc1" %>
<%@ Register Src="~/UserControls/New_Footer.ascx" TagName="Footer" TagPrefix="uc2" %>

<%--<%@ Register Assembly="DevExpress.Web.ASPxGridView.v8.2, Version=8.2.10.0, Culture=neutral, PublicKeyToken=9B171C9FD64DA1D1"
    Namespace="DevExpress.Web.ASPxGridView" TagPrefix="dxwgv" %>
<%@ Register Assembly="DevExpress.Web.ASPxEditors.v8.2, Version=8.2.10.0, Culture=neutral, PublicKeyToken=9B171C9FD64DA1D1"
    Namespace="DevExpress.Web.ASPxEditors" TagPrefix="dxe" %>
<%@ Register Assembly="DevExpress.Web.ASPxEditors.v8.2" Namespace="DevExpress.Web.ASPxEditors"
    TagPrefix="dxe" %>
<%@ Register Assembly="DevExpress.Web.ASPxGridView.v8.2.Export, Version=8.2.10.0, Culture=neutral, PublicKeyToken=9B171C9FD64DA1D1"
    Namespace="DevExpress.Web.ASPxGridView.Export" TagPrefix="exp" %>
<%@ Register Assembly="DevExpress.Web.ASPxEditors.v8.2, Version=8.2.10.0, Culture=neutral, PublicKeyToken=9B171C9FD64DA1D1"
    Namespace="DevExpress.Web.ASPxEditors" TagPrefix="dx" %>--%>

<%@ Register Assembly="DevExpress.Web.v14.2" Namespace="DevExpress.Web" TagPrefix="dxw" %>

<!DOCTYPE html>
<html lang="en">
<head id="Head1" runat="server">
    <title>tSense-IoT APN Settings</title>
    <meta content="charset=utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1" />
    <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1" />
    <%--<meta http-equiv="X-UA-Compatible" content="IE=7" />
    <meta http-equiv="Page-Enter" content="blendTrans(Duration=0)" />
    <meta http-equiv="Page-Exit" content="blendTrans(Duration=0)" />--%>

    <link id="reset" runat="server" href="../css/reset.css" rel="stylesheet" type="text/css" />
    <link id="stylesheet2" runat="server" href="../css/stylesheet2.css" rel="stylesheet" type="text/css" />
    <link id="dropdown" runat="server" href="../css/dropdown.css" rel="stylesheet" type="text/css" />
    <link rel="SHORTCUT ICON" href="../images/favicon.ico" />

    <%--Custom Theme for DevEx 14.2--%>
    <link id="GridView" runat="server" type="text/css" href="~/App_Themes/Office2003Blue/GridView/grid.css" rel="stylesheet" />
    <link id="Editors" runat="server" type="text/css" href="~/App_Themes/Office2003Blue/Editors/styles.css" rel="stylesheet" />

    <%--********* For Bootstrap Implementation *************--%>
    <link id="BootStrapCss" href="../css/bootstrap.css" runat="server" rel="stylesheet" type="text/css" />
    <link id="mainstyle" runat="server" href="../css/mainstyle.css" rel="stylesheet" type="text/css" />
    <%--********* End of Bootstrap Implementation *************--%>

    <%--<style type="text/css">
        #container
        {
            width: 99.8%;
            border: 1px solid #CCC;
            position: static;
            top: 300px;
            right: 5px;
        }
        #col_left
        {
            float: center;
            width: 99.8%;
            height: 265px;
            margin: 0 0 0 0;
        }
        .style1
        {
            height: 5%;
        }
    </style>--%>

    <script src="../js/jquery-1.11.2.min.js" type="text/javascript"></script>
    <script lang="JavaScript1.2" type="text/javascript" src="../js/myformvalidations.js"></script>
    <script lang="JavaScript1.2" type="text/javascript" src="../js/APNSettingsScript.js"></script>
    <script src="../js/wow.min.js"></script>
</head>
<body>
    <div class="pageContainer">
        <form id="form1" runat="server" autocomplete="off">
            <asp:ScriptManager ID="ScriptManager1" runat="server">
            </asp:ScriptManager>
            <asp:UpdatePanel runat="server" ID="updAPNDetails">
                <ContentTemplate>
                    <!-- Header Starts Here -->
                    <uc1:Header ID="ucHeader" runat="server" />
                    <!-- Nav Ends Here -->
                    <!-- Content Starts Here -->
                    <div id="outer">
                        <div id="inner">
                            <div id="float-wrap">
                                <!-- Main Content Starts Here -->
                                <div id="content">
                                    <div class="content-wrap">
                                        <div id="top-content" class="head-part">
                                            <div id="heading" class="col-sm-3">
                                                <img class="icon" src="../images/configuration-icon.jpg" alt="" />
                                                <h1>
                                                    <asp:Literal ID="lblConfigurationSetupCaption" Text="Configuration" runat="server"></asp:Literal>
                                                </h1>
                                                <asp:LinkButton ID="lnkHomeCaption" runat="server"></asp:LinkButton>
                                                <span>&gt;</span>
                                                <span>
                                                    <a href="APNSettings.aspx">
                                                        <asp:Label ID="lblMngDriver" Text="APNSettings" runat="server"></asp:Label>
                                                    </a>
                                                </span>
                                            </div>
                                            <div class="col-sm-9">
                                                <div class="pull-right">
                                                    <%--<asp:LinkButton ID="ibtnCarMake" runat="server" Width="132px" Font-Underline="false"
                                                                            CssClass="btn" OnClick="ibtnCarMake_Click1"><span>Add Car Make and Model</span></asp:LinkButton>--%>
                                                    <%--<asp:LinkButton ID="ibtnCarModel" runat="server"  Width="89px"
                                                                            Font-Underline="false" CssClass="btn" onclick="ibtnCarModel_Click"  ><span>Add Car Model</span></asp:LinkButton>--%>
                                                    <%-- <asp:LinkButton ID="btnAddSetting" runat="server" OnClick="btnAddSetting_Click" Width="80px"
                                                                            Font-Underline="false" CssClass="btn"><span>Add Incentive</span></asp:LinkButton>--%>
                                                    <%--<asp:ImageButton ID="btnAddSetting" runat="server" OnClick="btnAddSetting_Click" 
                                                                            ImageUrl="~/images/add-incentive.png" />--%>
                                                    <%--<asp:LinkButton ID="ibtnBackToIncentives" runat="server" PostBackUrl="~/Forms/DriverIncentiveScreen.aspx" 
                                                                                CssClass="btn" Width="95px"><span>Driver Incentives</span></asp:LinkButton>--%>
                                                    <%--<asp:ImageButton ID="ibtnBackToIncentives" runat="server" PostBackUrl="~/Forms/DriverIncentiveScreen.aspx"
                                                                        ImageUrl="~/images/manage-incentives.png" />--%>
                                                    <asp:ImageButton ID="ibtnBackToConfig" runat="server" CausesValidation="false" ImageUrl="~/images/btn-back-to-configuration.jpg"
                                                        PostBackUrl="~/Forms/ConfigurationSetup.aspx" />
                                                </div>
                                                <div class="clear clearfix"></div>
                                            </div>
                                            <div class="clear clearfix"></div>
                                        </div>
                                        <div>
                                            <asp:Panel ID="pnlAPNSettings" runat="server" Width="100%">
                                                <div class="form-box">
                                                    <h1>
                                                        <span class="icon">
                                                            <img id="imgManageFleet" src="../images/iconapn.gif" runat="server" alt="" />
                                                        </span>
                                                        <asp:Label ID="lblManageFleet" Text="APN Settings" runat="server"></asp:Label>
                                                    </h1>
                                                    <div class="form-tbl padding-sm-lrt">
                                                        <div class="form-horizontal col-sm-10 col-md-8 col-lg-6 padding-width-sm">
                                                            <div class="col-sm-6 padding-width-sm">
                                                                <div class="form-group">
                                                                    <div class="col-sm-4 padding-width-sm">
                                                                        <p style="white-space: nowrap;">
                                                                            <asp:Label ID="lblProviderName" Style="white-space: nowrap;" runat="server" Text="Provider Name"
                                                                                CssClass="label"></asp:Label>
                                                                            <asp:Label ID="Label5" runat="server" ForeColor="Red">*</asp:Label>
                                                                        </p>
                                                                    </div>
                                                                    <div class="col-sm-6 padding-width-sm">
                                                                        <asp:TextBox ID="txtProviderName" runat="server" MaxLength="50" TabIndex="5" onkeypress="return chkCharWithHyphenAndUnderScore(event)"
                                                                            onpaste="return false;" ondrop="return false;" oncopy="return false" CssClass="form-control"></asp:TextBox>
                                                                    </div>
                                                                </div>
                                                                <div class="form-group">
                                                                    <div class="col-sm-4 padding-width-sm icon-img">
                                                                        <asp:Label ID="lblDisplayName" runat="server" CssClass="label" Text="Display Name"></asp:Label>
                                                                        <asp:Label ID="Label6" runat="server" ForeColor="Red">*</asp:Label>
                                                                    </div>
                                                                    <div class="col-sm-6 padding-width-sm">
                                                                        <asp:TextBox ID="txtDispname" runat="server" MaxLength="50" TabIndex="6" onkeypress="return chkCharWithHyphenAndUnderScore(event)"
                                                                            onpaste="return false;" ondrop="return false;" oncopy="return false" CssClass="form-control"></asp:TextBox>
                                                                    </div>
                                                                </div>
                                                                <div class="form-group">
                                                                    <div class="col-sm-4 padding-width-sm icon-img">
                                                                        <asp:Label ID="lblDesc" runat="server" Text="Description" CssClass="label"></asp:Label>
                                                                        <asp:Label ID="Label7" runat="server" ForeColor="Red">*</asp:Label>
                                                                    </div>
                                                                    <div class="col-sm-6 padding-width-sm">
                                                                        <asp:TextBox ID="txtDesc" runat="server" MaxLength="250" TabIndex="7" CssClass="form-control"
                                                                            TextMode="MultiLine" onpaste="return false;" ondrop="return false;" oncopy="return false"></asp:TextBox>
                                                                    </div>
                                                                </div>
                                                            </div>
                                                            <div class="col-sm-6 padding-width-sm">
                                                                <div class="form-group">
                                                                    <div class="col-sm-4 padding-width-sm icon-img">
                                                                        <asp:Label ID="lblAPN" runat="server" CssClass="label" Text="APN Name"></asp:Label>
                                                                        <asp:Label ID="Label13" runat="server" ForeColor="Red">*</asp:Label>
                                                                    </div>
                                                                    <div class="col-sm-6 padding-width-sm" width="20%">
                                                                        <asp:TextBox ID="txtAPN" runat="server" MaxLength="50" TabIndex="8" onkeypress="return chkCharNumWithDot(event)"
                                                                            onpaste="return false;" ondrop="return false;" oncopy="return false" CssClass="form-control"></asp:TextBox>
                                                                    </div>
                                                                </div>
                                                                <div class="form-group">
                                                                    <div class="col-sm-4 padding-width-sm icon-img">
                                                                        <asp:Label ID="lblUser" runat="server" CssClass="label" Text="Username"></asp:Label>
                                                                    </div>
                                                                    <div class="col-sm-6 padding-width-sm">
                                                                        <asp:TextBox ID="txtUsername" runat="server" MaxLength="20" TabIndex="9" onpaste="return false;"
                                                                            ondrop="return false;" oncopy="return false" CssClass="form-control"></asp:TextBox>
                                                                    </div>
                                                                </div>
                                                                <div class="form-group">
                                                                    <div class="col-sm-4 padding-width-sm icon-img">
                                                                        <asp:Label ID="lblPwd" runat="server" CssClass="label" Text="Password"></asp:Label>
                                                                    </div>
                                                                    <div class="col-sm-6 padding-width-sm">
                                                                        <asp:TextBox ID="txtPwd" runat="server" MaxLength="20" TabIndex="10" TextMode="SingleLine"
                                                                            onpaste="return false;" ondrop="return false;" oncopy="return false" CssClass="form-control"></asp:TextBox>
                                                                    </div>
                                                                </div>
                                                            </div>
                                                            <div class="col-sm-12 padding-width-sm">
                                                                <div class="form-group">
                                                                    <div class="col-sm-3 padding-width-sm">
                                                                        <asp:Label ID="Label1" runat="server" ForeColor="Red">*</asp:Label>&nbsp;
                                                                        <asp:Label ID="lblIndicatesMandatory" runat="server" Text="Required fields"></asp:Label>
                                                                    </div>
                                                                </div>
                                                                <div class="form-group">
                                                                    <div class="col-sm-3"></div>
                                                                    <div class="col-sm-9 padding-width-sm">
                                                                        <asp:ImageButton ID="ibtnUpdateAPN" runat="server" ImageUrl="~/images/btn-update.jpg"
                                                                            OnClick="ibtnUpdateAPN_Click" TabIndex="13" OnClientClick="return ValidationAPNEntry();" />
                                                                        <asp:ImageButton ID="ibtnAddAPN" runat="server" ImageUrl="~/images/btn-save.jpg"
                                                                            OnClick="ibtnAddAPN_Click" TabIndex="11" OnClientClick="return ValidationAPNEntry();" />
                                                                        <asp:ImageButton ID="btnAPNCancel" runat="server" ImageUrl="~/images/btn-cancel.jpg"
                                                                            OnClick="btnAPNCancel_Click" TabIndex="12" />
                                                                    </div>
                                                                </div>
                                                            </div>
                                                        </div>
                                                        <div class="clearfix"></div>
                                                    </div>
                                                </div>
                                            </asp:Panel>
                                        </div>
                                        <div>
                                            <asp:Panel ID="pnlAPNDetails" runat="server" Width="100%" Height="90%">
                                                <div id="grid-dsply">
                                                    <div id="top">
                                                        <div class="col-xs-4 padding-width-sm">
                                                            <span class="icon">
                                                                <asp:Image ID="Image1" runat="server" ImageUrl="../images/apn-details.png" alt="" /></span>
                                                            <span class="txt">APN Details</span>
                                                        </div>
                                                        <div class="col-xs-8 padding-width-sm">
                                                            <div class="pull-right">
                                                                <span class="dropdown">
                                                                    <dxw:ASPxComboBox ID="ASPxCboExport" runat="server" ValueType="System.String" Width="80px" Height="20px"
                                                                        ShowImageInEditBox="false" ItemImage-Height="12px" ClientInstanceName="ASPxCboExport" SelectedIndex="0"
                                                                        CssFilePath="~/App_Themes/Office2003Blue/Editors/styles.css" CssPostfix="Office2003_Blue"
                                                                        EnableTheming="true" Theme="Office2003Blue">
                                                                        <Items>
                                                                            <dxw:ListEditItem ImageUrl="../images/icn-pdf.jpg" Text="pdf" Value="pdf" />
                                                                            <dxw:ListEditItem ImageUrl="../images/icn-excel.jpg" Text="xls" Value="xls" />
                                                                            <dxw:ListEditItem ImageUrl="../images/icn-excel-xlsx.png" Text="xlsx" Value="xlsx" />
                                                                            <dxw:ListEditItem ImageUrl="../images/icn-word.jpg" Text="rtf" Value="rtf" />
                                                                            <%--<dxw:ListEditItem ImageUrl="../images/icn-csv.gif" Text="csv" Value="csv" />--%>
                                                                        </Items>
                                                                    </dxw:ASPxComboBox>
                                                                </span>
                                                                <asp:ImageButton ID="btnExport" runat="server" ImageUrl="~/images/btn-export.jpg"
                                                                    OnClick="btnExport_Click" />
                                                            </div>
                                                        </div>
                                                    </div>
                                                    <div class="clearfix"></div>
                                                    <div class="table-responsive">
                                                        <dxw:ASPxGridView ID="gvAPNDetails" ClientInstanceName="gvAPNDetails" TabIndex="15" KeyFieldName="CommModeId"
                                                            runat="server" Width="100%" EnableTheming="true" Theme="Office2003Blue"
                                                            CssFilePath="~/App_Themes/Office2003Blue/GridView/styles.css" CssPostfix="Office2003_Blue">
                                                            <%--<ClientSideEvents SelectionChanged="function(s, e) { OnGridSelectionChanged(1); }" />
                                                    <SettingsBehavior ProcessSelectionChangedOnServer="false" />--%>
                                                            <%--<Images ImageFolder="~/App_Themes/Office2003Blue/GridView/">
                                                        <CollapsedButton Height="12px" Url="~/App_Themes/Office2  003 Blue/GridView/gvCollapsedButton.png"
                                                            Width="11px" />
                                                        <ExpandedButton Height="12px" Url="~/App_Themes/Office2003Blue/GridView/gvExpandedButton.png"
                                                            Width="11px" />
                                                        <DetailCollapsedButton Height="12px" Url="~/App_Themes/Office2003Blue/GridView/gvCollapsedButton.png"
                                                            Width="11px" />
                                                        <DetailExpandedButton Height="12px" Url="~/App_Themes/Office2003Blue/GridView/gvExpandedButton.png"
                                                            Width="11px" />
                                                    </Images>--%>
                                                            <Styles CssFilePath="~/App_Themes/Office2003Blue/GridView/grid.css" AlternatingRow-Enabled="True"
                                                                CssPostfix="Office2003_Blue">
                                                                <Header ImageSpacing="5px" SortingImageSpacing="5px">
                                                                </Header>
                                                                <LoadingPanel ImageSpacing="10px">
                                                                </LoadingPanel>
                                                                <PagerBottomPanel CssClass="PageFooter">
                                                                </PagerBottomPanel>
                                                                <PagerTopPanel CssClass="PageFooter">
                                                                </PagerTopPanel>
                                                            </Styles>
                                                            <SettingsPager PrevPageButton-Image-Url="../App_Themes/Office2003Blue/GridView/pPrev.gif"
                                                                PrevPageButton-Image-UrlDisabled="../App_Themes/Office2003Blue/GridView/pPrevDisabled.gif"
                                                                NextPageButton-Image-UrlDisabled="../App_Themes/Office2003Blue/GridView/pNextDisabled.gif"
                                                                NextPageButton-Image-Url="../App_Themes/Office2003Blue/GridView/pNext.gif" AlwaysShowPager="true"
                                                                PageSize="10">
                                                            </SettingsPager>
                                                            <Columns>
                                                                <dxw:GridViewDataColumn Caption="CommModeId" FieldName="CommModeId" CellStyle-Wrap="True"
                                                                    Visible="false" Width="50%">
                                                                    <HeaderCaptionTemplate>
                                                                        <span class="icon">
                                                                            <img src="../images/incentive-name.png" alt="" align="top" visible="false" />
                                                                            <span class="label">
                                                                                <asp:Label ID="lbl" runat="server" Text="CommModeId" Visible="false"></asp:Label></span>
                                                                    </HeaderCaptionTemplate>
                                                                </dxw:GridViewDataColumn>
                                                                <dxw:GridViewDataColumn Caption="CommModeName" CellStyle-Wrap="True" FieldName="CommModeName"
                                                                    Width="25%">
                                                                    <HeaderCaptionTemplate>
                                                                        <span class="icon">
                                                                            <img src="..\Images\iconProvidername.gif" alt="" align="middle" /></span> <span class="label">
                                                                                <asp:Label ID="lblMakeName" runat="server" Text="Provider Name"></asp:Label></span>
                                                                    </HeaderCaptionTemplate>
                                                                    <Settings AllowAutoFilter="True" />
                                                                </dxw:GridViewDataColumn>
                                                                <dxw:GridViewDataColumn Caption="APNName" CellStyle-Wrap="True" FieldName="APNName"
                                                                    Width="25%">
                                                                    <HeaderCaptionTemplate>
                                                                        <span class="icon">
                                                                            <img src="..\Images\apnName.png" alt="" /></span> <span class="label">
                                                                                <asp:Label ID="lblMakeName" runat="server" Text="APN Name"></asp:Label></span>
                                                                    </HeaderCaptionTemplate>
                                                                    <Settings AllowAutoFilter="True" />
                                                                </dxw:GridViewDataColumn>
                                                                <dxw:GridViewDataColumn Caption="APNUser" CellStyle-Wrap="True" FieldName="APNUser"
                                                                    Width="25%">
                                                                    <HeaderCaptionTemplate>
                                                                        <span class="icon">
                                                                            <img src="..\Images\usermanage-icon.gif" alt="" align="middle" /></span> <span class="label">
                                                                                <asp:Label ID="lblMakeName" runat="server" Text="User Name"></asp:Label></span>
                                                                    </HeaderCaptionTemplate>
                                                                    <Settings AllowAutoFilter="True" />
                                                                </dxw:GridViewDataColumn>
                                                                <dxw:GridViewDataColumn Caption="APNPwd" CellStyle-Wrap="True" FieldName="APNPwd"
                                                                    Width="25%">
                                                                    <HeaderCaptionTemplate>
                                                                        <span class="icon">
                                                                            <img src="..\Images\iconpasswordAPN.png" alt="" align="middle" /></span> <span class="label">
                                                                                <asp:Label ID="lblMakeName" runat="server" Text="Password"></asp:Label></span>
                                                                    </HeaderCaptionTemplate>
                                                                    <Settings AllowAutoFilter="True" />
                                                                </dxw:GridViewDataColumn>
                                                                <dxw:GridViewDataTextColumn Caption="" Width="40" Name="Edit" HeaderStyle-HorizontalAlign="Center"
                                                                    CellStyle-HorizontalAlign="Center">
                                                                    <HeaderTemplate>
                                                                    </HeaderTemplate>
                                                                    <DataItemTemplate>
                                                                        <asp:LinkButton ID="lbnEdit" runat="server" AlternateText="Update" ToolTip="Click here to Update"
                                                                            ImageAlign="Middle" CommandArgument='<%#Eval("CommModeId") %>' OnClick="lbtnEdit_Click"
                                                                            TabIndex="14"><img src="../images/icn-edit.gif" alt="" /></asp:LinkButton>
                                                                    </DataItemTemplate>
                                                                </dxw:GridViewDataTextColumn>
                                                            </Columns>
                                                            <%-- <ClientSideEvents ColumnSorting="function(s, e) {document.getElementById('btnTest').click();}"
                                                        EndCallback="" />--%>
                                                            <Settings ShowVerticalScrollBar="true" VerticalScrollableHeight="155" />
                                                            <Settings ShowFilterRow="true" />
                                                            <SettingsBehavior AllowSort="true" />
                                                            <SettingsText EmptyDataRow="No APN details found" />
                                                        </dxw:ASPxGridView>
                                                    </div>
                                                    <div class="clearfix"></div>
                                                    <dxw:ASPxGridViewExporter ID="ASPxGridViewExporter1" runat="server" GridViewID="gvAPNDetails"
                                                        ReportHeader="{\rtf1\ansi\ansicpg1252\deff0\deflang1033{\fonttbl{\f0\fnil\fcharset0 Arial;}}
                                                            \viewkind4\uc1\pard\qc\b\fs28 Alert Details\fs24\par\pard\par\par}">
                                                        <PageFooter Right="[Page # of Pages #]">
                                                        </PageFooter>
                                                    </dxw:ASPxGridViewExporter>
                                                </div>
                                            </asp:Panel>
                                        </div>
                                    </div>
                                    <div class="clear clearfix"></div>
                                </div>
                            </div>
                            <!-- Main Content Ends Here -->
                            <%--<div id="left">
                        </div>
                        <div class="clear clearfix"></div>--%>
                        </div>
                        <div id="right">
                        </div>
                        <div class="clear clearfix"></div>
                    </div>
                    <%-- </div>--%>
                    <asp:Button ID="btnTest" Text="Test" CssClass="ControlHide" runat="server" />
                    <asp:HiddenField ID="hdnIsAllowance" runat="server" />
                </ContentTemplate>
                <Triggers>
                    <asp:PostBackTrigger ControlID="btnExport" />
                </Triggers>
            </asp:UpdatePanel>
            <asp:UpdateProgress ID="uprDataLoading" runat="server" DynamicLayout="True" AssociatedUpdatePanelID="updAPNDetails">
                <ProgressTemplate>
                    <asp:Panel ID="pnlProgress" runat="server" CssClass="processMessage" Style="z-index: 1000;">
                        <center>
                        <br />
                        <img alt="Please Wait ..." src="../images/47.gif" /><br />
                        <br />
                        <asp:Label ID="lbl_msg12" Text="Processing... Please Wait..." runat="server" CssClass="specialdisplay"></asp:Label>
                        <br />
                        <br />
                    </center>
                    </asp:Panel>
                </ProgressTemplate>
            </asp:UpdateProgress>

            <script type="text/javascript" src="../js/GridCheckBoxMaintaining.js"></script>
            <script type="text/javascript" src="../js/APNSettingsScript.js"></script>
        </form>
        <!-- Content Ends Here -->
    </div>
    <uc2:Footer ID="ucFooter" runat="server" />
</body>
</html>
