﻿<%@ page language="C#" autoeventwireup="true" inherits="Forms_DriverIncentiveConfiguration, App_Web_fmatdlct" %>

<%@ Register Assembly="AjaxControlToolkit" Namespace="AjaxControlToolkit" TagPrefix="cc1" %>
<%@ Register Src="~/UserControls/New_Header.ascx" TagName="Header" TagPrefix="uc1" %>
<%@ Register Src="~/UserControls/New_Footer.ascx" TagName="Footer" TagPrefix="uc2" %>

<%--<%@ Register Assembly="DevExpress.Web.ASPxGridView.v8.2, Version=8.2.10.0, Culture=neutral, PublicKeyToken=9B171C9FD64DA1D1"
    Namespace="DevExpress.Web.ASPxGridView" TagPrefix="dxwgv" %>
<%@ Register Assembly="DevExpress.Web.ASPxEditors.v8.2, Version=8.2.10.0, Culture=neutral, PublicKeyToken=9B171C9FD64DA1D1"
    Namespace="DevExpress.Web.ASPxEditors" TagPrefix="dxe" %>
<%@ Register Assembly="DevExpress.Web.ASPxEditors.v8.2" Namespace="DevExpress.Web.ASPxEditors"
    TagPrefix="dxe" %>
<%@ Register Assembly="DevExpress.Web.ASPxGridView.v8.2.Export, Version=8.2.10.0, Culture=neutral, PublicKeyToken=9B171C9FD64DA1D1"
    Namespace="DevExpress.Web.ASPxGridView.Export" TagPrefix="exp" %>
<%@ Register Assembly="DevExpress.Web.ASPxEditors.v8.2, Version=8.2.10.0, Culture=neutral, PublicKeyToken=9B171C9FD64DA1D1"
    Namespace="DevExpress.Web.ASPxEditors" TagPrefix="dx" %>--%>

<%@ Register Assembly="DevExpress.Web.v14.2" Namespace="DevExpress.Web" TagPrefix="dxw" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head id="Head1" runat="server">
    <meta http-equiv="X-UA-Compatible" content="IE=7" />
    <meta http-equiv="Page-Enter" content="blendTrans(Duration=0)" />
    <meta http-equiv="Page-Exit" content="blendTrans(Duration=0)" />
    <title>tSense-IoT Driver Incentive Configuration</title>
    <link id="reset" runat="server" href="../css/reset.css" rel="stylesheet" type="text/css" />
    <link id="stylesheet2" runat="server" href="../css/stylesheet2.css" rel="stylesheet"
        type="text/css" />
    <link id="dropdown" runat="server" href="../css/dropdown.css" rel="stylesheet" type="text/css" />
    <link rel="SHORTCUT ICON" href="../images/favicon.ico" />
    <link id="ieonly" runat="server" href="" rel="stylesheet" type="text/css">
    <%--Custom Theme for DevEx 14.2--%>
    <link id="GridView" runat="server" type="text/css" href="~/App_Themes/Office2003Blue/GridView/grid.css" rel="stylesheet" />
    <link id="Editors" runat="server" type="text/css" href="~/App_Themes/Office2003Blue/Editors/styles.css" rel="stylesheet" />

    <script src="../js/jquery-1.11.2.min.js" type="text/javascript"></script>
    <script language="JavaScript1.2" type="text/javascript" src="../js/myformvalidations.js"></script>
    <%--********* For Bootstrap Implementation *************--%>
    <link id="BootStrapCss" href="../css/bootstrap.css" runat="server" rel="stylesheet" type="text/css" />
    <link id="mainstyle" runat="server" href="../css/mainstyle.css" rel="stylesheet" type="text/css" />
    <%--********* End of Bootstrap Implementation *************--%>
    <script src="../js/wow.min.js"></script>
</head>
<body>
    <div id="container">
        <form id="form1" runat="server">
            <asp:ScriptManager ID="ScriptManager1" runat="server">
            </asp:ScriptManager>
            <asp:UpdatePanel runat="server" ID="updDriverDetails">
                <ContentTemplate>
                    <!-- Header Starts Here -->
                    <uc1:Header ID="ucHeader" runat="server" />
                    <!-- Nav Ends Here -->
                    <!-- Content Starts Here -->
                    <div id="outer">
                        <div id="inner">
                            <div id="float-wrap">
                                <!-- Main Content Starts Here -->
                                <div id="content">
                                    <div class="content-wrap">
                                        <div id="top-content">
                                            <div id="heading">
                                                <img class="icon" src="../images/configuration-icon.jpg" alt="" />
                                                <h1>
                                                    <asp:Literal ID="lblConfigurationSetupCaption" Text="Configuration" runat="server"></asp:Literal>
                                                </h1>
                                                <asp:LinkButton ID="lnkHomeCaption" runat="server"></asp:LinkButton><span>&gt;</span><span><a
                                                    href="DriverIncentiveConfiguration.aspx"><asp:Label ID="lblMngDriver" Text="Manage Incentives"
                                                        runat="server"></asp:Label></a></span>
                                            </div>
                                            <div id="control-box">
                                                <table border="0" cellpadding="0" cellspacing="0" id="control-tbl" width="100%">
                                                    <tr>
                                                        <td>
                                                            <div>
                                                                <table class="ManageGeozoneTableAlign">
                                                                    <tr height="20px">
                                                                        <td></td>
                                                                    </tr>
                                                                    <tr>
                                                                        <td>
                                                                            <asp:LinkButton ID="ibtnAddViolation1" runat="server" Width="76px" Font-Underline="false"
                                                                                CssClass="btn" OnClick="ibtnAddViolation_Click" Visible="false"><span>Add Violation</span></asp:LinkButton>
                                                                            <asp:LinkButton ID="ibtnAddViolation" runat="server" CssClass="MultilingualBtn" OnClick="ibtnAddViolation_Click">
                                                                                <span id="Span1" runat="server" class="MultilingualBtnspan">
                                                                                    <div class="AddGeozone">
                                                                                        <div id="AddViolationDiv" runat="server" class="MultilingualBtnTextAlign">
                                                                                            Add Violation
                                                                                        </div>
                                                                                    </div>
                                                                                </span>
                                                                            </asp:LinkButton>&nbsp;
                                                                        </td>
                                                                        <td>
                                                                            <%-- <asp:LinkButton ID="btnAddSetting" runat="server" OnClick="btnAddSetting_Click" Width="80px"
                                                                            Font-Underline="false" CssClass="btn"><span>Add Incentive</span></asp:LinkButton>--%>
                                                                            <asp:ImageButton ID="btnAddSetting1" runat="server" OnClick="btnAddSetting_Click"
                                                                                ImageUrl="~/images/add-incentive.png" Visible="false" />
                                                                            <asp:LinkButton ID="btnAddSetting" runat="server" CssClass="MultilingualBtn" OnClick="btnAddSetting_Click">
                                                                                <span id="Span2" runat="server" class="MultilingualBtnspan">
                                                                                    <div class="AddGeozone">
                                                                                        <div id="AddIncentiveDiv" runat="server" class="MultilingualBtnTextAlign">
                                                                                            Add Incentive
                                                                                        </div>
                                                                                    </div>
                                                                                </span>
                                                                            </asp:LinkButton>&nbsp;
                                                                        </td>
                                                                        <td>
                                                                            <%-- <asp:LinkButton ID="btnAddAllowance" runat="server" OnClick="btnAddAllowance_Click"
                                                                            Width="90px" CssClass="btn" Font-Underline="false"><span>Add Allowance</span></asp:LinkButton>--%>
                                                                            <asp:ImageButton ID="btnAddAllowance1" runat="server" OnClick="btnAddAllowance_Click"
                                                                                ImageUrl="~/images/add-allowance.png" Visible="false" />
                                                                            <asp:LinkButton ID="btnAddAllowance" runat="server" CssClass="MultilingualBtn" OnClick="btnAddAllowance_Click">
                                                                                <span id="Span3" runat="server" class="MultilingualBtnspan">
                                                                                    <div class="AddGeozone">
                                                                                        <div id="AddAllowanceDiv" runat="server" class="MultilingualBtnTextAlign">
                                                                                            Add Allowance
                                                                                        </div>
                                                                                    </div>
                                                                                </span>
                                                                            </asp:LinkButton>&nbsp;
                                                                        </td>
                                                                        <td>
                                                                            <%--  <asp:LinkButton ID="ibtnBackToIncentives" runat="server" PostBackUrl="~/Forms/DriverIncentiveScreen.aspx" 
                                                                                CssClass="btn" Width="95px"><span>Driver Incentives</span></asp:LinkButton>--%>
                                                                            <asp:ImageButton ID="ibtnBackToIncentives1" runat="server" PostBackUrl="~/Forms/DriverIncentiveScreen.aspx"
                                                                                ImageUrl="~/images/manage-incentives.png" Visible="false" />
                                                                            <asp:LinkButton ID="ibtnBackToIncentives" runat="server" CssClass="MultilingualBtn"
                                                                                PostBackUrl="~/Forms/DriverIncentiveScreen.aspx">
                                                                                <span id="Span4" runat="server" class="MultilingualBtnspan">
                                                                                    <div class="ManageIncentives">
                                                                                        <div id="ManageIncentivesDiv" runat="server" class="MultilingualBtnTextAlign">
                                                                                            Manage Incentives
                                                                                        </div>
                                                                                    </div>
                                                                                </span>
                                                                            </asp:LinkButton>&nbsp;
                                                                        </td>
                                                                        <td>
                                                                            <asp:ImageButton ID="ibtnBackToConfig1" runat="server" CausesValidation="false" ImageUrl="~/images/btn-back-to-configuration.jpg"
                                                                                PostBackUrl="~/Forms/ConfigurationSetup.aspx" Visible="false" />
                                                                            <asp:LinkButton ID="ibtnBackToConfig" runat="server" CssClass="MultilingualBtn" NavigateUrl="~/Forms/ConfigurationSetup.aspx">
                                                                                <span id="Span5" runat="server" class="MultilingualBtnspan">
                                                                                    <div class="Back">
                                                                                        <div id="BacktoConfigurationDiv" runat="server" class="MultilingualBtnTextAlign">
                                                                                            Back to Configuration
                                                                                        </div>
                                                                                    </div>
                                                                                </span>
                                                                            </asp:LinkButton>&nbsp;
                                                                        </td>
                                                                    </tr>
                                                                </table>
                                                        </td>
                                                    </tr>
                                                </table>
                                            </div>
                                            <div class="clear clearfix">
                                            </div>
                                        </div>
                                        <div class="clear clearfix">
                                        </div>
                                        <asp:Panel ID="pnlDriverIncentiveInputs" runat="server">
                                            <div class="form-box">
                                                <h1>
                                                    <span class="icon">
                                                        <img src="../images/driver-incentive-setting.png" runat="server" id="imgIncenAllowance"
                                                            alt="" /></span><asp:Label ID="lblIncentiveSetting" Text="Driver Incentive Settings"
                                                                runat="server"></asp:Label></h1>
                                                <table align="left" cellspacing="5px" border="0" class="form-tbl">
                                                    <tr>
                                                        <td></td>
                                                        <td>
                                                            <asp:Label ID="lblVehType" runat="server" Text="Vehicle Type" CssClass="label"></asp:Label>
                                                            <asp:Label ID="Label5" runat="server" ForeColor="Red">*</asp:Label>
                                                        </td>
                                                        <td>
                                                            <asp:DropDownList ID="ddlVehicleType" runat="server" TabIndex="1" CssClass="date">
                                                                <%--     <asp:ListItem Selected="True">- Select -</asp:ListItem>--%>
                                                                <asp:ListItem>HMV</asp:ListItem>
                                                                <asp:ListItem>MMV</asp:ListItem>
                                                                <asp:ListItem>LMV</asp:ListItem>
                                                            </asp:DropDownList>
                                                        </td>
                                                        <td class="split"></td>
                                                        <td>
                                                            <asp:Label ID="lblNoOfDrivers" runat="server" Text="No. of Drivers" CssClass="label"></asp:Label>
                                                            <asp:Label ID="Label7" runat="server" ForeColor="Red">*</asp:Label>
                                                        </td>
                                                        <td>
                                                            <asp:DropDownList ID="ddlNoOfDrivers" runat="server" TabIndex="2" CssClass="date">
                                                                <%--  <asp:ListItem Selected="True" Text="- Select -"></asp:ListItem>--%>
                                                                <asp:ListItem Text="1" Value="1"></asp:ListItem>
                                                                <asp:ListItem Text="2" Value="2"></asp:ListItem>
                                                                <asp:ListItem Text="3" Value="3"></asp:ListItem>
                                                                <asp:ListItem Text="NA" Value="0"></asp:ListItem>
                                                            </asp:DropDownList>
                                                            <asp:RadioButton ID="rbtDetection" Text="Deduction" runat="server" GroupName="ViolationType"
                                                                TabIndex="4" onclick="CheckViolation();" />
                                                            <asp:RadioButton ID="rbtAllowance" Text="Incentive" runat="server" GroupName="ViolationType"
                                                                TabIndex="3" onclick="CheckViolation();" />
                                                        </td>
                                                    </tr>
                                                    <tr>
                                                        <td></td>
                                                        <td>
                                                            <asp:Label ID="lblDescription" runat="server" CssClass="label" Text="Incentive Name"></asp:Label>
                                                            <asp:Label ID="Label10" runat="server" ForeColor="Red">*</asp:Label>
                                                        </td>
                                                        <td>
                                                            <asp:TextBox ID="txtDescription" runat="server" TabIndex="5" Width="92%" TextMode="MultiLine"
                                                                onkeypress="return chkAlphaNumericWithSpace(event,this,49);" MaxLength="50" onpaste="return false;"
                                                                ondrop="return false;"></asp:TextBox>
                                                        </td>
                                                        <td class="split"></td>
                                                        <td>
                                                            <asp:Label ID="lblRate" runat="server" CssClass="label" Text="Rate per Kilometer"></asp:Label>
                                                            <asp:Label ID="lblRatePerKmIndication" runat="server" ForeColor="Red">*</asp:Label>
                                                        </td>
                                                        <td>
                                                            <asp:TextBox ID="txtRatePerKm" runat="server" TabIndex="6" Width="92%" onkeypress="return chkDecNums(event,this);"
                                                                MaxLength="5" onpaste="return false;" ondrop="return false;"></asp:TextBox>
                                                            <asp:TextBox ID="txtOtherAmt" runat="server" TabIndex="7" Width="30%" onkeypress="return chkDecNums(event,this);"
                                                                MaxLength="5" onpaste="return false;" ondrop="return false;"></asp:TextBox>
                                                        </td>
                                                    </tr>
                                                    <tr id="trViolations" runat="server">
                                                        <td></td>
                                                        <td>
                                                            <asp:Label ID="lblType" runat="server" Text="Maximum Violation Points for Deduction"></asp:Label>
                                                            <asp:Label ID="Label12" runat="server" ForeColor="Red">*</asp:Label>
                                                        </td>
                                                        <td>
                                                            <asp:DropDownList ID="ddlViolationPoints" runat="server" TabIndex="8" CssClass="date">
                                                                <%--  <asp:ListItem>- Select -</asp:ListItem>--%>
                                                                <asp:ListItem>25</asp:ListItem>
                                                                <asp:ListItem>50</asp:ListItem>
                                                                <asp:ListItem>75</asp:ListItem>
                                                                <asp:ListItem>100</asp:ListItem>
                                                                <asp:ListItem>125</asp:ListItem>
                                                                <asp:ListItem>150</asp:ListItem>
                                                                <asp:ListItem>200</asp:ListItem>
                                                                <asp:ListItem>300</asp:ListItem>
                                                                <asp:ListItem>400</asp:ListItem>
                                                                <asp:ListItem>500</asp:ListItem>
                                                            </asp:DropDownList>
                                                        </td>
                                                        <td></td>
                                                        <td>
                                                            <asp:Label ID="lblViolationAmt" runat="server" Text="Deduction Percentage"></asp:Label>
                                                            <asp:Label ID="Label2" runat="server" ForeColor="Red">*</asp:Label>
                                                        </td>
                                                        <td>
                                                            <asp:DropDownList ID="ddlAllowance" runat="server" TabIndex="9" CssClass="date">
                                                                <%-- <asp:ListItem>- Select -</asp:ListItem>--%>
                                                                <asp:ListItem Text="05%" Value="5"></asp:ListItem>
                                                                <asp:ListItem Text="10%" Value="10"></asp:ListItem>
                                                                <asp:ListItem Text="15%" Value="15"></asp:ListItem>
                                                                <asp:ListItem Text="20%" Value="20"></asp:ListItem>
                                                                <asp:ListItem Text="25%" Value="25"></asp:ListItem>
                                                                <asp:ListItem Text="30%" Value="30"></asp:ListItem>
                                                                <asp:ListItem Text="35%" Value="35"></asp:ListItem>
                                                                <asp:ListItem Text="40%" Value="40"></asp:ListItem>
                                                                <asp:ListItem Text="45%" Value="45"></asp:ListItem>
                                                                <asp:ListItem Text="50%" Value="50"></asp:ListItem>
                                                                <asp:ListItem Text="60%" Value="60"></asp:ListItem>
                                                                <asp:ListItem Text="70%" Value="70"></asp:ListItem>
                                                                <asp:ListItem Text="75%" Value="75"></asp:ListItem>
                                                                <asp:ListItem Text="80%" Value="80"></asp:ListItem>
                                                                <asp:ListItem Text="90%" Value="90"></asp:ListItem>
                                                                <asp:ListItem Text="100%" Value="100"></asp:ListItem>
                                                            </asp:DropDownList>
                                                        </td>
                                                    </tr>
                                                    <tr id="trKMRange" runat="server">
                                                        <td class="split"></td>
                                                        <td>
                                                            <asp:Label ID="lblFromRange" runat="server" Text="Kilometer From"></asp:Label>
                                                            <asp:Label ID="Label3" runat="server" ForeColor="Red">*</asp:Label>
                                                        </td>
                                                        <td>
                                                            <asp:DropDownList ID="ddlFromRange" runat="server" TabIndex="10" CssClass="date">
                                                                <%--  <asp:ListItem Selected="True" Text="- Select -"></asp:ListItem>--%>
                                                                <asp:ListItem Text="0" Value="0"></asp:ListItem>
                                                                <asp:ListItem Text="50" Value="50"></asp:ListItem>
                                                                <asp:ListItem Text="100" Value="100"></asp:ListItem>
                                                                <asp:ListItem Text="150" Value="150"></asp:ListItem>
                                                                <asp:ListItem Text="200" Value="200"></asp:ListItem>
                                                                <asp:ListItem Text="250" Value="250"></asp:ListItem>
                                                                <asp:ListItem Text="300" Value="300"></asp:ListItem>
                                                                <asp:ListItem Text="350" Value="350"></asp:ListItem>
                                                                <asp:ListItem Text="400" Value="400"></asp:ListItem>
                                                                <asp:ListItem Text="500" Value="500"></asp:ListItem>
                                                                <asp:ListItem Text="600" Value="600"></asp:ListItem>
                                                                <asp:ListItem Text="700" Value="700"></asp:ListItem>
                                                                <asp:ListItem Text="800" Value="800"></asp:ListItem>
                                                            </asp:DropDownList>
                                                        </td>
                                                        <td class="split"></td>
                                                        <td>
                                                            <asp:Label ID="lblToRange" runat="server" CssClass="label" Text="Kilometer To"></asp:Label>
                                                            <asp:Label ID="Label4" runat="server" ForeColor="Red">*</asp:Label>
                                                        </td>
                                                        <td>
                                                            <asp:DropDownList ID="ddlToRange" runat="server" TabIndex="11" CssClass="date">
                                                                <%-- <asp:ListItem Selected="True" Text="- Select -"></asp:ListItem>--%>
                                                                <asp:ListItem Text="50" Value="50"></asp:ListItem>
                                                                <asp:ListItem Text="100" Value="100"></asp:ListItem>
                                                                <asp:ListItem Text="150" Value="150"></asp:ListItem>
                                                                <asp:ListItem Text="200" Value="200"></asp:ListItem>
                                                                <asp:ListItem Text="250" Value="250"></asp:ListItem>
                                                                <asp:ListItem Text="300" Value="300"></asp:ListItem>
                                                                <asp:ListItem Text="350" Value="350"></asp:ListItem>
                                                                <asp:ListItem Text="400" Value="400"></asp:ListItem>
                                                                <asp:ListItem Text="500" Value="500"></asp:ListItem>
                                                                <asp:ListItem Text="600" Value="600"></asp:ListItem>
                                                                <asp:ListItem Text="700" Value="700"></asp:ListItem>
                                                                <asp:ListItem Text="800" Value="800"></asp:ListItem>
                                                                <asp:ListItem Text="900" Value="900"></asp:ListItem>
                                                                <asp:ListItem Text="1000" Value="1000"></asp:ListItem>
                                                                <asp:ListItem Text="No limit" Value="10000"></asp:ListItem>
                                                            </asp:DropDownList>
                                                        </td>
                                                    </tr>
                                                    <tr id="trTime" runat="server">
                                                        <td class="split"></td>
                                                        <td>
                                                            <asp:Label ID="lblFromTime" runat="server" Text="From Time"></asp:Label>
                                                            <asp:Label ID="Label6" runat="server" ForeColor="Red">*</asp:Label>
                                                        </td>
                                                        <td>
                                                            <asp:DropDownList ID="ddlFromTime" runat="server" CssClass="time" TabIndex="12">
                                                            </asp:DropDownList>
                                                            <asp:DropDownList ID="ddlFromTimeMin" runat="server" CssClass="time" TabIndex="13">
                                                                <asp:ListItem Text="00" Value="00" Selected="True"></asp:ListItem>
                                                                <asp:ListItem Text="15" Value="15"></asp:ListItem>
                                                                <asp:ListItem Text="30" Value="30"></asp:ListItem>
                                                                <asp:ListItem Text="45" Value="45"></asp:ListItem>
                                                            </asp:DropDownList>
                                                        </td>
                                                        <td class="split"></td>
                                                        <td>
                                                            <asp:Label ID="lblToTime" runat="server" CssClass="label" Text="To Time"></asp:Label>
                                                            <asp:Label ID="Label8" runat="server" ForeColor="Red">*</asp:Label>
                                                        </td>
                                                        <td>
                                                            <asp:DropDownList ID="ddlToTime" runat="server" CssClass="time" TabIndex="14">
                                                            </asp:DropDownList>
                                                            <asp:DropDownList ID="ddlToTimeMin" runat="server" CssClass="time" TabIndex="15">
                                                                <asp:ListItem Text="00" Value="00" Selected="True"></asp:ListItem>
                                                                <asp:ListItem Text="15" Value="15"></asp:ListItem>
                                                                <asp:ListItem Text="30" Value="30"></asp:ListItem>
                                                                <asp:ListItem Text="45" Value="45"></asp:ListItem>
                                                            </asp:DropDownList>
                                                        </td>
                                                    </tr>
                                                    <tr id="trKMAmt" runat="server">
                                                        <td class="split">&nbsp;
                                                        </td>
                                                        <td>
                                                            <asp:Label ID="lblActive" runat="server" Text="Status"></asp:Label>
                                                        </td>
                                                        <td>
                                                            <asp:CheckBox ID="chkActive" runat="server" Checked="true" Text="Active" TabIndex="16" />
                                                        </td>
                                                        <td class="split"></td>
                                                        <td>
                                                            <asp:Label ID="lblIgnition" runat="server" Text="Engine should be "></asp:Label>
                                                            <asp:Label ID="lblextraAmt" runat="server" Text="Additional Amount"></asp:Label>
                                                        </td>
                                                        <td>
                                                            <asp:RadioButton ID="rbtIgnitionOn" runat="server" GroupName="Ignition" TabIndex="17"
                                                                Text="ON" Checked="true" />
                                                            <asp:RadioButton ID="rbtIgnitionOff" runat="server" GroupName="Ignition" TabIndex="18"
                                                                Text="OFF   for this allowance to be applicable." />
                                                            <asp:TextBox ID="txtExtraAmt" runat="server" Width="90%" onkeypress="return chkDecNums(event,this);"
                                                                MaxLength="4" onpaste="return false;" TabIndex="19" ondrop="return false;"></asp:TextBox>
                                                        </td>
                                                    </tr>
                                                    <tr>
                                                        <td></td>
                                                        <td colspan="2">
                                                            <asp:Label ID="Label1" runat="server" ForeColor="Red">*</asp:Label>&nbsp;
                                                        <asp:Label ID="lblIndicatesMandatory" runat="server">Required Fields</asp:Label>
                                                        </td>
                                                        <td colspan="3"></td>
                                                    </tr>
                                                    <tr>
                                                        <td class="split"></td>
                                                        <td colspan="6">
                                                            <center>
                                                                <asp:ImageButton ID="ibtnUpdateDriver1" runat="server" OnClientClick="return ValidateIncentive();"
                                                                    ImageUrl="~/images/btn-update.jpg" TabIndex="20" OnClick="ibtnUpdateDriver_Click"
                                                                    Visible="false" />
                                                                <asp:LinkButton ID="ibtnUpdateDriver" runat="server" CssClass="MultilingualBtn" OnClientClick="return ValidateIncentive();"
                                                                    TabIndex="20" OnClick="ibtnUpdateDriver_Click">
                                                                    <span id="Span6" runat="server" class="MultilingualBtnspan">
                                                                        <div class="Update">
                                                                            <div id="UpdateButDiv" runat="server" class="MultilingualBtnTextAlign">
                                                                                Update
                                                                            </div>
                                                                        </div>
                                                                    </span>
                                                                </asp:LinkButton>
                                                                <asp:ImageButton ID="ibtnAddDriver1" runat="server" OnClientClick="return ValidateIncentive();"
                                                                    ImageUrl="~/images/btn-save.jpg" TabIndex="21" OnClick="ibtnAddDriver_Click"
                                                                    Visible="false" />
                                                                <asp:LinkButton ID="ibtnAddDriver" runat="server" CssClass="MultilingualBtn" OnClientClick="return ValidateIncentive();"
                                                                    TabIndex="21" OnClick="ibtnAddDriver_Click">
                                                                    <span id="Span7" runat="server" class="MultilingualBtnspan">
                                                                        <div class="Save">
                                                                            <div id="SaveButDiv" runat="server" class="MultilingualBtnTextAlign">
                                                                                Save
                                                                            </div>
                                                                        </div>
                                                                    </span>
                                                                </asp:LinkButton>&nbsp;
                                                            <asp:ImageButton ID="btnDriverCancel1" runat="server" TabIndex="22" ImageUrl="~/images/btn-cancel.jpg"
                                                                OnClick="btnDriverCancel_Click" Visible="false" />
                                                                <asp:LinkButton ID="btnDriverCancel" runat="server" CssClass="MultilingualBtn" TabIndex="19"
                                                                    OnClick="btnDriverCancel_Click">
                                                                    <span id="Span8" runat="server" class="MultilingualBtnspan">
                                                                        <div class="Cancel">
                                                                            <div id="CancelButDiv" runat="server" class="MultilingualBtnTextAlign">
                                                                                Cancel
                                                                            </div>
                                                                        </div>
                                                                    </span>
                                                                </asp:LinkButton>
                                                            </center>
                                                        </td>
                                                    </tr>
                                                </table>
                                                <div class="clear clearfix">
                                                </div>
                                            </div>
                                        </asp:Panel>
                                        <asp:Panel ID="pnlDriverIncentiveDetails" runat="server">
                                            <div class="form-box">
                                                <h1>
                                                    <span class="icon">
                                                        <img src="../images/driver-incentive-details.png" alt="" /></span><asp:Label ID="lblDriverIncentiveDetails"
                                                            runat="server" Text="Driver Incentive Setting Details"></asp:Label>
                                                </h1>
                                            </div>
                                            <div id="grid-dsply">
                                                <dxw:ASPxGridView ID="gvDriverIncentiveDetails" ClientInstanceName="gvDriverIncentiveDetails" runat="server" KeyFieldName="BattaId"
                                                    Width="100%" Settings-ShowFilterRow="true" CssFilePath="~/App_Themes/Office2003Blue/GridView/styles.css" CssPostfix="Office2003_Blue"
                                                    EnableTheming="true" Theme="Office2003Blue" OnHtmlRowCreated="gvDriverIncentiveDetails_OnHtmlRowCreated">
                                                    <ClientSideEvents SelectionChanged="function(s, e) { OnGridSelectionChanged(1); }" />
                                                    <SettingsBehavior ProcessSelectionChangedOnServer="false" />
                                                    <%--<Images ImageFolder="~/App_Themes/Office2003Blue/GridView/">
                                                    <CollapsedButton Height="12px" Url="~/App_Themes/Office2003Blue/GridView/gvCollapsedButton.png"
                                                        Width="11px" />
                                                    <ExpandedButton Height="12px" Url="~/App_Themes/Office2003Blue/GridView/gvExpandedButton.png"
                                                        Width="11px" />
                                                    <DetailCollapsedButton Height="12px" Url="~/App_Themes/Office2003Blue/GridView/gvCollapsedButton.png"
                                                        Width="11px" />
                                                    <DetailExpandedButton Height="12px" Url="~/App_Themes/Office2003Blue/GridView/gvExpandedButton.png"
                                                        Width="11px" />
                                                </Images>--%>
                                                    <Styles CssFilePath="~/App_Themes/Office2003Blue/GridView/grid.css" AlternatingRow-Enabled="True"
                                                        CssPostfix="Office2003_Blue">
                                                        <Header ImageSpacing="5px" SortingImageSpacing="5px">
                                                        </Header>
                                                        <LoadingPanel ImageSpacing="10px">
                                                        </LoadingPanel>
                                                        <PagerBottomPanel CssClass="PageFooter">
                                                        </PagerBottomPanel>
                                                        <PagerTopPanel CssClass="PageFooter">
                                                        </PagerTopPanel>
                                                    </Styles>
                                                    <SettingsPager PrevPageButton-Image-Url="../App_Themes/Office2003Blue/GridView/pPrev.gif"
                                                        PrevPageButton-Image-UrlDisabled="../App_Themes/Office2003Blue/GridView/pPrevDisabled.gif"
                                                        NextPageButton-Image-UrlDisabled="../App_Themes/Office2003Blue/GridView/pNextDisabled.gif"
                                                        NextPageButton-Image-Url="../App_Themes/Office2003Blue/GridView/pNext.gif" AlwaysShowPager="true"
                                                        PageSize="5">
                                                    </SettingsPager>
                                                    <Columns>
                                                        <dxw:GridViewDataColumn Caption="IncentiveName" FieldName="Description" Width="13%">
                                                            <HeaderCaptionTemplate>
                                                                <span>
                                                                    <img src="../images/incentive-name.png" alt="" align="top" />&nbsp;
                                                                <asp:Label ID="lbl" runat="server" Text="Incentive Name"></asp:Label></span>
                                                            </HeaderCaptionTemplate>
                                                        </dxw:GridViewDataColumn>
                                                        <dxw:GridViewDataColumn Caption="VehicleType" FieldName="VehicleType" Width="9%"
                                                            HeaderStyle-HorizontalAlign="Center" CellStyle-HorizontalAlign="Center">
                                                            <HeaderCaptionTemplate>
                                                                <span>
                                                                    <img src="../images/icn-vehicle-name.gif" alt="" align="top" />&nbsp;
                                                                <asp:Label ID="lblvehType" runat="server" Text="VehicleType"></asp:Label></span>
                                                            </HeaderCaptionTemplate>
                                                        </dxw:GridViewDataColumn>
                                                        <dxw:GridViewDataColumn Caption="NoOfDrivers" FieldName="NoOfDrivers" Width="9%"
                                                            HeaderStyle-HorizontalAlign="Center" CellStyle-HorizontalAlign="Center">
                                                            <HeaderCaptionTemplate>
                                                                <span>
                                                                    <img src="../images/no-of-drivers.png" alt="" align="middle" />&nbsp;
                                                                <asp:Label ID="lblNoOfDrivers" runat="server" Text="No.Of Drivers"></asp:Label>
                                                                </span>
                                                            </HeaderCaptionTemplate>
                                                        </dxw:GridViewDataColumn>
                                                        <dxw:GridViewDataColumn Caption="FromRange" FieldName="FromRange" Width="9%" HeaderStyle-HorizontalAlign="Center"
                                                            CellStyle-HorizontalAlign="Center">
                                                            <HeaderCaptionTemplate>
                                                                <span>
                                                                    <img src="../images/from-km.png" alt="" align="middle" />&nbsp;
                                                                <asp:Label ID="lblFromKms" runat="server" Text="From Kms"></asp:Label>
                                                                </span>
                                                            </HeaderCaptionTemplate>
                                                        </dxw:GridViewDataColumn>
                                                        <dxw:GridViewDataColumn Caption="ToRange" FieldName="ToRange" Width="10%" HeaderStyle-HorizontalAlign="Center"
                                                            CellStyle-HorizontalAlign="Center">
                                                            <HeaderCaptionTemplate>
                                                                <span>
                                                                    <img src="../images/to-km.png" alt="" align="top" />&nbsp;
                                                                <asp:Label ID="lblToKms" runat="server" Text="To Kms"></asp:Label>
                                                                </span>
                                                            </HeaderCaptionTemplate>
                                                        </dxw:GridViewDataColumn>
                                                        <dxw:GridViewDataColumn Caption="RatePerKm" FieldName="RatePerKM" Width="9%" HeaderStyle-HorizontalAlign="Center"
                                                            CellStyle-HorizontalAlign="Center">
                                                            <HeaderCaptionTemplate>
                                                                <span>
                                                                    <img src="../images/rate-per-km.png" alt="" align="top" />&nbsp;
                                                                <asp:Label ID="lblRateperKm" runat="server" Text="Rate per Km"></asp:Label>
                                                                </span>
                                                            </HeaderCaptionTemplate>
                                                        </dxw:GridViewDataColumn>
                                                        <dxw:GridViewDataColumn Caption="OtherAmt" FieldName="OtherAmt" Width="9%" HeaderStyle-HorizontalAlign="Center"
                                                            CellStyle-HorizontalAlign="Center">
                                                            <HeaderCaptionTemplate>
                                                                <span>
                                                                    <img src="../images/other-amount.png" alt="" align="top" />&nbsp;
                                                                <asp:Label ID="lblAdditionalAmount" runat="server" Text="Additional Amount"></asp:Label>
                                                                </span>
                                                            </HeaderCaptionTemplate>
                                                        </dxw:GridViewDataColumn>
                                                        <dxw:GridViewDataColumn Caption="Active" FieldName="Active" Width="9%" HeaderStyle-HorizontalAlign="Center"
                                                            CellStyle-HorizontalAlign="Center">
                                                            <HeaderCaptionTemplate>
                                                                <span>
                                                                    <img src="../images/icn-active-status.gif" alt="" align="top" />&nbsp;
                                                                <asp:Label ID="lblActive" runat="server" Text="Active"></asp:Label>
                                                                </span>
                                                            </HeaderCaptionTemplate>
                                                        </dxw:GridViewDataColumn>
                                                        <dxw:GridViewDataTextColumn Caption="Edit" Width="3%" Name="Edit" HeaderStyle-HorizontalAlign="Center"
                                                            CellStyle-HorizontalAlign="Center">
                                                            <HeaderTemplate>
                                                            </HeaderTemplate>
                                                            <DataItemTemplate>
                                                                <asp:LinkButton ID="lbtnEdit" runat="server" AlternateText="Update" ToolTip="Click here to Update"
                                                                    ImageAlign="Middle" CommandArgument='<%#Eval("BattaId") %>' OnClick="lbtnEdit_click"><img src="../images/icn-edit.gif" alt="" /></asp:LinkButton>
                                                            </DataItemTemplate>
                                                        </dxw:GridViewDataTextColumn>
                                                        <dxw:GridViewDataTextColumn Caption="Delete" Width="3%" HeaderStyle-HorizontalAlign="Center"
                                                            CellStyle-HorizontalAlign="Center">
                                                            <HeaderTemplate>
                                                            </HeaderTemplate>
                                                            <DataItemTemplate>
                                                                <asp:LinkButton ID="lbtnDelete" runat="server" AlternateText="Delete" OnClientClick="return confirm('Do you want to really delete this incentive?');"
                                                                    ToolTip="Click here to Delete" CommandArgument='<%#Eval("BattaId") %>' OnClick="lbtnDelete_click"><img src="../images/delete-icon.gif" alt="" /></asp:LinkButton>
                                                            </DataItemTemplate>
                                                        </dxw:GridViewDataTextColumn>
                                                    </Columns>
                                                    <ClientSideEvents ColumnSorting="function(s, e) {document.getElementById('btnTest').click();}"
                                                        EndCallback="" />
                                                    <Settings ShowFilterRow="true" ShowFilterRowMenu="True" />
                                                    <SettingsText EmptyDataRow="No Incentive details found" />
                                                </dxw:ASPxGridView>
                                                <asp:Panel ID="pnlAllowance" runat="server">
                                                    <div class="form-box">
                                                        <h1>
                                                            <span class="icon">
                                                                <img src="../images/driver-allowance -details.png" alt="" /></span><asp:Label ID="Label9"
                                                                    runat="server" Text="Driver Allowance Setting Details"></asp:Label>
                                                        </h1>
                                                    </div>
                                                    <dxw:ASPxGridView ID="gvAllowanceDetails" ClientInstanceName="gvAllowanceDetails" runat="server"
                                                        KeyFieldName="BattaId" Settings-ShowFilterRow="true" Width="100%"
                                                        CssFilePath="~/App_Themes/Office2003Blue/GridView/styles.css" CssPostfix="Office2003_Blue"
                                                        EnableTheming="true" Theme="Office2003Blue" OnHtmlRowCreated="gvAllowanceDetails_OnHtmlRowCreated">
                                                        <ClientSideEvents SelectionChanged="function(s, e) { OnGridSelectionChanged(1); }" />
                                                        <SettingsBehavior ProcessSelectionChangedOnServer="false" />
                                                        <%--<Images ImageFolder="~/App_Themes/Office2003Blue/GridView/">
                                                        <CollapsedButton Height="12px" Url="~/App_Themes/Office2003Blue/GridView/gvCollapsedButton.png"
                                                            Width="11px" />
                                                        <ExpandedButton Height="12px" Url="~/App_Themes/Office2003Blue/GridView/gvExpandedButton.png"
                                                            Width="11px" />
                                                        <DetailCollapsedButton Height="12px" Url="~/App_Themes/Office2003Blue/GridView/gvCollapsedButton.png"
                                                            Width="11px" />
                                                        <DetailExpandedButton Height="12px" Url="~/App_Themes/Office2003Blue/GridView/gvExpandedButton.png"
                                                            Width="11px" />
                                                    </Images>--%>
                                                        <Styles CssFilePath="~/App_Themes/Office2003Blue/GridView/grid.css" AlternatingRow-Enabled="True"
                                                            CssPostfix="Office2003_Blue">
                                                            <Header ImageSpacing="5px" SortingImageSpacing="5px">
                                                            </Header>
                                                            <LoadingPanel ImageSpacing="10px">
                                                            </LoadingPanel>
                                                            <PagerBottomPanel CssClass="PageFooter">
                                                            </PagerBottomPanel>
                                                            <PagerTopPanel CssClass="PageFooter">
                                                            </PagerTopPanel>
                                                        </Styles>
                                                        <SettingsPager PrevPageButton-Image-Url="../App_Themes/Office2003Blue/GridView/pPrev.gif"
                                                            PrevPageButton-Image-UrlDisabled="../App_Themes/Office2003Blue/GridView/pPrevDisabled.gif"
                                                            NextPageButton-Image-UrlDisabled="../App_Themes/Office2003Blue/GridView/pNextDisabled.gif"
                                                            NextPageButton-Image-Url="../App_Themes/Office2003Blue/GridView/pNext.gif" AlwaysShowPager="true"
                                                            PageSize="5">
                                                        </SettingsPager>
                                                        <Columns>
                                                            <dxw:GridViewDataColumn Caption="IncentiveName" FieldName="Description" Width="13%">
                                                                <HeaderCaptionTemplate>
                                                                    <span>
                                                                        <img src="../images/driver-allowance -details.png" alt="" align="top" />&nbsp;
                                                                    <asp:Label ID="lbl" runat="server" Text="Allowance Name"></asp:Label></span>
                                                                </HeaderCaptionTemplate>
                                                            </dxw:GridViewDataColumn>
                                                            <dxw:GridViewDataColumn Caption="VehicleType" FieldName="VehicleType" Width="9%"
                                                                HeaderStyle-HorizontalAlign="Center" CellStyle-HorizontalAlign="Center">
                                                                <HeaderCaptionTemplate>
                                                                    <span>
                                                                        <img src="../images/icn-vehicle-name.gif" alt="" align="top" />&nbsp;
                                                                    <asp:Label ID="lblvehType" runat="server" Text="VehicleType"></asp:Label></span>
                                                                </HeaderCaptionTemplate>
                                                            </dxw:GridViewDataColumn>
                                                            <dxw:GridViewDataColumn Caption="NoOfDrivers" FieldName="NoOfDrivers" Width="9%"
                                                                HeaderStyle-HorizontalAlign="Center" CellStyle-HorizontalAlign="Center">
                                                                <HeaderCaptionTemplate>
                                                                    <span>
                                                                        <img src="../images/no-of-drivers.png" alt="" align="middle" />&nbsp;
                                                                    <asp:Label ID="lblNoOfDrivers" runat="server" Text="No.Of Drivers"></asp:Label>
                                                                    </span>
                                                                </HeaderCaptionTemplate>
                                                            </dxw:GridViewDataColumn>
                                                            <dxw:GridViewDataColumn Caption="FromTime" FieldName="FromTime" Width="9%" HeaderStyle-HorizontalAlign="Center"
                                                                CellStyle-HorizontalAlign="Center">
                                                                <HeaderCaptionTemplate>
                                                                    <span>
                                                                        <img src="../images/icn-time.gif" alt="" align="top" />&nbsp;
                                                                    <asp:Label ID="lblFromTime" runat="server" Text="From Time"></asp:Label>
                                                                    </span>
                                                                </HeaderCaptionTemplate>
                                                            </dxw:GridViewDataColumn>
                                                            <dxw:GridViewDataColumn Caption="ToTime" FieldName="ToTime" Width="9%" HeaderStyle-HorizontalAlign="Center"
                                                                CellStyle-HorizontalAlign="Center">
                                                                <HeaderCaptionTemplate>
                                                                    <span>
                                                                        <img src="../images/icn-time.gif" alt="" align="top" />&nbsp;
                                                                    <asp:Label ID="lblToTime" runat="server" Text="To Time"></asp:Label>
                                                                    </span>
                                                                </HeaderCaptionTemplate>
                                                            </dxw:GridViewDataColumn>
                                                            <dxw:GridViewDataColumn Caption="OtherAmt" FieldName="OtherAmt" Width="9%" HeaderStyle-HorizontalAlign="Center"
                                                                CellStyle-HorizontalAlign="Center">
                                                                <HeaderCaptionTemplate>
                                                                    <span>
                                                                        <img src="../images/other-amount.png" alt="" align="top" />&nbsp;
                                                                    <asp:Label ID="lblAllowanceAmount" runat="server" Text="Allowance Amount"></asp:Label>
                                                                    </span>
                                                                </HeaderCaptionTemplate>
                                                            </dxw:GridViewDataColumn>
                                                            <dxw:GridViewDataColumn Caption="Active" FieldName="Active" Width="9%" HeaderStyle-HorizontalAlign="Center"
                                                                CellStyle-HorizontalAlign="Center">
                                                                <HeaderCaptionTemplate>
                                                                    <span>
                                                                        <img src="../images/icn-active-status.gif" alt="" align="top" />&nbsp;
                                                                    <asp:Label ID="lblActive" runat="server" Text="Active"></asp:Label>
                                                                    </span>
                                                                </HeaderCaptionTemplate>
                                                            </dxw:GridViewDataColumn>
                                                            <dxw:GridViewDataTextColumn Caption="Edit" Width="3%" Name="Edit" HeaderStyle-HorizontalAlign="Center"
                                                                CellStyle-HorizontalAlign="Center">
                                                                <HeaderTemplate>
                                                                </HeaderTemplate>
                                                                <DataItemTemplate>
                                                                    <asp:LinkButton ID="lbtnEdit" runat="server" AlternateText="Update" ToolTip="Click here to Update"
                                                                        ImageAlign="Middle" CommandArgument='<%#Eval("BattaId") %>' OnClick="lbtnEdit_click"><img src="../images/icn-edit.gif" alt="" /></asp:LinkButton>
                                                                </DataItemTemplate>
                                                            </dxw:GridViewDataTextColumn>
                                                            <dxw:GridViewDataTextColumn Caption="Delete" Width="3%" HeaderStyle-HorizontalAlign="Center"
                                                                CellStyle-HorizontalAlign="Center">
                                                                <HeaderTemplate>
                                                                </HeaderTemplate>
                                                                <DataItemTemplate>
                                                                    <asp:LinkButton ID="lbtnDelete" runat="server" AlternateText="Delete" OnClientClick="return confirm('Do you want to really delete this allowance?');"
                                                                        ToolTip="Click here to Delete" CommandArgument='<%#Eval("BattaId") %>' OnClick="lbtnDelete_click"><img src="../images/delete-icon.gif" alt="" /></asp:LinkButton>
                                                                </DataItemTemplate>
                                                            </dxw:GridViewDataTextColumn>
                                                        </Columns>
                                                        <ClientSideEvents ColumnSorting="function(s, e) {document.getElementById('btnTest').click();}"
                                                            EndCallback="" />
                                                        <Settings ShowFilterRow="true" ShowFilterRowMenu="True" />
                                                        <SettingsText EmptyDataRow="No Allowance details found" />
                                                    </dxw:ASPxGridView>
                                                </asp:Panel>
                                                <asp:Panel ID="pnlViolations" runat="server">
                                                    <div class="form-box">
                                                        <h1>
                                                            <span class="icon">
                                                                <img src="../images/Driver Violation Based Setting Details.png" alt="" /></span><asp:Label
                                                                    ID="Label11" runat="server" Text="Driver Violation Based Setting Details"></asp:Label>
                                                        </h1>
                                                    </div>
                                                    <dxw:ASPxGridView ID="gvViolationDetails" ClientInstanceName="gvViolationDetails" runat="server" Width="100%"
                                                        KeyFieldName="BattaId" Settings-ShowFilterRow="true" CssFilePath="~/App_Themes/Office2003Blue/GridView/styles.css"
                                                        CssPostfix="Office2003_Blue" EnableTheming="true" Theme="Office2003Blue" OnHtmlRowCreated="gvViolationDetails_OnHtmlRowCreated">
                                                        <ClientSideEvents SelectionChanged="function(s, e) { OnGridSelectionChanged(1); }" />
                                                        <SettingsBehavior ProcessSelectionChangedOnServer="false" />
                                                        <%--<Images ImageFolder="~/App_Themes/Office2003Blue/GridView/">
                                                        <CollapsedButton Height="12px" Url="~/App_Themes/Office2003Blue/GridView/gvCollapsedButton.png"
                                                            Width="11px" />
                                                        <ExpandedButton Height="12px" Url="~/App_Themes/Office2003Blue/GridView/gvExpandedButton.png"
                                                            Width="11px" />
                                                        <DetailCollapsedButton Height="12px" Url="~/App_Themes/Office2003Blue/GridView/gvCollapsedButton.png"
                                                            Width="11px" />
                                                        <DetailExpandedButton Height="12px" Url="~/App_Themes/Office2003Blue/GridView/gvExpandedButton.png"
                                                            Width="11px" />
                                                    </Images>--%>
                                                        <Styles CssFilePath="~/App_Themes/Office2003Blue/GridView/grid.css" AlternatingRow-Enabled="True"
                                                            CssPostfix="Office2003_Blue">
                                                            <Header ImageSpacing="5px" SortingImageSpacing="5px">
                                                            </Header>
                                                            <LoadingPanel ImageSpacing="10px">
                                                            </LoadingPanel>
                                                            <PagerBottomPanel CssClass="PageFooter">
                                                            </PagerBottomPanel>
                                                            <PagerTopPanel CssClass="PageFooter">
                                                            </PagerTopPanel>
                                                        </Styles>
                                                        <SettingsPager PrevPageButton-Image-Url="../App_Themes/Office2003Blue/GridView/pPrev.gif"
                                                            PrevPageButton-Image-UrlDisabled="../App_Themes/Office2003Blue/GridView/pPrevDisabled.gif"
                                                            NextPageButton-Image-UrlDisabled="../App_Themes/Office2003Blue/GridView/pNextDisabled.gif"
                                                            NextPageButton-Image-Url="../App_Themes/Office2003Blue/GridView/pNext.gif" AlwaysShowPager="true"
                                                            PageSize="5">
                                                        </SettingsPager>
                                                        <Columns>
                                                            <dxw:GridViewDataColumn Caption="IncentiveName" FieldName="Description" Width="13%">
                                                                <HeaderCaptionTemplate>
                                                                    <span>
                                                                        <img src="../images/Incentive-  Allowance-Name.png" alt="" align="top" />&nbsp;
                                                                    <asp:Label ID="lbl" runat="server" Text="Incentive / Allowance Name"></asp:Label></span>
                                                                </HeaderCaptionTemplate>
                                                            </dxw:GridViewDataColumn>
                                                            <dxw:GridViewDataColumn Caption="VehicleType" FieldName="VehicleType" Width="9%"
                                                                HeaderStyle-HorizontalAlign="Center" CellStyle-HorizontalAlign="Center">
                                                                <HeaderCaptionTemplate>
                                                                    <span>
                                                                        <img src="../images/icn-vehicle-name.gif" alt="" align="top" />&nbsp;
                                                                    <asp:Label ID="lblvehType" runat="server" Text="VehicleType"></asp:Label></span>
                                                                </HeaderCaptionTemplate>
                                                            </dxw:GridViewDataColumn>
                                                            <dxw:GridViewDataColumn Caption="ViolationPoints" FieldName="ViolationPoints" Width="9%"
                                                                HeaderStyle-HorizontalAlign="Center" CellStyle-HorizontalAlign="Center">
                                                                <HeaderCaptionTemplate>
                                                                    <span>
                                                                        <img src="../images/Max-Min Violation Points.png" alt="" align="middle" />&nbsp;
                                                                    <asp:Label ID="lblMaxMinViolationPoints" runat="server" Text="Max / Min Violation Points"></asp:Label>
                                                                    </span>
                                                                </HeaderCaptionTemplate>
                                                            </dxw:GridViewDataColumn>
                                                            <dxw:GridViewDataColumn Caption="Percentage" FieldName="PercentageOfAmt" Width="10%"
                                                                HeaderStyle-HorizontalAlign="Center" CellStyle-HorizontalAlign="Center">
                                                                <HeaderCaptionTemplate>
                                                                    <span>
                                                                        <img src="../images/Percentage of Amount.png" alt="" align="top" />&nbsp;
                                                                    <asp:Label ID="lblOfAmount" runat="server" Text="of Amount"></asp:Label>
                                                                    </span>
                                                                </HeaderCaptionTemplate>
                                                            </dxw:GridViewDataColumn>
                                                            <dxw:GridViewDataColumn Caption="Type" FieldName="ViolationType" Width="9%" HeaderStyle-HorizontalAlign="Center"
                                                                CellStyle-HorizontalAlign="Center">
                                                                <HeaderCaptionTemplate>
                                                                    <span>
                                                                        <img src="../images/Incentive- Allowance Type.png" alt="" align="top" />&nbsp;
                                                                    <asp:Label ID="lblType" runat="server" Text="Type"></asp:Label>
                                                                    </span>
                                                                </HeaderCaptionTemplate>
                                                            </dxw:GridViewDataColumn>
                                                            <dxw:GridViewDataColumn Caption="OtherAmt" FieldName="OtherAmt" Width="9%" HeaderStyle-HorizontalAlign="Center"
                                                                CellStyle-HorizontalAlign="Center">
                                                                <HeaderCaptionTemplate>
                                                                    <span>
                                                                        <img src="../images/other-amount.png" alt="" align="top" />&nbsp;
                                                                    <asp:Label ID="lblAdditionalAmount" runat="server" Text="Additional Amount"></asp:Label>
                                                                    </span>
                                                                </HeaderCaptionTemplate>
                                                            </dxw:GridViewDataColumn>
                                                            <dxw:GridViewDataColumn Caption="Active" FieldName="Active" Width="9%" HeaderStyle-HorizontalAlign="Center"
                                                                CellStyle-HorizontalAlign="Center">
                                                                <HeaderCaptionTemplate>
                                                                    <span>
                                                                        <img src="../images/icn-active-status.gif" alt="" align="top" />&nbsp;
                                                                    <asp:Label ID="lblActive" runat="server" Text="Active"></asp:Label>
                                                                    </span>
                                                                </HeaderCaptionTemplate>
                                                            </dxw:GridViewDataColumn>
                                                            <dxw:GridViewDataTextColumn Caption="Edit" Width="3%" Name="Edit" HeaderStyle-HorizontalAlign="Center"
                                                                CellStyle-HorizontalAlign="Center">
                                                                <HeaderTemplate>
                                                                </HeaderTemplate>
                                                                <DataItemTemplate>
                                                                    <asp:LinkButton ID="lbtnEdit" runat="server" AlternateText="Update" ToolTip="Click here to Update"
                                                                        ImageAlign="Middle" CommandArgument='<%#Eval("BattaId") %>' OnClick="lbtnEdit_click"><img src="../images/icn-edit.gif" alt="" /></asp:LinkButton>
                                                                </DataItemTemplate>
                                                            </dxw:GridViewDataTextColumn>
                                                            <dxw:GridViewDataTextColumn Caption="Delete" Width="3%" HeaderStyle-HorizontalAlign="Center"
                                                                CellStyle-HorizontalAlign="Center">
                                                                <HeaderTemplate>
                                                                </HeaderTemplate>
                                                                <DataItemTemplate>
                                                                    <asp:LinkButton ID="lbtnDelete" runat="server" AlternateText="Delete" OnClientClick="return confirm('Do you want to really delete this Violation?');"
                                                                        ToolTip="Click here to Delete" CommandArgument='<%#Eval("BattaId") %>' OnClick="lbtnDelete_click"><img src="../images/delete-icon.gif" alt="" /></asp:LinkButton>
                                                                </DataItemTemplate>
                                                            </dxw:GridViewDataTextColumn>
                                                        </Columns>
                                                        <ClientSideEvents ColumnSorting="function(s, e) {document.getElementById('btnTest').click();}"
                                                            EndCallback="" />
                                                        <Settings ShowFilterRow="true" ShowFilterRowMenu="True" />
                                                        <SettingsText EmptyDataRow="No Violation based setting details found" />
                                                    </dxw:ASPxGridView>
                                                </asp:Panel>
                                            </div>
                                        </asp:Panel>
                                    </div>
                                    <div class="clear clearfix">
                                    </div>
                                </div>
                            </div>
                            <!-- Main Content Ends Here -->
                            <div id="left">
                            </div>
                            <div class="clear clearfix">
                            </div>
                        </div>
                        <div id="right">
                        </div>
                        <div class="clear clearfix">
                        </div>
                    </div>
                    <%-- </div>--%>
                    <asp:Button ID="btnTest" Text="Test" CssClass="ControlHide" runat="server" />
                    <asp:HiddenField ID="hdnIsAllowance" runat="server" />
                </ContentTemplate>
            </asp:UpdatePanel>
            <cc1:ModalPopupExtender ID="mpeMapProgressIndicator" runat="server" PopupControlID="pnlProgress"
                TargetControlID="btnTesting">
            </cc1:ModalPopupExtender>
            <%-- <asp:UpdateProgress ID="uprDataLoading" runat="server" DynamicLayout="True" AssociatedUpdatePanelID="updDriverDetails">
            <ProgressTemplate>--%>
            <asp:Panel ID="pnlProgress" runat="server" CssClass="processMessage" Style="z-index: 1000;">
                <center>
                    <br />
                    <img id="imgLoad" runat="server" alt="Please Wait ..." src="../images/47.gif" />
                    <br />
                    <br />
                    <asp:Label ID="lbl_msg12" Text="Processing... Please Wait..." runat="server" CssClass="specialdisplay"></asp:Label>
                    <br />
                    <br />
                </center>
            </asp:Panel>
            <%--   </ProgressTemplate>
        </asp:UpdateProgress>--%>
            <asp:Button ID="btnTesting" Text="Test" CssClass="ControlHide" runat="server" />

            <script type="text/javascript" src="../js/GridCheckBoxMaintaining.js"></script>

            <script language="javascript" type="text/javascript" src="../js/ScriptToClearCtrls.js"></script>

            <script language="javascript" type="text/javascript" src="../js/DriverManagementScript.js"></script>

            <script language="javascript" type="text/javascript" src="../js/myformvalidations.js"></script>

            <script language="javascript" type="text/javascript" src="../js/FormValidations.js"></script>

            <script type="text/javascript" language="javascript">
                function CheckViolation() {
                    var rbtAllowance = document.getElementById('rbtAllowance').checked;
                    var lblDescription = document.getElementById('lblDescription');
                    var lblType = document.getElementById('lblType');
                    var lblViolationAmt = document.getElementById('lblViolationAmt');
                    if (rbtAllowance == true) {
                        document.getElementById('lblDescription').innerHTML = "Incentive Name";
                        document.getElementById('lblType').innerHTML = "Minimum Violation Points for Incentive";
                        document.getElementById('lblViolationAmt').innerHTML = "Incentive Percentage";
                    }
                    else {
                        document.getElementById('lblDescription').innerHTML = "Deduction Name";
                        document.getElementById('lblType').innerHTML = "Maximum Violation Points for Deduction";
                        document.getElementById('lblViolationAmt').innerHTML = "Deduction Percentage";
                    }
                }

            </script>

        </form>
        <!-- Content Ends Here -->
    </div>
    <uc2:Footer ID="ucFooter" runat="server" />
</body>
</html>
