﻿<%@ page language="C#" autoeventwireup="true" inherits="Forms_FleetRouteAssignment, App_Web_kantv33r" %>

<%@ Register Assembly="AjaxControlToolkit" Namespace="AjaxControlToolkit" TagPrefix="cc1" %>
<%@ Register Src="~/UserControls/New_Header.ascx" TagName="Header" TagPrefix="uc1" %>
<%@ Register Src="~/UserControls/New_Footer.ascx" TagName="Footer" TagPrefix="uc2" %>

<%--<%@ Register Assembly="DevExpress.Web.ASPxGridView.v8.2" Namespace="DevExpress.Web.ASPxGridView"
    TagPrefix="dxgv" %>
<%@ Register Assembly="DevExpress.Web.ASPxEditors.v8.2" Namespace="DevExpress.Web.ASPxEditors"
    TagPrefix="dxe" %>
<%@ Register Assembly="DevExpress.Web.ASPxEditors.v8.2, Version=8.2.10.0, Culture=neutral, PublicKeyToken=9B171C9FD64DA1D1"
    Namespace="DevExpress.Web.ASPxEditors" TagPrefix="dx" %>--%>

<%@ Register Assembly="DevExpress.Web.v14.2" Namespace="DevExpress.Web" TagPrefix="dxw" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title>Fleet Route - Assignment</title>
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
    <meta http-equiv="Page-Enter" content="blendTrans(Duration=0)" />
    <meta http-equiv="Page-Exit" content="blendTrans(Duration=0)" />
    <meta http-equiv="X-UA-Compatible" content="IE=7" />
    <link id="reset" runat="server" href="../css/reset.css" rel="stylesheet" type="text/css" />
    <link id="stylesheet2" runat="server" href="../css/stylesheet2.css" rel="stylesheet" type="text/css" />
    <link id="updatedcss" runat="server" href="../css/Updated_css.css" rel="stylesheet" type="text/css" />
    <link id="dropdown" runat="server" href="../css/dropdown.css" rel="stylesheet" type="text/css" />
    <link rel="SHORTCUT ICON" href="../images/favicon.ico" />
    <script src="../js/wow.min.js"></script>
</head>
<body>
    <form id="form1" runat="server">
        <div id="container">
            <asp:ScriptManager ID="ScriptManager1" runat="server">
            </asp:ScriptManager>
            <asp:UpdatePanel ID="updGrid" runat="server">
                <Triggers>
                    <asp:PostBackTrigger ControlID="rbtFleet" />
                    <asp:PostBackTrigger ControlID="rbtDriverGroup" />
                    <asp:PostBackTrigger ControlID="ibtRouteAssignment" />
                    <asp:PostBackTrigger ControlID="ibtViewRouteSchedule" />
                </Triggers>
                <ContentTemplate>
                    <!-- Header Starts Here -->
                    <uc1:Header ID="ucHeader" runat="server" />
                    <!-- Nav Ends Here -->
                    <!-- Content Starts Here -->
                    <div id="outer">
                        <div id="inner">
                            <div id="float-wrap">
                                <!-- Main Content Starts Here -->
                                <!-- Main Content Starts Here -->
                                <div id="content">
                                    <div class="content-wrap">
                                        <div id="top-content">
                                            <div id="heading">
                                                <img class="icon" src="../images/configuration-icon.jpg" alt="" />
                                                <h1>
                                                    <asp:Literal ID="lblConfigurationSetupCaption" runat="server"></asp:Literal>
                                                </h1>
                                                <%--<a href="Dashboard.aspx"><asp:Label ID="lblHomeCaption" Text="Home" runat="server"></asp:Label></a>--%>
                                                <p style="white-space: nowrap">
                                                    <asp:LinkButton ID="lnkHomeCaption" runat="server"></asp:LinkButton><span>&gt;</span><span><a
                                                        href="FleetRouteAssignment.aspx"><asp:Label ID="lblAssignmentCaption" Text="Route Assignment"
                                                            runat="server"></asp:Label></a></span>
                                                </p>
                                            </div>
                                            <div id="control-box" align="right">
                                                <table border="0" cellpadding="0" cellspacing="0" id="control-tbl" align="right">
                                                    <tr height="20px">
                                                        <td>&nbsp;
                                                        </td>
                                                    </tr>
                                                    <tr>
                                                        <td>
                                                            <asp:LinkButton ID="ibtRouteAssignment" runat="server" Text="Route Assignment" OnClick="ibtRouteAssignment_Click"
                                                                CssClass="ControlHide"></asp:LinkButton>
                                                        </td>
                                                        <td>&nbsp; &nbsp;
                                                        </td>
                                                        <td>
                                                            <asp:LinkButton ID="ibtViewRouteSchedule" runat="server" Text="View Route Scheduling"
                                                                OnClick="ibtViewRouteSchedule_Click"></asp:LinkButton>
                                                        </td>
                                                        <td>&nbsp; &nbsp;
                                                        </td>
                                                    </tr>
                                                </table>
                                            </div>
                                            <div class="clear clearfix">
                                            </div>
                                        </div>
                                        <asp:Panel ID="pnlRouteAssignment" runat="server">
                                            <div class="form-box">
                                                <h1>
                                                    <span class="icon">
                                                        <img alt="" src="../images/icn-driver-information.gif" /></span><asp:Label ID="lblCaptionRouteAssignement"
                                                            Text="Route Assignment Details" runat="server"></asp:Label></h1>
                                                <table align="left" border="0" cellspacing="5px" class="form-tbl">
                                                    <tr>
                                                        <td colspan="6">
                                                            <table>
                                                                <tr>
                                                                    <td width="11%">
                                                                        <asp:Label Style="white-space: nowrap" ID="Label1" runat="server" Font-Bold="true"
                                                                            Text="Route Name"></asp:Label>
                                                                    </td>
                                                                    <td>
                                                                        <asp:DropDownList ID="ddlRouteName" runat="server">
                                                                            <asp:ListItem Text="- Select -" Value="0"></asp:ListItem>
                                                                        </asp:DropDownList>
                                                                    </td>
                                                                    <td>
                                                                        <asp:Label ID="lblFrom" runat="server" Text="From" Font-Bold="true"></asp:Label>
                                                                    </td>
                                                                    <td>
                                                                        <table cellpadding="0" border="0" cellspacing="0">
                                                                            <tr>
                                                                                <td>
                                                                                    <asp:HiddenField runat="server" ID="hdnDateFormat" Value="dd-MMM-yyyy" />
                                                                                    <%--<asp:TextBox ID="txtStartDate" runat="server" oncopy="return false" oncut="return false"
                                                                                    CssClass="date" onkeydown="doCheckBackSpaceOrDelete()" onkeypress="return false"
                                                                                    onpaste="return false" ToolTip="dd-MMM-yyyy" TabIndex="13"></asp:TextBox>--%>
                                                                                    <asp:TextBox ID="txtStartDate" runat="server" onkeypress="return false" onkeydown="doCheckBackSpaceOrDelete()"
                                                                                        onpaste="return false" TabIndex="5"></asp:TextBox>
                                                                                    <cc1:CalendarExtender ID="ceStartDate" runat="server" CssClass="cal_Theme1" TargetControlID="txtStartDate"
                                                                                        Format="dd/MM/yyyy">
                                                                                    </cc1:CalendarExtender>
                                                                                </td>
                                                                                <td>
                                                                                    <asp:DropDownList ID="ddlFromHours" runat="server" TabIndex="14" CssClass="time"
                                                                                        onchange="CheckTimePicker(this,'ddlFromAMPM');">
                                                                                        <asp:ListItem>00</asp:ListItem>
                                                                                        <asp:ListItem>01</asp:ListItem>
                                                                                        <asp:ListItem>02</asp:ListItem>
                                                                                        <asp:ListItem>03</asp:ListItem>
                                                                                        <asp:ListItem>04</asp:ListItem>
                                                                                        <asp:ListItem>05</asp:ListItem>
                                                                                        <asp:ListItem>06</asp:ListItem>
                                                                                        <asp:ListItem>07</asp:ListItem>
                                                                                        <asp:ListItem>08</asp:ListItem>
                                                                                        <asp:ListItem>09</asp:ListItem>
                                                                                        <asp:ListItem>10</asp:ListItem>
                                                                                        <asp:ListItem>11</asp:ListItem>
                                                                                        <asp:ListItem>12</asp:ListItem>
                                                                                    </asp:DropDownList>
                                                                                </td>
                                                                                <td>
                                                                                    <asp:DropDownList ID="ddlFromAMPM" runat="server" TabIndex="15" CssClass="time">
                                                                                        <asp:ListItem>AM</asp:ListItem>
                                                                                        <asp:ListItem>PM</asp:ListItem>
                                                                                    </asp:DropDownList>
                                                                                </td>
                                                                            </tr>
                                                                        </table>
                                                                    </td>
                                                                    <td>
                                                                        <asp:Label ID="lblTo" runat="server" Text="To" Font-Bold="true"></asp:Label>
                                                                    </td>
                                                                    <td>
                                                                        <table cellpadding="0" border="0" cellspacing="0">
                                                                            <tr>
                                                                                <td>
                                                                                    <%--  <asp:TextBox ID="txtEndDate" runat="server" oncopy="return false" oncut="return false"
                                                                                    onkeydown="doCheckBackSpaceOrDelete()" onkeypress="return false" onpaste="return false"
                                                                                    CssClass="date" ToolTip="dd-MMM-yyyy" TabIndex="16"></asp:TextBox>--%>
                                                                                    <asp:TextBox ID="txtEndDate" runat="server" onkeypress="return false" onkeydown="doCheckBackSpaceOrDelete()"
                                                                                        onpaste="return false" TabIndex="5"></asp:TextBox>
                                                                                    <cc1:CalendarExtender ID="CalendarExtender1" runat="server" CssClass="cal_Theme1" TargetControlID="txtEndDate"
                                                                                        Format="dd/MM/yyyy">
                                                                                    </cc1:CalendarExtender>

                                                                                </td>

                                                                                <td>
                                                                                    <asp:DropDownList ID="ddlToHours" runat="server" TabIndex="17" CssClass="time" onchange="CheckTimePicker(this,'ddlToAMPM');">
                                                                                        <asp:ListItem>00</asp:ListItem>
                                                                                        <asp:ListItem>01</asp:ListItem>
                                                                                        <asp:ListItem>02</asp:ListItem>
                                                                                        <asp:ListItem>03</asp:ListItem>
                                                                                        <asp:ListItem>04</asp:ListItem>
                                                                                        <asp:ListItem>05</asp:ListItem>
                                                                                        <asp:ListItem>06</asp:ListItem>
                                                                                        <asp:ListItem>07</asp:ListItem>
                                                                                        <asp:ListItem>08</asp:ListItem>
                                                                                        <asp:ListItem>09</asp:ListItem>
                                                                                        <asp:ListItem>10</asp:ListItem>
                                                                                        <asp:ListItem>11</asp:ListItem>
                                                                                        <asp:ListItem>12</asp:ListItem>
                                                                                    </asp:DropDownList>
                                                                                </td>
                                                                                <td>
                                                                                    <asp:DropDownList ID="ddlToAMPM" CssClass="time" TabIndex="18" runat="server">
                                                                                        <asp:ListItem>AM</asp:ListItem>
                                                                                        <asp:ListItem>PM</asp:ListItem>
                                                                                    </asp:DropDownList>
                                                                                </td>
                                                                            </tr>
                                                                        </table>
                                                                    </td>
                                                                </tr>
                                                            </table>
                                                        </td>
                                                    </tr>
                                                    <tr>
                                                        <td>
                                                            <asp:RadioButton ID="rbtFleet" runat="server" Text="Fleet" GroupName="viewSchedule"
                                                                AutoPostBack="true" OnCheckedChanged="rbtFleet_CheckedChanged" Checked="True" />
                                                        </td>
                                                        <td>
                                                            <asp:RadioButton ID="rbtDriverGroup" runat="server" Text="Driver Group" GroupName="viewSchedule"
                                                                AutoPostBack="true" OnCheckedChanged="rbtDriverGroup_CheckedChanged" />
                                                        </td>
                                                        <td id="tdFleetCaption" runat="server">
                                                            <asp:Label Style="white-space: nowrap" ID="lblFleetName" runat="server" Font-Bold="true"
                                                                Text="Fleet Name"></asp:Label>
                                                        </td>
                                                        <td id="tdFleetDDL" runat="server">
                                                            <asp:DropDownList ID="ddlFleet" runat="server" AutoPostBack="true" OnSelectedIndexChanged="FleetName_selectionchanged">
                                                                <asp:ListItem Text="- Select -" Value="0"></asp:ListItem>
                                                            </asp:DropDownList>
                                                        </td>
                                                        <td id="tdDriverCaption" runat="server" class="ControlHide">
                                                            <asp:Label Style="white-space: nowrap" ID="lblDriverGroup" runat="server" Font-Bold="true"
                                                                Text="Driver Group"></asp:Label>
                                                        </td>
                                                        <td id="tdDriverDDL" runat="server" class="ControlHide">
                                                            <asp:DropDownList ID="ddlDriverGroup" runat="server">
                                                                <asp:ListItem Text="- Select -" Value="0"></asp:ListItem>
                                                            </asp:DropDownList>
                                                        </td>
                                                    </tr>
                                                </table>
                                                <div class="clear clearfix">
                                                </div>
                                            </div>
                                        </asp:Panel>
                                        <div class="clear clearfix">
                                        </div>
                                        <asp:Panel ID="pnlScheduleCalendar" runat="server" Visible="false">
                                            <div id="grid-dsply">
                                                <div id="top">
                                                    <div class="left-col">
                                                        <span class="icon" style="padding-top: 5px">
                                                            <asp:Image ID="Image1" runat="server" ImageUrl="../images/icn-unassigned-vehicles.gif" /></span>
                                                        <span class="txt">
                                                            <asp:Label ID="lblRouteScheduling" runat="server" Text="Route Scheduling"></asp:Label>
                                                        </span>
                                                    </div>
                                                </div>
                                                <dxw:ASPxCalendar ID="calDriverScheduler" runat="server" OnDayRender="dxDriver_DayRender"
                                                    ShowClearButton="False" ShowTodayButton="False" ShowWeekNumbers="False" Font-Size="8pt"
                                                    Font-Names="Arial" ForeColor="#07519A" ClientInstanceName="Calendar" EnableDefaultAppearance="False"
                                                    EnableMultiSelect="True" SkinID="None" EnableViewState="False" BackColor="White"
                                                    Width="100%">
                                                    <ButtonStyle BackColor="#EBF3FB" Font-Names="Arial" Cursor="pointer">
                                                        <HoverStyle BackColor="#E2ECF8" />
                                                        <PressedStyle BackColor="#C4DCF4" />
                                                        <Border BorderWidth="1px" BorderStyle="Solid" BorderColor="#AACCEE" />
                                                    </ButtonStyle>
                                                    <PrevMonthImage Height="17px" Width="19px" AlternateText="Previous month" Url="../images/leftSingleArrow.png" />
                                                    <NextMonthImage Height="17px" Width="19px" AlternateText="Next  month" Url="../images/rightSingleArrow.png" />
                                                    <BorderRight BorderStyle="None" />
                                                    <DayHeaderStyle Font-Size="12pt" ForeColor="#51A8DF">
                                                        <BorderBottom BorderWidth="1px" BorderStyle="Solid" BorderColor="#AACCEE" />
                                                        <BorderRight BorderWidth="1px" BorderStyle="Solid" BorderColor="#AACCEE" />
                                                    </DayHeaderStyle>
                                                    <MonthGridPaddings Padding="0px" />
                                                    <Border BorderStyle="Solid" BorderColor="#AACCEE" BorderWidth="1px" />
                                                    <NextYearImage Height="17px" Width="19px" AlternateText="Next year" Url="../images/rightDoubleArrow.png" />
                                                    <HeaderStyle Spacing="5px" HorizontalAlign="Center" Font-Size="16pt" BackColor="#EBF3FB"
                                                        ForeColor="#51A8DF">
                                                        <Paddings PaddingTop="3px" PaddingRight="5px" PaddingBottom="3px" PaddingLeft="5px" />
                                                        <BackgroundImage Repeat="RepeatX" VerticalPosition="bottom" ImageUrl="../images/headerBg.png" />
                                                        <Border BorderWidth="1px" BorderStyle="Solid" BorderColor="#AACCEE" />
                                                        <BorderTop BorderStyle="None" />
                                                        <BorderLeft BorderStyle="None" />
                                                    </HeaderStyle>
                                                    <FastNavFooterStyle Spacing="5px" HorizontalAlign="Center" BackColor="#EBF3FB">
                                                        <Paddings Padding="10px" />
                                                        <Border BorderWidth="1px" BorderStyle="Solid" BorderColor="#AACCEE" />
                                                        <BorderTop BorderStyle="None" />
                                                    </FastNavFooterStyle>
                                                    <WeekNumberStyle ForeColor="#51A8DF">
                                                    </WeekNumberStyle>
                                                    <FastNavMonthStyle Font-Italic="False" Cursor="pointer">
                                                        <Paddings PaddingTop="5px" PaddingRight="2px" PaddingBottom="5px" PaddingLeft="2px" />
                                                        <HoverStyle BackColor="#E2ECF8">
                                                            <Border BorderWidth="1px" BorderStyle="Solid" BorderColor="#AACCEE" />
                                                        </HoverStyle>
                                                        <SelectedStyle BackColor="#C4DCF4" />
                                                    </FastNavMonthStyle>
                                                    <DayOtherMonthStyle ForeColor="#C9DEF4">
                                                        <BackgroundImage ImageUrl="../images/otherMonthDayBg.png" />
                                                    </DayOtherMonthStyle>
                                                    <PrevYearImage Height="17px" Width="19px" AlternateText="Previous year" Url="../images/leftDoubleArrow.png" />
                                                    <DayStyle VerticalAlign="Top" Cursor="default">
                                                        <Paddings Padding="3px" />
                                                        <Border BorderWidth="1px" BorderStyle="Solid" BorderColor="#AACCEE" />
                                                        <BorderTop BorderStyle="None" />
                                                        <BorderLeft BorderStyle="None" />
                                                    </DayStyle>
                                                    <FastNavPrevYearImage Height="17px" Width="19px" AlternateText="Previous year" Url="../images/leftSingleArrow.png" />
                                                    <FastNavYearStyle Cursor="pointer">
                                                        <Paddings PaddingTop="2px" Padding="4px" />
                                                        <HoverStyle BackColor="#E2ECF8">
                                                            <Border BorderWidth="1px" BorderStyle="Solid" BorderColor="#AACCEE" />
                                                        </HoverStyle>
                                                        <SelectedStyle BackColor="#C4DCF4" />
                                                    </FastNavYearStyle>
                                                    <BorderBottom BorderStyle="None" />
                                                    <FastNavNextYearImage Height="17px" Width="19px" AlternateText="Next year" Url="../images/rightSingleArrow.png" />
                                                    <DaySelectedStyle BackColor="#E2ECF8" />
                                                    <FastNavStyle MonthYearSpacing="8px" HorizontalAlign="Center" VerticalAlign="Top"
                                                        Font-Size="12pt" Font-Bold="False" BackColor="#EBF3FB" ImageSpacing="12px">
                                                        <Paddings Padding="10px" />
                                                        <Border BorderWidth="1px" BorderStyle="Solid" BorderColor="#AACCEE" />
                                                    </FastNavStyle>
                                                    <ClientSideEvents SelectionChanged="function(s, e) {calSelection(s,e);}" />
                                                </dxw:ASPxCalendar>
                                            </div>
                                        </asp:Panel>
                                        <div class="clear clearfix">
                                        </div>
                                        <asp:Panel ID="pnlUnAssignedVehicleList" runat="server" Visible="true">
                                            <div id="grid-dsply">
                                                <div id="top">
                                                    <div class="left-col">
                                                        <span class="icon" style="padding-top: 5px">
                                                            <asp:Image ID="imgUnassignedVehicles" runat="server" ImageUrl="../images/icn-unassigned-vehicles.gif" /></span>
                                                        <span class="txt">
                                                            <asp:Label ID="lblUnassignedVehicles" runat="server" Text="Unassigned Vehicles"></asp:Label>
                                                        </span>
                                                    </div>
                                                </div>
                                                <asp:HiddenField ID="hdnVehicleIdsToBeAssinged" runat="server" />
                                                <dxw:ASPxGridView ID="gvUnAssignedVehicles" runat="server" Width="100%" EnableTheming="true"
                                                    OnHtmlRowCreated="gvUnAssignedVehicles_OnHtmlRowCreated" KeyFieldName="VehicleId"
                                                    CssFilePath="~/App_Themes/Office2003 Blue/{0}/styles.css" ClientInstanceName="gvUnAssignedVehicles"
                                                    CssPostfix="Office2003_Blue" Settings-ShowFilterRow="true">
                                                    <Settings ShowVerticalScrollBar="true" VerticalScrollableHeight="125" />
                                                    <ClientSideEvents SelectionChanged="function(s, e) { OnGridSelectionChanged(1); }" />
                                                    <Images ImageFolder="~/App_Themes/Office2003 Blue/{0}/">
                                                        <CollapsedButton Height="12px" Url="~/App_Themes/Office2003 Blue/GridView/gvCollapsedButton.png"
                                                            Width="11px" />
                                                        <ExpandedButton Height="12px" Url="~/App_Themes/Office2003 Blue/GridView/gvExpandedButton.png"
                                                            Width="11px" />
                                                        <DetailCollapsedButton Height="12px" Url="~/App_Themes/Office2003 Blue/GridView/gvCollapsedButton.png"
                                                            Width="11px" />
                                                        <DetailExpandedButton Height="12px" Url="~/App_Themes/Office2003 Blue/GridView/gvExpandedButton.png"
                                                            Width="11px" />
                                                    </Images>
                                                    <Styles CssFilePath="~/App_Themes/Office2003 Blue/{0}/grid.css" AlternatingRow-Enabled="True"
                                                        CssPostfix="Office2003_Blue">
                                                        <Header ImageSpacing="5px" SortingImageSpacing="5px">
                                                        </Header>
                                                        <LoadingPanel ImageSpacing="10px">
                                                        </LoadingPanel>
                                                        <PagerBottomPanel CssClass="PageFooter">
                                                        </PagerBottomPanel>
                                                        <PagerTopPanel CssClass="PageFooter">
                                                        </PagerTopPanel>
                                                    </Styles>
                                                    <SettingsPager PrevPageButton-Image-Url="../App_Themes/Office2003 Blue/GridView/pPrev.gif"
                                                        PrevPageButton-Image-UrlDisabled="../App_Themes/Office2003 Blue/GridView/pPrevDisabled.gif"
                                                        NextPageButton-Image-UrlDisabled="../App_Themes/Office2003 Blue/GridView/pNextDisabled.gif"
                                                        NextPageButton-Image-Url="../App_Themes/Office2003 Blue/GridView/pNext.gif" AlwaysShowPager="true"
                                                        PageSize="5">
                                                    </SettingsPager>
                                                    <Columns>
                                                        <dxw:GridViewDataColumn FieldName="VehicleId" Caption="AutoID" VisibleIndex="0"
                                                            Visible="false">
                                                        </dxw:GridViewDataColumn>
                                                        <dxw:GridViewCommandColumn ShowSelectCheckbox="True" VisibleIndex="1" Width="5%">
                                                            <HeaderTemplate>
                                                                <input type="checkbox" onclick="gvUnAssignedVehicles.SelectAllRowsOnPage(this.checked);"
                                                                    style="vertical-align: middle;" title="Select/Unselect all rows on the page"></input>
                                                            </HeaderTemplate>
                                                            <HeaderStyle Paddings-PaddingTop="1" Paddings-PaddingBottom="1" HorizontalAlign="Center" />
                                                        </dxw:GridViewCommandColumn>
                                                        <dxw:GridViewDataColumn FieldName="VehicleDescription" Caption="Vehicle Name" VisibleIndex="2"
                                                            Width="25%">
                                                            <HeaderCaptionTemplate>
                                                                <span class="icon">
                                                                    <asp:Image ID="imgUnAssVehVehicleName" ImageUrl="..\Images\icn-vehicle-name.gif"
                                                                        runat="server" align="top" /></span> <span class="label">
                                                                            <asp:Label ID="lblUnAssVehVehicleName" runat="server" Text="Vehicle Name"></asp:Label>
                                                                        </span>
                                                            </HeaderCaptionTemplate>
                                                            <Settings AllowAutoFilter="True" />
                                                        </dxw:GridViewDataColumn>
                                                        <dxw:GridViewDataColumn FieldName="VehicleTypeName" Caption="Vehicle Type" VisibleIndex="3"
                                                            Width="20%">
                                                            <HeaderCaptionTemplate>
                                                                <span class="icon">
                                                                    <asp:Image ID="imgUnAssVehVehicleType" runat="server" ImageUrl="..\Images\icn-vehicle-type.gif"
                                                                        align="top" /></span> <span class="label">
                                                                            <asp:Label ID="lblUnAssVehVehicleType" runat="server" Text="Vehicle Type"></asp:Label>
                                                                        </span>
                                                            </HeaderCaptionTemplate>
                                                            <Settings AllowAutoFilter="True" />
                                                        </dxw:GridViewDataColumn>
                                                        <dxw:GridViewDataColumn FieldName="MakeName" Caption="Make" VisibleIndex="4" Width="20%">
                                                            <HeaderCaptionTemplate>
                                                                <span class="icon">
                                                                    <asp:Image runat="server" ID="imgUnAssVehMake" ImageUrl="..\Images\icn-make-name.gif"
                                                                        align="top" /></span> <span class="label">
                                                                            <asp:Label ID="lblUnAssVehMake" runat="server" Text="Make"></asp:Label>
                                                                        </span>
                                                            </HeaderCaptionTemplate>
                                                            <Settings AllowAutoFilter="True" />
                                                        </dxw:GridViewDataColumn>
                                                        <dxw:GridViewDataColumn FieldName="ModelName" Caption="Model" VisibleIndex="5" Width="20%">
                                                            <HeaderCaptionTemplate>
                                                                <span class="icon">
                                                                    <asp:Image ID="imgUnAssVehModel" runat="server" ImageUrl="..\Images\icn-model-name.gif"
                                                                        align="top" /></span> <span class="label">
                                                                            <asp:Label ID="lblUnAssVehModel" runat="server" Text="Model"></asp:Label>
                                                                        </span>
                                                            </HeaderCaptionTemplate>
                                                            <Settings AllowAutoFilter="True" />
                                                        </dxw:GridViewDataColumn>
                                                        <dxw:GridViewDataColumn FieldName="ModelYear" Caption="Year" VisibleIndex="6" Width="10%"
                                                            CellStyle-HorizontalAlign="Left">
                                                            <HeaderCaptionTemplate>
                                                                <span class="icon">
                                                                    <asp:Image ID="imgUnAssVehYear" runat="server" ImageUrl="..\Images\icn-vehicle-year.gif"
                                                                        align="top" /></span> <span class="label">
                                                                            <asp:Label ID="lblUnAssVehYear" runat="server" Text="Year"></asp:Label>
                                                                        </span>
                                                            </HeaderCaptionTemplate>
                                                            <Settings AllowAutoFilter="False" />
                                                        </dxw:GridViewDataColumn>
                                                    </Columns>
                                                    <SettingsText EmptyDataRow="No Unassigned Vehicles found" />
                                                    <Settings ShowFilterRow="true" ShowFilterRowMenu="True" />
                                                </dxw:ASPxGridView>
                                                <div class="form-box" style="margin: 0; padding: 0">
                                                    <table width="100%" class="form-tbl" style="margin: 0; padding: 0">
                                                        <tr>
                                                            <td></td>
                                                            <td width="10%" valign="bottom" style="padding-left: 20px">
                                                                <asp:ImageButton ID="btnAssignVehicles" runat="server" ImageUrl="../images/btn-assign-vehicles.jpg"
                                                                    OnClick="AssignVehicles" OnClientClick="return CheckSelectionForManipulation(1);" />
                                                            </td>
                                                        </tr>
                                                    </table>
                                                </div>
                                            </div>
                                        </asp:Panel>
                                        <div class="clear clearfix">
                                        </div>
                                        <asp:Panel ID="pnlAssignedVehiclesList" runat="server" Visible="true">
                                            <div id="grid-dsply">
                                                <div id="top">
                                                    <div class="left-col">
                                                        <span class="icon" style="padding-top: 5px">
                                                            <asp:Image ID="imgAssignedVehicles" runat="server" ImageUrl="../images/icn-vehicle-assignment.gif" /></span>
                                                        <span class="txt">
                                                            <asp:Label ID="lblAssignedVehicles" runat="server" Text="Assigned Vehicles"></asp:Label>
                                                        </span>
                                                    </div>
                                                </div>
                                                <asp:HiddenField ID="hdnVehicleIdsToBeUnassinged" runat="server" />
                                                <dxw:ASPxGridView ID="gvAssignedVehicles" runat="server" Width="100%" EnableTheming="true"
                                                    OnHtmlRowCreated="gvAssignedVehicles_OnHtmlRowCreated" KeyFieldName="VehicleId"
                                                    CssFilePath="~/App_Themes/Office2003 Blue/{0}/styles.css" CssPostfix="Office2003_Blue"
                                                    ClientInstanceName="gvAssignedVehicles">
                                                    <Settings ShowVerticalScrollBar="true" VerticalScrollableHeight="125" />
                                                    <ClientSideEvents SelectionChanged="function(s, e) { OnGridSelectionChanged(2); }" />
                                                    <Images ImageFolder="~/App_Themes/Office2003 Blue/{0}/">
                                                        <CollapsedButton Height="12px" Url="~/App_Themes/Office2003 Blue/GridView/gvCollapsedButton.png"
                                                            Width="11px" />
                                                        <ExpandedButton Height="12px" Url="~/App_Themes/Office2003 Blue/GridView/gvExpandedButton.png"
                                                            Width="11px" />
                                                        <DetailCollapsedButton Height="12px" Url="~/App_Themes/Office2003 Blue/GridView/gvCollapsedButton.png"
                                                            Width="11px" />
                                                        <DetailExpandedButton Height="12px" Url="~/App_Themes/Office2003 Blue/GridView/gvExpandedButton.png"
                                                            Width="11px" />
                                                    </Images>
                                                    <Styles CssFilePath="~/App_Themes/Office2003 Blue/{0}/grid.css" AlternatingRow-Enabled="True"
                                                        CssPostfix="Office2003_Blue">
                                                        <Header ImageSpacing="5px" SortingImageSpacing="5px">
                                                        </Header>
                                                        <LoadingPanel ImageSpacing="10px">
                                                        </LoadingPanel>
                                                        <PagerBottomPanel CssClass="PageFooter">
                                                        </PagerBottomPanel>
                                                        <PagerTopPanel CssClass="PageFooter">
                                                        </PagerTopPanel>
                                                    </Styles>
                                                    <SettingsPager PrevPageButton-Image-Url="../App_Themes/Office2003 Blue/GridView/pPrev.gif"
                                                        PrevPageButton-Image-UrlDisabled="../App_Themes/Office2003 Blue/GridView/pPrevDisabled.gif"
                                                        NextPageButton-Image-UrlDisabled="../App_Themes/Office2003 Blue/GridView/pNextDisabled.gif"
                                                        NextPageButton-Image-Url="../App_Themes/Office2003 Blue/GridView/pNext.gif" AlwaysShowPager="true"
                                                        PageSize="5">
                                                    </SettingsPager>
                                                    <Columns>
                                                        <dxw:GridViewDataColumn FieldName="VehicleId" Caption="AutoID" VisibleIndex="0"
                                                            Visible="false">
                                                        </dxw:GridViewDataColumn>
                                                        <dxw:GridViewCommandColumn ShowSelectCheckbox="True" VisibleIndex="1" Width="5%">
                                                            <HeaderTemplate>
                                                                <input type="checkbox" onclick="gvAssignedVehicles.SelectAllRowsOnPage(this.checked);"
                                                                    style="vertical-align: middle;" title="Select/Unselect all rows on the page"></input>
                                                            </HeaderTemplate>
                                                            <HeaderStyle Paddings-PaddingTop="1" Paddings-PaddingBottom="1" HorizontalAlign="Center" />
                                                        </dxw:GridViewCommandColumn>
                                                        <dxw:GridViewDataColumn FieldName="VehicleDescription" Caption="Vehicle Name" VisibleIndex="2"
                                                            Width="25%">
                                                            <HeaderCaptionTemplate>
                                                                <span class="icon">
                                                                    <asp:Image ID="imgAssVehVehicleName" runat="server" ImageUrl="..\Images\icn-vehicle-name.gif"
                                                                        align="top" /></span> <span class="label">
                                                                            <asp:Label ID="lblAssVehVehicleName" runat="server" Text="Vehicle Name"></asp:Label></span>
                                                            </HeaderCaptionTemplate>
                                                            <Settings AllowAutoFilter="True" />
                                                        </dxw:GridViewDataColumn>
                                                        <dxw:GridViewDataColumn FieldName="VehicleTypeName" Caption="Vehicle Type" VisibleIndex="3"
                                                            Width="20%">
                                                            <HeaderCaptionTemplate>
                                                                <span class="icon">
                                                                    <asp:Image ID="imgAssVehVehicleType" runat="server" ImageUrl="..\Images\icn-vehicle-type.gif"
                                                                        align="top" /></span> <span class="label">
                                                                            <asp:Label runat="server" ID="lblAssVehVehicleType" Text="Vehicle Type"></asp:Label></span>
                                                            </HeaderCaptionTemplate>
                                                            <Settings AllowAutoFilter="True" />
                                                        </dxw:GridViewDataColumn>
                                                        <dxw:GridViewDataColumn FieldName="MakeName" Caption="Make" VisibleIndex="4" Width="20%">
                                                            <HeaderCaptionTemplate>
                                                                <span class="icon">
                                                                    <asp:Image runat="server" ID="imgAssVehMake" ImageUrl="..\Images\icn-make-name.gif"
                                                                        align="top" /></span> <span class="label">
                                                                            <asp:Label ID="lblAssVehMake" runat="server" Text="Make"></asp:Label>
                                                                        </span>
                                                            </HeaderCaptionTemplate>
                                                            <Settings AllowAutoFilter="True" />
                                                        </dxw:GridViewDataColumn>
                                                        <dxw:GridViewDataColumn FieldName="ModelName" Caption="Model" VisibleIndex="5" Width="20%">
                                                            <HeaderCaptionTemplate>
                                                                <span class="icon">
                                                                    <asp:Image runat="server" ID="imgAssVehModel" ImageUrl="..\Images\icn-model-name.gif"
                                                                        align="top" /></span> <span class="label">
                                                                            <asp:Label ID="lblAssVehModel" runat="server" Text="Model"></asp:Label>
                                                                        </span>
                                                            </HeaderCaptionTemplate>
                                                            <Settings AllowAutoFilter="True" />
                                                        </dxw:GridViewDataColumn>
                                                        <dxw:GridViewDataColumn FieldName="ModelYear" Caption="Year" VisibleIndex="6" Width="10%"
                                                            CellStyle-HorizontalAlign="Left">
                                                            <HeaderCaptionTemplate>
                                                                <span class="icon">
                                                                    <asp:Image runat="server" ID="imgAssVehYear" ImageUrl="..\Images\icn-vehicle-year.gif"
                                                                        alt="" align="top" /></span> <span class="label">
                                                                            <asp:Label ID="lblAssVehYear" runat="server" Text="Year"></asp:Label>
                                                                        </span>
                                                            </HeaderCaptionTemplate>
                                                            <Settings AllowAutoFilter="False" />
                                                        </dxw:GridViewDataColumn>
                                                    </Columns>
                                                    <Settings ShowFilterRow="true" ShowFilterRowMenu="True" />
                                                    <SettingsText EmptyDataRow=" No Assigned Vehicles found" />
                                                </dxw:ASPxGridView>
                                                <div class="form-box" style="margin: 0; padding: 0">
                                                    <table width="100%" class="form-tbl" style="margin: 0; padding: 0">
                                                        <tr>
                                                            <td></td>
                                                            <td width="10%" valign="bottom" style="padding-left: 20px">
                                                                <asp:ImageButton ID="btnUnassignVehicles" runat="server" ImageUrl="../images/btn-unassign-vehicles.jpg"
                                                                    OnClick="UnassignVehicles" OnClientClick="return CheckSelectionForManipulation(2);" />
                                                            </td>
                                                        </tr>
                                                    </table>
                                                </div>
                                            </div>
                                        </asp:Panel>
                                        <div class="clear clearfix">
                                        </div>
                                        <asp:Panel ID="pnlUnAssignedDriverList" runat="server" Visible="false">
                                            <div id="grd_dsply">
                                                <div id="top">
                                                    <div class="left-col">
                                                        <span class="icon" style="padding-top: 5px">
                                                            <asp:Image ID="Image6" runat="server" ImageUrl="../images/icn-unassigned-vehicles.gif" /></span>
                                                        <span class="txt">
                                                            <asp:Label ID="Label6" runat="server" Text="Unassigned Vehicles"></asp:Label>
                                                        </span>
                                                    </div>
                                                </div>
                                                <asp:HiddenField ID="hdnDriverIdsToBeAssigned" runat="server" />
                                                <dxw:ASPxGridView ID="gvUnAssignedDrivers" runat="server" Width="100%" EnableTheming="true"
                                                    KeyFieldName="DriverId" CssFilePath="~/App_Themes/Office2003 Blue/{0}/styles.css"
                                                    ClientInstanceName="gvUnAssignedDrivers" CssPostfix="Office2003_Blue" Settings-ShowFilterRow="true">
                                                    <Settings ShowVerticalScrollBar="true" VerticalScrollableHeight="125" />
                                                    <ClientSideEvents SelectionChanged="function(s, e) { OnGridSelectionChanged(1); }" />
                                                    <Images ImageFolder="~/App_Themes/Office2003 Blue/{0}/">
                                                        <CollapsedButton Height="12px" Url="~/App_Themes/Office2003 Blue/GridView/gvCollapsedButton.png"
                                                            Width="11px" />
                                                        <ExpandedButton Height="12px" Url="~/App_Themes/Office2003 Blue/GridView/gvExpandedButton.png"
                                                            Width="11px" />
                                                        <DetailCollapsedButton Height="12px" Url="~/App_Themes/Office2003 Blue/GridView/gvCollapsedButton.png"
                                                            Width="11px" />
                                                        <DetailExpandedButton Height="12px" Url="~/App_Themes/Office2003 Blue/GridView/gvExpandedButton.png"
                                                            Width="11px" />
                                                    </Images>
                                                    <Styles CssFilePath="~/App_Themes/Office2003 Blue/{0}/grid.css" AlternatingRow-Enabled="True"
                                                        CssPostfix="Office2003_Blue">
                                                        <Header ImageSpacing="5px" SortingImageSpacing="5px">
                                                        </Header>
                                                        <LoadingPanel ImageSpacing="10px">
                                                        </LoadingPanel>
                                                        <PagerBottomPanel CssClass="PageFooter">
                                                        </PagerBottomPanel>
                                                        <PagerTopPanel CssClass="PageFooter">
                                                        </PagerTopPanel>
                                                    </Styles>
                                                    <SettingsPager PrevPageButton-Image-Url="../App_Themes/Office2003 Blue/GridView/pPrev.gif"
                                                        PrevPageButton-Image-UrlDisabled="../App_Themes/Office2003 Blue/GridView/pPrevDisabled.gif"
                                                        NextPageButton-Image-UrlDisabled="../App_Themes/Office2003 Blue/GridView/pNextDisabled.gif"
                                                        NextPageButton-Image-Url="../App_Themes/Office2003 Blue/GridView/pNext.gif" AlwaysShowPager="true"
                                                        PageSize="5">
                                                    </SettingsPager>
                                                    <Columns>
                                                        <dxw:GridViewDataColumn FieldName="DriverId" Caption="AutoID" VisibleIndex="0" Visible="false">
                                                        </dxw:GridViewDataColumn>
                                                        <dxw:GridViewCommandColumn ShowSelectCheckbox="True" VisibleIndex="1" Width="5%">
                                                            <HeaderTemplate>
                                                                <input type="checkbox" onclick="gvUnAssignedDrivers.SelectAllRowsOnPage(this.checked);"
                                                                    style="vertical-align: middle;" title="Select/Unselect all rows on the page"></input>
                                                            </HeaderTemplate>
                                                            <HeaderStyle Paddings-PaddingTop="1" Paddings-PaddingBottom="1" HorizontalAlign="Center" />
                                                        </dxw:GridViewCommandColumn>
                                                        <dxw:GridViewDataColumn FieldName="DriverName" Caption="Driver Name" VisibleIndex="2"
                                                            Width="25%">
                                                            <HeaderCaptionTemplate>
                                                                <span class="icon">
                                                                    <asp:Image ID="imgUnAssVehVehicleName" ImageUrl="..\Images\icn-vehicle-name.gif"
                                                                        runat="server" align="top" /></span> <span class="label">
                                                                            <asp:Label ID="lblUnAssVehVehicleName" runat="server" Text="Vehicle Name"></asp:Label>
                                                                        </span>
                                                            </HeaderCaptionTemplate>
                                                            <Settings AllowAutoFilter="True" />
                                                        </dxw:GridViewDataColumn>
                                                        <dxw:GridViewDataColumn FieldName="Address" Caption="Address" VisibleIndex="3" Width="20%">
                                                            <HeaderCaptionTemplate>
                                                                <span class="icon">
                                                                    <asp:Image ID="imgUnAssVehVehicleType" runat="server" ImageUrl="..\Images\icn-vehicle-type.gif"
                                                                        align="top" /></span> <span class="label">
                                                                            <asp:Label ID="lblUnAssVehVehicleType" runat="server" Text="Vehicle Type"></asp:Label>
                                                                        </span>
                                                            </HeaderCaptionTemplate>
                                                            <Settings AllowAutoFilter="True" />
                                                        </dxw:GridViewDataColumn>
                                                        <dxw:GridViewDataColumn FieldName="MobileNo" Caption="MobileNo" VisibleIndex="4"
                                                            Width="20%">
                                                            <HeaderCaptionTemplate>
                                                                <span class="icon">
                                                                    <asp:Image runat="server" ID="imgUnAssVehMake" ImageUrl="..\Images\icn-make-name.gif"
                                                                        align="top" /></span> <span class="label">
                                                                            <asp:Label ID="lblUnAssVehMake" runat="server" Text="Make"></asp:Label>
                                                                        </span>
                                                            </HeaderCaptionTemplate>
                                                            <Settings AllowAutoFilter="True" />
                                                        </dxw:GridViewDataColumn>
                                                        <dxw:GridViewDataColumn FieldName="LicenseNo" Caption="LicenseNo" VisibleIndex="5"
                                                            Width="20%">
                                                            <HeaderCaptionTemplate>
                                                                <span class="icon">
                                                                    <asp:Image ID="imgUnAssVehModel" runat="server" ImageUrl="..\Images\icn-model-name.gif"
                                                                        align="top" /></span> <span class="label">
                                                                            <asp:Label ID="lblUnAssVehModel" runat="server" Text="Model"></asp:Label>
                                                                        </span>
                                                            </HeaderCaptionTemplate>
                                                            <Settings AllowAutoFilter="True" />
                                                        </dxw:GridViewDataColumn>
                                                        <dxw:GridViewDataColumn FieldName="LicenseExpiresOn" Caption="License Expires On"
                                                            VisibleIndex="6" Width="10%" CellStyle-HorizontalAlign="Left">
                                                            <HeaderCaptionTemplate>
                                                                <span class="icon">
                                                                    <asp:Image ID="imgUnAssVehYear" runat="server" ImageUrl="..\Images\icn-vehicle-year.gif"
                                                                        align="top" /></span> <span class="label">
                                                                            <asp:Label ID="lblUnAssVehYear" runat="server" Text="Year"></asp:Label>
                                                                        </span>
                                                            </HeaderCaptionTemplate>
                                                            <Settings AllowAutoFilter="False" />
                                                        </dxw:GridViewDataColumn>
                                                    </Columns>
                                                    <SettingsText EmptyDataRow="No Unassigned Vehicles found" />
                                                    <Settings ShowFilterRow="true" ShowFilterRowMenu="True" />
                                                </dxw:ASPxGridView>
                                                <div class="form-box" style="margin: 0; padding: 0">
                                                    <table width="100%" class="form-tbl" style="margin: 0; padding: 0">
                                                        <tr>
                                                            <td></td>
                                                            <td width="10%" valign="bottom" style="padding-left: 20px">
                                                                <asp:ImageButton ID="ibtAssignedDrivers" runat="server" ImageUrl="../images/btn-assign-vehicles.jpg"
                                                                    OnClick="AssignVehicles" OnClientClick="return CheckSelectionForManipulation(1);" />
                                                            </td>
                                                        </tr>
                                                    </table>
                                                </div>
                                            </div>
                                        </asp:Panel>
                                        <div class="clear clearfix">
                                        </div>
                                        <asp:Panel ID="pnlAssignedDriverList" runat="server" Visible="false">
                                            <div id="grd_dsply">
                                                <div id="top">
                                                    <div class="left-col">
                                                        <span class="icon" style="padding-top: 5px">
                                                            <asp:Image ID="Image7" runat="server" ImageUrl="../images/icn-vehicle-assignment.gif" /></span>
                                                        <span class="txt">
                                                            <asp:Label ID="Label7" runat="server" Text="Assigned Vehicles"></asp:Label>
                                                        </span>
                                                    </div>
                                                </div>
                                                <asp:HiddenField ID="hdnDriverIdsToBeUnAssigned" runat="server" />
                                                <dxw:ASPxGridView ID="gvAssignedDrivers" runat="server" Width="100%" EnableTheming="true"
                                                    KeyFieldName="VehicleId" CssFilePath="~/App_Themes/Office2003 Blue/{0}/styles.css"
                                                    CssPostfix="Office2003_Blue" ClientInstanceName="gvAssignedDrivers">
                                                    <Settings ShowVerticalScrollBar="true" VerticalScrollableHeight="125" />
                                                    <ClientSideEvents SelectionChanged="function(s, e) { OnGridSelectionChanged(2); }" />
                                                    <Images ImageFolder="~/App_Themes/Office2003 Blue/{0}/">
                                                        <CollapsedButton Height="12px" Url="~/App_Themes/Office2003 Blue/GridView/gvCollapsedButton.png"
                                                            Width="11px" />
                                                        <ExpandedButton Height="12px" Url="~/App_Themes/Office2003 Blue/GridView/gvExpandedButton.png"
                                                            Width="11px" />
                                                        <DetailCollapsedButton Height="12px" Url="~/App_Themes/Office2003 Blue/GridView/gvCollapsedButton.png"
                                                            Width="11px" />
                                                        <DetailExpandedButton Height="12px" Url="~/App_Themes/Office2003 Blue/GridView/gvExpandedButton.png"
                                                            Width="11px" />
                                                    </Images>
                                                    <Styles CssFilePath="~/App_Themes/Office2003 Blue/{0}/grid.css" AlternatingRow-Enabled="True"
                                                        CssPostfix="Office2003_Blue">
                                                        <Header ImageSpacing="5px" SortingImageSpacing="5px">
                                                        </Header>
                                                        <LoadingPanel ImageSpacing="10px">
                                                        </LoadingPanel>
                                                        <PagerBottomPanel CssClass="PageFooter">
                                                        </PagerBottomPanel>
                                                        <PagerTopPanel CssClass="PageFooter">
                                                        </PagerTopPanel>
                                                    </Styles>
                                                    <SettingsPager PrevPageButton-Image-Url="../App_Themes/Office2003 Blue/GridView/pPrev.gif"
                                                        PrevPageButton-Image-UrlDisabled="../App_Themes/Office2003 Blue/GridView/pPrevDisabled.gif"
                                                        NextPageButton-Image-UrlDisabled="../App_Themes/Office2003 Blue/GridView/pNextDisabled.gif"
                                                        NextPageButton-Image-Url="../App_Themes/Office2003 Blue/GridView/pNext.gif" AlwaysShowPager="true"
                                                        PageSize="5">
                                                    </SettingsPager>
                                                    <Columns>
                                                        <dxw:GridViewDataColumn FieldName="DriverId" Caption="AutoID" VisibleIndex="0" Visible="false">
                                                        </dxw:GridViewDataColumn>
                                                        <dxw:GridViewCommandColumn ShowSelectCheckbox="True" VisibleIndex="1" Width="5%">
                                                            <HeaderTemplate>
                                                                <input type="checkbox" onclick="gvAssignedDrivers.SelectAllRowsOnPage(this.checked);"
                                                                    style="vertical-align: middle;" title="Select/Unselect all rows on the page"></input>
                                                            </HeaderTemplate>
                                                            <HeaderStyle Paddings-PaddingTop="1" Paddings-PaddingBottom="1" HorizontalAlign="Center" />
                                                        </dxw:GridViewCommandColumn>
                                                        <dxw:GridViewDataColumn FieldName="DriverName" Caption="Driver Name" VisibleIndex="2"
                                                            Width="25%">
                                                            <HeaderCaptionTemplate>
                                                                <span class="icon">
                                                                    <asp:Image ID="imgUnAssVehVehicleName" ImageUrl="..\Images\icn-vehicle-name.gif"
                                                                        runat="server" align="top" /></span> <span class="label">
                                                                            <asp:Label ID="lblUnAssVehVehicleName" runat="server" Text="Vehicle Name"></asp:Label>
                                                                        </span>
                                                            </HeaderCaptionTemplate>
                                                            <Settings AllowAutoFilter="True" />
                                                        </dxw:GridViewDataColumn>
                                                        <dxw:GridViewDataColumn FieldName="Address" Caption="Address" VisibleIndex="3" Width="20%">
                                                            <HeaderCaptionTemplate>
                                                                <span class="icon">
                                                                    <asp:Image ID="imgUnAssVehVehicleType" runat="server" ImageUrl="..\Images\icn-vehicle-type.gif"
                                                                        align="top" /></span> <span class="label">
                                                                            <asp:Label ID="lblUnAssVehVehicleType" runat="server" Text="Vehicle Type"></asp:Label>
                                                                        </span>
                                                            </HeaderCaptionTemplate>
                                                            <Settings AllowAutoFilter="True" />
                                                        </dxw:GridViewDataColumn>
                                                        <dxw:GridViewDataColumn FieldName="MobileNo" Caption="MobileNo" VisibleIndex="4"
                                                            Width="20%">
                                                            <HeaderCaptionTemplate>
                                                                <span class="icon">
                                                                    <asp:Image runat="server" ID="imgUnAssVehMake" ImageUrl="..\Images\icn-make-name.gif"
                                                                        align="top" /></span> <span class="label">
                                                                            <asp:Label ID="lblUnAssVehMake" runat="server" Text="Make"></asp:Label>
                                                                        </span>
                                                            </HeaderCaptionTemplate>
                                                            <Settings AllowAutoFilter="True" />
                                                        </dxw:GridViewDataColumn>
                                                        <dxw:GridViewDataColumn FieldName="LicenseNo" Caption="LicenseNo" VisibleIndex="5"
                                                            Width="20%">
                                                            <HeaderCaptionTemplate>
                                                                <span class="icon">
                                                                    <asp:Image ID="imgUnAssVehModel" runat="server" ImageUrl="..\Images\icn-model-name.gif"
                                                                        align="top" /></span> <span class="label">
                                                                            <asp:Label ID="lblUnAssVehModel" runat="server" Text="Model"></asp:Label>
                                                                        </span>
                                                            </HeaderCaptionTemplate>
                                                            <Settings AllowAutoFilter="True" />
                                                        </dxw:GridViewDataColumn>
                                                        <dxw:GridViewDataColumn FieldName="LicenseExpiresOn" Caption="License Expires On"
                                                            VisibleIndex="6" Width="10%" CellStyle-HorizontalAlign="Left">
                                                            <HeaderCaptionTemplate>
                                                                <span class="icon">
                                                                    <asp:Image ID="imgUnAssVehYear" runat="server" ImageUrl="..\Images\icn-vehicle-year.gif"
                                                                        align="top" /></span> <span class="label">
                                                                            <asp:Label ID="lblUnAssVehYear" runat="server" Text="Year"></asp:Label>
                                                                        </span>
                                                            </HeaderCaptionTemplate>
                                                            <Settings AllowAutoFilter="False" />
                                                        </dxw:GridViewDataColumn>
                                                    </Columns>
                                                    <Settings ShowFilterRow="true" ShowFilterRowMenu="True" />
                                                    <SettingsText EmptyDataRow=" No Assigned Vehicles found" />
                                                </dxw:ASPxGridView>
                                                <div class="form-box" style="margin: 0; padding: 0">
                                                    <table width="100%" class="form-tbl" style="margin: 0; padding: 0">
                                                        <tr>
                                                            <td></td>
                                                            <td width="10%" valign="bottom" style="padding-left: 20px">
                                                                <asp:ImageButton ID="ibtAssignDriver" runat="server" ImageUrl="../images/btn-unassign-vehicles.jpg"
                                                                    OnClick="UnassignVehicles" OnClientClick="return CheckSelectionForManipulation(2);" />
                                                            </td>
                                                        </tr>
                                                    </table>
                                                </div>
                                            </div>
                                        </asp:Panel>
                                    </div>
                                </div>
                                <!-- Main Content Ends Here -->
                                <div id="left">
                                </div>
                                <div class="clear clearfix">
                                </div>
                            </div>
                            <div id="right">
                            </div>
                            <div class="clear clearfix">
                            </div>
                        </div>
                    </div>
                </ContentTemplate>
            </asp:UpdatePanel>

            <script language="JavaScript1.2" type="text/javascript" src="../js/GridCheckBoxMaintaining.js"></script>

            <script type="text/javascript" language="javascript" src="../js/FleetVehicleAssignmentScript.js"></script>

            <script type="text/javascript" language="javascript" src="../js/DateValidations.js"></script>

            <script src="../js/myformvalidations.js" type="text/javascript"></script>

        </div>
        <!-- Content Ends Here -->
        <uc2:Footer ID="ucFooter" runat="server" />

    </form>
</body>
</html>
