﻿<%@ page language="C#" autoeventwireup="true" inherits="Forms_FleetVehicleAssignment, App_Web_txr1i55a" %>

<%@ Register Assembly="AjaxControlToolkit" Namespace="AjaxControlToolkit" TagPrefix="cc1" %>
<%@ Register Src="~/UserControls/New_Header.ascx" TagName="Header" TagPrefix="uc1" %>
<%@ Register Src="~/UserControls/New_Footer.ascx" TagName="Footer" TagPrefix="uc2" %>
<%--<%@ Register Assembly="DevExpress.Web.ASPxGridView.v8.2" Namespace="DevExpress.Web.ASPxGridView"
    TagPrefix="dxgv" %>
<%@ Register Assembly="DevExpress.Web.ASPxEditors.v8.2" Namespace="DevExpress.Web.ASPxEditors"
    TagPrefix="dxe" %>--%>
<%@ Register Assembly="DevExpress.Web.v14.2" Namespace="DevExpress.Web" TagPrefix="dxw" %>
<!DOCTYPE html>
<html lang="en">
<head runat="server">
    <title>tSense-IoT Configuration</title>
    <link href="../css/CustomeAlert/demos.css" rel="stylesheet" type="text/css" />
    <link href="../css/CustomeAlert/themes/jquery.ui.all.css" rel="stylesheet" type="text/css" />
    <meta content="charset=utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1" />
    <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1" />
    <link id="reset" runat="server" href="../css/reset.css" rel="stylesheet" type="text/css" />
    <link id="stylesheet2" runat="server" href="../css/stylesheet2.css" rel="stylesheet"
        type="text/css" />
    <link id="updatedcss" runat="server" href="../css/Updated_css.css" rel="stylesheet"
        type="text/css" />
    <link id="dropdown" runat="server" href="../css/dropdown.css" rel="stylesheet" type="text/css" />
    <link rel="icon" href="../NewDesign/img/favicon.png" type="image/x-icon">
    <link href="../NewDesign/css/bootstrap.css" rel="stylesheet" />
    <link href="../NewDesign/css/font-awesome.css" rel="stylesheet" />
    <link href="../NewDesign/css/responsive.css" rel="stylesheet" />
    <link href="../NewDesign/css/style.css" rel="stylesheet" />
    <script src="../NewDesign/js/jquery.min.js"></script>
    <script src="../js/jquery-3.3.1.min.js"></script>
    <script src="../NewDesign/js/bootstrap.min.js"></script>
    <script src="../NewDesign/js/jquery.js"></script>
    <script src="../NewDesign/js/script.js"></script>
    <link href="../NewDesign/font-awesome-4.7.0/css/font-awesome.css" rel="stylesheet" />
    <%--<link href="../NewDesign/font-awesome-4.7.0/css/font-awesome.min.css" rel="stylesheet" />--%>
    <link id="ieonly" runat="server" rel="stylesheet" type="text/css" href="" />
    <%--Custom Theme for DevEx 14.2--%>
    <link id="GridView" runat="server" type="text/css" href="~/App_Themes/Office2003Blue/GridView/grid.css" rel="stylesheet" />
    <link id="Editors" runat="server" type="text/css" href="~/App_Themes/Office2003Blue/Editors/styles.css" rel="stylesheet" />
    <script src="../js/jquery-1.11.2.min.js" type="text/javascript"></script>
    <script src="../js/CustomAlert/jquery.min.js" type="text/javascript"></script>
    <script src="../js/CustomAlert/jquery-ui-1.10.3.custom.min.js" type="text/javascript"></script>
    <script src="../js/CustomAlert/jquery-ui-1.10.3.custom.js" type="text/javascript"></script>
    <script src="../js/CustomAlert/CustomAlert.js" type="text/javascript"></script>
    <%--BootStrap Css--%>
    <%--<link id="BootStrapCss" href="../css/bootstrap.css" runat="server" rel="stylesheet" type="text/css" />--%>
    <link id="mainstyle" runat="server" href="../css/mainstyle.css" rel="stylesheet" type="text/css" />
    <%--End of BootStrap Css--%>
    <script src="../js/wow.min.js"></script>
</head>
<body class="white">
    <div class="page-wrapper">
        <div class="preloader"></div>
        <form id="form1" runat="server">
            <asp:ScriptManager ID="ScriptManager1" runat="server">
            </asp:ScriptManager>
            <!-- Header Starts Here -->
            <uc1:Header ID="ucHeader" runat="server" />
            <!-- Nav Ends Here -->
            <!-- Content Starts Here -->
            <asp:UpdatePanel ID="updGrid" runat="server">
                <ContentTemplate>
                    <div class="vlive-reports-section maintenance">
                        <div class="container-fluid">
                            <div class="row clearfix">
                                <div class="col-ks-16">
                                    <div class="col-ks-8 HeaderTest">
                                        <div class="col-ks-16">
                                            <h2 class="pull-left">
                                                <asp:Literal ID="lblConfigurationSetupCaption" runat="server"></asp:Literal></h2>
                                            </h2>
                                        </div>
                                        <div class="col-ks-16">
                                            <asp:SiteMapPath ID="site" runat="server" CssClass="breadcrumb">
                                                <NodeStyle CssClass="active" />
                                            </asp:SiteMapPath>
                                        </div>
                                    </div>
                                    <div class="col-ks-8 HeaderTopButton">
                                        <asp:LinkButton ID="btnAssignUsers" runat="server" CssClass="btn-fa-user btn btn-primary" NavigateUrl="~/Forms/GroupingUserAssignment.aspx" Text="&nbsp;&nbsp;User Assignment">
                                        </asp:LinkButton>
                                        <asp:LinkButton ID="lbtManageFleets" runat="server" CssClass="btn btn-primary btn-fa-globe" NavigateUrl="~/Forms/ManageGroupings.aspx" Text="&nbsp;&nbsp;Manage Site">
                                        </asp:LinkButton>
                                        <asp:LinkButton ID="lbtConfiguration" runat="server" CssClass="btn btn-primary fa-arrow-left" NavigateUrl="~/Forms/ConfigurationSetup.aspx" Text="&nbsp;&nbsp;Back to Configuration">
                                        </asp:LinkButton>
                                    </div>
                                </div>
                                <div class="col-ks-8 HeaderTopButton ControlHide">
                                    <div class="col-ks-1_5"></div>
                                    <div class="col-ks-4_5">
                                        <asp:HyperLink ID="btnAssignUsers1" ImageUrl="~/images/btn-user-assignment.jpg" runat="server"
                                            NavigateUrl="~/Forms/GroupingUserAssignment.aspx" Visible="false"></asp:HyperLink>

                                    </div>
                                    <div class="col-ks-4" align="center">
                                        <asp:HyperLink ID="lbtManageFleets1" runat="server" NavigateUrl="~/Forms/ManageGroupings.aspx"
                                            ImageUrl="~/images/btn-manage-fleet.jpg" Visible="false"></asp:HyperLink>

                                    </div>
                                    <div class="col-ks-6">
                                        <asp:HyperLink ID="lbtConfiguration1" runat="server" NavigateUrl="~/Forms/ConfigurationSetup.aspx"
                                            ImageUrl="~/images/btn-back-to-configuration.jpg" Visible="false"></asp:HyperLink>

                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                    <asp:Panel ID="pnlFleetSelection" runat="server" CssClass="ControlShow">
                        <div class="vlive-filter">
                            <div class="container-fluid">
                                <div class="vlive-centrifugal-fan maintenance-plan">
                                    <div class="col-ks-16 vlive-header_VXL">
                                        <div class="col-ks-16">
                                            <asp:Label ID="lblFleetVehicleAssignment" runat="server" CssClass="pnlhearder" Text="Fleet Vehicle Assignment"></asp:Label>
                                        </div>
                                    </div>
                                </div>
                                <div class="row ftop">
                                    <div class="col-md-12">
                                        <div class="col-ks-4">
                                            <asp:Label ID="lblFleetName" CssClass="labelAlign" runat="server" Font-Bold="true"
                                                Text="Site Name"></asp:Label>
                                        </div>
                                        <div class="col-ks-6">
                                            <asp:DropDownList ID="ddlFleet" CssClass="form-control FontAlign" onchange="ShowPopUp();" runat="server" AutoPostBack="true" OnSelectedIndexChanged="FleetName_selectionchanged">
                                                <asp:ListItem Text="- Select -" Value="0"></asp:ListItem>
                                            </asp:DropDownList>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </asp:Panel>
                    <div class="clear clearfix">
                    </div>
                    <asp:Panel ID="pnlUnAssignedVehicleList" runat="server">
                        <div class="vlive-filter">
                            <div class="container-fluid">
                                <div class="vlive-centrifugal-fan maintenance-plan">
                                    <div class="col-ks-16 vlive-header_Sub">
                                        <div class="col-ks-16">
                                            <asp:Label ID="lblUnassignedVehicles" runat="server" Font-Bold="true" Text="Unassigned Devices"></asp:Label>
                                            <asp:HiddenField ID="hdnVehicleIdsToBeAssinged" runat="server" />
                                        </div>
                                    </div>
                                    <div class="row ftop">
                                        <div class="col-md-12">
                                            <dxw:ASPxGridView ID="gvUnAssignedVehicles" runat="server" ClientInstanceName="gvUnAssignedVehicles" Width="100%"
                                                OnHtmlRowCreated="gvUnAssignedVehicles_OnHtmlRowCreated" KeyFieldName="VehicleId" EnableTheming="true" Theme="Office2003Blue"
                                                CssFilePath="~/App_Themes/office2003Blue/GridView/styles.css" CssPostfix="Office2003_Blue" Settings-ShowFilterRow="true">
                                                <Settings ShowVerticalScrollBar="true" VerticalScrollableHeight="125" />
                                                <ClientSideEvents SelectionChanged="function(s, e) { OnGridSelectionChanged(1); }" />
                                                <Styles CssFilePath="~/App_Themes/office2003Blue/GridView/grid.css" AlternatingRow-Enabled="True"
                                                    CssPostfix="Office2003_Blue">
                                                    <Header ImageSpacing="5px" SortingImageSpacing="5px">
                                                    </Header>
                                                    <LoadingPanel ImageSpacing="10px">
                                                    </LoadingPanel>
                                                    <PagerBottomPanel CssClass="PageFooter">
                                                    </PagerBottomPanel>
                                                    <PagerTopPanel CssClass="PageFooter">
                                                    </PagerTopPanel>
                                                </Styles>
                                                <SettingsPager PrevPageButton-Image-Url="../App_Themes/office2003Blue/GridView/pPrev.gif"
                                                    PrevPageButton-Image-UrlDisabled="../App_Themes/office2003Blue/GridView/pPrevDisabled.gif"
                                                    NextPageButton-Image-UrlDisabled="../App_Themes/office2003Blue/GridView/pNextDisabled.gif"
                                                    NextPageButton-Image-Url="../App_Themes/office2003Blue/GridView/pNext.gif" AlwaysShowPager="true"
                                                    PageSize="5">
                                                </SettingsPager>
                                                <Columns>
                                                    <dxw:GridViewDataColumn FieldName="VehicleId" Caption="AutoID" VisibleIndex="0"
                                                        Visible="false">
                                                    </dxw:GridViewDataColumn>
                                                    <dxw:GridViewCommandColumn ShowSelectCheckbox="True" VisibleIndex="1" Width="5%">
                                                        <HeaderTemplate>
                                                            <input type="checkbox" onclick="gvUnAssignedVehicles.SelectAllRowsOnPage(this.checked);"
                                                                style="vertical-align: middle;" title="Select/Unselect all rows on the page"></input>
                                                        </HeaderTemplate>
                                                        <HeaderStyle Paddings-PaddingTop="1" Paddings-PaddingBottom="1" HorizontalAlign="Center" />
                                                    </dxw:GridViewCommandColumn>
                                                    <dxw:GridViewDataColumn FieldName="BoxId" Caption="Device ID" VisibleIndex="2"
                                                        Width="25%" CellStyle-HorizontalAlign="Center">
                                                        <HeaderCaptionTemplate>

                                                            <asp:Label ID="lblUnAssVehDeviceID" runat="server" Text="Device ID"></asp:Label>
                                                        </HeaderCaptionTemplate>
                                                        <Settings AllowAutoFilter="True" />
                                                    </dxw:GridViewDataColumn>
                                                    <dxw:GridViewDataColumn FieldName="CustomerName" Caption="Device ID" VisibleIndex="7"
                                                        Width="25%" CellStyle-HorizontalAlign="Center">
                                                        <HeaderCaptionTemplate>
                                                            <asp:Label ID="lblCustomerName" runat="server" Text="Customer Name"></asp:Label>
                                                        </HeaderCaptionTemplate>
                                                        <Settings AllowAutoFilter="True" />
                                                    </dxw:GridViewDataColumn>
                                                    <dxw:GridViewDataColumn FieldName="VehicleDescription" Caption="Vehicle Name" VisibleIndex="3"
                                                        Width="25%">
                                                        <HeaderCaptionTemplate>
                                                            <asp:Label ID="lblUnAssVehVehicleName" runat="server" Text="Vehicle Name"></asp:Label>
                                                        </HeaderCaptionTemplate>
                                                        <Settings AllowAutoFilter="True" />
                                                    </dxw:GridViewDataColumn>
                                                    <dxw:GridViewDataColumn FieldName="VehicleTypeName" Caption="Vehicle Type" VisibleIndex="4" Visible="false"
                                                        Width="20%">
                                                        <HeaderCaptionTemplate>
                                                            <asp:Label ID="lblUnAssVehVehicleType" runat="server" Text="Controller Type"></asp:Label>
                                                        </HeaderCaptionTemplate>
                                                        <Settings AllowAutoFilter="True" />
                                                    </dxw:GridViewDataColumn>
                                                    <dxw:GridViewDataColumn FieldName="MakeName" Caption="Make" VisibleIndex="4" Width="20%" Visible="false">
                                                        <HeaderCaptionTemplate>
                                                            <asp:Label ID="lblUnAssVehMake" runat="server" Text="Make"></asp:Label>
                                                        </HeaderCaptionTemplate>
                                                        <Settings AllowAutoFilter="True" />
                                                    </dxw:GridViewDataColumn>
                                                    <dxw:GridViewDataColumn FieldName="ModelName" Caption="Model" VisibleIndex="5" Width="20%" Visible="false">
                                                        <HeaderCaptionTemplate>
                                                            <asp:Label ID="lblUnAssVehModel" runat="server" Text="Model"></asp:Label>
                                                        </HeaderCaptionTemplate>
                                                        <Settings AllowAutoFilter="True" />
                                                    </dxw:GridViewDataColumn>
                                                    <dxw:GridViewDataColumn FieldName="ModelYear" Caption="Year" VisibleIndex="6" Width="10%" Visible="false">
                                                        <HeaderCaptionTemplate>
                                                            <asp:Label ID="lblUnAssVehYear" runat="server" Text="Year"></asp:Label>
                                                        </HeaderCaptionTemplate>
                                                        <Settings AllowAutoFilter="False" />
                                                    </dxw:GridViewDataColumn>
                                                    <dxw:GridViewDataColumn FieldName="DisplayName" Caption="Sensor Display Name" VisibleIndex="6"
                                                        Width="30%">
                                                        <HeaderCaptionTemplate>
                                                            <asp:Label ID="lblUnAssSenDisplayName" runat="server" Text="Sensor Display Name"></asp:Label>
                                                        </HeaderCaptionTemplate>
                                                        <Settings AllowAutoFilter="False" />
                                                    </dxw:GridViewDataColumn>
                                                    <dxw:GridViewDataColumn FieldName="Location" Caption="Location" VisibleIndex="6"
                                                        Width="40%">
                                                        <HeaderCaptionTemplate>
                                                            <table cellpadding="0" cellspacing="0" style="padding-top: 1">
                                                                <tr>
                                                                    <td style="padding-top: 1">
                                                                        <asp:Image ID="imgUnAssLocation" runat="server" ImageUrl="..\Images\icn-vehicle-year.gif" />
                                                                    </td>
                                                                    <td>&nbsp;<asp:Label ID="lblUnAssLocation" runat="server" Font-Bold="false" Text="Location"></asp:Label>
                                                                    </td>
                                                                </tr>
                                                            </table>
                                                        </HeaderCaptionTemplate>
                                                        <Settings AllowAutoFilter="False" />
                                                    </dxw:GridViewDataColumn>
                                                </Columns>
                                                <SettingsText EmptyDataRow="No Unassigned Vehicles found" />
                                                <Settings ShowFilterRow="true" ShowFilterRowMenu="True" />
                                            </dxw:ASPxGridView>
                                        </div>
                                        <div class="col-md-12">
                                            <div class="col-ks-14"></div>
                                            <div class="col-ks-2" align="right">
                                                <asp:ImageButton ID="btnAssignVehicles1" runat="server" ImageUrl="../images/btn-assign-vehicles.jpg"
                                                    OnClick="AssignVehicles" OnClientClick="return CheckSelectionForManipulation(1,'btnAssignVehicles');" Visible="false" />
                                                <asp:LinkButton ID="btnAssignVehicles" runat="server" CssClass="btn btn-primary btn-fa-check-circle-o" OnClick="AssignVehicles" OnClientClick="return CheckSelectionForManipulation(1,'btnAssignVehicles');" Text="&nbsp;&nbsp;Assign">
                                                </asp:LinkButton>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </asp:Panel>
                    <div class="clear clearfix">
                    </div>
                    <asp:Panel ID="pnlAssignedVehiclesList" runat="server">
                        <asp:HiddenField ID="hdnVehicleIdsToBeUnassinged" runat="server" />
                        <div class="vlive-filter">
                            <div class="container-fluid">
                                <div class="vlive-centrifugal-fan maintenance-plan">
                                    <div class="col-ks-16 vlive-header_Sub">
                                        <div class="col-ks-16">
                                            <asp:Label ID="lblAssignedVehicles" runat="server" Font-Bold="true" Text="Assigned Devices"></asp:Label>
                                        </div>
                                    </div>
                                    <div class="row ftop">
                                        <div class="col-md-12">
                                            <dxw:ASPxGridView ID="gvAssignedVehicles" runat="server" ClientInstanceName="gvAssignedVehicles" Width="100%"
                                                KeyFieldName="VehicleId" CssFilePath="~/App_Themes/office2003Blue/GridView/styles.css" CssPostfix="Office2003_Blue"
                                                EnableTheming="true" Theme="Office2003Blue" OnHtmlRowCreated="gvAssignedVehicles_OnHtmlRowCreated">
                                                <Settings ShowVerticalScrollBar="true" VerticalScrollableHeight="125" />
                                                <ClientSideEvents SelectionChanged="function(s, e) { OnGridSelectionChanged(2); }" />
                                                <%--<Images ImageFolder="~/App_Themes/office2003Blue/GridView/">
                                                    <CollapsedButton Height="12px" Url="~/App_Themes/office2003Blue/GridView/gvCollapsedButton.png"
                                                        Width="11px" />
                                                    <ExpandedButton Height="12px" Url="~/App_Themes/office2003Blue/GridView/gvExpandedButton.png"
                                                        Width="11px" />
                                                    <DetailCollapsedButton Height="12px" Url="~/App_Themes/office2003Blue/GridView/gvCollapsedButton.png"
                                                        Width="11px" />
                                                    <DetailExpandedButton Height="12px" Url="~/App_Themes/office2003Blue/GridView/gvExpandedButton.png"
                                                        Width="11px" />
                                                </Images>--%>
                                                <Styles CssFilePath="~/App_Themes/office2003Blue/GridView/grid.css" AlternatingRow-Enabled="True"
                                                    CssPostfix="Office2003_Blue">
                                                    <Header ImageSpacing="5px" SortingImageSpacing="5px">
                                                    </Header>
                                                    <LoadingPanel ImageSpacing="10px">
                                                    </LoadingPanel>
                                                    <PagerBottomPanel CssClass="PageFooter">
                                                    </PagerBottomPanel>
                                                    <PagerTopPanel CssClass="PageFooter">
                                                    </PagerTopPanel>
                                                </Styles>
                                                <SettingsPager PrevPageButton-Image-Url="../App_Themes/office2003Blue/GridView/pPrev.gif"
                                                    PrevPageButton-Image-UrlDisabled="../App_Themes/office2003Blue/GridView/pPrevDisabled.gif"
                                                    NextPageButton-Image-UrlDisabled="../App_Themes/office2003Blue/GridView/pNextDisabled.gif"
                                                    NextPageButton-Image-Url="../App_Themes/office2003Blue/GridView/pNext.gif" AlwaysShowPager="true"
                                                    PageSize="5">
                                                </SettingsPager>
                                                <Columns>
                                                    <dxw:GridViewDataColumn FieldName="VehicleId" Caption="AutoID" VisibleIndex="0"
                                                        Visible="false">
                                                    </dxw:GridViewDataColumn>
                                                    <dxw:GridViewCommandColumn ShowSelectCheckbox="True" VisibleIndex="1" Width="5%">
                                                        <HeaderTemplate>
                                                            <input type="checkbox" onclick="gvAssignedVehicles.SelectAllRowsOnPage(this.checked);"
                                                                style="vertical-align: middle;" title="Select/Unselect all rows on the page"></input>
                                                        </HeaderTemplate>
                                                        <HeaderStyle Paddings-PaddingTop="1" Paddings-PaddingBottom="1" HorizontalAlign="Center" />
                                                    </dxw:GridViewCommandColumn>
                                                    <dxw:GridViewDataColumn FieldName="BoxId" Caption="Device ID" VisibleIndex="2"
                                                        Width="25%" CellStyle-HorizontalAlign="Center">
                                                        <HeaderCaptionTemplate>
                                                            <asp:Label ID="lblUnAssVehDeviceID" runat="server" Text="Device ID"></asp:Label>
                                                        </HeaderCaptionTemplate>
                                                        <Settings AllowAutoFilter="True" />
                                                    </dxw:GridViewDataColumn>
                                                    <dxw:GridViewDataColumn FieldName="CustomerName" Caption="Device ID" VisibleIndex="7"
                                                        Width="25%" CellStyle-HorizontalAlign="Center">
                                                        <HeaderCaptionTemplate>
                                                            <asp:Label ID="lblCustomerName" runat="server" Text="Customer Name"></asp:Label>
                                                        </HeaderCaptionTemplate>
                                                        <Settings AllowAutoFilter="True" />
                                                    </dxw:GridViewDataColumn>
                                                    <dxw:GridViewDataColumn FieldName="VehicleDescription" Caption="Vehicle Name" VisibleIndex="2"
                                                        Width="25%">
                                                        <HeaderCaptionTemplate>
                                                            <asp:Label ID="lblAssVehVehicleName" runat="server" Text="Vehicle Name"></asp:Label>
                                                        </HeaderCaptionTemplate>
                                                        <Settings AllowAutoFilter="True" />
                                                    </dxw:GridViewDataColumn>
                                                    <dxw:GridViewDataColumn FieldName="VehicleTypeName" Caption="Vehicle Type" VisibleIndex="3" Visible="false"
                                                        Width="20%">
                                                        <HeaderCaptionTemplate>
                                                            <asp:Label runat="server" ID="lblAssVehVehicleType" Text="Vehicle Type"></asp:Label>
                                                        </HeaderCaptionTemplate>
                                                        <Settings AllowAutoFilter="True" />
                                                    </dxw:GridViewDataColumn>
                                                    <%--<dxw:GridViewDataColumn FieldName="MakeName" Caption="Make" VisibleIndex="4" Width="20%">
                                                        <HeaderCaptionTemplate>
                                                            <span class="icon">
                                                                <asp:Image runat="server" ID="imgAssVehMake" ImageUrl="..\Images\icn-make-name.gif"
                                                                    align="top" /></span> <span class="label">
                                                                        <asp:Label ID="lblAssVehMake" runat="server" Text="Make"></asp:Label>
                                                                    </span>
                                                        </HeaderCaptionTemplate>
                                                        <Settings AllowAutoFilter="True" />
                                                    </dxw:GridViewDataColumn>
                                                    <dxw:GridViewDataColumn FieldName="ModelName" Caption="Model" VisibleIndex="5" Width="20%">
                                                        <HeaderCaptionTemplate>
                                                            <span class="icon">
                                                                <asp:Image runat="server" ID="imgAssVehModel" ImageUrl="..\Images\icn-model-name.gif"
                                                                    align="top" /></span> <span class="label">
                                                                        <asp:Label ID="lblAssVehModel" runat="server" Text="Model"></asp:Label>
                                                                    </span>
                                                        </HeaderCaptionTemplate>
                                                        <Settings AllowAutoFilter="True" />
                                                    </dxw:GridViewDataColumn>
                                                    <dxw:GridViewDataColumn FieldName="ModelYear" Caption="Year" VisibleIndex="6" Width="10%">
                                                        <HeaderCaptionTemplate>
                                                            <span class="icon">
                                                                <asp:Image runat="server" ID="imgAssVehYear" ImageUrl="..\Images\icn-vehicle-year.gif"
                                                                    alt="" align="top" /></span> <span class="label">
                                                                        <asp:Label ID="lblAssVehYear" runat="server" Text="Year"></asp:Label>
                                                                    </span>
                                                        </HeaderCaptionTemplate>
                                                        <Settings AllowAutoFilter="False" />
                                                    </dxw:GridViewDataColumn>--%>
                                                    <dxw:GridViewDataColumn FieldName="DisplayName" Caption="Sensor Display Name" VisibleIndex="6"
                                                        Width="30%">
                                                        <HeaderCaptionTemplate>
                                                            <asp:Label ID="lblAssSenDisplayName" runat="server" Text="Sensor Display Name"></asp:Label>
                                                        </HeaderCaptionTemplate>
                                                        <Settings AllowAutoFilter="False" />
                                                    </dxw:GridViewDataColumn>
                                                    <dxw:GridViewDataColumn FieldName="Location" Caption="Location" VisibleIndex="6"
                                                        Width="40%">
                                                        <HeaderCaptionTemplate>
                                                            <asp:Label ID="lblAssLocation" runat="server" Text="Location"></asp:Label>
                                                        </HeaderCaptionTemplate>
                                                        <Settings AllowAutoFilter="False" />
                                                    </dxw:GridViewDataColumn>
                                                </Columns>
                                                <Settings ShowFilterRow="true" ShowFilterRowMenu="True" />
                                                <SettingsText EmptyDataRow=" No Assigned Vehicles found" />
                                            </dxw:ASPxGridView>
                                        </div>
                                        <div class="col-md-12">
                                            <div class="col-ks-14"></div>
                                            <div class="col-ks-2" align="right">
                                                <span id="trUnAssignedButton" runat="server">
                                                    <asp:ImageButton ID="btnUnassignVehicles1" runat="server" ImageUrl="../images/btn-unassign-vehicles.jpg"
                                                        OnClick="UnassignVehicles" OnClientClick="return CheckSelectionForManipulation(2,'btnUnassignVehicles');" Visible="false" />
                                                    <asp:LinkButton ID="btnUnassignVehicles" runat="server" CssClass="btn btn-primary btn-fa-times-circle-o" OnClick="UnassignVehicles" OnClientClick="return CheckSelectionForManipulation(2,'btnUnassignVehicles');" Text="&nbsp;&nbsp;Unassign">
                                                    </asp:LinkButton>
                                                </span>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </asp:Panel>

                </ContentTemplate>
            </asp:UpdatePanel>
            <cc1:ModalPopupExtender ID="mpeProgressIndicator" runat="server" PopupControlID="progressPopUp"
                TargetControlID="btnTesting" BackgroundCssClass="modalBackground">
            </cc1:ModalPopupExtender>
            <asp:Button ID="btnTesting" Style="display: none;" runat="server" />
            <asp:Panel ID="progressPopUp" runat="server" CssClass="processMessage" Style="display: none;">
                <center>
                    <br />
                    <img id="imgLoad" runat="server" alt="Please Wait ..." src="../images/47.gif" /><br />
                    <br />
                    <asp:Label ID="lbl_msg12" Text="Processing... Please Wait..." runat="server" CssClass="specialdisplay"></asp:Label>
                    <br />
                    <br />
                </center>
            </asp:Panel>
            <script language="JavaScript1.2" type="text/javascript" src="../js/GridCheckBoxMaintaining.js"></script>
            <script src="../js/CommonFuncitonsInHeader.js" type="text/javascript"></script>
            <script type="text/javascript" language="javascript" src="../js/FleetVehicleAssignmentScript.js"></script>
            <asp:HiddenField ID="hdnLogout" runat="server" />
        </form>
    </div>
    <!-- Content Ends Here -->
    <uc2:Footer ID="ucFooter" runat="server" />
</body>
</html>
