﻿<%@ page language="C#" autoeventwireup="true" inherits="Forms_LeaseSummary, App_Web_ah0chvn1" enableeventvalidation="false" %>

<%@ Register Assembly="TimePicker" Namespace="MKB.TimePicker" TagPrefix="MKB" %>
<%@ Register Assembly="AjaxControlToolkit" Namespace="AjaxControlToolkit" TagPrefix="cc1" %>
<%@ Register Src="~/UserControls/New_Header.ascx" TagName="Header" TagPrefix="uc1" %>
<%@ Register Src="~/UserControls/New_Footer.ascx" TagName="Footer" TagPrefix="uc2" %>

<%--<%@ Register Assembly="DevExpress.Web.ASPxGridView.v8.2" Namespace="DevExpress.Web.ASPxGridView"
    TagPrefix="dxgv" %>
<%@ Register Assembly="DevExpress.Web.ASPxGridView.v8.2.Export" Namespace="DevExpress.Web.ASPxGridView.Export"
    TagPrefix="exp" %>
<%@ Register Assembly="DevExpress.Web.ASPxEditors.v8.2" Namespace="DevExpress.Web.ASPxEditors"
    TagPrefix="dxe" %>--%>

<%@ Register Assembly="DevExpress.Web.v14.2" Namespace="DevExpress.Web" TagPrefix="dxw" %>

<%--********* For Bootstrap Implementation *************--%>
<!DOCTYPE html>
<html lang="en">
<%--********* End of Bootstrap Implementation *************--%>
<head runat="server">
    <title>tSense-IoT Configuration</title>
    <link href="../css/CustomeAlert/demos.css" rel="stylesheet" type="text/css" />
    <link href="../css/CustomeAlert/themes/jquery.ui.all.css" rel="stylesheet" type="text/css" />
    <%--********* For Bootstrap Implementation *************--%>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
    <%--********* End of Bootstrap Implementation *************--%>
    <link id="reset" runat="server" href="../css/reset.css" rel="stylesheet" type="text/css" />
    <link id="stylesheet2" runat="server" href="../css/stylesheet2.css" rel="stylesheet"
        type="text/css" />
    <%--<link href="../css/Updated_css.css" rel="stylesheet" type="text/css" />--%>
    <link id="dropdown" runat="server" href="../css/dropdown.css" rel="stylesheet" type="text/css" />
    <link id="ieonly" runat="server" rel="stylesheet" type="text/css" href="" />
    <link rel="SHORTCUT ICON" href="../images/favicon.ico" />
    <link id="datepicker" runat="server" type="text/css" href="../css/ui.datepicker.css"
        rel="stylesheet" />
    <link id="uicore" runat="server" type="text/css" href="../css/ui.core.css" rel="stylesheet" />
    <link id="uitheme" runat="server" type="text/css" href="../css/ui.theme.css" rel="stylesheet" />

    <%--Custom Theme for DevEx 14.2--%>
    <link id="GridView" type="text/css" href="~/App_Themes/Office2003Blue/GridView/grid.css" rel="stylesheet" />
    <link id="Editors" type="text/css" href="~/App_Themes/Office2003Blue/Editors/styles.css" rel="stylesheet" />

    <script src="../js/CustomAlert/jquery.min.js" type="text/javascript"></script>

    <script src="../js/CustomAlert/jquery-ui-1.10.3.custom.min.js" type="text/javascript"></script>

    <script src="../js/CustomAlert/jquery-ui-1.10.3.custom.js" type="text/javascript"></script>

    <script src="../js/CustomAlert/CustomAlert.js" type="text/javascript"></script>

    <script src="../js/myformvalidations.js" type="text/javascript"></script>

    <script type="text/javascript" src="../js/jquery-1.5.1.min.js"></script>

    <script type="text/javascript" src="../js/ui.datepicker.js"></script>

    <script type="text/javascript" src="../js/JQQueryDatePicker.js"></script>
    <%--********* For Bootstrap Implementation *************--%>
    <link id="BootStrapCss" href="../css/bootstrap.css" runat="server" rel="stylesheet" type="text/css" />
    <link id="mainstyle" runat="server" href="../css/mainstyle.css" rel="stylesheet" type="text/css" />
    <%--********* End of Bootstrap Implementation *************--%>
    <script src="../js/wow.min.js"></script>
</head>
<body>
    <%--********* For Bootstrap Implementation *************--%>
    <div class="pageContainer">
        <%--********* End of Bootstrap Implementation *************--%>
        <form id="form1" runat="server">
            <asp:ScriptManager ID="ScriptManager1" runat="server">
            </asp:ScriptManager>
            <!-- Header Starts Here -->
            <uc1:Header ID="ucHeader" runat="server" />
            <!-- Nav Ends Here -->
            <!-- Content Starts Here -->
            <asp:UpdatePanel ID="updGrid" runat="server">
                <ContentTemplate>
                    <div id="outer">
                        <div id="inner">
                            <div id="float-wrap">
                                <!-- Main Content Starts Here -->
                                <!-- Main Content Starts Here -->
                                <div id="content">
                                    <div class="content-wrap">
                                        <div id="top-content" class="container-fluid head-part">
                                            <div id="heading" class="col-sm-4 col-md-4">
                                                <img class="icon" src="../images/configuration-icon.jpg" alt="" />
                                                <h1>
                                                    <asp:Literal ID="lblConfigurationCaption" runat="server"></asp:Literal></h1>
                                                <asp:LinkButton ID="lnkHomeCaption" runat="server"></asp:LinkButton>
                                                <%--<a href="Dashboard.aspx">Home</a>--%><span>&gt;</span><span><a href="LeaseSummary.aspx">
                                                    <asp:Label ID="lnkPageCaption" runat="server" Text="Lease Summary"></asp:Label>
                                                </a></span>
                                                <%--<span><a href="ConfigurationSetup.aspx">Users</a></span><span>&gt;</span>--%>
                                            </div>
                                            <div id="" class="col-sm-7 col-md-7 pull-right">
                                                <div class="pull-right btn-wrap">
                                                    <asp:ImageButton ID="ibtBackToConfig1" runat="server" ImageUrl="~/images/btn-back-to-configuration.jpg"
                                                        TabIndex="10" PostBackUrl="~/Forms/ConfigurationSetup.aspx" Visible="false" />
                                                    <asp:LinkButton ID="ibtBackToConfig" runat="server" CssClass="MultilingualBtn" PostBackUrl="~/Forms/ConfigurationSetup.aspx">
                                                        <span runat="server" class="MultilingualBtnspan">
                                                            <div class="Back">
                                                                <div id="BacktoConfigurationDiv" runat="server" class="MultilingualBtnTextAlign">
                                                                    Back to Configuration
                                                                </div>
                                                            </div>
                                                        </span>
                                                    </asp:LinkButton>
                                                </div>
                                            </div>
                                            <div class="clear clearfix">
                                            </div>
                                        </div>
                                        <asp:Panel ID="pnlUsrGroupSelection" runat="server" CssClass="ControlShow">
                                            <div class="form-box col-xs-12 nullpadding">
                                                <h1>
                                                    <span class="icon">
                                                        <img src="../imagesButton/icon-manage-driver-incentives.png" alt="" /></span>
                                                    <asp:Label ID="lblGroupUserAssignment" runat="server" Text="Group User Assignment"></asp:Label></h1>
                                                <div class="col-sm-12 MySearchPanelFilter">
                                                    <div class="col-sm-3 col-lg-2 controllinebreak">
                                                        <div class="col-xs-2 col-sm-3 col-lg-3 nullpadding">
                                                            <asp:Label ID="Label24" runat="server" Text="Vendor" Style="font-family: Arial, Helvetica, sans-serif; font-size: 11px;"></asp:Label>
                                                        </div>
                                                        <div class="col-xs-9 nullpadding">
                                                            <asp:DropDownList ID="ddlVendorName" runat="server" class="form-control" TabIndex="3" CssClass="form-control">
                                                            </asp:DropDownList>
                                                        </div>
                                                    </div>
                                                    <div class="col-sm-3 col-lg-2 controllinebreak">
                                                        <div class="col-xs-2  col-sm-2 col-lg-2 nullpadding">
                                                            <asp:Image ID="imgFleetName" runat="server" ImageUrl="../images/fleet-icon.gif" alt="Fleet Name"
                                                                title="Fleet Name" />
                                                        </div>
                                                        <div class="col-xs-9 nullpadding">
                                                            <asp:DropDownList ID="ddlFleet" runat="server" class="form-control" AutoPostBack="True" OnSelectedIndexChanged="ddlFleet_SelectedIndexChanged">
                                                            </asp:DropDownList>
                                                        </div>
                                                    </div>
                                                    <div class="col-sm-3 col-lg-2 controllinebreak">
                                                        <div class="col-xs-2  col-sm-2 col-lg-2 nullpadding">
                                                            <asp:Image ID="imgVehicle" runat="server" ImageUrl="../images/vehicle-icon.gif"
                                                                alt="Vehicle" ToolTip="Vehicle" />
                                                        </div>
                                                        <div class="col-xs-9 nullpadding">
                                                            <asp:DropDownList ID="ddlVehicle" runat="server" class="form-control" AutoPostBack="false">
                                                            </asp:DropDownList>
                                                        </div>
                                                    </div>
                                                    <div class="col-sm-3 controllinebreak">
                                                        <div class="col-xs-12 nullpadding">
                                                            <asp:LinkButton ID="btnView" runat="server" CssClass="MultilingualBtn" OnClientClick="ShowPopUp();"
                                                                OnClick="btnView_Click">
                                                                <span id="Span1" runat="server" class="MultilingualBtnspan">
                                                                    <div class="Search">
                                                                        <div id="UpdateResultsButDiv" runat="server" class="MultilingualBtnTextAlign">
                                                                            Update Results
                                                                        </div>
                                                                    </div>
                                                                </span>
                                                            </asp:LinkButton>
                                                        </div>
                                                        <div class="col-xs-2"></div>
                                                    </div>
                                                </div>
                                            </div>
                                        </asp:Panel>
                                        <div class="clear clearfix">
                                        </div>
                                        <asp:Panel ID="pnlUnAssignedUsersList" runat="server">
                                            <div id="grid-dsply">
                                                <div id="top">
                                                    <div class="left-col" style="display: none">
                                                        <span style="padding-top: 2px; display: inline-block;">
                                                            <img src="../images/red.png" /></span>
                                                        <asp:Label ID="Label7" runat="server" Text="Lease Expired"></asp:Label>
                                                        </span>
                                                    </div>
                                                    <div class="right-col" style="display: none">
                                                        <span class="dropdown">
                                                            <img src="../images/red.png" />
                                                            <asp:Label ID="Label6" runat="server" Text="Lease Expired"></asp:Label>
                                                            <dxw:ASPxComboBox ID="ASPxCboExport" runat="server" Width="80px" Height="20px" EnableIncrementalFiltering="true"
                                                                ValueType="System.String" ShowImageInEditBox="false" ItemImage-Height="12px" ClientInstanceName="ASPxCboExport" SelectedIndex="0"
                                                                CssFilePath="~/App_Themes/Office2003 Blue/Editors/styles.css" CssPostfix="Office2003_Blue"
                                                                EnableTheming="true" Theme="Office2003Blue" Visible="false">
                                                                <Items>
                                                                    <dxw:ListEditItem ImageUrl="../images/icn-pdf.jpg" Text="pdf" Value="pdf" />
                                                                    <dxw:ListEditItem ImageUrl="../images/icn-excel.jpg" Text="xls" Value="xls" />
                                                                    <dxw:ListEditItem ImageUrl="../images/icn-excel-xlsx.png" Text="xlsx" Value="xlsx" />
                                                                </Items>
                                                            </dxw:ASPxComboBox>
                                                        </span><span class="txt">&nbsp;
                                                        <asp:ImageButton ID="btnExport1" runat="server" ImageUrl="~/images/btn-export.jpg"
                                                            OnClick="btnExport_Click" OnClientClick="SetExportHiddenValue();" Visible="false" />
                                                            <asp:LinkButton ID="btnExport" runat="server" CssClass="MultilingualBtn" OnClick="btnExport_Click"
                                                                OnClientClick="" Visible="false">
                                                                <span id="Span2" runat="server" class="MultilingualBtnspan">
                                                                    <div class="Export">
                                                                        <div id="ExportButDiv" runat="server" class="MultilingualBtnTextAlign">
                                                                            Export
                                                                        </div>
                                                                    </div>
                                                                </span>
                                                            </asp:LinkButton>
                                                        </span>
                                                    </div>
                                                </div>
                                                <asp:HiddenField ID="hdnStudentsToBeAssigned" runat="server" />
                                                <asp:HiddenField ID="hdnAssignedGroupUser" runat="server" />
                                                <div style="width: 100%; overflow: auto;">
                                                    <div class="table-responsive">
                                                        <dxw:ASPxGridView ID="gvLeaseDetails" runat="server" Width="100%" KeyFieldName="VehicleId" Visible="true"
                                                            CssFilePath="~/App_Themes/Office2003 Blue/{0}/styles.css" CssPostfix="Office2003_Blue"
                                                            EnableViewState="false" AutoGenerateColumns="false" EnableTheming="true" Theme="Office2003Blue">
                                                            <%--OnHtmlDataCellPrepared="gvLeaseDetails_HtmlRowPrepared"--%>
                                                            <Styles CssFilePath="~/App_Themes/Office2003Blue/GridView/grid.css" AlternatingRow-Enabled="True"
                                                                CssPostfix="Office2003_Blue">
                                                                <Header ImageSpacing="5px" SortingImageSpacing="5px">
                                                                </Header>
                                                                <LoadingPanel ImageSpacing="10px">
                                                                </LoadingPanel>
                                                                <PagerBottomPanel CssClass="PageFooter">
                                                                </PagerBottomPanel>
                                                                <PagerTopPanel CssClass="PageFooter">
                                                                </PagerTopPanel>
                                                            </Styles>
                                                            <SettingsPager PrevPageButton-Image-Url="../App_Themes/Office2003Blue/GridView/pPrev.gif"
                                                                PrevPageButton-Image-UrlDisabled="../App_Themes/Office2003Blue/GridView/pPrevDisabled.gif"
                                                                NextPageButton-Image-UrlDisabled="../App_Themes/Office2003Blue/GridView/pNextDisabled.gif"
                                                                NextPageButton-Image-Url="../App_Themes/Office2003Blue/GridView/pNext.gif" AlwaysShowPager="true">
                                                            </SettingsPager>
                                                            <Columns>
                                                                <dxw:GridViewDataColumn FieldName="VehicleId" Caption="AutoID" VisibleIndex="0"
                                                                    Visible="false">
                                                                </dxw:GridViewDataColumn>
                                                                <dxw:GridViewDataColumn FieldName="VehicleName" Caption="VehicleName" VisibleIndex="1"
                                                                    Width="80px">
                                                                    <HeaderCaptionTemplate>
                                                                        <span class="icon">
                                                                            <img src="../images/icn-vehicle-name.gif" align="top" alt="" /></span> <span class="label">
                                                                                <asp:Label ID="lblVehicleNameU" runat="server" Text="VehicleName"></asp:Label></span>
                                                                    </HeaderCaptionTemplate>
                                                                    <DataItemTemplate>
                                                                        <asp:Label ID="lblVehicleName" runat="server" Text='<%# Eval("VehicleName") %>'></asp:Label><br />
                                                                        <asp:Label ID="Label10" runat="server" Text='<%# Eval("ContractStatus").ToString() == "1" ? "(Lease Expired)": "(Lease Active)" %>' Font-Bold="true" ForeColor='<%# Eval("ContractStatus").ToString() == "1" ? System.Drawing.Color.Red : System.Drawing.Color.Green %>'></asp:Label>
                                                                    </DataItemTemplate>
                                                                    <Settings AllowAutoFilter="True" />
                                                                </dxw:GridViewDataColumn>
                                                                <dxw:GridViewDataColumn FieldName="VendorName" Caption="VendorName" VisibleIndex="2"
                                                                    Width="80px">
                                                                    <HeaderCaptionTemplate>
                                                                        <span class="icon">
                                                                            <img src="../images/usermanage-icon.gif" align="top" alt="" /></span> <span class="label">
                                                                                <asp:Label ID="lblVendorNameU" runat="server" Text="VendorName"></asp:Label></span>
                                                                    </HeaderCaptionTemplate>
                                                                    <DataItemTemplate>
                                                                        <asp:Label ID="lblVendorName" runat="server" Text='<%# Eval("VendorName") %>'></asp:Label>
                                                                    </DataItemTemplate>
                                                                    <Settings AllowAutoFilter="True" />
                                                                </dxw:GridViewDataColumn>
                                                                <dxw:GridViewDataColumn FieldName="ContractFrom" Caption="Contract Period" VisibleIndex="3"
                                                                    Width="80px">
                                                                    <HeaderCaptionTemplate>
                                                                        <span class="icon">
                                                                            <img src="../images/icn-timezone.gif" align="top" alt="" /></span> <span class="label">
                                                                                <asp:Label ID="lblContractFromU" runat="server" Text="Contract Period"></asp:Label></span>
                                                                    </HeaderCaptionTemplate>
                                                                    <DataItemTemplate>
                                                                        <asp:Label ID="Label1" runat="server" Text="From :" Font-Bold="true"></asp:Label>
                                                                        <asp:Label ID="lblContractFrom" runat="server" Text='<%# Eval("ContractFrom") %>'></asp:Label><br />
                                                                        <asp:Label ID="Label2" runat="server" Text="To :" Font-Bold="true"></asp:Label>
                                                                        <asp:Label ID="Label3" runat="server" Text='<%# Eval("ContractTo") %>'></asp:Label>
                                                                        <%--<asp:Image ID="lnkattached" runat="server" ToolTip="Attachment" ImageUrl='<%# Eval("ContractStatus").ToString() == "0" ? System.Drawing.Color.Black: System.Drawing.Color.Red %>' Width="16" Height="16" />--%>
                                                                    </DataItemTemplate>
                                                                    <Settings AllowAutoFilter="False" />
                                                                </dxw:GridViewDataColumn>
                                                                <dxw:GridViewDataColumn FieldName="TotalDistance" Caption="Distance (Month)" VisibleIndex="4"
                                                                    Width="70px">
                                                                    <HeaderCaptionTemplate>
                                                                        <span class="icon">
                                                                            <img src="../images/icn-speed.gif" align="top" alt="" /></span> <span class="label">
                                                                                <asp:Label ID="lblTotalDistanceU" runat="server" Text="Distance (Month)"></asp:Label></span>
                                                                    </HeaderCaptionTemplate>
                                                                    <DataItemTemplate>
                                                                        <asp:Label ID="Label1" runat="server" Text="Total :" Font-Bold="true"></asp:Label>
                                                                        <asp:Label ID="lblTotalDistance" runat="server" Text='<%# Eval("TotalDistance") %>'></asp:Label>
                                                                        <asp:Label ID="Label111" runat="server" Text=" kms" Font-Bold="true"></asp:Label><br />
                                                                        <asp:Label ID="Label4" runat="server" Text="Remaining :" Font-Bold="true"></asp:Label>
                                                                        <asp:Label ID="Label5" runat="server" Text='<%# Eval("TotalBalanceDistance") %>'></asp:Label>
                                                                        <asp:Label ID="Label123" runat="server" Text=" kms" Font-Bold="true"></asp:Label>
                                                                    </DataItemTemplate>
                                                                    <Settings AllowAutoFilter="False" />
                                                                </dxw:GridViewDataColumn>
                                                                <dxw:GridViewDataColumn FieldName="TotalRunningHrs" Caption="RunningHrs (Month)" VisibleIndex="5"
                                                                    Width="70px">
                                                                    <HeaderCaptionTemplate>
                                                                        <span class="icon">
                                                                            <img src="../images/icn-speed.gif" align="top" alt="" /></span> <span class="label">
                                                                                <asp:Label ID="lblTotalRunningHrsU" runat="server" Text="RunningHrs (Month)"></asp:Label></span>
                                                                    </HeaderCaptionTemplate>
                                                                    <DataItemTemplate>
                                                                        <asp:Label ID="Label1" runat="server" Text="Total :" Font-Bold="true"></asp:Label>
                                                                        <asp:Label ID="lblTotalRunningHrs" runat="server" Text='<%# Eval("TotalRunningHrs") %>'></asp:Label>
                                                                        <asp:Label ID="Label121" runat="server" Text=" hrs" Font-Bold="true"></asp:Label>
                                                                        <br />
                                                                        <asp:Label ID="Label4" runat="server" Text="Remaining :" Font-Bold="true"></asp:Label>
                                                                        <asp:Label ID="Label5" runat="server" Text='<%# Eval("TotalBalanceRunningHrs") %>'></asp:Label>
                                                                        <asp:Label ID="Label122" runat="server" Text=" hrs" Font-Bold="true"></asp:Label>
                                                                    </DataItemTemplate>
                                                                    <Settings AllowAutoFilter="False" />
                                                                </dxw:GridViewDataColumn>
                                                                <dxw:GridViewDataProgressBarColumn FieldName="ExpNotification1" Caption="Notification Settings" VisibleIndex="6"
                                                                    Width="120px" CellStyle-HorizontalAlign="Center">
                                                                    <HeaderCaptionTemplate>
                                                                        <span class="icon">
                                                                            <img src="../images/iconapn.gif" align="top" alt="" /></span> <span class="label">
                                                                                <asp:Label ID="lblTotalRunningHrsU" runat="server" Text="Notification Settings"></asp:Label></span>
                                                                    </HeaderCaptionTemplate>
                                                                    <DataItemTemplate>
                                                                        <div>
                                                                            <asp:Label ID="Label9" runat="server" Text="Notification Type :" Font-Bold="true"></asp:Label>
                                                                            <asp:Label ID="Label8" runat="server" Text='<%# Eval("ExpNotificationTypeName") %>'></asp:Label><br />
                                                                            <div style="width: 40%; float: left; border: 1px solid gray;">
                                                                                <asp:Label ID="Label1" runat="server" Text="Level 1: " Font-Bold="true"></asp:Label>
                                                                                <asp:Label ID="lblTotalRunningHrs" runat="server" Text='<%# Eval("ExpNotification1") %>'></asp:Label>%
                                                                            </div>
                                                                            <div style="width: 40%; float: right; border: 1px solid gray;">
                                                                                <asp:Label ID="Label4" runat="server" Text="Level 2: " Font-Bold="true"></asp:Label>
                                                                                <asp:Label ID="Label5" runat="server" Text='<%# Eval("ExpNotification2") %>'></asp:Label>%
                                                                            </div>
                                                                        </div>
                                                                    </DataItemTemplate>
                                                                    <Settings AllowAutoFilter="False" />
                                                                </dxw:GridViewDataProgressBarColumn>
                                                                <dxw:GridViewDataProgressBarColumn FieldName="ExpNotification1" Caption="Current Notification Level" VisibleIndex="7"
                                                                    Width="80px" CellStyle-HorizontalAlign="Center">
                                                                    <HeaderCaptionTemplate>
                                                                        <span class="icon">
                                                                            <img src="../images/64.png" align="top" width="16px" height="16px" alt="" /></span> <span class="label">
                                                                                <asp:Label ID="lblTotalRunningHrsU" runat="server" Text="Current Notification Level"></asp:Label></span>
                                                                    </HeaderCaptionTemplate>
                                                                    <DataItemTemplate>
                                                                        <dxw:ASPxProgressBar ID="ASPxProgressBar1" runat="server" Height="21px" OnDataBound="ASPxProgressBar1_DataBound"
                                                                            Value='<%# Eval("ExpNotificationCurrent") %>' Width="120px">
                                                                        </dxw:ASPxProgressBar>
                                                                    </DataItemTemplate>
                                                                    <Settings AllowAutoFilter="False" />
                                                                </dxw:GridViewDataProgressBarColumn>
                                                                <dxw:GridViewDataTextColumn Caption="Renew" VisibleIndex="12" Width="3%" HeaderStyle-HorizontalAlign="Center"
                                                                    CellStyle-HorizontalAlign="Center" Name="Renew">
                                                                    <HeaderTemplate>
                                                                    </HeaderTemplate>
                                                                    <DataItemTemplate>
                                                                        <asp:LinkButton ID="btnRenew" runat="server" CommandArgument='<%# Eval("VendorVehicleSettingsId") %>' Visible='<%# Convert.ToBoolean(Eval("ContractStatus")) %>'
                                                                            alternatetext="Renew" OnClientClick="ShowPopUp();return true;" OnClick="btnRenew_Click" ToolTip="Click here to Renew" CssClass="handButton">
                                                                            <asp:Image ID="imgRenew" runat="server" ImageUrl="~/images/reset_click.png" Height="16" Width="16" />
                                                                        </asp:LinkButton>
                                                                    </DataItemTemplate>
                                                                </dxw:GridViewDataTextColumn>
                                                            </Columns>
                                                            <Settings ShowVerticalScrollBar="true" VerticalScrollableHeight="350" ShowFilterRow="true" ShowFilterRowMenu="True" />
                                                            <SettingsText EmptyDataRow="No Lease details found" />
                                                        </dxw:ASPxGridView>
                                                    </div>
                                                    <dxw:ASPxGridViewExporter ID="ASPxGridViewExporter1" runat="server" GridViewID="gvLeaseDetails"
                                                        ReportHeader="{\rtf1\ansi\ansicpg1252\deff0\deflang1033{\fonttbl{\f0\fnil\fcharset0 Arial;}}
                                                        \viewkind4\uc1\pard\qc\b\fs28 Alert Details    \fs24\par
                                                        \pard\pra
                                                        \par
                                                        }
                                                        "
                                                        OnDataBinding="ASPxGridViewExporter1_DataBinding" OnPreRender="ASPxGridViewExporter1_PreRender" OnRenderBrick="ASPxGridViewExporter1_RenderBrick">
                                                        <PageFooter Right="[Page # of Pages #]">
                                                        </PageFooter>
                                                    </dxw:ASPxGridViewExporter>
                                                </div>
                                            </div>
                                            <%--<div class="AlignControl">
                                                <br />
                                                  <img src="../images/blue.png" />
                                                <asp:Label ID="BlueIcnIndicator" runat="server" Text="Active"></asp:Label>&nbsp;
                                            &nbsp;
                                            <img src="../images/red.png" />
                                                <asp:Label ID="RedIcnIndicator" runat="server" Text="Expired"></asp:Label>
                                            </div>--%>
                                        </asp:Panel>
                                        <div class="clear clearfix">
                                        </div>
                                    </div>
                                </div>
                                <!-- Main Content Ends Here -->
                                <div id="left">
                                </div>
                                <div class="clear clearfix">
                                </div>
                            </div>
                            <div id="right">
                            </div>
                            <div class="clear clearfix">
                            </div>
                        </div>
                    </div>
                </ContentTemplate>
                <Triggers>
                    <%--<asp:PostBackTrigger ControlID="btnAssignUsers" />--%>
                    <asp:PostBackTrigger ControlID="btnExport" />
                </Triggers>
            </asp:UpdatePanel>
            <cc1:ModalPopupExtender ID="mpeProgressIndicator" runat="server" PopupControlID="pnlProgress1"
                TargetControlID="btnTesting">
            </cc1:ModalPopupExtender>
            <asp:Button ID="btnTesting" Style="display: none;" runat="server" />
            <%-- <asp:UpdateProgress ID="uprDataLoading" runat="server" DynamicLayout="True" AssociatedUpdatePanelID="updVhDetails">
            <ProgressTemplate>--%>
            <asp:Panel ID="pnlProgress1" runat="server" CssClass="processMessage" Style="z-index: 1000;">
                <center>
                    <br />
                    <img id="imgLoad" runat="server" alt="Please Wait ..." src="../images/47.gif" /><br />
                    <br />
                    <asp:Label ID="lbl_msg12" Text="Processing... Please Wait..." runat="server" CssClass="specialdisplay"></asp:Label>
                    <br />
                    <br />
                </center>
            </asp:Panel>
            <asp:HiddenField ID="hdnLogout" runat="server" />

            <asp:Panel ID="pnlLeaseSettings" runat="server" Style="display: none;" CssClass="col-sm-6 nullpadding">
                <asp:UpdatePanel ID="upLeaseSettings" runat="server">
                    <ContentTemplate>
                        <div class="popup">
                            <div class="top">
                                <h1>
                                    <asp:Label ID="lblLeaseSettings" Text="Lease Assignment Settings" runat="server"></asp:Label></h1>
                                <%--<div class="close">
                                                <asp:ImageButton ID="imgCloseLeaseSettings" runat="server" OnClientClick="CloseLeaseAssignmentSettingsPopup(); return false;"
                                                    ImageUrl="~/Images/popup-close.gif" />
                                            </div>--%>
                                <div class="clear clearfix"></div>
                            </div>
                            <div class="popup-content">
                                <%--<tr><td>
                                            <asp:CheckBox ID="chkDelayNotification" runat="server" Text="Delay Notifications" />
                                    </td></tr>--%>
                                <asp:Panel ID="PnlContractSettings" runat="server" GroupingText="Contract Settings">
                                    <div class="col-sm-12">
                                        <div class="form-horizontal">
                                            <div class="form-group">
                                                <div class="col-sm-4 padding-width-sm icon-img">
                                                    <asp:Label ID="Label1" runat="server" Text="Contract From"></asp:Label>
                                                    <span style="color: Red">*</span>
                                                </div>
                                                <div class="col-sm-4 padding-width-sm">
                                                    <asp:TextBox ID="txtEffectiveFrom" runat="server" onkeypress="return false" onpaste="return false"
                                                        CssClass="form-control" TabIndex="12"></asp:TextBox>
                                                </div>
                                            </div>
                                            <div class="form-group">
                                                <div class="col-sm-4 padding-width-sm icon-img">
                                                    <asp:Label ID="Label2" runat="server" Text="Contract To"></asp:Label>
                                                    <span style="color: Red">*</span>
                                                </div>
                                                <div class="col-sm-4 padding-width-sm">
                                                    <asp:TextBox ID="txtEffectiveTo" runat="server" onkeypress="return false" onpaste="return false"
                                                        CssClass="form-control"></asp:TextBox>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </asp:Panel>
                                <asp:Panel ID="pnlNotificationSettings" runat="server" GroupingText="Notification Settings">
                                    <div class="col-sm-12">
                                        <div class="form-horizontal">
                                            <div class="form-group">
                                                <div class="col-sm-4 padding-width-sm icon-img">
                                                    <asp:Label ID="Label3" runat="server" Text="Expiry Notification Type"></asp:Label>
                                                    <span style="color: Red">*</span>
                                                </div>
                                                <div class="col-sm-4 padding-width-sm">
                                                    <asp:DropDownList ID="ddlExpNotificationType" runat="server" CssClass="form-control">
                                                        <asp:ListItem Text="Running Distance" Value="1"></asp:ListItem>
                                                        <asp:ListItem Text="Running Hours" Value="2"></asp:ListItem>
                                                    </asp:DropDownList>
                                                </div>
                                            </div>
                                            <div class="form-group">
                                                <div class="col-sm-4 padding-width-sm icon-img">
                                                    <asp:Label ID="Label4" runat="server" Text="Expiry Notification Level1"></asp:Label>
                                                    <span style="color: Red">*</span>
                                                </div>
                                                <div class="col-sm-4 padding-width-sm">
                                                    <asp:TextBox ID="txtExpNotifyLevel1" runat="server" CssClass="form-control" MaxLength="2"
                                                        oncopy="return false" ondrop="return false" onpaste="return false" onkeypress="return chkNumeric_only(event);"></asp:TextBox>
                                                </div>
                                                <div class="col-sm-1 padding-width-sm icon-label">
                                                    <span>(%)</span>
                                                </div>
                                            </div>
                                            <div class="form-group">
                                                <div class="col-sm-4 padding-width-sm icon-img">
                                                    <asp:Label ID="Label5" runat="server" Text="Expiry Notification Level2"></asp:Label>
                                                    <span style="color: Red">*</span>
                                                </div>
                                                <div class="col-sm-4 padding-width-sm">
                                                    <asp:TextBox ID="txtExpNotifyLevel2" runat="server" CssClass="form-control" MaxLength="2"
                                                        oncopy="return false" ondrop="return false" onpaste="return false" onkeypress="return chkNumeric_only(event);"></asp:TextBox>
                                                </div>
                                                <div class="col-sm-1 padding-width-sm icon-label">
                                                    <span>(%)</span>
                                                </div>
                                            </div>
                                            <div class="form-group">
                                                <div class="col-sm-4 padding-width-sm icon-img">
                                                    <asp:Label ID="Label11" runat="server" Text="Monthly Running Distance Limit"></asp:Label>
                                                    <span style="color: Red">*</span>
                                                </div>
                                                <div class="col-sm-4 padding-width-sm">
                                                    <asp:TextBox ID="txtRunningDistLimit" runat="server" CssClass="form-control" MaxLength="6"
                                                        oncopy="return false" ondrop="return false" onpaste="return false" onkeypress="return chkNumeric_only(event);"></asp:TextBox>
                                                </div>
                                                <div class="col-sm-1 padding-width-sm icon-label">
                                                    <span>(Kms)</span>
                                                </div>
                                                <div class="col-sm-3">
                                                    <asp:CheckBox ID="chkIsRunningDistNotify" runat="server" Text="Is Notify" CssClass="checkbox" />
                                                </div>
                                            </div>
                                            <div class="form-group">
                                                <div class="col-sm-4 padding-width-sm icon-img">
                                                    <asp:Label ID="Label12" runat="server" Text="Monthly Running Hours Limit"></asp:Label>
                                                    <span style="color: Red">*</span>
                                                </div>
                                                <div class="col-sm-4 padding-width-sm">
                                                    <asp:TextBox ID="txtEngineHrsLimit" runat="server" CssClass="form-control" MaxLength="6"
                                                        oncopy="return false" ondrop="return false" onpaste="return false" onkeypress="return chkNumeric_only(event);"></asp:TextBox>
                                                </div>
                                                <div class="col-sm-1 padding-width-sm icon-label">
                                                    <span>(Hrs)</span>
                                                </div>
                                                <div class="col-sm-3">
                                                    <asp:CheckBox ID="chkIsEngineHrsNotify" runat="server" Text="Is Notify" CssClass="checkbox" />
                                                </div>
                                            </div>
                                            <div class="form-group">
                                                <div class="col-sm-4 padding-width-sm icon-img">
                                                    <asp:Label ID="Label13" runat="server" Text="Remarks"></asp:Label>
                                                </div>
                                                <div class="col-sm-4 padding-width-sm">
                                                    <asp:TextBox ID="txtRemarks" class="form-control" runat="server" MaxLength="450" TextMode="MultiLine"></asp:TextBox>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </asp:Panel>
                                <div class="col-sm-12">
                                    <div class="form-horizontal">
                                        <div class="">
                                            <span style="color: Red">*</span>
                                            <asp:Label ID="lblMandatory" runat="server" Text="Required Fields"></asp:Label>
                                        </div>
                                        <div id="divClose" runat="server" class="">
                                            <div class="col-xs-12 padding-width-sm">
                                                <div class="pull-right">
                                                    <asp:Button ID="btnCloseLeaseSettings" runat="server" Text="Cancel" OnClientClick="CloseLeaseAssignmentSettingsPopup(); return false;" />
                                                    <asp:Button ID="btnSaveLeaseRenewal" runat="server" Text="Renew" OnClientClick="return ValidateLeaseAssignmentSettings();ShowPopUp();" OnClick="btnSaveLeaseRenewal_Click" />
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                                <div class="clear clearfix"></div>
                            </div>
                        </div>
                        </div>
                    </ContentTemplate>
                </asp:UpdatePanel>
            </asp:Panel>

            <script type="text/javascript" lang="javascript" src="../js/StudentVehicleAssignmentScripts.js"></script>
            <script type="text/javascript" lang="javascript" src="../js/FormValidations.js"></script>
            <script type="text/javascript" lang="javascript" src="../js/LeaseManagement.js"></script>
        </form>
    </div>
    <!-- Content Ends Here -->
    <uc2:Footer ID="ucFooter" runat="server" />
</body>
</html>
