﻿<%@ page language="C#" autoeventwireup="true" inherits="Forms_ManageDevices, App_Web_4todeeuo" %>

<%@ Register Assembly="AjaxControlToolkit" Namespace="AjaxControlToolkit" TagPrefix="cc1" %>
<%@ Register Src="~/UserControls/New_Header.ascx" TagName="Header" TagPrefix="uc1" %>
<%@ Register Src="~/UserControls/New_Footer.ascx" TagName="Footer" TagPrefix="uc2" %>

<%--<%@ Register Assembly="DevExpress.Web.ASPxGridView.v8.2" Namespace="DevExpress.Web.ASPxGridView"
    TagPrefix="dxgv" %>
<%@ Register Assembly="DevExpress.Web.ASPxGridView.v8.2.Export" Namespace="DevExpress.Web.ASPxGridView.Export"
    TagPrefix="exp" %>
<%@ Register Assembly="DevExpress.Web.ASPxEditors.v8.2" Namespace="DevExpress.Web.ASPxEditors"
    TagPrefix="dxe" %>--%>

<%@ Register Assembly="DevExpress.Web.v14.2" Namespace="DevExpress.Web" TagPrefix="dxw" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head id="Head1" runat="server">
    <title>tSense-IoT Configuration</title>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1" />
    <%--<meta http-equiv="Page-Enter" content="blendTrans(Duration=0)" />
    <meta http-equiv="Page-Exit" content="blendTrans(Duration=0)" />
    <meta http-equiv="X-UA-Compatible" content="IE=7" />--%>

    <link id="reset" runat="server" href="../css/reset.css" rel="stylesheet" type="text/css" />
    <link id="stylesheet2" runat="server" href="../css/stylesheet2.css" rel="stylesheet" type="text/css" />
    <link id="dropdown" runat="server" href="../css/dropdown.css" rel="stylesheet" type="text/css" />

    <%--Custom Theme for DevEx 14.2--%>
    <link id="GridView" runat="server" type="text/css" href="~/App_Themes/Office2003Blue/GridView/grid.css" rel="stylesheet" />
    <link id="Editors" runat="server" type="text/css" href="~/App_Themes/Office2003Blue/Editors/styles.css" rel="stylesheet" />
    <link rel="SHORTCUT ICON" href="../images/favicon.ico" />

    <%--********* For Bootstrap Implementation *************--%>
    <link id="BootStrapCss" href="../css/bootstrap.css" runat="server" rel="stylesheet" type="text/css" />
    <link id="mainstyle" runat="server" href="../css/mainstyle.css" rel="stylesheet" type="text/css" />
    <%--********* End of Bootstrap Implementation *************--%>

    <%--<script src="../js/jquery-1.11.2.min.js" type="text/javascript"></script>--%>
    <script src="../js/wow.min.js"></script>
</head>
<body>
    <div class="pageContainer">
        <form id="form1" runat="server">
            <asp:ScriptManager ID="ScriptManager1" runat="server">
            </asp:ScriptManager>
            <!-- Header Starts Here -->
            <uc1:Header ID="ucHeader" runat="server" />
            <!-- Nav Ends Here -->
            <!-- Content Starts Here -->
            <asp:UpdatePanel runat="server" ID="updDeviceDetails" UpdateMode="Conditional">
                <ContentTemplate>
                    <div id="outer">
                        <div id="inner">
                            <div id="float-wrap">
                                <!-- Main Content Starts Here -->
                                <div id="content">
                                    <div class="content-wrap">
                                        <div class="clear clearfix">
                                        </div>
                                        <div id="top-content" class="head-part">
                                            <div id="heading" class="col-sm-4 col-md-3">
                                                <img class="icon" src="../images/configuration-icon.jpg" alt="" />
                                                <h1>
                                                    <asp:Literal ID="lblConfigurationCaption" runat="server"></asp:Literal></h1>
                                                <asp:LinkButton ID="lnkHomeCaption" runat="server"></asp:LinkButton><span>&gt;</span><span><a
                                                    href="ConfigurationSetup.aspx">Device</a></span><span>&gt;</span><span><a href="ManageDevices.aspx">Manage
                                                    Devices</a></span>
                                            </div>
                                            <div class="col-sm-8 col-md-9 head-part-btns">
                                                <div class="pull-right">
                                                    <asp:ImageButton ID="lnkAddDevices" runat="server" OnClick="lnkAddDevices_Click"
                                                        ImageUrl="~/images/btn-add-device.jpg" Visible="false" />
                                                    <asp:ImageButton ID="btnBack" runat="server" PostBackUrl="~/Forms/ConfigurationSetup.aspx"
                                                        ImageUrl="~/Images/btn-back-to-configuration.jpg" />
                                                </div>
                                            </div>
                                            <div class="clear clearfix"></div>
                                        </div>
                                        <div class="clear clearfix"></div>
                                        <asp:Panel ID="pnlManageDeviceHolder" runat="server" Visible="false">
                                            <div class="form-box" id="divManageDeviceHolder" runat="server">
                                                <h1>
                                                    <%--      <span class="icon">
                                                    <img src="../images/icn-device-id.gif" alt="" /></span>Manage Devices--%>
                                                </h1>
                                                <table width="100%" align="left" cellspacing="0" border="0" class="form-tbl">
                                                    <tr runat="server" id="trBoxId">
                                                        <td width="3%"></td>
                                                        <td width="15%">
                                                            <asp:Label ID="lblBoxId" runat="server" Text="Device ID" CssClass="label"></asp:Label>
                                                            <%--<asp:Label ID="Label5" runat="server" ForeColor="Red">*</asp:Label>--%>
                                                        </td>
                                                        <td>
                                                            <%--<asp:TextBox ID="txtBoxId" runat="server" MaxLength="6" OnPaste="return false" OnDrop="return false"
                                                            Width="60px"></asp:TextBox>--%>
                                                            <asp:Label ID="txtBoxId" runat="server" CssClass="label"></asp:Label>
                                                        </td>
                                                    </tr>
                                                    <tr>
                                                        <td width="3%"></td>
                                                        <td width="15%">
                                                            <asp:Label ID="lblFirmwareCategory" runat="server" CssClass="label" Text="Firmware Category"></asp:Label>
                                                            <asp:Label ID="Label18" runat="server" ForeColor="Red">*</asp:Label>
                                                        </td>
                                                        <td>
                                                            <asp:DropDownList ID="ddlFirmwareCategory" runat="server" AppendDataBoundItems="true">
                                                            </asp:DropDownList>
                                                            <asp:Button ID="btnLoadFirmware" runat="server" CssClass="btn" OnClick="btnLoadFirmware_Click"
                                                                Style="display: none"></asp:Button>
                                                        </td>
                                                    </tr>
                                                    <tr>
                                                        <td width="3%"></td>
                                                        <td width="15%">
                                                            <asp:Label ID="lblFirmwareVersion" runat="server" CssClass="label" Text="Firmware Version"></asp:Label>
                                                            <asp:Label ID="Label4" runat="server" ForeColor="Red">*</asp:Label>
                                                        </td>
                                                        <td>
                                                            <asp:DropDownList ID="ddlFirmwareVersion" runat="server" AppendDataBoundItems="true">
                                                            </asp:DropDownList>
                                                        </td>
                                                    </tr>
                                                    <tr>
                                                        <td></td>
                                                        <td>
                                                            <asp:Label ID="lblBoxProtocolType" runat="server" CssClass="label" Text="Protocol Type"></asp:Label><asp:Label
                                                                ID="Label6" runat="server" ForeColor="Red">*</asp:Label>
                                                        </td>
                                                        <td>
                                                            <asp:DropDownList ID="ddlBoxProtocolType" runat="server" AppendDataBoundItems="true">
                                                            </asp:DropDownList>
                                                        </td>
                                                    </tr>
                                                    <tr>
                                                        <td></td>
                                                        <td>
                                                            <asp:Label ID="lblCommMode" runat="server" CssClass="label" Text="Communication Mode"></asp:Label><asp:Label
                                                                ID="Label2" runat="server" ForeColor="Red">*</asp:Label>
                                                        </td>
                                                        <td>
                                                            <asp:DropDownList ID="ddlCommMode" runat="server" AppendDataBoundItems="true">
                                                            </asp:DropDownList>
                                                        </td>
                                                    </tr>
                                                    <tr>
                                                        <td></td>
                                                        <td colspan="2">
                                                            <asp:Label ID="Label12" runat="server" ForeColor="Red">*</asp:Label>&nbsp;
                                                        <asp:Label ID="lblIndicatesMandatory" runat="server">Required Fields</asp:Label>
                                                        </td>
                                                    </tr>
                                                    <tr>
                                                        <td colspan="2" style="width: 18%"></td>
                                                        <td style="padding: 0; margin: 0">
                                                            <table cellpadding="0" cellspacing="0" border="0">
                                                                <tr>
                                                                    <td>
                                                                        <asp:ImageButton ID="lbtSaveDevice" runat="server" ValidationGroup="vgDevice" OnClientClick="return DeviceValidation(true);"
                                                                            ImageUrl="~/images/btn-save.jpg" OnClick="lbtSaveDevice_Click" />
                                                                    </td>
                                                                    <td>
                                                                        <asp:ImageButton ID="lbtnCancel" runat="server" ImageUrl="~/images/btn-cancel.jpg"
                                                                            OnClick="lbtnCancel_Click" />
                                                                    </td>
                                                                </tr>
                                                            </table>
                                                        </td>
                                                    </tr>
                                                    <tr runat="server" id="trSensorInfo">
                                                        <td></td>
                                                        <td colspan="2">
                                                            <cc1:CollapsiblePanelExtender ID="CpSensorInfo" runat="server" CollapseControlID="pnlSensor"
                                                                Collapsed="False" CollapsedImage="~/images/Expand.png" CollapsedText="(Show Details...)"
                                                                ExpandControlID="pnlSensor" ExpandedImage="~/images/Collapse.png" ExpandedText="(Hide Details...)"
                                                                ImageControlID="imgSensorInfo" SuppressPostBack="True" TargetControlID="pnlSensorDetails"
                                                                Enabled="True">
                                                            </cc1:CollapsiblePanelExtender>
                                                            <asp:Panel ID="pnlSensor" runat="server" BorderWidth="0" Height="25px">
                                                                <h1>
                                                                    <table cellpadding="0" cellspacing="0" border="0">
                                                                        <tr>
                                                                            <td>
                                                                                <asp:Image ID="imgSensorInfo" runat="server" align="middle" ImageUrl="~/images/Collapse.png" />
                                                                            </td>
                                                                            <td>
                                                                                <asp:Label Style="padding-left: 10px;" ID="lbl_SensorInfoTitle" runat="server" Text="Device Sensor Assignment"></asp:Label>
                                                                            </td>
                                                                        </tr>
                                                                    </table>
                                                                </h1>
                                                            </asp:Panel>
                                                            <asp:Panel ID="pnlSensorDetails" runat="server">
                                                                <br />
                                                                <div id="grid-dsply">
                                                                    <div id="top">
                                                                        <div class="left-col">
                                                                            <span class="icon"></span><span class="txt">Unassigned Sensors</span>
                                                                        </div>
                                                                        <div class="right-col" align="right">
                                                                        </div>
                                                                    </div>
                                                                    <div class="clear clearfix">
                                                                    </div>
                                                                    <asp:HiddenField ID="hdnSelectedSensorUnAssignIds" runat="server" Value="" />
                                                                    <div class="table-responsive">
                                                                        <dxw:ASPxGridView ID="gvSensorUnAssign" runat="server" Width="100%" KeyFieldName="SensorId"
                                                                            CssFilePath="~/App_Themes/Office2003Blue/GridView/styles.css" CssPostfix="Office2003_Blue"
                                                                            EnableTheming="true" Theme="Office2003Blue">
                                                                            <ClientSideEvents SelectionChanged="function(s, e) { OnGridSelectionChanged(1); }" />
                                                                            <%--<Images ImageFolder="~/App_Themes/Office2003Blue/GridView/">
                                                                        <CollapsedButton Height="12px" Url="~/App_Themes/Office2  003 Blue/GridView/gvCollapsedButton.png"
                                                                            Width="11px" />
                                                                        <ExpandedButton Height="12px" Url="~/App_Themes/Office2003Blue/GridView/gvExpandedButton.png"
                                                                            Width="11px" />
                                                                        <DetailCollapsedButton Height="12px" Url="~/App_Themes/Office2003Blue/GridView/gvCollapsedButton.png"
                                                                            Width="11px" />
                                                                        <DetailExpandedButton Height="12px" Url="~/App_Themes/Office2003Blue/GridView/gvExpandedButton.png"
                                                                            Width="11px" />
                                                                    </Images>--%>
                                                                            <Styles CssFilePath="~/App_Themes/Office2003Blue/GridView/grid.css" AlternatingRow-Enabled="True"
                                                                                CssPostfix="Office2003_Blue">
                                                                                <Header ImageSpacing="5px" SortingImageSpacing="5px">
                                                                                </Header>
                                                                                <LoadingPanel ImageSpacing="10px">
                                                                                </LoadingPanel>
                                                                                <PagerBottomPanel CssClass="PageFooter">
                                                                                </PagerBottomPanel>
                                                                                <PagerTopPanel CssClass="PageFooter">
                                                                                </PagerTopPanel>
                                                                            </Styles>
                                                                            <SettingsPager PrevPageButton-Image-Url="../App_Themes/Office2003Blue/GridView/pPrev.gif"
                                                                                PrevPageButton-Image-UrlDisabled="../App_Themes/Office2003Blue/GridView/pPrevDisabled.gif"
                                                                                NextPageButton-Image-UrlDisabled="../App_Themes/Office2003Blue/GridView/pNextDisabled.gif"
                                                                                NextPageButton-Image-Url="../App_Themes/Office2003Blue/GridView/pNext.gif" AlwaysShowPager="true">
                                                                            </SettingsPager>
                                                                            <Columns>
                                                                                <dxw:GridViewDataColumn FieldName="SensorId" Caption="Sensor Id" VisibleIndex="0"
                                                                                    Visible="false" Width="5%">
                                                                                </dxw:GridViewDataColumn>
                                                                                <dxw:GridViewCommandColumn ShowSelectCheckbox="True" VisibleIndex="1" Width="5%">
                                                                                    <HeaderTemplate>
                                                                                        <input type="checkbox" onclick="gvSensorUnAssign.SelectAllRowsOnPage(this.checked);"
                                                                                            style="vertical-align: middle;" title="Select/Unselect all rows on the page"></input>
                                                                                    </HeaderTemplate>
                                                                                    <HeaderStyle Paddings-PaddingTop="1" Paddings-PaddingBottom="1" HorizontalAlign="Center" />
                                                                                </dxw:GridViewCommandColumn>
                                                                                <dxw:GridViewDataTextColumn FieldName="SensorName" Caption="Sensor Name" VisibleIndex="2"
                                                                                    HeaderStyle-HorizontalAlign="Center" CellStyle-Wrap="True" Width="30%">
                                                                                    <HeaderCaptionTemplate>
                                                                                        <table cellpadding="0" cellspacing="0" border="0">
                                                                                            <tr>
                                                                                                <td>
                                                                                                    <img src="..\Images\icn-sensor-name.gif" alt="" />
                                                                                                </td>
                                                                                                <td>Sensor Name
                                                                                                </td>
                                                                                            </tr>
                                                                                        </table>
                                                                                    </HeaderCaptionTemplate>
                                                                                </dxw:GridViewDataTextColumn>
                                                                                <dxw:GridViewDataTextColumn FieldName="ActionOn" Caption="Action On" VisibleIndex="3"
                                                                                    HeaderStyle-HorizontalAlign="Center" CellStyle-Wrap="True" Width="30%">
                                                                                    <HeaderCaptionTemplate>
                                                                                        <table cellpadding="0" cellspacing="0" border="0">
                                                                                            <tr>
                                                                                                <td>
                                                                                                    <img src="..\Images\icn-action-on.gif" alt="" align="top" />
                                                                                                </td>
                                                                                                <td>Action On
                                                                                                </td>
                                                                                            </tr>
                                                                                        </table>
                                                                                    </HeaderCaptionTemplate>
                                                                                </dxw:GridViewDataTextColumn>
                                                                                <dxw:GridViewDataTextColumn FieldName="ActionOff" Caption="Action Off" VisibleIndex="4"
                                                                                    HeaderStyle-HorizontalAlign="Center" CellStyle-Wrap="True" Width="30%">
                                                                                    <HeaderCaptionTemplate>
                                                                                        <table cellpadding="0" cellspacing="0" border="0">
                                                                                            <tr>
                                                                                                <td>
                                                                                                    <img src="..\Images\icn-action-off.gif" alt="" align="top" />
                                                                                                </td>
                                                                                                <td>Action Off
                                                                                                </td>
                                                                                            </tr>
                                                                                        </table>
                                                                                    </HeaderCaptionTemplate>
                                                                                </dxw:GridViewDataTextColumn>
                                                                            </Columns>
                                                                            <SettingsText EmptyDataRow="No unassigned sensor details found" />
                                                                        </dxw:ASPxGridView>
                                                                    </div>
                                                                    <div class="form-box">
                                                                        <table width="100%" class="form-tbl">
                                                                            <tr>
                                                                                <td>&nbsp;
                                                                                </td>
                                                                                <td width="10%" valign="bottom" style="padding-left: 20px" align="left">
                                                                                    <asp:ImageButton ID="btnAssignSensors" ImageUrl="~/images/btn-sensor-assign.jpg"
                                                                                        runat="server" OnClientClick="return ValidateSensorOutputAssign('Sensor');" OnClick="btnAssignSensors_Click" />
                                                                                </td>
                                                                            </tr>
                                                                        </table>
                                                                        <div class="clear clearfix">
                                                                        </div>
                                                                    </div>
                                                                </div>
                                                                <br />
                                                                <div id="grid-dsply">
                                                                    <div id="top">
                                                                        <div class="left-col">
                                                                            <span class="icon"></span><span class="txt">Assigned Sensors</span>
                                                                        </div>
                                                                        <div class="right-col" align="right">
                                                                        </div>
                                                                    </div>
                                                                    <div class="clear clearfix">
                                                                    </div>
                                                                    <asp:HiddenField ID="hdnSelectedSensorAssignIds" runat="server" Value="" />
                                                                    <div class="table-responsive">
                                                                        <dxw:ASPxGridView ID="gvSensorAssign" runat="server" Width="100%" KeyFieldName="SensorId"
                                                                            CssFilePath="~/App_Themes/Office2003Blue/GridView/styles.css" CssPostfix="Office2003_Blue"
                                                                            EnableTheming="true" Theme="Office2003Blue">
                                                                            <ClientSideEvents SelectionChanged="function(s, e) { OnGridSelectionChanged(0); }" />
                                                                            <%--<Images ImageFolder="~/App_Themes/Office2003Blue/GridView/">
                                                                        <CollapsedButton Height="12px" Url="~/App_Themes/Office2  003 Blue/GridView/gvCollapsedButton.png"
                                                                            Width="11px" />
                                                                        <ExpandedButton Height="12px" Url="~/App_Themes/Office2003Blue/GridView/gvExpandedButton.png"
                                                                            Width="11px" />
                                                                        <DetailCollapsedButton Height="12px" Url="~/App_Themes/Office2003Blue/GridView/gvCollapsedButton.png"
                                                                            Width="11px" />
                                                                        <DetailExpandedButton Height="12px" Url="~/App_Themes/Office2003Blue/GridView/gvExpandedButton.png"
                                                                            Width="11px" />
                                                                    </Images>--%>
                                                                            <Styles CssFilePath="~/App_Themes/Office2003Blue/GridView/grid.css" AlternatingRow-Enabled="True"
                                                                                CssPostfix="Office2003_Blue">
                                                                                <Header ImageSpacing="5px" SortingImageSpacing="5px">
                                                                                </Header>
                                                                                <LoadingPanel ImageSpacing="10px">
                                                                                </LoadingPanel>
                                                                                <PagerBottomPanel CssClass="PageFooter">
                                                                                </PagerBottomPanel>
                                                                                <PagerTopPanel CssClass="PageFooter">
                                                                                </PagerTopPanel>
                                                                            </Styles>
                                                                            <SettingsPager PrevPageButton-Image-Url="../App_Themes/Office2003Blue/GridView/pPrev.gif"
                                                                                PrevPageButton-Image-UrlDisabled="../App_Themes/Office2003Blue/GridView/pPrevDisabled.gif"
                                                                                NextPageButton-Image-UrlDisabled="../App_Themes/Office2003Blue/GridView/pNextDisabled.gif"
                                                                                NextPageButton-Image-Url="../App_Themes/Office2003Blue/GridView/pNext.gif" AlwaysShowPager="true">
                                                                            </SettingsPager>
                                                                            <Columns>
                                                                                <dxw:GridViewDataColumn FieldName="SensorId" Caption="Sensor Id" VisibleIndex="0"
                                                                                    Visible="false" Width="5%">
                                                                                </dxw:GridViewDataColumn>
                                                                                <dxw:GridViewCommandColumn ShowSelectCheckbox="True" VisibleIndex="1" Width="5%">
                                                                                    <HeaderTemplate>
                                                                                        <input type="checkbox" onclick="gvSensorAssign.SelectAllRowsOnPage(this.checked);"
                                                                                            style="vertical-align: middle;" title="Select/Unselect all rows on the page"></input>
                                                                                    </HeaderTemplate>
                                                                                    <HeaderStyle Paddings-PaddingTop="1" Paddings-PaddingBottom="1" HorizontalAlign="Center" />
                                                                                </dxw:GridViewCommandColumn>
                                                                                <dxw:GridViewDataTextColumn FieldName="SensorName" Caption="Sensor Name" VisibleIndex="2"
                                                                                    HeaderStyle-HorizontalAlign="Center" CellStyle-Wrap="True" Width="30%">
                                                                                    <HeaderCaptionTemplate>
                                                                                        <table cellpadding="0" cellspacing="0" border="0">
                                                                                            <tr>
                                                                                                <td>
                                                                                                    <img src="..\Images\icn-sensor-name.gif" alt="" align="top" />
                                                                                                </td>
                                                                                                <td>Sensor Name
                                                                                                </td>
                                                                                            </tr>
                                                                                        </table>
                                                                                    </HeaderCaptionTemplate>
                                                                                </dxw:GridViewDataTextColumn>
                                                                                <dxw:GridViewDataTextColumn FieldName="ActionOn" Caption="Action On" VisibleIndex="3"
                                                                                    HeaderStyle-HorizontalAlign="Center" CellStyle-Wrap="True" Width="30%">
                                                                                    <HeaderCaptionTemplate>
                                                                                        <table cellpadding="0" cellspacing="0" border="0">
                                                                                            <tr>
                                                                                                <td>
                                                                                                    <img src="..\Images\icn-action-on.gif" alt="" align="top" />
                                                                                                </td>
                                                                                                <td>Action On
                                                                                                </td>
                                                                                            </tr>
                                                                                        </table>
                                                                                    </HeaderCaptionTemplate>
                                                                                </dxw:GridViewDataTextColumn>
                                                                                <dxw:GridViewDataTextColumn FieldName="ActionOff" Caption="Action Off" VisibleIndex="4"
                                                                                    HeaderStyle-HorizontalAlign="Center" CellStyle-Wrap="True" Width="30%">
                                                                                    <HeaderCaptionTemplate>
                                                                                        <table cellpadding="0" cellspacing="0" border="0">
                                                                                            <tr>
                                                                                                <td>
                                                                                                    <img src="..\Images\icn-action-off.gif" alt="" align="top" />
                                                                                                </td>
                                                                                                <td>Action Off
                                                                                                </td>
                                                                                            </tr>
                                                                                        </table>
                                                                                    </HeaderCaptionTemplate>
                                                                                </dxw:GridViewDataTextColumn>
                                                                            </Columns>
                                                                            <SettingsText EmptyDataRow="No assigned sensor details found" />
                                                                        </dxw:ASPxGridView>
                                                                    </div>
                                                                    <div class="form-box">
                                                                        <table width="100%" class="form-tbl">
                                                                            <tr>
                                                                                <td>&nbsp;
                                                                                </td>
                                                                                <td width="10%" valign="bottom" style="padding-left: 20px">
                                                                                    <asp:ImageButton ID="btnUnAssignSensors" runat="server" ImageUrl="~/images/btn-sensor-unassign.jpg"
                                                                                        OnClientClick="return CheckSelectionForManipulation(10,'btnUnAssignSensors');" OnClick="btnUnAssignSensors_Click" />
                                                                                </td>
                                                                            </tr>
                                                                        </table>
                                                                        <div class="clear clearfix">
                                                                        </div>
                                                                    </div>
                                                                </div>
                                                            </asp:Panel>
                                                        </td>
                                                    </tr>
                                                    <tr runat="server" id="trOutputInfo">
                                                        <td></td>
                                                        <td colspan="2">
                                                            <cc1:CollapsiblePanelExtender ID="CpOutputInfo" runat="server" CollapseControlID="pnlOutput"
                                                                Collapsed="False" CollapsedImage="~/images/Expand.png" CollapsedText="(Show Details...)"
                                                                ExpandControlID="pnlOutput" ExpandedImage="~/images/Collapse.png" ExpandedText="(Hide Details...)"
                                                                ImageControlID="imgOutputInfo" SuppressPostBack="True" TargetControlID="pnlOutputDetails"
                                                                Enabled="True">
                                                            </cc1:CollapsiblePanelExtender>
                                                            <asp:Panel ID="pnlOutput" runat="server" BorderWidth="0" Height="25px">
                                                                <h1>
                                                                    <table cellpadding="0" cellspacing="0" border="0">
                                                                        <tr>
                                                                            <td>
                                                                                <asp:Image ID="imgOutputInfo" runat="server" align="middle" ImageUrl="~/images/Collapse.png" />
                                                                            </td>
                                                                            <td>
                                                                                <asp:Label Style="padding-left: 10px;" ID="Label1" runat="server" Text="Device Output Assignment"></asp:Label>
                                                                            </td>
                                                                        </tr>
                                                                    </table>
                                                                </h1>
                                                            </asp:Panel>
                                                            <asp:Panel ID="pnlOutputDetails" runat="server">
                                                                <br />
                                                                <div id="grid-dsply">
                                                                    <div id="top">
                                                                        <div class="left-col">
                                                                            <span class="icon"></span><span class="txt">Unassigned Outputs</span>
                                                                        </div>
                                                                        <div class="right-col" align="right">
                                                                        </div>
                                                                    </div>
                                                                    <div class="clear clearfix">
                                                                    </div>
                                                                    <asp:HiddenField ID="hdnSelectedOutputUnAssignIds" runat="server" Value="" />
                                                                    <div class="table-responsive">
                                                                        <dxw:ASPxGridView ID="gvOutputUnAssign" runat="server" Width="100%" KeyFieldName="OutputId"
                                                                            CssFilePath="~/App_Themes/Office2003Blue/GridView/styles.css" CssPostfix="Office2003_Blue"
                                                                            EnableTheming="true" Theme="Office2003Blue">
                                                                            <ClientSideEvents SelectionChanged="function(s, e) { OnGridSelectionChanged(3); }" />
                                                                            <%--<Images ImageFolder="~/App_Themes/Office2003Blue/GridView/">
                                                                        <CollapsedButton Height="12px" Url="~/App_Themes/Office2  003 Blue/GridView/gvCollapsedButton.png"
                                                                            Width="11px" />
                                                                        <ExpandedButton Height="12px" Url="~/App_Themes/Office2003Blue/GridView/gvExpandedButton.png"
                                                                            Width="11px" />
                                                                        <DetailCollapsedButton Height="12px" Url="~/App_Themes/Office2003Blue/GridView/gvCollapsedButton.png"
                                                                            Width="11px" />
                                                                        <DetailExpandedButton Height="12px" Url="~/App_Themes/Office2003Blue/GridView/gvExpandedButton.png"
                                                                            Width="11px" />
                                                                    </Images>--%>
                                                                            <Styles CssFilePath="~/App_Themes/Office2003Blue/GridView/grid.css" AlternatingRow-Enabled="True"
                                                                                CssPostfix="Office2003_Blue">
                                                                                <Header ImageSpacing="5px" SortingImageSpacing="5px">
                                                                                </Header>
                                                                                <LoadingPanel ImageSpacing="10px">
                                                                                </LoadingPanel>
                                                                                <PagerBottomPanel CssClass="PageFooter">
                                                                                </PagerBottomPanel>
                                                                                <PagerTopPanel CssClass="PageFooter">
                                                                                </PagerTopPanel>
                                                                            </Styles>
                                                                            <SettingsPager PrevPageButton-Image-Url="../App_Themes/Office2003Blue/GridView/pPrev.gif"
                                                                                PrevPageButton-Image-UrlDisabled="../App_Themes/Office2003Blue/GridView/pPrevDisabled.gif"
                                                                                NextPageButton-Image-UrlDisabled="../App_Themes/Office2003Blue/GridView/pNextDisabled.gif"
                                                                                NextPageButton-Image-Url="../App_Themes/Office2003Blue/GridView/pNext.gif" AlwaysShowPager="true">
                                                                            </SettingsPager>
                                                                            <Columns>
                                                                                <dxw:GridViewDataColumn FieldName="OutputId" Caption="Output Id" VisibleIndex="0"
                                                                                    Visible="false" Width="5%">
                                                                                </dxw:GridViewDataColumn>
                                                                                <dxw:GridViewCommandColumn ShowSelectCheckbox="True" VisibleIndex="1" Width="5%">
                                                                                    <HeaderTemplate>
                                                                                        <input type="checkbox" onclick="gvOutputUnAssign.SelectAllRowsOnPage(this.checked);"
                                                                                            style="vertical-align: middle;" title="Select/Unselect all rows on the page"></input>
                                                                                    </HeaderTemplate>
                                                                                    <HeaderStyle Paddings-PaddingTop="1" Paddings-PaddingBottom="1" HorizontalAlign="Center" />
                                                                                </dxw:GridViewCommandColumn>
                                                                                <dxw:GridViewDataTextColumn FieldName="OutputName" Caption="Output Name" VisibleIndex="2"
                                                                                    HeaderStyle-HorizontalAlign="Center" CellStyle-Wrap="True" Width="45%">
                                                                                    <HeaderCaptionTemplate>
                                                                                        <table cellpadding="0" cellspacing="0" border="0">
                                                                                            <tr>
                                                                                                <td>
                                                                                                    <img src="..\Images\icn-output-name.gif" alt="" align="top" />
                                                                                                </td>
                                                                                                <td>Output Name
                                                                                                </td>
                                                                                            </tr>
                                                                                        </table>
                                                                                    </HeaderCaptionTemplate>
                                                                                </dxw:GridViewDataTextColumn>
                                                                                <dxw:GridViewDataTextColumn FieldName="OutputAction" Caption="Output Action" VisibleIndex="3"
                                                                                    HeaderStyle-HorizontalAlign="Center" CellStyle-Wrap="True" Width="45%">
                                                                                    <HeaderCaptionTemplate>
                                                                                        <table cellpadding="0" cellspacing="0" border="0">
                                                                                            <tr>
                                                                                                <td>
                                                                                                    <img src="..\Images\icn-output-action.gif" alt="" align="top" />
                                                                                                </td>
                                                                                                <td>Output Action
                                                                                                </td>
                                                                                            </tr>
                                                                                        </table>
                                                                                    </HeaderCaptionTemplate>
                                                                                </dxw:GridViewDataTextColumn>
                                                                            </Columns>
                                                                            <SettingsText EmptyDataRow="No unassigned output details found" />
                                                                        </dxw:ASPxGridView>
                                                                    </div>
                                                                    <div class="form-box">
                                                                        <table width="100%" class="form-tbl">
                                                                            <tr>
                                                                                <td>&nbsp;
                                                                                </td>
                                                                                <td width="10%" valign="bottom" style="padding-left: 20px">
                                                                                    <asp:ImageButton ID="btnAssignOutputs" runat="server" ImageUrl="~/images/btn-output-assign.jpg"
                                                                                        OnClientClick="return ValidateSensorOutputAssign('Output');" OnClick="btnAssignOutputs_Click" />
                                                                                </td>
                                                                            </tr>
                                                                        </table>
                                                                        <div class="clear clearfix">
                                                                        </div>
                                                                    </div>
                                                                </div>
                                                                <br />
                                                                <div id="grid-dsply">
                                                                    <div id="top">
                                                                        <div class="left-col">
                                                                            <span class="icon"></span><span class="txt">Assigned Outputs</span>
                                                                        </div>
                                                                        <div class="right-col" align="right">
                                                                        </div>
                                                                    </div>
                                                                    <div class="clear clearfix">
                                                                    </div>
                                                                    <asp:HiddenField ID="hdnSelectedOutputAssignIds" runat="server" Value="" />
                                                                    <div class="table-responsive">
                                                                        <dxw:ASPxGridView ID="gvOutputAssign" runat="server" Width="100%" KeyFieldName="OutputId"
                                                                            CssFilePath="~/App_Themes/Office2003Blue/GridView/styles.css" CssPostfix="Office2003_Blue"
                                                                            EnableTheming="true" Theme="Office2003Blue">
                                                                            <ClientSideEvents SelectionChanged="function(s, e) { OnGridSelectionChanged(2); }" />
                                                                            <%--<Images ImageFolder="~/App_Themes/Office2003Blue/GridView/">
                                                                        <CollapsedButton Height="12px" Url="~/App_Themes/Office2  003 Blue/GridView/gvCollapsedButton.png"
                                                                            Width="11px" />
                                                                        <ExpandedButton Height="12px" Url="~/App_Themes/Office2003Blue/GridView/gvExpandedButton.png"
                                                                            Width="11px" />
                                                                        <DetailCollapsedButton Height="12px" Url="~/App_Themes/Office2003Blue/GridView/gvCollapsedButton.png"
                                                                            Width="11px" />
                                                                        <DetailExpandedButton Height="12px" Url="~/App_Themes/Office2003Blue/GridView/gvExpandedButton.png"
                                                                            Width="11px" />
                                                                    </Images>--%>
                                                                            <Styles CssFilePath="~/App_Themes/Office2003Blue/GridView/grid.css" AlternatingRow-Enabled="True"
                                                                                CssPostfix="Office2003_Blue">
                                                                                <Header ImageSpacing="5px" SortingImageSpacing="5px">
                                                                                </Header>
                                                                                <LoadingPanel ImageSpacing="10px">
                                                                                </LoadingPanel>
                                                                                <PagerBottomPanel CssClass="PageFooter">
                                                                                </PagerBottomPanel>
                                                                                <PagerTopPanel CssClass="PageFooter">
                                                                                </PagerTopPanel>
                                                                            </Styles>
                                                                            <SettingsPager PrevPageButton-Image-Url="../App_Themes/Office2003Blue/GridView/pPrev.gif"
                                                                                PrevPageButton-Image-UrlDisabled="../App_Themes/Office2003Blue/GridView/pPrevDisabled.gif"
                                                                                NextPageButton-Image-UrlDisabled="../App_Themes/Office2003Blue/GridView/pNextDisabled.gif"
                                                                                NextPageButton-Image-Url="../App_Themes/Office2003Blue/GridView/pNext.gif" AlwaysShowPager="true">
                                                                            </SettingsPager>
                                                                            <Columns>
                                                                                <dxw:GridViewDataColumn FieldName="OutputId" Caption="Output Id" VisibleIndex="0"
                                                                                    Visible="false" Width="5%">
                                                                                </dxw:GridViewDataColumn>
                                                                                <dxw:GridViewCommandColumn ShowSelectCheckbox="True" VisibleIndex="1" Width="5%">
                                                                                    <HeaderTemplate>
                                                                                        <input type="checkbox" onclick="gvOutputAssign.SelectAllRowsOnPage(this.checked);"
                                                                                            style="vertical-align: middle;" title="Select/Unselect all rows on the page"></input>
                                                                                    </HeaderTemplate>
                                                                                    <HeaderStyle Paddings-PaddingTop="1" Paddings-PaddingBottom="1" HorizontalAlign="Center" />
                                                                                </dxw:GridViewCommandColumn>
                                                                                <dxw:GridViewDataTextColumn FieldName="OutputName" Caption="Output Name" VisibleIndex="2"
                                                                                    HeaderStyle-HorizontalAlign="Center" CellStyle-Wrap="True" Width="45%">
                                                                                    <HeaderCaptionTemplate>
                                                                                        <table cellpadding="0" cellspacing="0" border="0">
                                                                                            <tr>
                                                                                                <td>
                                                                                                    <img src="..\Images\icn-output-name.gif" alt="" align="top" />
                                                                                                </td>
                                                                                                <td>Output Name
                                                                                                </td>
                                                                                            </tr>
                                                                                        </table>
                                                                                    </HeaderCaptionTemplate>
                                                                                </dxw:GridViewDataTextColumn>
                                                                                <dxw:GridViewDataTextColumn FieldName="OutputAction" Caption="Output Action" VisibleIndex="3"
                                                                                    HeaderStyle-HorizontalAlign="Center" CellStyle-Wrap="True" Width="45%">
                                                                                    <HeaderCaptionTemplate>
                                                                                        <table cellpadding="0" cellspacing="0" border="0">
                                                                                            <tr>
                                                                                                <td>
                                                                                                    <img src="..\Images\icn-output-action.gif" alt="" align="top" />
                                                                                                </td>
                                                                                                <td>Output Action
                                                                                                </td>
                                                                                            </tr>
                                                                                        </table>
                                                                                    </HeaderCaptionTemplate>
                                                                                </dxw:GridViewDataTextColumn>
                                                                            </Columns>
                                                                            <SettingsText EmptyDataRow="No assigned output details found" />
                                                                        </dxw:ASPxGridView>
                                                                    </div>
                                                                    <div class="form-box">
                                                                        <table width="100%" class="form-tbl">
                                                                            <tr>
                                                                                <td></td>
                                                                                <td width="10%" valign="bottom" style="padding-left: 20px">
                                                                                    <asp:ImageButton ID="btnUnAssignOutputs" runat="server" ImageUrl="~/images/btn-output-unassign.jpg"
                                                                                        OnClientClick="return CheckSelectionForManipulation(12,'btnUnAssignOutputs');" OnClick="btnUnAssignOutputs_Click" />
                                                                                </td>
                                                                            </tr>
                                                                        </table>
                                                                        <div class="clear clearfix">
                                                                        </div>
                                                                    </div>
                                                                </div>
                                                            </asp:Panel>
                                                        </td>
                                                    </tr>
                                                </table>
                                                <div class="clear clearfix">
                                                </div>
                                            </div>
                                        </asp:Panel>
                                    </div>
                                    <div class="clear clearfix">
                                    </div>
                                    <asp:Panel ID="pnlDeviceDetailsList" runat="server">
                                        <div id="grid-dsply">
                                            <div id="top">
                                                <div class="padding-width-sm pull-left">
                                                    <span class="txt">
                                                        <asp:Label ID="Label11" Text="Devices Details" runat="server"></asp:Label>
                                                    </span>
                                                </div>
                                                <div class="pull-right">
                                                    <span class="dropdown">
                                                        <dxw:ASPxComboBox ID="ASPxCboExport" runat="server" ValueType="System.String" Width="80px" Height="20px"
                                                            ShowImageInEditBox="false" ItemImage-Height="12px" ClientInstanceName="ASPxCboExport" SelectedIndex="0"
                                                            CssFilePath="~/App_Themes/Office2003Blue/Editors/styles.css" CssPostfix="Office2003_Blue"
                                                            EnableTheming="true" Theme="Office2003Blue">
                                                            <Items>
                                                                <dxw:ListEditItem ImageUrl="../images/icn-pdf.jpg" Text="pdf" Value="pdf" />
                                                                <dxw:ListEditItem ImageUrl="../images/icn-excel.jpg" Text="xls" Value="xls" />
                                                                <dxw:ListEditItem ImageUrl="../images/icn-excel-xlsx.png" Text="xlsx" Value="xlsx" />
                                                                <dxw:ListEditItem ImageUrl="../images/icn-word.jpg" Text="rtf" Value="rtf" />
                                                                <%--<dxw:ListEditItem ImageUrl="../images/icn-csv.gif" Text="csv" Value="csv" />--%>
                                                            </Items>
                                                        </dxw:ASPxComboBox>
                                                    </span>
                                                    <span class="txt">
                                                        <asp:ImageButton ID="btnExport" runat="server" ImageUrl="~/images/btn-export.jpg"
                                                            OnClick="btnExport_Click" />
                                                    </span>
                                                </div>
                                            </div>
                                            <div class="clear clearfix">
                                            </div>
                                            <div class="table-responsive">
                                                <dxw:ASPxGridView ID="gvDevices" runat="server" Width="100%" KeyFieldName="BoxId"
                                                    CssFilePath="~/App_Themes/Office2003Blue/GridView/styles.css" CssPostfix="Office2003_Blue"
                                                    EnableTheming="true" Theme="Office2003Blue">
                                                    <%--<Images ImageFolder="~/App_Themes/Office2003Blue/GridView/">
                                                <CollapsedButton Height="12px" Url="~/App_Themes/Office2  003 Blue/GridView/gvCollapsedButton.png"
                                                    Width="11px" />
                                                <ExpandedButton Height="12px" Url="~/App_Themes/Office2003Blue/GridView/gvExpandedButton.png"
                                                    Width="11px" />
                                                <DetailCollapsedButton Height="12px" Url="~/App_Themes/Office2003Blue/GridView/gvCollapsedButton.png"
                                                    Width="11px" />
                                                <DetailExpandedButton Height="12px" Url="~/App_Themes/Office2003Blue/GridView/gvExpandedButton.png"
                                                    Width="11px" />
                                            </Images>--%>
                                                    <Styles CssFilePath="~/App_Themes/Office2003Blue/GridView/grid.css" AlternatingRow-Enabled="True"
                                                        CssPostfix="Office2003_Blue">
                                                        <Header ImageSpacing="5px" SortingImageSpacing="5px">
                                                        </Header>
                                                        <LoadingPanel ImageSpacing="10px">
                                                        </LoadingPanel>
                                                        <PagerBottomPanel CssClass="PageFooter">
                                                        </PagerBottomPanel>
                                                        <PagerTopPanel CssClass="PageFooter">
                                                        </PagerTopPanel>
                                                    </Styles>
                                                    <SettingsPager PrevPageButton-Image-Url="../App_Themes/Office2003Blue/GridView/pPrev.gif"
                                                        PrevPageButton-Image-UrlDisabled="../App_Themes/Office2003Blue/GridView/pPrevDisabled.gif"
                                                        NextPageButton-Image-UrlDisabled="../App_Themes/Office2003Blue/GridView/pNextDisabled.gif"
                                                        NextPageButton-Image-Url="../App_Themes/Office2003Blue/GridView/pNext.gif" AlwaysShowPager="true">
                                                    </SettingsPager>
                                                    <Columns>
                                                        <dxw:GridViewDataColumn FieldName="BoxId" Caption="Device ID" VisibleIndex="0" Width="100px">
                                                            <HeaderCaptionTemplate>
                                                                <span class="icon">
                                                                    <img id="imgDeviceId" src="../images/icn-device-id.gif" alt="" /></span> <span class="label">
                                                                        <asp:Label ID="lblDeviceId" runat="server" Text="Device ID"></asp:Label></span>
                                                            </HeaderCaptionTemplate>
                                                            <Settings AllowAutoFilter="True" />
                                                        </dxw:GridViewDataColumn>
                                                        <dxw:GridViewDataTextColumn FieldName="FwCategoryName" Caption="Firmware Name" VisibleIndex="1"
                                                            HeaderStyle-HorizontalAlign="Center" CellStyle-Wrap="True" Width="425px">
                                                            <HeaderCaptionTemplate>
                                                                <span class="icon">
                                                                    <img id="imgFirmwareVersion" src="../images/icn-firmware-version.gif" alt="" /></span>
                                                                <span class="label">
                                                                    <asp:Label ID="lblFirmwareName" runat="server" Text="Firmware Name"></asp:Label></span>
                                                            </HeaderCaptionTemplate>
                                                            <Settings AllowAutoFilter="false" />
                                                        </dxw:GridViewDataTextColumn>
                                                        <dxw:GridViewDataTextColumn FieldName="FwName" Caption="Firmware Version" VisibleIndex="1"
                                                            HeaderStyle-HorizontalAlign="Center" CellStyle-Wrap="True" Width="425px">
                                                            <HeaderCaptionTemplate>
                                                                <span class="icon">
                                                                    <img id="imgFirmwareVersion" src="../images/icn-firmware-version.gif" alt="" /></span>
                                                                <span class="label">
                                                                    <asp:Label ID="lblFirmwareVersion" runat="server" Text="Firmware Version"></asp:Label></span>
                                                            </HeaderCaptionTemplate>
                                                            <Settings AllowAutoFilter="false" />
                                                        </dxw:GridViewDataTextColumn>
                                                        <dxw:GridViewDataTextColumn FieldName="BoxProtocolTypeName" Caption="Protocol Type"
                                                            VisibleIndex="2" HeaderStyle-HorizontalAlign="Center" CellStyle-Wrap="True" Width="425px">
                                                            <HeaderCaptionTemplate>
                                                                <span class="icon">
                                                                    <img id="imgProtocolType" src="../images/icn-box-protocol.gif" alt="" /></span>
                                                                <span class="label">
                                                                    <asp:Label ID="lblProtocolType" runat="server" Text="Protocol Type"></asp:Label></span>
                                                            </HeaderCaptionTemplate>
                                                            <Settings AllowAutoFilter="false" />
                                                        </dxw:GridViewDataTextColumn>
                                                        <dxw:GridViewDataTextColumn FieldName="CommModeName" Caption="Communication Mode"
                                                            VisibleIndex="3" HeaderStyle-HorizontalAlign="Center" CellStyle-Wrap="True" Width="425px">
                                                            <HeaderCaptionTemplate>
                                                                <span class="icon">
                                                                    <img id="imgCommModeName" src="../images/icn-comm-modename.gif" alt="" /></span>
                                                                <span class="label">
                                                                    <asp:Label ID="lblCommModeName" runat="server" Text="Communication Mode"></asp:Label></span>
                                                            </HeaderCaptionTemplate>
                                                            <Settings AllowAutoFilter="false" />
                                                        </dxw:GridViewDataTextColumn>
                                                        <dxw:GridViewDataColumn FieldName="OrganizationName" Caption="Organization Name"
                                                            VisibleIndex="4" Width="400px">
                                                            <HeaderCaptionTemplate>
                                                                <span class="icon">
                                                                    <img id="imgOrganizationName" src="../images/icn-org-mgt.gif" alt="" /></span>
                                                                <span class="label">
                                                                    <asp:Label ID="lblOrganizationName" runat="server" Text="Organization Name"></asp:Label></span>
                                                            </HeaderCaptionTemplate>
                                                            <Settings AllowAutoFilter="True" />
                                                        </dxw:GridViewDataColumn>
                                                        <dxw:GridViewDataTextColumn Caption="Temp1" VisibleIndex="5" HeaderStyle-HorizontalAlign="Center"
                                                            CellStyle-HorizontalAlign="Center" Width="10px">
                                                            <HeaderTemplate>
                                                                <span class="label">
                                                                    <asp:Label ID="lblTemp1" runat="server" Text="Temp1"></asp:Label>
                                                                </span>
                                                            </HeaderTemplate>
                                                            <DataItemTemplate>
                                                                <asp:LinkButton ID="btnTemp1" runat="server" CommandArgument='<%# Eval("BoxId") %>'
                                                                    OnClick="btnTemp1_Click" Style="text-decoration: none;"> 
                                                                <img src="../images/icn-active.gif"/> 
                                                                </asp:LinkButton>
                                                            </DataItemTemplate>
                                                        </dxw:GridViewDataTextColumn>
                                                        <dxw:GridViewDataTextColumn Caption="Temp2" VisibleIndex="5" HeaderStyle-HorizontalAlign="Center"
                                                            CellStyle-HorizontalAlign="Center" Width="10px">
                                                            <HeaderTemplate>
                                                                <span class="label">
                                                                    <asp:Label ID="lblTemp2" runat="server" Text="Temp2"></asp:Label>
                                                                </span>
                                                            </HeaderTemplate>
                                                            <DataItemTemplate>
                                                                <asp:LinkButton ID="btnTemp2" runat="server" CommandArgument='<%# Eval("BoxId") %>'
                                                                    OnClick="btnTemp2_Click" Style="text-decoration: none;"> 
                                                                <img src="../images/icn-active.gif"/> 
                                                                </asp:LinkButton>
                                                            </DataItemTemplate>
                                                        </dxw:GridViewDataTextColumn>
                                                        <dxw:GridViewDataTextColumn Caption="Temp3" VisibleIndex="5" HeaderStyle-HorizontalAlign="Center"
                                                            CellStyle-HorizontalAlign="Center" Width="10px">
                                                            <HeaderTemplate>
                                                                <span class="label">
                                                                    <asp:Label ID="lblTemp3" runat="server" Text="Temp3"></asp:Label>
                                                                </span>
                                                            </HeaderTemplate>
                                                            <DataItemTemplate>
                                                                <asp:LinkButton ID="btnTemp3" runat="server" CommandArgument='<%# Eval("BoxId") %>'
                                                                    OnClick="btnTemp3_Click" Style="text-decoration: none;"> 
                                                                <img src="../images/icn-active.gif"/> 
                                                                </asp:LinkButton>
                                                            </DataItemTemplate>
                                                        </dxw:GridViewDataTextColumn>
                                                        <dxw:GridViewDataTextColumn Caption="Temp4" VisibleIndex="5" HeaderStyle-HorizontalAlign="Center"
                                                            CellStyle-HorizontalAlign="Center" Width="10px">
                                                            <HeaderTemplate>
                                                                <span class="label">
                                                                    <asp:Label ID="lblTemp4" runat="server" Text="Temp4"></asp:Label>
                                                                </span>
                                                            </HeaderTemplate>
                                                            <DataItemTemplate>
                                                                <asp:LinkButton ID="btnTemp4" runat="server" CommandArgument='<%# Eval("BoxId") %>'
                                                                    OnClick="btnTemp4_Click" Style="text-decoration: none;"> 
                                                                <img src="../images/icn-active.gif"/> 
                                                                </asp:LinkButton>
                                                            </DataItemTemplate>
                                                        </dxw:GridViewDataTextColumn>
                                                        <dxw:GridViewDataTextColumn Caption="Edit" VisibleIndex="5" HeaderStyle-HorizontalAlign="Center"
                                                            CellStyle-HorizontalAlign="Center" Width="10px">
                                                            <HeaderTemplate>
                                                            </HeaderTemplate>
                                                            <DataItemTemplate>
                                                                <asp:LinkButton ID="btnEdit" runat="server" CommandArgument='<%# Eval("BoxId") %>'
                                                                    OnClick="btnEdit_click" Style="text-decoration: none;"> <img src="../images/icn-edit.gif" alt="View" title="Click here to Edit"/> </asp:LinkButton>
                                                            </DataItemTemplate>
                                                        </dxw:GridViewDataTextColumn>
                                                        <dxw:GridViewDataColumn FieldName="FwID" Caption="FwID" VisibleIndex="6" Visible="false">
                                                        </dxw:GridViewDataColumn>
                                                        <dxw:GridViewDataColumn FieldName="BoxProtocolTypeId" Caption="BoxProtocolTypeId"
                                                            VisibleIndex="7" Visible="false">
                                                        </dxw:GridViewDataColumn>
                                                        <dxw:GridViewDataColumn FieldName="CommModeId" Caption="CommModeId" VisibleIndex="6"
                                                            Visible="false">
                                                        </dxw:GridViewDataColumn>
                                                    </Columns>
                                                    <SettingsText EmptyDataRow="No device details found" />
                                                    <SettingsBehavior AllowFocusedRow="false" />
                                                    <Settings ShowFilterRow="true" ShowFilterRowMenu="True" />
                                                </dxw:ASPxGridView>
                                            </div>
                                            <dxw:ASPxGridViewExporter ID="ASPxGridViewExporter1" runat="server" GridViewID="gvDevices"
                                                ReportHeader="{\rtf1\ansi\ansicpg1252\deff0\deflang1033{\fonttbl{\f0\fnil\fcharset0 Arial;}}
                                                                \viewkind4\uc1\pard\qc\b\fs28 Alert Details\fs24\par\pard\par\par}">
                                                <PageFooter Right="[Page # of Pages #]">
                                                </PageFooter>
                                            </dxw:ASPxGridViewExporter>
                                        </div>
                                    </asp:Panel>
                                    <div class="clear clearfix">
                                    </div>
                                </div>
                                <!-- Main Content Ends Here -->
                                <div id="left">
                                </div>
                                <div class="clear clearfix">
                                </div>
                            </div>
                            <div id="right">
                            </div>
                            <div class="clear clearfix">
                            </div>
                        </div>
                    </div>
                    <!-- Content Ends Here -->
                </ContentTemplate>
                <Triggers>
                    <asp:PostBackTrigger ControlID="btnExport" />
                </Triggers>
            </asp:UpdatePanel>
            <asp:HiddenField ID="hdnLogout" runat="server" />

            <script src="../js/myformvalidations.js" type="text/javascript"></script>
            <%--<script type="text/javascript" lang="javascript" src="../js/FormValidations.js"></script>--%>
            <script type="text/javascript" lang="javascript" src="../js/GridCheckBoxMaintaining.js"></script>
            <script type="text/javascript" lang="javascript" src="../js/ManageDevicesScript.js"></script>
        </form>
    </div>
    <uc2:Footer ID="ucFooter" runat="server" />
</body>
</html>
