﻿<%@ page language="C#" autoeventwireup="true" inherits="Forms_VICurve, App_Web_lgyfb0kl" enableeventvalidation="false" validaterequest="false" %>

<%@ Register Assembly="TimePicker" Namespace="MKB.TimePicker" TagPrefix="MKB" %>

<%@ Register Assembly="AjaxControlToolkit" Namespace="AjaxControlToolkit" TagPrefix="cc1" %>
<%@ Register Src="~/UserControls/New_Header.ascx" TagName="Header" TagPrefix="uc1" %>
<%@ Register Src="~/UserControls/New_Footer.ascx" TagName="Footer" TagPrefix="uc2" %>

<%@ Register Assembly="DevExpress.XtraCharts.v14.2.Web" Namespace="DevExpress.XtraCharts.Web" TagPrefix="dxchartsui" %>
<%@ Register Assembly="DevExpress.XtraCharts.v14.2" Namespace="DevExpress.XtraCharts" TagPrefix="dxcharts" %>
<%@ Register Assembly="DevExpress.Web.v14.2" Namespace="DevExpress.Web" TagPrefix="dxw" %>

<!DOCTYPE html>
<html lang="en">
<head runat="server">
    <title>VI Curve</title>
    <meta content="charset=utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1" />
    <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1" />
    <link href="../css/CustomeAlert/demos.css" rel="stylesheet" type="text/css" />
    <link href="../css/CustomeAlert/themes/jquery.ui.all.css" rel="stylesheet" type="text/css" />
    <link id="reset" runat="server" href="../css/reset.css" rel="stylesheet" type="text/css" />
    <link id="dropdown" runat="server" href="../css/dropdown.css" rel="stylesheet" type="text/css" />
    <link id="stylesheet2" runat="server" href="../css/stylesheet2.css" rel="stylesheet" type="text/css" />
    <link id="datepicker" runat="server" type="text/css" href="../css/ui.datepicker.css" rel="stylesheet" />
    <link id="uicore" runat="server" type="text/css" href="../css/ui.core.css" rel="stylesheet" />
    <link id="uitheme" runat="server" type="text/css" href="../css/ui.theme.css" rel="stylesheet" />
    <link id="ieonly" runat="server" rel="stylesheet" type="text/css" href="" />

    <link type="text/css" href="~/App_Themes/Office2003Blue/GridView/grid.css" rel="stylesheet" />
    <link type="text/css" href="~/App_Themes/Office2003Blue/Editors/styles.css" rel="stylesheet" />
    <link rel="SHORTCUT ICON" href="../images/favicon.ico" />
    <%--BootStrap Css--%>
    <link id="BootStrapCss" href="../css/bootstrap.css" runat="server" rel="stylesheet" type="text/css" />
    <link id="mainstyle" runat="server" href="../css/mainstyle.css" rel="stylesheet" type="text/css" />
    <%--End of BootStrap Css--%>
    <script src="../js/myformvalidations.js" type="text/javascript"></script>
    <script src="../js/CustomAlert/jquery.min.js" type="text/javascript"></script>
    <script src="../js/CustomAlert/jquery-ui-1.10.3.custom.min.js" type="text/javascript"></script>
    <script src="../js/CustomAlert/jquery-ui-1.10.3.custom.js" type="text/javascript"></script>
    <script src="../js/CustomAlert/CustomAlert.js" type="text/javascript"></script>

    <script type="text/javascript" src="../js/jquery-1.5.1.min.js"></script>
    <script type="text/javascript" src="../js/ui.datepicker.js"></script>
    <script type="text/javascript" src="../js/JQQueryDatePicker.js"></script>
    <script type="text/javascript" src="../js/jZip.js"></script>
    <link rel="SHORTCUT ICON" href="../images/favicon.ico" />
    <script src="../js/wow.min.js"></script>
</head>
<body>
    <div class="pageContainer">
        <form id="form1" runat="server">
            <asp:ScriptManager ID="ScriptManager1" runat="server" AsyncPostBackTimeout="360000"
                EnablePartialRendering="true" EnablePageMethods="true">
            </asp:ScriptManager>
            <uc1:Header ID="ucHeader" runat="server" />
            <div id="outer">
                <div id="inner">
                    <div id="float-wrap">
                        <div id="content">
                            <div class="content-wrap">
                                <%-- <div id="top-content" class="container-fluid head-part">
                                    <div class="row">
                                        <div id="heading" class="col-sm-4 col-md-3">
                                            <img class="icon" src="../images/VICurve.png" alt="" /> <h1>
                                                <asp:Literal ID="lblLandmarksCaption" runat="server">VI Curve</asp:Literal></h1>
                                            <asp:LinkButton ID="lnkHomeCaption" runat="server" PostBackUrl="~/Forms/MapPage.aspx">Home</asp:LinkButton>
                                            <span>&gt;</span><span><a href="VICurve.aspx"><asp:Label ID="lblvi_curve" runat="server"
                                                Text="VICurve"></asp:Label></a></span>
                                        </div>
                                    </div>
                                </div>--%>
                                <div id="top-content" class="head-part">
                                    <div id="heading" class="col-sm-3 col-md-2">
                                        <img class="icon" src="../images/VICurve.png" alt="" />
                                        <h1>
                                            <asp:Literal ID="ltHistory" runat="server">VI Curve</asp:Literal>
                                        </h1>
                                        <asp:LinkButton ID="lnkHomeCaption" runat="server" PostBackUrl="~/Forms/MapPage.aspx">Home</asp:LinkButton>
                                        <span>&gt;</span><span>
                                            <a href="VICurve.aspx">
                                                <asp:Label ID="lblHistoryCaption" runat="server" Text="VICurve"></asp:Label></a>   </span>
                                    </div>
                                    <div class="col-sm-9 padding-width-sm">
                                        <asp:UpdatePanel UpdateMode="Conditional" ID="updPanel" runat="server" OnUnload="UpdatePanel_Unload">
                                            <ContentTemplate>
                                                <div class="form-horizontal">
                                                    <div class="col-sm-12 padding-width-sm">
                                                        <div class="col-sm-4 col-md-2 nullpadding">

                                                            <div class="col-sm-12 padding-width-sm icon-img">
                                                                <div class="col-xs-1 nullpadding override-col-width">
                                                                    <asp:Image ID="imgFleetIcon" runat="server" ImageUrl="../images/Zone-icon.gif" AlternateText="Fleet Name" />
                                                                </div>
                                                                <div class="col-xs-11 col-sm-10 padding-width-sm form-controllinebreak">
                                                                    <dxw:ASPxComboBox ID="ddlFleet" runat="server" ValueType="System.Int32" CssClass="form-control"
                                                                        EnableIncrementalFiltering="true" ShowImageInEditBox="false" ClientInstanceName="ddlFleet"
                                                                        SelectedIndex="0" OnSelectedIndexChanged="ddlFleet_SelectedIndexChanged"
                                                                        CssFilePath="~/App_Themes/office2003Blue/Editors/styles.css" CssPostfix="Office2003_Blue"
                                                                        EnableTheming="true" Theme="Office2003Blue" AutoPostBack="true">
                                                                    </dxw:ASPxComboBox>
                                                                </div>
                                                            </div>
                                                            <div class="col-sm-12 padding-width-sm icon-img">
                                                                <div class="col-xs-1 nullpadding override-col-width">
                                                                    <asp:Image ID="imgVehicleIcon" runat="server" ImageUrl="../images/vehicle-icon.gif" AlternateText="ESP" />
                                                                </div>
                                                                <div class="col-xs-11 col-sm-10 padding-width-sm form-controllinebreak">
                                                                    <dxw:ASPxComboBox ID="ddlVehicle" runat="server" ValueType="System.Int32" CssClass="form-control"
                                                                        ShowImageInEditBox="false" ClientInstanceName="ddlVehicle" SelectedIndex="0"
                                                                        OnSelectedIndexChanged="ddlVehicle_SelectedIndexChanged" AutoPostBack="true"
                                                                        EnableIncrementalFiltering="true" EnableTheming="true" Theme="Office2003Blue"
                                                                        CssFilePath="~/App_Themes/office2003Blue/Editors/styles.css" CssPostfix="Office2003_Blue">
                                                                        <ClientSideEvents SelectedIndexChanged="function(s, e) { ShowPopUp(); }" />
                                                                    </dxw:ASPxComboBox>
                                                                </div>
                                                            </div>
                                                        </div>
                                                        <div class="col-md-2 nullpadding">
                                                            <div class="col-sm-12 padding-width-sm icon-img">
                                                                <div class="col-xs-1 nullpadding override-col-width">
                                                                    <asp:Image ID="ImgControllerIcon" runat="server" ImageUrl="../images/vehicle-icon.gif" AlternateText="Vehicle" />
                                                                </div>
                                                                <div class="col-xs-11 col-sm-10 padding-width-sm form-controllinebreak">
                                                                    <dxw:ASPxComboBox ID="ddlControllers" runat="server" ValueType="System.Int32" CssClass="form-control"
                                                                        ShowImageInEditBox="false" ClientInstanceName="ddlControllers" SelectedIndex="0" AutoPostBack="false"
                                                                        EnableIncrementalFiltering="true" EnableTheming="true" Theme="Office2003Blue"
                                                                        CssFilePath="~/App_Themes/office2003Blue/Editors/styles.css" CssPostfix="Office2003_Blue">
                                                                        <Items>
                                                                            <dxw:ListEditItem Text="-Select-" Value="0" />
                                                                        </Items>
                                                                    </dxw:ASPxComboBox>
                                                                </div>
                                                            </div>

                                                        </div>
                                                        <div class="col-sm-6 col-md-4 col-lg-3 nullpadding">
                                                            <div class="lft-bor" id="tdPolyCaption" runat="server" style="display: none">
                                                                <asp:Label ID="lblPolyline" runat="server" Text="Polyline Style"></asp:Label>
                                                            </div>
                                                            <div class="col-sm-12 nullpadding icon-img">
                                                                <div class="col-xs-6 padding-width-sm">
                                                                    <div class="col-xs-1 nullpadding override-col-width">
                                                                        <asp:Image ID="imgDurationFrom" runat="server" ImageUrl="../images/calendar-rht-icon.gif"
                                                                            AlternateText="Duration From" />
                                                                    </div>
                                                                    <div class="col-xs-10 padding-width-sm">
                                                                        <asp:HiddenField runat="server" ID="hdnDateFormat" Value="dd-MMM-yyyy" />
                                                                        <asp:TextBox ID="txtStartDate" runat="server" oncopy="return false" oncut="return false"
                                                                            onkeydown="doCheckBackSpaceOrDelete()" onkeypress="return false" onpaste="return false"
                                                                            CssClass="form-control" ToolTip="dd-MMM-yyyy"></asp:TextBox>
                                                                    </div>
                                                                </div>
                                                                <div class="col-xs-6 nullpadding override-col-width form-controllinebreak">
                                                                    <div class="time1 Responsivetime">
                                                                        <MKB:TimeSelector ID="tsFromHrs" runat="server" AmPm="AM" DisplaySeconds="False"
                                                                            Hour="8" Font-Size="10pt" Height="20px" SelectedTimeFormat="Twelve">
                                                                        </MKB:TimeSelector>
                                                                    </div>
                                                                    <dxw:ASPxTimeEdit ID="tsFromHrs1" runat="server" DateTime="2009/11/01 15:31:34" CssClass="form-control"
                                                                        EnableTheming="true" Theme="Office2003Blue" Visible="false">
                                                                        <ValidationSettings ErrorDisplayMode="None" />
                                                                    </dxw:ASPxTimeEdit>
                                                                </div>
                                                            </div>
                                                            <div class="col-sm-12 nullpadding icon-img">
                                                                <div class="col-xs-6 padding-width-sm">
                                                                    <div class="col-xs-1 nullpadding override-col-width">
                                                                        <asp:Image ID="imgDurationTo" runat="server" ImageUrl="../images/calendar-lft-icon.gif"
                                                                            AlternateText="Duration To" />
                                                                    </div>
                                                                    <div class="col-xs-10 padding-width-sm">
                                                                        <asp:TextBox ID="txtEndDate" runat="server" oncopy="return false" oncut="return false"
                                                                            CssClass="form-control" onkeydown="doCheckBackSpaceOrDelete()" onkeypress="return false"
                                                                            onpaste="return false" ToolTip="dd-MMM-yyyy"></asp:TextBox>
                                                                    </div>
                                                                </div>
                                                                <div class="col-xs-6 nullpadding override-col-width">
                                                                    <div class="time1 Responsivetime">
                                                                        <MKB:TimeSelector ID="tsToHours" runat="server" AmPm="AM" DisplaySeconds="False"
                                                                            Hour="10" Font-Size="10pt" Height="20px" SelectedTimeFormat="Twelve">
                                                                        </MKB:TimeSelector>
                                                                    </div>
                                                                    <dxw:ASPxTimeEdit ID="tsToHrs1" runat="server" DateTime="2009/11/01 15:31:34" CssClass="form-control"
                                                                        EnableTheming="true" Theme="Office2003Blue" Visible="false">
                                                                        <ValidationSettings ErrorDisplayMode="None" />
                                                                    </dxw:ASPxTimeEdit>
                                                                </div>
                                                            </div>
                                                        </div>
                                                        <div class="col-sm-12 col-md-5 padding-width-sm">
                                                            <div class="col-xs-12 nullpadding icon-img">&nbsp;</div>
                                                            <div class="col-xs-12 nullpadding icon-label">
                                                                <div class="col-xs-11 col-sm-8 col-md-10 col-lg-11 nullpadding">
                                                                    <asp:LinkButton ID="btnView" runat="server" CssClass="MultilingualBtn" OnClientClick="try{if( Validate('V')){ShowPopUp(); return true;} else return false;} catch(Error){return false};"
                                                                        OnClick="btnView_Click">
                                                                        <span runat="server" class="MultilingualBtnspan">
                                                                            <div class="Search">
                                                                                <div id="UpdateResultsButDiv" runat="server" class="MultilingualBtnTextAlign">
                                                                                    Update Results
                                                                                </div>
                                                                            </div>
                                                                        </span>
                                                                    </asp:LinkButton>
                                                                </div>
                                                            </div>
                                                        </div>
                                                    </div>
                                                </div>
                                            </ContentTemplate>
                                        </asp:UpdatePanel>
                                    </div>
                                    <div class="clear clearfix"></div>
                                </div>
                                <div class="clear clearfix"></div>
                                <div class="form-box">
                                    <h1>
                                        <span class="icon">
                                            <img alt="" src="../imagesButton/manage-route.png" />
                                        </span>
                                        <asp:Label ID="lblVICurve" runat="server" Text="VI Curve"></asp:Label>
                                    </h1>
                                    <div class="col-lg-9 col-md-8 col-sm-7 VICurveChart">
                                        <div id="chart-dsply" dir="ltr" style="z-index: 1; border: 4px solid white; background-color: white; position: relative;">
                                            <input id="chartCrtical" type="hidden" runat="server" />
                                            <input id="chartWidth" type="hidden" runat="server" value="950" />
                                            <input id="chartHeight" type="hidden" runat="server" value="400" />
                                            <dxchartsui:WebChartControl ID="wcTempChart" runat="server" DiagramTypeName="XYDiagram"
                                                ShowLoadingPanel="true" LoadingPanelText="" AppearanceName="In A Fog" CrosshairEnabled="True"
                                                ClientInstanceName="wcTempChart" CssClass="AlignCenter TopLargeMargin" OnCustomCallback="wcTempChart_CustomCallback"
                                                SaveStateOnCallbacks="False" OnCustomDrawSeriesPoint="wcTempChart_CustomDrawSeriesPoint" ToolTipEnabled="False">
                                                <clientsideevents endcallback="function(s, e) {captureChartImage();}" />
                                            </dxchartsui:WebChartControl>
                                            <script lang="javascript">
                                                function DoCallbackTempChart() {
                                                    //alert('out');
                                                    if (document.getElementById('wcTempChart') != undefined) {
                                                        //alert('in');
                                                        wcTempChart.PerformCallback();
                                                    }
                                                }
                                            </script>
                                        </div>
                                    </div>
                                    <div class="col-lg-3 col-md-4 col-sm-5 nullpadding">
                                        <div class="form-box">
                                            <h1>
                                                <asp:Label ID="Label1" runat="server" CssClass="label" Text="VI Curve Values"></asp:Label>
                                            </h1>
                                            <dxw:ASPxGridView ID="gvDataa" ClientInstanceName="gvDataa" KeyFieldName="MA"
                                                runat="server" EnableTheming="true" Theme="Office2003Blue" AutoGenerateColumns="False"
                                                CssFilePath="~/App_Themes/Office2003Blue/GridView/grid.css" CssPostfix="Office2003_Blue"
                                                ToolTip="Right Click for more options...">
                                                <Styles CssFilePath="~/App_Themes/Office2003Blue/{0}/grid.css" AlternatingRow-Enabled="True"
                                                    CssPostfix="Office2003_Blue">
                                                    <Header ImageSpacing="5px" SortingImageSpacing="5px">
                                                    </Header>
                                                    <LoadingPanel ImageSpacing="10px">
                                                    </LoadingPanel>
                                                    <PagerBottomPanel CssClass="PageFooter">
                                                    </PagerBottomPanel>
                                                    <PagerTopPanel CssClass="PageFooter">
                                                    </PagerTopPanel>
                                                </Styles>
                                                <SettingsPager PrevPageButton-Image-Url="../App_Themes/Office2003 Blue/GridView/pPrev.gif"
                                                    PrevPageButton-Image-UrlDisabled="../App_Themes/Office2003 Blue/GridView/pPrevDisabled.gif"
                                                    NextPageButton-Image-UrlDisabled="../App_Themes/Office2003 Blue/GridView/pNextDisabled.gif"
                                                    NextPageButton-Image-Url="../App_Themes/Office2003 Blue/GridView/pNext.gif" AlwaysShowPager="true"
                                                    PageSize="50" Mode="ShowPager">
                                                </SettingsPager>
                                                <SettingsPopup CustomizationWindow-HorizontalAlign="RightSides" CustomizationWindow-VerticalAlign="TopSides" />
                                                <SettingsBehavior EnableCustomizationWindow="false" />
                                                <SettingsContextMenu Enabled="true" EnableGroupPanelMenu="False" ColumnMenuItemVisibility-GroupByColumn="false" ColumnMenuItemVisibility-ShowGroupPanel="false"
                                                    EnableFooterMenu="False" ColumnMenuItemVisibility-ShowFooter="false" RowMenuItemVisibility-NewRow="false" RowMenuItemVisibility-EditRow="false"
                                                    RowMenuItemVisibility-DeleteRow="false" EnableRowMenu="false">
                                                </SettingsContextMenu>
                                                <ClientSideEvents Init="function(s,e) {
                                                            $('.dxgvFilterRow_Office2003Blue').attr('title', '');
                                                            $('.dxgvPagerBottomPanel_Office2003Blue').attr('title', '');                                                            
                                                        }"
                                                    EndCallback="function(s,e) {
                                                                $('.dxgvFilterRow_Office2003Blue').attr('title', '');
                                                                $('.dxgvPagerBottomPanel_Office2003Blue').attr('title', '');                                                            
                                                            }"
                                                    ContextMenu="function OnContextMenu(s, e) {
                                                                if (e.objectType == 'row') {
                                                                    ExportContextMenu.ShowAtPos(ASPxClientUtils.GetEventX(e.htmlEvent), ASPxClientUtils.GetEventY(e.htmlEvent));
                                                                }
                                                            }" />
                                                <Columns>
                                                    <dxw:GridViewDataTextColumn Caption="MA" FieldName="MA" VisibleIndex="0" Width="50px">
                                                    </dxw:GridViewDataTextColumn>
                                                    <dxw:GridViewDataTextColumn Caption="Va" FieldName="Va" VisibleIndex="1" Width="50px">
                                                    </dxw:GridViewDataTextColumn>
                                                    <dxw:GridViewDataTextColumn Caption="Vp" FieldName="Vp" VisibleIndex="2" Width="50px">
                                                    </dxw:GridViewDataTextColumn>
                                                    <dxw:GridViewDataTextColumn Caption="Vt" FieldName="Vt" VisibleIndex="3" Width="50px">
                                                    </dxw:GridViewDataTextColumn>
                                                </Columns>
                                                <Settings ShowVerticalScrollBar="true" VerticalScrollableHeight="445" />
                                                <SettingsText EmptyDataRow="No data found" />
                                            </dxw:ASPxGridView>
                                        </div>
                                    </div>
                                </div>
                                <div class="clear clearfix"></div>
                                <div id="grid-dsply">
                                    <asp:UpdatePanel ID="updGrid" runat="server" UpdateMode="Conditional">
                                        <ContentTemplate>
                                            <div class="clear clearfix">
                                            </div>
                                            <div class="table-responsive">
                                                <dxw:ASPxGridView ID="gvScheduleDetails" ClientInstanceName="gvScheduleDetails" runat="server" Width="100%" KeyFieldName="ScheduleId"
                                                    Settings-ShowFilterRow="true" CssFilePath="~/App_Themes/Office2003Blue/GridView/styles.css" CssPostfix="Office2003_Blue"
                                                    EnableTheming="true" Theme="Office2003Blue" OnHtmlRowCreated="gvScheduleDetails_HtmlRowCreated">
                                                    <ClientSideEvents SelectionChanged="function(s, e) { OnGridSelectionChanged(1); }" />
                                                    <Settings ShowVerticalScrollBar="true" VerticalScrollableHeight="160" />
                                                    <SettingsBehavior ProcessSelectionChangedOnServer="false" />

                                                    <Styles CssFilePath="~/App_Themes/Office2003Blue/GridView/grid.css" AlternatingRow-Enabled="True"
                                                        CssPostfix="Office2003_Blue">
                                                        <Header ImageSpacing="5px" SortingImageSpacing="5px">
                                                        </Header>
                                                        <LoadingPanel ImageSpacing="10px">
                                                        </LoadingPanel>
                                                        <PagerBottomPanel CssClass="PageFooter">
                                                        </PagerBottomPanel>
                                                        <PagerTopPanel CssClass="PageFooter">
                                                        </PagerTopPanel>
                                                    </Styles>
                                                    <SettingsPager PrevPageButton-Image-Url="../App_Themes/Office2003Blue/GridView/pPrev.gif"
                                                        PrevPageButton-Image-UrlDisabled="../App_Themes/Office2003Blue/GridView/pPrevDisabled.gif"
                                                        NextPageButton-Image-UrlDisabled="../App_Themes/Office2003Blue/GridView/pNextDisabled.gif"
                                                        NextPageButton-Image-Url="../App_Themes/Office2003Blue/GridView/pNext.gif" AlwaysShowPager="true">
                                                    </SettingsPager>
                                                    <Columns>
                                                        <dxw:GridViewDataColumn Caption="Vehicle Name" FieldName="VehicleDescription" Width="8%"
                                                            VisibleIndex="0">
                                                            <HeaderCaptionTemplate>
                                                                <span>
                                                                    <img src="../images/icn-vehicle-name.gif" alt="" align="middle" />&nbsp; </span>
                                                                <span class="label">&nbsp;<asp:Label ID="lblVehicleDescription" Text="ESP Name"
                                                                    Font-Bold="false" runat="server"></asp:Label>
                                                                </span>
                                                            </HeaderCaptionTemplate>
                                                        </dxw:GridViewDataColumn>
                                                        <dxw:GridViewDataColumn Caption="Command Name" FieldName="BoxCmdOutTypeName" Width="10%"
                                                            VisibleIndex="1">
                                                            <HeaderCaptionTemplate>
                                                                <span>
                                                                    <img src="../images/CommandsName.png" alt="" align="middle" />&nbsp;</span>
                                                                <span class="label">&nbsp;<asp:Label ID="lblBoxCmdOutTypeName" Text="Command Name"
                                                                    Font-Bold="false" runat="server"></asp:Label></span>
                                                            </HeaderCaptionTemplate>
                                                            <DataItemTemplate>
                                                                <asp:Label ID="lblMessage" runat="server" Text='<%# Eval("BoxCmdOutTypeName") %>'>
                                                                </asp:Label>
                                                                <asp:ImageButton ID="btnSMSBasedQuery" runat="server" AlternateText="SMS based Query"
                                                                    ToolTip='SMS based Query' Style="cursor: not-allowed" Visible='<%# Eval("SMSStatus").ToString() != "0"  ? true : false %>'
                                                                    ImageUrl='~/images/mobile.png' />
                                                            </DataItemTemplate>
                                                        </dxw:GridViewDataColumn>
                                                        <dxw:GridViewDataColumn Caption="Command Inputs" FieldName="Inputs" Width="15%"
                                                            CellStyle-HorizontalAlign="Center" VisibleIndex="2">
                                                            <HeaderCaptionTemplate>
                                                                <span>
                                                                    <img src="../images/CommandsName.png" alt="" align="middle" />&nbsp;</span>
                                                                <span class="label">&nbsp;<asp:Label ID="lblInputs" Text="Command Inputs" Font-Bold="false"
                                                                    runat="server"></asp:Label></span>
                                                            </HeaderCaptionTemplate>
                                                        </dxw:GridViewDataColumn>
                                                        <dxw:GridViewDataDateColumn Caption="Scheduled Date & Time" FieldName="CreatedDateTimeSort"
                                                            Name="CreatedDateTimeSort" Width="12%" VisibleIndex="3">
                                                            <HeaderCaptionTemplate>
                                                                <span>
                                                                    <img src="../images/icn-date-time.gif" alt="" align="top" />&nbsp;</span><span class="label">&nbsp;<asp:Label
                                                                        ID="lblCreatedDateTimeSort" Text="Scheduled Date & Time" Font-Bold="false" runat="server"></asp:Label></span>
                                                            </HeaderCaptionTemplate>
                                                            <DataItemTemplate>
                                                                <asp:Label ID="lblDriName" runat="server" Text='<%# Eval("CreatedDateTime") %>'></asp:Label>
                                                            </DataItemTemplate>
                                                            <Settings AllowAutoFilter="True" ShowFilterRowMenu="False" />
                                                        </dxw:GridViewDataDateColumn>
                                                        <dxw:GridViewDataColumn Caption="Scheduled Date & Time" FieldName="CreatedDateTime"
                                                            Name="CreatedDateTimeSort" Width="12%" Visible="false" VisibleIndex="3">
                                                            <HeaderCaptionTemplate>
                                                                <span>
                                                                    <img src="../images/icn-date-time.gif" alt="" align="top" />&nbsp;</span><span class="label">&nbsp;<asp:Label
                                                                        ID="lblCreatedDateTime" Text="Scheduled Date & Time" Font-Bold="false" runat="server"></asp:Label></span>
                                                            </HeaderCaptionTemplate>
                                                            <DataItemTemplate>
                                                                <asp:Label ID="lblDriName" runat="server" Text='<%# Eval("CreatedDateTime") %>'></asp:Label>
                                                            </DataItemTemplate>
                                                            <Settings AllowAutoFilter="false" />
                                                        </dxw:GridViewDataColumn>
                                                        <dxw:GridViewDataDateColumn Caption="Expires On" FieldName="EffectiveToSort" Width="10%"
                                                            VisibleIndex="4">
                                                            <HeaderCaptionTemplate>
                                                                <span>
                                                                    <img src="../images/Next Execution On.png" alt="" align="top" />&nbsp;</span><span
                                                                        class="label">&nbsp;<asp:Label ID="lblEffectiveToSort" Text="Expires On" Font-Bold="false"
                                                                            runat="server"></asp:Label></span>
                                                            </HeaderCaptionTemplate>
                                                            <DataItemTemplate>
                                                                <asp:Label ID="lblEffective" runat="server" Text='<%# Eval("RetriesPeriod") %>'></asp:Label>
                                                            </DataItemTemplate>
                                                            <Settings AllowAutoFilter="True" ShowFilterRowMenu="False" />
                                                        </dxw:GridViewDataDateColumn>
                                                        <dxw:GridViewDataColumn Caption="Expires On" FieldName="RetriesPeriod" Visible="false"
                                                            Width="10%" VisibleIndex="4">
                                                            <HeaderCaptionTemplate>
                                                                <span>
                                                                    <img src="../images/Next Execution On.png" alt="" align="top" />&nbsp; </span>
                                                                <span class="label">&nbsp;<asp:Label ID="lblRetriesPeriod" Text="Expires On" Font-Bold="false"
                                                                    runat="server"></asp:Label></span>
                                                            </HeaderCaptionTemplate>
                                                            <DataItemTemplate>
                                                                <asp:Label ID="lblEffective" runat="server" Text='<%# Eval("RetriesPeriod") %>'></asp:Label>
                                                            </DataItemTemplate>
                                                            <Settings AllowAutoFilter="false" />
                                                        </dxw:GridViewDataColumn>
                                                        <dxw:GridViewDataDateColumn Caption="Executed On" FieldName="ExecutionOnSort" Width="10%"
                                                            VisibleIndex="5">
                                                            <HeaderCaptionTemplate>
                                                                <span>
                                                                    <img src="../images/Last Executed On.png" alt="" align="top" />&nbsp;</span>
                                                                <span class="label">&nbsp;<asp:Label ID="lblExecutionOnSort" Text="Executed On" Font-Bold="false"
                                                                    runat="server"></asp:Label></span>
                                                            </HeaderCaptionTemplate>
                                                            <DataItemTemplate>
                                                                <asp:Label ID="lblDriName" runat="server" Text='<%# Eval("ExecutionOn") %>'></asp:Label>
                                                            </DataItemTemplate>
                                                            <Settings AllowAutoFilter="True" ShowFilterRowMenu="False" />
                                                        </dxw:GridViewDataDateColumn>
                                                        <dxw:GridViewDataColumn Caption="Executed On" FieldName="ExecutionOn" Width="10%"
                                                            Visible="false" VisibleIndex="5">
                                                            <HeaderCaptionTemplate>
                                                                <span>
                                                                    <img src="../images/Last Executed On.png" alt="" align="top" />&nbsp;</span>
                                                                <span class="label">&nbsp;<asp:Label ID="lblExecutionOn" Text="Executed On" Font-Bold="false"
                                                                    runat="server"></asp:Label></span>
                                                            </HeaderCaptionTemplate>
                                                            <DataItemTemplate>
                                                                <asp:Label ID="lblDriName" runat="server" Text='<%# Eval("ExecutionOn") %>'></asp:Label>
                                                            </DataItemTemplate>
                                                            <Settings AllowAutoFilter="false" />
                                                        </dxw:GridViewDataColumn>
                                                        <dxw:GridViewDataColumn Caption="Status" FieldName="commandStatus" Width="6%" CellStyle-HorizontalAlign="Center"
                                                            VisibleIndex="6">
                                                            <HeaderCaptionTemplate>
                                                                <span>
                                                                    <img src="../images/Schedulestatus.png" alt="" align="top" />&nbsp; </span><span
                                                                        class="label">&nbsp;<asp:Label ID="lblcommandStatus" Text="Status" Font-Bold="false"
                                                                            runat="server"></asp:Label></span>
                                                            </HeaderCaptionTemplate>
                                                        </dxw:GridViewDataColumn>
                                                        <dxw:GridViewDataTextColumn Caption="Reschedule" Width="3%" HeaderStyle-HorizontalAlign="Center"
                                                            CellStyle-HorizontalAlign="Center" VisibleIndex="7">
                                                            <HeaderTemplate>
                                                            </HeaderTemplate>
                                                            <DataItemTemplate>
                                                                <asp:LinkButton ID="lbtnReschedule" runat="server" Visible='<%# Eval("commandStatus").ToString()=="Expired"? true : false %>'
                                                                    alternatetext="Reschedule" CommandArgument='<%#Eval("ScheduleId")%>' OnClick="lbtnReschedule_Click"><img src="../images/skip.png" alt="" /></asp:LinkButton>
                                                            </DataItemTemplate>
                                                        </dxw:GridViewDataTextColumn>
                                                        <dxw:GridViewDataTextColumn Caption="Delete" Width="3%" HeaderStyle-HorizontalAlign="Center"
                                                            CellStyle-HorizontalAlign="Center" VisibleIndex="7">
                                                            <HeaderTemplate>
                                                            </HeaderTemplate>
                                                            <DataItemTemplate>
                                                                <asp:LinkButton ID="lbtnDelete" runat="server" Visible='<%# Eval("commandStatus").ToString()=="Pending"? true : false %>'
                                                                    alternatetext="Delete" CommandArgument='<%#Eval("ScheduleId")%>' OnClick="lbtnDelete_click"><img src="../images/delete-icon.gif" alt="" /></asp:LinkButton>
                                                            </DataItemTemplate>
                                                        </dxw:GridViewDataTextColumn>
                                                    </Columns>
                                                    <Settings ShowFilterRow="true" ShowFilterRowMenu="True" />
                                                    <SettingsText EmptyDataRow="No Schedule details found" />
                                                </dxw:ASPxGridView>
                                            </div>
                                        </ContentTemplate>
                                    </asp:UpdatePanel>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div id="left">
                    </div>
                    <div class="clear clearfix">
                    </div>
                </div>
                <div id="right">
                </div>
                <div class="clear clearfix">
                </div>
            </div>
            <asp:Button ID="btnTesting" Style="display: none" runat="server" />
            <cc1:ModalPopupExtender ID="mpeProgressIndicator" runat="server" PopupControlID="progressPopUp"
                TargetControlID="btnTesting">
            </cc1:ModalPopupExtender>
            <asp:Panel ID="progressPopUp" runat="server" CssClass="processMessage" Style="display: none;">
                <center>
            <br />
            <img id="imgLoad" runat="server" alt="Please Wait ..." src="../images/47.gif" /><br />
            <br /> 
            <asp:Label ID="lbl_msg12" Text="Processing... Please Wait..." runat="server" CssClass="specialdisplay"></asp:Label>
            <br />
            <br />
            </center>
            </asp:Panel>
            <script type="text/javascript" src="../js/Callback.js"></script>
            <script src="../js/CommonFuncitonsInHeader.js" type="text/javascript"></script>
            <script lang="javascript" type="text/javascript" src="../js/DateValidations.js"></script>
            <script type="text/javascript" lang="javascript" src="../js/HistoryScript.js"></script>
            <asp:HiddenField ID="hdnLogout" runat="server" />
        </form>
    </div>
    <uc2:Footer ID="ucFooter" runat="server" />
</body>
</html>
