﻿<%@ page language="C#" autoeventwireup="true" inherits="Forms_VOR, App_Web_4pvet1vv" enableeventvalidation="false" %>

<%@ Register Assembly="AjaxControlToolkit" Namespace="AjaxControlToolkit" TagPrefix="cc1" %>
<%@ Register Src="~/UserControls/Notification_List.ascx" TagPrefix="uc3" TagName="NotificationsList" %>
<%@ Register Src="~/UserControls/TrinetraGrid.ascx" TagName="FleetGrid" TagPrefix="uc5" %>
<%@ Register Src="~/UserControls/TrinetraGrid.ascx" TagName="EmailGrid" TagPrefix="uc4" %>
<%@ Register Src="~/UserControls/New_Header.ascx" TagName="Header" TagPrefix="uc1" %>
<%@ Register Src="~/UserControls/New_Footer.ascx" TagName="Footer" TagPrefix="uc2" %>
<%--<%@ Register Assembly="AspNetPager" Namespace="Wuqi.Webdiyer" TagPrefix="webdiyer" %>--%>

<%--<%@ Register Assembly="DevExpress.Web.v8.2, Version=8.2.10.0, Culture=neutral, PublicKeyToken=9b171c9fd64da1d1"
    Namespace="DevExpress.Web.ASPxMenu" TagPrefix="dxm" %>
<%@ Register Assembly="DevExpress.Web.ASPxGridView.v8.2" Namespace="DevExpress.Web.ASPxGridView"
    TagPrefix="dxgv" %>
<%@ Register Assembly="DevExpress.Web.ASPxEditors.v8.2, Version=8.2.10.0, Culture=neutral, PublicKeyToken=9b171c9fd64da1d1"
    Namespace="DevExpress.Web.ASPxEditors" TagPrefix="dxe" %>
<%@ Register Assembly="DevExpress.Web.ASPxEditors.v8.2" Namespace="DevExpress.Web.ASPxEditors"
    TagPrefix="dxe" %>
<%@ Register Assembly="DevExpress.Web.ASPxGridView.v8.2.Export" Namespace="DevExpress.Web.ASPxGridView.Export"
    TagPrefix="exp" %>
<%@ Register Assembly="DevExpress.Web.v8.2" Namespace="DevExpress.Web.ASPxPopupControl"
    TagPrefix="dxpc" %>
<%@ Register Assembly="DevExpress.Web.ASPxEditors.v8.2, Version=8.2.10.0, Culture=neutral, PublicKeyToken=9B171C9FD64DA1D1"
    Namespace="DevExpress.Web.ASPxEditors" TagPrefix="dx" %>--%>

<%@ Register Assembly="DevExpress.Web.v14.2" Namespace="DevExpress.Web" TagPrefix="dxw" %>

<%--********* For Bootstrap Implementation *************--%>
<!DOCTYPE html>
<html lang="en">
<%--********* End of Bootstrap Implementation *************--%>
<head runat="server">
    <%--********* For Bootstrap Implementation *************--%>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
    <%--********* End of Bootstrap Implementation *************--%>
    <title>tSense-IoT Configuration</title>
    <link href="../css/CustomeAlert/demos.css" rel="stylesheet" type="text/css" />
    <link href="../css/CustomeAlert/themes/jquery.ui.all.css" rel="stylesheet" type="text/css" />
    <link id="reset" runat="server" href="../css/reset.css" rel="stylesheet" type="text/css" />
    <link id="stylesheet2" runat="server" href="../css/stylesheet2.css" rel="stylesheet"
        type="text/css" />
    <link id="dropdown" runat="server" href="../css/dropdown.css" rel="stylesheet" type="text/css" />
    <link rel="SHORTCUT ICON" href="../images/favicon.ico" />
    <link id="ieonly" runat="server" rel="stylesheet" type="text/css" href="" />
    <link id="datepicker" runat="server" type="text/css" href="../css/ui.datepicker.css"
        rel="stylesheet" />
    <link id="uicore" runat="server" type="text/css" href="../css/ui.core.css" rel="stylesheet" />
    <link id="uitheme" runat="server" type="text/css" href="../css/ui.theme.css" rel="stylesheet" />
    <%--Custom Theme for DevEx 14.2--%>
    <link id="GridView" type="text/css" href="~/App_Themes/Office2003Blue/GridView/grid.css" rel="stylesheet" />
    <link id="Editors" type="text/css" href="~/App_Themes/Office2003Blue/Editors/styles.css" rel="stylesheet" />

    <script src="../js/CustomAlert/jquery.min.js" type="text/javascript"></script>

    <script src="../js/CustomAlert/jquery-ui-1.10.3.custom.min.js" type="text/javascript"></script>

    <script src="../js/CustomAlert/jquery-ui-1.10.3.custom.js" type="text/javascript"></script>

    <script src="../js/CustomAlert/CustomAlert.js" type="text/javascript"></script>

    <script type="text/javascript" src="../js/jquery-1.5.1.min.js"></script>

    <script type="text/javascript" src="../js/ui.datepicker.js"></script>

    <script type="text/javascript" src="../js/JQQueryDatePicker.js"></script>

    <script language="JavaScript1.2" type="text/javascript" src="../js/myformvalidations.js"></script>
    <%--BootStrap Css--%>
    <link id="BootStrapCss" href="../css/bootstrap.css" runat="server" rel="stylesheet" type="text/css" />
    <link id="mainstyle" runat="server" href="../css/mainstyle.css" rel="stylesheet" type="text/css" />
    <%--End of BootStrap Css--%>
    <script src="../js/wow.min.js"></script>
</head>
<body>
    <div class="pageContainer">
        <form id="form1" runat="server" defaultfocus="lbtnAddVOR">
            <asp:ScriptManager ID="ScriptManager1" runat="server">
            </asp:ScriptManager>
            <asp:UpdatePanel runat="server" ID="updVenDetails" UpdateMode="Conditional">
                <ContentTemplate>
                    <!-- Header Starts Here -->
                    <uc1:Header ID="ucHeader" runat="server" />
                    <!-- Nav Ends Here -->
                    <!-- Content Starts Here -->
                    <div id="outer">
                        <div id="inner">
                            <div id="float-wrap">
                                <!-- Main Content Starts Here -->
                                <div id="content">
                                    <div class="content-wrap">
                                        <%-- <div id="top-content">--%>
                                        <div id="top-content" class="head-part">

                                            <div id="heading" class="col-sm-6 col-md-4">
                                                <img class="icon" src="../images/configuration-icon.jpg" alt="" />
                                                <h1>
                                                    <asp:Literal ID="lblConfigurationCaption" runat="server">Configuration</asp:Literal></h1>
                                                <asp:LinkButton ID="lnkHomeCaption" runat="server">Home</asp:LinkButton><span>&gt;</span><asp:LinkButton
                                                    ID="lnkVORMgmt" PostBackUrl="VORDetails.aspx" runat="server" Text="Vehicle Off Road Details"
                                                    OnClick="lnkVORMgmt_Click"></asp:LinkButton>
                                            </div>
                                            <div id="" class="col-sm-6 col-md-8 head-part-btns">
                                                <div class="pull-right">

                                                    <asp:LinkButton ID="lbtnAddVOR" runat="server" CssClass="MultilingualBtn" CausesValidation="false"
                                                        OnClick="lbtnAddVOR_Click">
                                                        <span id="Span1" runat="server" class="MultilingualBtnspan">
                                                            <div class="AddVehicle">
                                                                <div id="AddVORDiv" runat="server" class="MultilingualBtnTextAlign">
                                                                    Add VOR Details
                                                                </div>
                                                            </div>
                                                        </span>
                                                    </asp:LinkButton>

                                                    <asp:ImageButton ID="btnBack1" runat="server" OnClick="btnBack_Click" CausesValidation="false"
                                                        ImageUrl="~/images/btn-back-to-configuration.jpg" Visible="false" />
                                                    <asp:LinkButton ID="btnBack" runat="server" CssClass="MultilingualBtn" CausesValidation="false"
                                                        PostBackUrl="~/Forms/ConfigurationSetup.aspx">
                                                        <span id="Span4" runat="server" class="MultilingualBtnspan">
                                                            <div class="Back">
                                                                <div id="BacktoConfigurationDiv" runat="server" class="MultilingualBtnTextAlign">
                                                                    Back to Configuration
                                                                </div>
                                                            </div>
                                                        </span>
                                                    </asp:LinkButton>
                                                </div>
                                            </div>

                                            <div class="row-Geozone"></div>
                                            <div class="clear clearfix">
                                            </div>
                                        </div>
                                        <div class="clear clearfix">
                                        </div>
                                        <asp:Panel ID="pnlVORInfo" runat="server" Visible="false">
                                            <div class="form-box">
                                                <h1>
                                                    <span class="icon">
                                                        <img src="../images/vehicle-icon.gif" alt="" title="" /></span>
                                                    <asp:Label ID="lblVenInfoHeading" runat="server" Text="Vehicle Off Road Details"></asp:Label></h1>
                                                <div class="row">
                                                    <div class="col-sm-6 col-md-6">
                                                        <div class="form-tbl">
                                                            <div class="col-sm-12 rowTollgate">
                                                                <div class="col-sm-5 col-lg-3">
                                                                    <asp:Label ID="lblFName" runat="server" Text="Fleet Name" CssClass="label"></asp:Label>
                                                                    <span style="color: red">*</span>
                                                                </div>

                                                                <div class="col-sm-6 col-lg-5">
                                                                    <asp:DropDownList ID="ddlFleet" TabIndex="0" CssClass="form-control ddl" runat="server" AutoPostBack="True" OnSelectedIndexChanged="ddlFleet_SelectedIndexChanged">
                                                                    </asp:DropDownList>
                                                                </div>
                                                            </div>
                                                            <div class="col-sm-12 rowTollgate">
                                                                <div class="col-sm-5 col-lg-3">
                                                                    <asp:Label ID="lblVehname" runat="server" Text="Vehicle Name" CssClass="label"></asp:Label>
                                                                    <span style="color: red">*</span>
                                                                </div>

                                                                <div class="col-sm-6 col-lg-5">
                                                                    <asp:DropDownList ID="ddlVehicle" CssClass="form-control ddl" runat="server" AutoPostBack="true" TabIndex="1">
                                                                    </asp:DropDownList>
                                                                </div>
                                                            </div>
                                                            <div class="col-sm-12 rowTollgate">
                                                                <div class="col-sm-5 col-lg-3">
                                                                    <asp:Label ID="lblDateFrom" runat="server" Text="Date From" CssClass="label"></asp:Label>
                                                                    <span style="color: red">*</span>
                                                                </div>

                                                                <div class="col-sm-6 col-lg-5">
                                                                    <asp:TextBox ID="txtcontractfrom" runat="server" onkeypress="return false" onpaste="return false"
                                                                        CssClass="date form-control" TabIndex="2"></asp:TextBox>
                                                                </div>
                                                            </div>
                                                            <div class="col-sm-12 rowTollgate">
                                                                <div class="col-sm-5 col-lg-3">
                                                                    <asp:Label ID="lblDateTo" runat="server" Text="Date To"></asp:Label>
                                                                    <span style="color: red">*</span>
                                                                </div>

                                                                <div class="col-sm-6 col-lg-5">
                                                                    <asp:TextBox ID="txtContractTo" runat="server" onkeypress="return false" onpaste="return false"
                                                                        CssClass="date form-control" TabIndex="3"></asp:TextBox>
                                                                </div>
                                                            </div>
                                                            <div class="col-sm-12 rowTollgate">
                                                                <div class="col-sm-5 col-lg-3">
                                                                    <asp:Label ID="lblRefDoc" runat="server" Text="Ref Document #"></asp:Label>
                                                                </div>

                                                                <div class="col-sm-6 col-lg-5">
                                                                    <asp:TextBox ID="txtRefDoc" runat="server" onpaste="return false" onkeypress="return chkDescription(event,this,49);"
                                                                        TabIndex="4" CssClass="textboxcss form-control" MaxLength="49"></asp:TextBox>
                                                                </div>
                                                            </div>
                                                            <div class="col-sm-12 rowTollgate">
                                                                <div class="col-sm-5 col-lg-3">
                                                                    <asp:Label ID="lblAddlnInfo" runat="server" Text="Additional Info"></asp:Label>
                                                                </div>

                                                                <div class="col-sm-6 col-lg-5">
                                                                    <asp:TextBox ID="txtAddlnInfo" MaxLength="499" runat="server" TextMode="MultiLine" Height="30px"
                                                                        onkeypress="return chkDescription(event,this,499);" TabIndex="5" CssClass="form-control"></asp:TextBox>
                                                                </div>
                                                            </div>
                                                            <div class="col-sm-12 rowTollgate">
                                                                <div class="col-sm-5 col-lg-3">
                                                                    <asp:Label ID="lblReason" runat="server" Text="Reason"></asp:Label>
                                                                    <span style="color: red">*</span>
                                                                </div>

                                                                <div class="col-sm-6 col-lg-5">
                                                                    <asp:TextBox ID="txtReason" MaxLength="500" runat="server" TextMode="MultiLine" Height="30px"
                                                                        onkeypress="return chkDescription(event,this,500);" TabIndex="6" CssClass="form-control"></asp:TextBox>
                                                                </div>
                                                            </div>
                                                            <div class="col-sm-12 rowTollgate">

                                                                <div class="col-sm-5 col-lg-3">
                                                                    <asp:Label ID="Label1" runat="server" ForeColor="Red">*</asp:Label>&nbsp;
                                                        <asp:Label ID="lblIndicatesMandatory" runat="server">Required Fields</asp:Label>
                                                                </div>
                                                            </div>
                                                            <div class="col-sm-12 rowTollgate">
                                                                <div class="col-sm-5 col-lg-3"></div>
                                                                <div class="col-sm-6 col-lg-5">
                                                                    <asp:LinkButton ID="ibtnUpdateVOR" ValidationGroup="vgVeh" runat="server" CssClass="MultilingualBtn"
                                                                        CausesValidation="false" OnClientClick="return ValidateVORDetails();" TabIndex="8"
                                                                        OnClick="ibtnUpdateVOR_Click">
                                                                        <span id="Span6" runat="server" class="MultilingualBtnspan">
                                                                            <div class="Update">
                                                                                <div id="UpdateVehicleButDiv" runat="server" class="MultilingualBtnTextAlign">
                                                                                    Update
                                                                                </div>
                                                                            </div>
                                                                        </span>
                                                                    </asp:LinkButton>
                                                                    <asp:LinkButton ID="ibtnAddVOR" runat="server" CssClass="MultilingualBtn" ValidationGroup="vgVeh"
                                                                        TabIndex="7" OnClientClick="return ValidateVORDetails();" OnClick="ibtnAddVOR_Click">
                                                                        <span id="Span7" runat="server" class="MultilingualBtnspan">
                                                                            <div class="Save">
                                                                                <div id="AddVehicleButDiv" runat="server" class="MultilingualBtnTextAlign">
                                                                                    Save
                                                                                </div>
                                                                            </div>
                                                                        </span>
                                                                    </asp:LinkButton>
                                                                    &nbsp;
                                                                    <asp:ImageButton ID="btnUserCancel1" runat="server" OnClick="btnUserCancel_Click"
                                                                        CausesValidation="false" TabIndex="9" ImageUrl="~/images/btn-cancel.jpg" Visible="false" />
                                                                    <asp:LinkButton ID="btnUserCancel" runat="server" CssClass="MultilingualBtn" OnClick="btnUserCancel_Click"
                                                                        CausesValidation="false">
                                                                        <%--OnClientClick="return ClearData();"--%>
                                                                        <span id="Span8" runat="server" class="MultilingualBtnspan">
                                                                            <div class="Cancel">
                                                                                <div id="UserCancelDiv" runat="server" class="MultilingualBtnTextAlign">
                                                                                    Cancel
                                                                                </div>
                                                                            </div>
                                                                        </span>
                                                                    </asp:LinkButton>
                                                                </div>
                                                            </div>
                                                        </div>
                                                    </div>
                                                    <div class="col-sm-6 col-md-6"></div>
                                                </div>
                                                <div class="clear clearfix">
                                                </div>
                                            </div>
                                        </asp:Panel>
                                    </div>
                                    <div class="clear clearfix">
                                    </div>
                                    <asp:UpdatePanel ID="updGrid" runat="server" UpdateMode="Conditional">
                                        <ContentTemplate>
                                            <asp:Panel ID="pnlVORDetailsList" runat="server">
                                                <div id="grid-dsply">
                                                    <div id="top">

                                                        <div class="btn pull-right">
                                                            <span class="dropdown" style="width: 85px!important;">
                                                                <dxw:ASPxComboBox ID="ASPxCboExport" runat="server" ValueType="System.String" Width="80px" Height="20px"
                                                                    ShowImageInEditBox="false" ItemImage-Height="12px" ClientInstanceName="ASPxCboExport" SelectedIndex="0"
                                                                    CssFilePath="~/App_Themes/Office2003Blue/Editors/styles.css" CssPostfix="Office2003_Blue"
                                                                    EnableTheming="true" Theme="Office2003Blue">
                                                                    <Items>
                                                                        <dxw:ListEditItem ImageUrl="../images/icn-pdf.jpg" Text="pdf" Value="pdf" />
                                                                        <dxw:ListEditItem ImageUrl="../images/icn-excel.jpg" Text="xls" Value="xls" />
                                                                        <dxw:ListEditItem ImageUrl="../images/icn-excel-xlsx.png" Text="xlsx" Value="xlsx" />
                                                                        <dxw:ListEditItem ImageUrl="../images/icn-word.jpg" Text="rtf" Value="rtf" />
                                                                        <%--<dxw:ListEditItem ImageUrl="../images/icn-csv.gif" Text="csv" Value="csv" />--%>
                                                                    </Items>
                                                                </dxw:ASPxComboBox>
                                                            </span>&nbsp;<span class="txt">
                                                                <asp:ImageButton ID="btnExport1" runat="server" ImageUrl="~/images/btn-export.jpg"
                                                                    OnClick="btnExport_Click" Visible="false" />
                                                                <asp:LinkButton ID="btnExport" runat="server" CssClass="MultilingualBtn" OnClick="btnExport_Click">
                                                                    <span id="Span9" runat="server" class="MultilingualBtnspan">
                                                                        <div class="Export">
                                                                            <div id="ExportButDiv" runat="server" class="MultilingualBtnTextAlign">
                                                                                Export
                                                                            </div>
                                                                        </div>
                                                                    </span>
                                                                </asp:LinkButton>
                                                            </span>
                                                        </div>
                                                    </div>
                                                    <div class="clear clearfix">
                                                    </div>
                                                    <div class="table-responsive">
                                                        <dxw:ASPxGridView ID="gvVOR" runat="server" Width="100%" EnableViewState="true" KeyFieldName="Vno"
                                                            CssFilePath="~/App_Themes/Office2003Blue/GridView/styles.css" CssPostfix="Office2003_Blue"
                                                            EnableTheming="true" Theme="Office2003Blue" OnHtmlRowCreated="gvVOR_OnHtmlRowCreated" OnDataBinding="gvVOR_DataBinding">
                                                            <Styles CssFilePath="~/App_Themes/Office2003Blue/GridView/grid.css" AlternatingRow-Enabled="True"
                                                                CssPostfix="Office2003_Blue">
                                                                <Header ImageSpacing="5px" SortingImageSpacing="5px">
                                                                </Header>
                                                                <LoadingPanel ImageSpacing="10px">
                                                                </LoadingPanel>
                                                                <PagerBottomPanel CssClass="PageFooter">
                                                                </PagerBottomPanel>
                                                                <PagerTopPanel CssClass="PageFooter">
                                                                </PagerTopPanel>
                                                            </Styles>
                                                            <SettingsPager PageSize="15" PrevPageButton-Image-Url="../App_Themes/Office2003Blue/GridView/pPrev.gif"
                                                                PrevPageButton-Image-UrlDisabled="../App_Themes/Office2003Blue/GridView/pPrevDisabled.gif"
                                                                NextPageButton-Image-UrlDisabled="../App_Themes/Office2003Blue/GridView/pNextDisabled.gif"
                                                                NextPageButton-Image-Url="../App_Themes/Office2003Blue/GridView/pNext.gif" AlwaysShowPager="true">
                                                            </SettingsPager>
                                                            <Columns>
                                                                <dxw:GridViewDataColumn FieldName="FleetName" Caption="Fleet Name" VisibleIndex="0"
                                                                    Width="10%">
                                                                    <HeaderCaptionTemplate>
                                                                        <span class="icon">
                                                                            <img src="../Images/usermanage-icon.gif" align="top" alt="" title="" /></span>
                                                                        <span class="label">
                                                                            <asp:Label ID="lblFleet" runat="server" Text="Fleet Name"></asp:Label></span>
                                                                    </HeaderCaptionTemplate>
                                                                </dxw:GridViewDataColumn>
                                                                <dxw:GridViewDataColumn FieldName="VehicleDescription" Caption="Vehicle Name" VisibleIndex="1"
                                                                    Width="10%">
                                                                    <HeaderCaptionTemplate>
                                                                        <span class="icon">
                                                                            <img src="../images/icn-vehicle-name.gif" alt="" title="" align="top" /></span>
                                                                        <span class="label">
                                                                            <asp:Label ID="lblVehicle" runat="server" Text="Vehicle Name"></asp:Label></span>
                                                                    </HeaderCaptionTemplate>
                                                                </dxw:GridViewDataColumn>
                                                                <dxw:GridViewDataColumn FieldName="DateFrom" Caption="Date From" VisibleIndex="2"
                                                                    Width="10%" HeaderStyle-HorizontalAlign="Center" CellStyle-HorizontalAlign="Center">
                                                                    <HeaderCaptionTemplate>
                                                                        <span class="icon">
                                                                            <img src="../images/calendar-rht-icon.gif" alt="" title="" align="middle" /></span>
                                                                        <span class="label">
                                                                            <asp:Label ID="lblDateFrom" runat="server" Text="Date From"></asp:Label></span>
                                                                    </HeaderCaptionTemplate>
                                                                    <Settings AllowAutoFilter="False" />
                                                                </dxw:GridViewDataColumn>
                                                                <dxw:GridViewDataColumn FieldName="DateTo" Caption="Date To" VisibleIndex="3"
                                                                    Width="10%" HeaderStyle-HorizontalAlign="Center" CellStyle-HorizontalAlign="Center">
                                                                    <HeaderCaptionTemplate>
                                                                        <span class="icon">
                                                                            <img src="../images/calendar-lft-icon.gif" alt="" title="" align="middle" /></span>
                                                                        <span class="label">
                                                                            <asp:Label ID="lblDateTo" runat="server" Text="Date To"></asp:Label></span>
                                                                    </HeaderCaptionTemplate>
                                                                    <Settings AllowAutoFilter="False" />
                                                                </dxw:GridViewDataColumn>
                                                                <dxw:GridViewDataColumn FieldName="RefDoc" Caption="RefDoc" VisibleIndex="4"
                                                                    Width="10%" HeaderStyle-HorizontalAlign="Center" CellStyle-HorizontalAlign="Center">
                                                                    <HeaderCaptionTemplate>
                                                                        <span class="icon">
                                                                            <img src="../images/calendar-lft-icon.gif" alt="" title="" align="middle" /></span>
                                                                        <span class="label">
                                                                            <asp:Label ID="lblRefDoc" runat="server" Text="RefDoc"></asp:Label></span>
                                                                    </HeaderCaptionTemplate>
                                                                    <Settings AllowAutoFilter="False" />
                                                                </dxw:GridViewDataColumn>
                                                                <dxw:GridViewDataColumn FieldName="AdditionalInfo" Caption="Additional Info" VisibleIndex="5"
                                                                    Width="10%" HeaderStyle-HorizontalAlign="Center" CellStyle-HorizontalAlign="Left">
                                                                    <HeaderCaptionTemplate>
                                                                        <span class="icon">
                                                                            <img src="../images/calendar-lft-icon.gif" alt="" title="" align="middle" /></span>
                                                                        <span class="label">
                                                                            <asp:Label ID="lblAdditionalInfo" runat="server" Text="Additional Info"></asp:Label></span>
                                                                    </HeaderCaptionTemplate>
                                                                    <Settings AllowAutoFilter="False" />
                                                                </dxw:GridViewDataColumn>
                                                                <dxw:GridViewDataColumn FieldName="Reason" Caption="Reason" VisibleIndex="6"
                                                                    Width="10%" HeaderStyle-HorizontalAlign="Center" CellStyle-HorizontalAlign="Left">
                                                                    <HeaderCaptionTemplate>
                                                                        <span class="icon">
                                                                            <img src="../images/calendar-lft-icon.gif" alt="" title="" align="middle" /></span>
                                                                        <span class="label">
                                                                            <asp:Label ID="lblReason" runat="server" Text="Reason"></asp:Label></span>
                                                                    </HeaderCaptionTemplate>
                                                                    <Settings AllowAutoFilter="False" />
                                                                </dxw:GridViewDataColumn>
                                                                <dxw:GridViewDataTextColumn Caption="View" Width="3%" Name="View" VisibleIndex="7" CellStyle-HorizontalAlign="Center">
                                                                    <HeaderTemplate>
                                                                    </HeaderTemplate>
                                                                    <DataItemTemplate>
                                                                        <asp:LinkButton ID="ibView" runat="server" OnClick="ibtViewVOR_click" CommandArgument='<%# Eval("Vno") %>'
                                                                            Style="text-decoration: none;"><img src="../images/icn-view.gif"/></asp:LinkButton>
                                                                    </DataItemTemplate>
                                                                </dxw:GridViewDataTextColumn>
                                                                <dxw:GridViewDataTextColumn Caption="Edit" VisibleIndex="8" Width="3%" Name="Edit" CellStyle-HorizontalAlign="Center">
                                                                    <HeaderTemplate>
                                                                    </HeaderTemplate>
                                                                    <DataItemTemplate>
                                                                        <asp:LinkButton ID="btnUpdateVOR" runat="server" CommandArgument='<%# Eval("Vno") %>'
                                                                            OnClientClick="return ShowPopUp();" OnClick="btnUpdateVOR_Click" Style="text-decoration: none;"><img src="../images/icn-edit.gif" alt="View" title="Click here to Edit"/></asp:LinkButton>
                                                                    </DataItemTemplate>
                                                                </dxw:GridViewDataTextColumn>
                                                                <dxw:GridViewDataTextColumn Caption="Delete" Width="3%" HeaderStyle-HorizontalAlign="Center" VisibleIndex="9"
                                                                    CellStyle-HorizontalAlign="Center">
                                                                    <HeaderTemplate>
                                                                    </HeaderTemplate>
                                                                    <DataItemTemplate>
                                                                        <asp:LinkButton ID="lbtnDelete" runat="server" OnClientClick="return ShowPopUp();"
                                                                            CommandArgument='<%#Eval("Vno") %>' OnClick="lbtnDelete_click"><img src="../images/delete-icon.gif" alt="Delete" title="Click here to Delete"/></asp:LinkButton>
                                                                    </DataItemTemplate>
                                                                </dxw:GridViewDataTextColumn>
                                                            </Columns>
                                                            <Settings ShowVerticalScrollBar="true" VerticalScrollableHeight="270" />
                                                            <Settings ShowFilterRow="true" ShowFilterRowMenu="True" />
                                                            <SettingsText EmptyDataRow="No VORs details found" />
                                                            <SettingsBehavior AllowFocusedRow="false" />
                                                        </dxw:ASPxGridView>
                                                    </div>
                                                    <dxw:ASPxGridViewExporter ID="ASPxGridViewExporter1" runat="server" GridViewID="gvVOR"
                                                        ReportHeader="{\rtf1\ansi\ansicpg1252\deff0\deflang1033{\fonttbl{\f0\fnil\fcharset0 Times New Roman;}{\f1\fnil\fcharset0 Arial;}}
\viewkind4\uc1\pard\f0\fs20\b\f1\fs28 VOR Details\par\par\par}"
                                                        DetailHorizontalOffset="1" DetailVerticalOffset="1" MaxColumnWidth="120">
                                                        <Styles>
                                                            <Default VerticalAlign="Middle">
                                                            </Default>
                                                            <Header BackColor="#D1D1D1" Font-Bold="True" Font-Names="Arial" Font-Size="10pt"
                                                                ForeColor="Black" HorizontalAlign="Center" VerticalAlign="Middle" Wrap="false">
                                                            </Header>
                                                            <Cell VerticalAlign="Middle" Wrap="True" Font-Size="8pt" Font-Names="Arial" HorizontalAlign="Left"
                                                                ForeColor="Black">
                                                            </Cell>
                                                        </Styles>
                                                        <PageHeader Center="Fuel Entry Details" VerticalAlignment="Far">
                                                            <Font Bold="True" Names="Arial" Size="10pt" Underline="True"></Font>
                                                        </PageHeader>
                                                        <PageFooter Right="[Page # of Pages #]">
                                                        </PageFooter>
                                                    </dxw:ASPxGridViewExporter>
                                                </div>
                                            </asp:Panel>
                                        </ContentTemplate>
                                    </asp:UpdatePanel>
                                </div>
                            </div>
                            <%--</div>--%>
                            <!-- Main Content Ends Here -->
                            <div id="left">
                            </div>
                            <div class="clear clearfix">
                            </div>
                        </div>
                        <div id="right">
                        </div>
                        <div class="clear clearfix">
                        </div>
                    </div>
                    <asp:Button ID="btnLoadModel" runat="server" CssClass="btn" Style="display: none"></asp:Button>
                    <asp:Button ID="btnTest" runat="server" OnClick="btnTest_click" CssClass="ControlHide"
                        Text="Test" />
                    <asp:HiddenField ID="hdnCancelsts" runat="server" />
                    <asp:HiddenField ID="hdnselectedays" runat="server" />
                </ContentTemplate>
                <Triggers>
                    <asp:PostBackTrigger ControlID="ibtnAddVOR" />
                    <asp:PostBackTrigger ControlID="ibtnUpdateVOR" />
                    <asp:PostBackTrigger ControlID="btnExport" />
                    <asp:PostBackTrigger ControlID="btnTest" />

                </Triggers>
            </asp:UpdatePanel>
            <cc1:ModalPopupExtender ID="mpeProgressIndicator" runat="server" PopupControlID="pnlProgress"
                TargetControlID="Button1">
            </cc1:ModalPopupExtender>
            <asp:Button ID="Button1" Style="display: none;" runat="server" />
            <asp:Panel ID="pnlProgress" runat="server" CssClass="processMessage" Style="z-index: 1000;">
                <center>
                    <br />
                    <img id="imgLoad" runat="server" alt="Please Wait ..." src="../images/47.gif" /><br />
                    <br />
                    <asp:Label ID="lbl_msg12" Text="Processing... Please Wait..." runat="server" CssClass="specialdisplay"></asp:Label>
                    <br />
                    <br />
                </center>
            </asp:Panel>
            <script src="../js/ScriptToClearCtrls.js" type="text/javascript"></script>
            <script type="text/javascript" src="../js/GridCheckBoxMaintaining.js"></script>
            <script type="text/javascript" src="../js/DriverManagementScript.js"></script>
            <script type="text/javascript" src="../js/myformvalidations.js"></script>
            <script type="text/javascript" src="../js/FormValidations.js"></script>
            <script language="javascript" type="text/javascript">
                function HidePopUp() {
                    if ($find('mpeProgressIndicator') != undefined) {
                        $find('mpeProgressIndicator').hide();
                    }
                }
                function ShowPopUp() {
                    if ($find('mpeProgressIndicator') != undefined) {
                        $find('mpeProgressIndicator').show();
                    }
                }
            </script>
            <script type="text/javascript">
                Sys.Browser.WebKit = {}; //Safari 3 is considered WebKit
                if (navigator.userAgent.indexOf('WebKit/') > -1) {
                    Sys.Browser.agent = Sys.Browser.WebKit;
                    Sys.Browser.version = parseFloat(navigator.userAgent.match(/WebKit\/(\d+(\.\d+)?)/)[1]);
                    Sys.Browser.name = 'WebKit';
                }
            </script>
            <script type="text/javascript">
                var keyValue;
                function OnMoreInfoClick(element) {
                    popup.ShowAtElement(element);
                }
                function popup_Shown(s, e) {
                    popup.ShowAtPos(s, e);
                }
            </script>

        </form>
    </div>
    <!-- Content Ends Here -->
    <uc2:Footer ID="ucFooter" runat="server" />
</body>
</html>
