﻿<%@ page language="C#" autoeventwireup="true" inherits="Forms_ViewStockDetails, App_Web_ah0chvn1" enableeventvalidation="false" %>

<%@ Register Assembly="AjaxControlToolkit" Namespace="AjaxControlToolkit" TagPrefix="cc1" %>
<%@ Register Src="~/UserControls/Notification_List.ascx" TagPrefix="uc3" TagName="NotificationsList" %>
<%@ Register Src="~/UserControls/TrinetraGrid.ascx" TagName="FleetGrid" TagPrefix="uc5" %>
<%@ Register Src="~/UserControls/TrinetraGrid.ascx" TagName="EmailGrid" TagPrefix="uc4" %>
<%@ Register Src="~/UserControls/New_Header.ascx" TagName="Header" TagPrefix="uc1" %>
<%@ Register Src="~/UserControls/New_Footer.ascx" TagName="Footer" TagPrefix="uc2" %>
<%--<%@ Register Assembly="AspNetPager" Namespace="Wuqi.Webdiyer" TagPrefix="webdiyer" %>--%>

<%--<%@ Register Assembly="DevExpress.Web.v8.2, Version=8.2.10.0, Culture=neutral, PublicKeyToken=9b171c9fd64da1d1"
    Namespace="DevExpress.Web.ASPxMenu" TagPrefix="dxm" %>
<%@ Register Assembly="DevExpress.Web.ASPxGridView.v8.2" Namespace="DevExpress.Web.ASPxGridView"
    TagPrefix="dxgv" %>
<%@ Register Assembly="DevExpress.Web.ASPxEditors.v8.2, Version=8.2.10.0, Culture=neutral, PublicKeyToken=9b171c9fd64da1d1"
    Namespace="DevExpress.Web.ASPxEditors" TagPrefix="dxe" %>
<%@ Register Assembly="DevExpress.Web.ASPxEditors.v8.2" Namespace="DevExpress.Web.ASPxEditors"
    TagPrefix="dxe" %>
<%@ Register Assembly="DevExpress.Web.ASPxGridView.v8.2.Export" Namespace="DevExpress.Web.ASPxGridView.Export"
    TagPrefix="exp" %>
<%@ Register Assembly="DevExpress.Web.v8.2" Namespace="DevExpress.Web.ASPxPopupControl"
    TagPrefix="dxpc" %>
<%@ Register Assembly="DevExpress.Web.ASPxEditors.v8.2, Version=8.2.10.0, Culture=neutral, PublicKeyToken=9B171C9FD64DA1D1"
    Namespace="DevExpress.Web.ASPxEditors" TagPrefix="dx" %>--%>

<%@ Register Assembly="DevExpress.Web.v14.2" Namespace="DevExpress.Web" TagPrefix="dxw" %>

<!DOCTYPE html>
<html lang="en">
<head runat="server">
    <title>tSense-IoT Stock Details</title>
    <meta content="charset=utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1" />
    <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1" />
    <%--<meta http-equiv="Page-Enter" content="blendTrans(Duration=0)" />
    <meta http-equiv="Page-Exit" content="blendTrans(Duration=0)" />
    <meta http-equiv="X-UA-Compatible" content="IE=7" />--%>

    <link href="../css/CustomeAlert/demos.css" rel="stylesheet" type="text/css" />
    <link href="../css/CustomeAlert/themes/jquery.ui.all.css" rel="stylesheet" type="text/css" />
    <link id="reset" runat="server" href="../css/reset.css" rel="stylesheet" type="text/css" />
    <link id="stylesheet2" runat="server" href="../css/stylesheet2.css" rel="stylesheet" type="text/css" />
    <link id="dropdown" runat="server" href="../css/dropdown.css" rel="stylesheet" type="text/css" />
    <link rel="SHORTCUT ICON" href="../images/favicon.ico" />
    <link id="ieonly" runat="server" rel="stylesheet" type="text/css" href="" />
    <link id="datepicker" runat="server" type="text/css" href="../css/ui.datepicker.css" rel="stylesheet" />
    <link id="uicore" runat="server" type="text/css" href="../css/ui.core.css" rel="stylesheet" />
    <link id="uitheme" runat="server" type="text/css" href="../css/ui.theme.css" rel="stylesheet" />

    <%--Custom Theme for DevEx 14.2--%>
    <link id="GridView" runat="server" type="text/css" href="~/App_Themes/Office2003Blue/GridView/grid.css" rel="stylesheet" />
    <link id="Editors" runat="server" type="text/css" href="~/App_Themes/Office2003Blue/Editors/styles.css" rel="stylesheet" />

    <%--********* For Bootstrap Implementation *************--%>
    <link id="BootStrapCss" href="../css/bootstrap.css" runat="server" rel="stylesheet" type="text/css" />
    <link id="mainstyle" runat="server" href="../css/mainstyle.css" rel="stylesheet" type="text/css" />
    <%--********* End of Bootstrap Implementation *************--%>

    <script src="../js/CustomAlert/jquery.min.js" type="text/javascript"></script>
    <script src="../js/CustomAlert/jquery-ui-1.10.3.custom.min.js" type="text/javascript"></script>
    <script src="../js/CustomAlert/jquery-ui-1.10.3.custom.js" type="text/javascript"></script>
    <script src="../js/CustomAlert/CustomAlert.js" type="text/javascript"></script>
    <script type="text/javascript" src="../js/jquery-1.5.1.min.js"></script>
    <script type="text/javascript" src="../js/ui.datepicker.js"></script>
    <script type="text/javascript" src="../js/JQQueryDatePicker.js"></script>
    <script lang="JavaScript1.2" type="text/javascript" src="../js/myformvalidations.js"></script>
    <script src="../js/wow.min.js"></script>
</head>
<body>
    <div class="pageContainer">
        <form id="form1" runat="server">
            <asp:ScriptManager ID="ScriptManager1" runat="server">
            </asp:ScriptManager>
            <asp:UpdatePanel runat="server" ID="updVenDetails" UpdateMode="Conditional">
                <ContentTemplate>
                    <!-- Header Starts Here -->
                    <uc1:Header ID="ucHeader" runat="server" />
                    <!-- Nav Ends Here -->
                    <!-- Content Starts Here -->
                    <div id="outer">
                        <div id="inner">
                            <div id="float-wrap">
                                <!-- Main Content Starts Here -->
                                <div id="content">
                                    <div class="content-wrap">
                                        <div id="top-content" class="head-part">
                                            <div id="heading" class="col-sm-3">
                                                <img class="icon" src="../images/configuration-icon.jpg" alt="" />
                                                <h1>
                                                    <asp:Literal ID="lblConfigurationCaption" runat="server">Configuration</asp:Literal>
                                                </h1>
                                                <asp:LinkButton ID="lnkHomeCaption" runat="server">Home</asp:LinkButton>
                                                <span>&gt;</span>
                                                <asp:LinkButton ID="lnkItemMgmt" PostBackUrl="~/Forms/ViewStockDetails.aspx" runat="server" Text="Stock Details"
                                                    OnClick="lnkItemMgmt_Click"></asp:LinkButton>
                                            </div>
                                            <div class="col-sm-6 head-part-btns">
                                                <div class="form-horizontal">
                                                    <div class="form-group">
                                                        <div class="col-sm-1 padding-width-sm icon-img override-col-width">
                                                            <asp:Image ID="imgFleetIcon" ImageUrl="../images/icn-category.gif" AlternateText="Category" ToolTip="Select the category"
                                                                runat="server" />
                                                        </div>
                                                        <div class="col-sm-3 padding-width-sm form-controllinebreak">
                                                            <asp:DropDownList ID="ddlDHT" runat="server" TabIndex="3" CssClass="form-control" AutoPostBack="true"
                                                                OnSelectedIndexChanged="ddlDHT_SelectedIndexChanged">
                                                            </asp:DropDownList>
                                                        </div>
                                                        <div class="col-sm-1 padding-width-sm icon-img override-col-width">
                                                            <asp:Image runat="server" ImageUrl="~/images/icn-severity.gif" AlternateText="Item Name" ToolTip="Enter ItemName to search"
                                                                ID="imgSeverity" />
                                                        </div>
                                                        <div class="col-sm-3 padding-width-sm">
                                                            <asp:TextBox ID="txtItemname" runat="server" CssClass="form-control" MaxLength="149"></asp:TextBox>
                                                            <cc1:AutoCompleteExtender ID="AutoCompleteExtender1" runat="server" BehaviorID="BAutoCompleteExtender1"
                                                                FirstRowSelected="false" ServiceMethod="GetItems" MinimumPrefixLength="1" CompletionInterval="100"
                                                                EnableCaching="false" CompletionSetCount="10" TargetControlID="txtItemname" CompletionListElementID="divItems"
                                                                CompletionListCssClass="autocomplete_completionListElement" CompletionListHighlightedItemCssClass="autocomplete_highlightedListItem"
                                                                CompletionListItemCssClass="autocomplete_listItem" OnClientItemSelected="GetItemNo">
                                                            </cc1:AutoCompleteExtender>
                                                            <asp:HiddenField ID="hdnItemNo" runat="server" />
                                                            <div id="divItems">
                                                            </div>
                                                        </div>
                                                        <div class="col-sm-1 padding-width-sm icon-img override-col-width">
                                                            <asp:Image ID="imgUser" ImageUrl="../images/usernew-icon.gif" CssClass="ControlHide"
                                                                Width="15" Height="16" AlternateText="User name" runat="server" />
                                                        </div>
                                                        <div class="col-sm-3 padding-width-sm">
                                                            <asp:DropDownList ID="ddlAcceptedBy" runat="server" CssClass="ControlHide">
                                                            </asp:DropDownList>
                                                        </div>
                                                        <div class="col-sm-2 padding-width-sm">
                                                            <asp:ImageButton runat="server" ID="ibtSearch1" OnClientClick="if(ValidateAlert()){ ShowPopUp(); return true;} else {return false;}"
                                                                ImageUrl="~/images/btn-search.jpg" OnClick="lnkTest_Click" Visible="false" />
                                                            <asp:LinkButton ID="ibtSearch" runat="server" CssClass="MultilingualBtn" OnClientClick="if(ValidateAlert()){ ShowPopUp(); return true;} else {return false;}"
                                                                OnClick="lnkTest_Click">
                                                                <span id="Span1" runat="server" class="MultilingualBtnspan">
                                                                    <div class="Search">
                                                                        <div id="SearchButDiv" runat="server" class="MultilingualBtnTextAlign">
                                                                            Search
                                                                        </div>
                                                                    </div>
                                                                </span>
                                                            </asp:LinkButton>
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                            <div class="col-sm-3 head-part-btns">
                                                <div class="pull-right">
                                                    <asp:LinkButton ID="btnBack" runat="server" CssClass="MultilingualBtn" CausesValidation="false"
                                                        PostBackUrl="~/Forms/ConfigurationSetup.aspx">
                                                        <span id="Span4" runat="server" class="MultilingualBtnspan">
                                                            <div class="Back">
                                                                <div id="BacktoConfigurationDiv" runat="server" class="MultilingualBtnTextAlign">
                                                                    Back to Configuration
                                                                </div>
                                                            </div>
                                                        </span>
                                                    </asp:LinkButton>&nbsp;&nbsp;
                                                </div>
                                                <%--<table border="0" cellpadding="0" cellspacing="0" id="control-tbl" width="100%">
                                                <tr>
                                                    <td>
                                                        <div>
                                                            <table cellpadding="0" cellspacing="0" border="0" class="ManageGeozoneTableAlign">
                                                                <tr height="20px">
                                                                    <td>
                                                                    </td>
                                                                </tr>
                                                                <tr>
                                                                    <td>
                                                                        <asp:ImageButton ID="lbtnAddVendor1" runat="server" CausesValidation="false" OnClick="lbtnAddItem_Click"
                                                                            ImageUrl="~/images/btn-add-vehicle.jpg" Visible="false" />
                                                                        <asp:LinkButton ID="lbtnAddItem" runat="server" CssClass="MultilingualBtn" CausesValidation="false"
                                                                            OnClick="lbtnAddItem_Click">
                                                                            <span id="Span1" runat="server" class="MultilingualBtnspan">
                                                                                <div class="AddVehicle">
                                                                                    <div id="AddVendorDiv" runat="server" class="MultilingualBtnTextAlign">
                                                                                        Add Items
                                                                                    </div>
                                                                                </div>
                                                                            </span>
                                                                        </asp:LinkButton>
                                                                    </td>
                                                                    <td>
                                                                        &nbsp;&nbsp;
                                                                    </td>
                                                                    <td>
                                                                    </td>
                                                                    <td>
                                                                        &nbsp;&nbsp;
                                                                    </td>
                                                                    <td>
                                                                        <asp:ImageButton ID="lbtnVehSeveritySetting1" PostBackUrl="MsgSeveritySettings.aspx"
                                                                            runat="server" CausesValidation="false" ImageUrl="~/images/btn-vehicle-msg.jpg"
                                                                            Visible="false" />
                                                                        <asp:LinkButton ID="lbtnVehSeveritySetting" runat="server" CssClass="MultilingualBtn"
                                                                            CausesValidation="false" PostBackUrl="~/Forms/VendorVehicleMapping.aspx" Visible="false">
                                                                            <span id="Span3" runat="server" class="MultilingualBtnspan">
                                                                                <div class="SeveritySettings">
                                                                                    <div id="SeveritySettingsDiv" runat="server" class="MultilingualBtnTextAlign">
                                                                                        Vehicle Assignment
                                                                                    </div>
                                                                                </div>
                                                                            </span>
                                                                        </asp:LinkButton>
                                                                    </td>
                                                                    <td>
                                                                        &nbsp;&nbsp;
                                                                    </td>
                                                                    <td>
                                                                        <asp:ImageButton ID="btnBack1" runat="server" OnClick="btnBack_Click" CausesValidation="false"
                                                                            ImageUrl="~/images/btn-back-to-configuration.jpg" Visible="false" />
                                                                        <asp:LinkButton ID="btnBack" runat="server" CssClass="MultilingualBtn" CausesValidation="false"
                                                                            PostBackUrl="~/Forms/ConfigurationSetup.aspx">
                                                                            <span id="Span4" runat="server" class="MultilingualBtnspan">
                                                                                <div class="Back">
                                                                                    <div id="BacktoConfigurationDiv" runat="server" class="MultilingualBtnTextAlign">
                                                                                        Back to Configuration
                                                                                    </div>
                                                                                </div>
                                                                            </span>
                                                                        </asp:LinkButton>
                                                                    </td>
                                                                    <td>
                                                                        &nbsp;&nbsp;
                                                                    </td>
                                                                </tr>
                                                            </table>
                                                        </div>
                                                    </td>
                                                </tr>
                                            </table>--%>
                                            </div>
                                            <div class="clear clearfix"></div>
                                        </div>
                                        <div class="clear clearfix"></div>
                                    </div>
                                    <div class="clear clearfix"></div>
                                    <asp:Panel ID="pnlItemDetailsList" runat="server">
                                        <div id="grid-dsply">
                                            <div id="top">
                                                <div class="right-col">
                                                    <span class="dropdown">
                                                        <dxw:ASPxComboBox ID="ASPxCboExport" runat="server" ValueType="System.String" Width="80px" Height="20px"
                                                            ShowImageInEditBox="false" ItemImage-Height="12px" ClientInstanceName="ASPxCboExport" SelectedIndex="0"
                                                            CssFilePath="~/App_Themes/Office2003Blue/Editors/styles.css" CssPostfix="Office2003_Blue"
                                                            EnableTheming="true" Theme="Office2003Blue">
                                                            <Items>
                                                                <dxw:ListEditItem ImageUrl="../images/icn-pdf.jpg" Text="pdf" Value="pdf" />
                                                                <dxw:ListEditItem ImageUrl="../images/icn-excel.jpg" Text="xls" Value="xls" />
                                                                <dxw:ListEditItem ImageUrl="../images/icn-excel-xlsx.png" Text="xlsx" Value="xlsx" />
                                                                <dxw:ListEditItem ImageUrl="../images/icn-word.jpg" Text="rtf" Value="rtf" />
                                                            </Items>
                                                        </dxw:ASPxComboBox>
                                                    </span>&nbsp;<span class="txt">
                                                        <asp:ImageButton ID="btnExport1" runat="server" ImageUrl="~/images/btn-export.jpg"
                                                            OnClick="btnExport_Click" Visible="false" />
                                                        <asp:LinkButton ID="btnExport" runat="server" CssClass="MultilingualBtn" OnClick="btnExport_Click">
                                                            <span id="Span9" runat="server" class="MultilingualBtnspan">
                                                                <div class="Export">
                                                                    <div id="ExportButDiv" runat="server" class="MultilingualBtnTextAlign">
                                                                        Export
                                                                    </div>
                                                                </div>
                                                            </span>
                                                        </asp:LinkButton>
                                                    </span>
                                                </div>
                                            </div>
                                            <div class="clear clearfix"></div>
                                            <div class="table-responsive">
                                                <dxw:ASPxGridView ID="gvItems" runat="server" Width="100%" EnableViewState="true" KeyFieldName="ItemSNo"
                                                    CssFilePath="~/App_Themes/Office2003Blue/GridView/styles.css" CssPostfix="Office2003_Blue"
                                                    EnableTheming="true" Theme="Office2003Blue" OnDataBinding="gvItems_DataBinding"
                                                    OnHtmlRowPrepared="gvItems_OnHtmlRowPrepared" OnHtmlRowCreated="gvItems_OnHtmlRowCreated">
                                                    <%--<Images ImageFolder="~/App_Themes/Office2003Blue/GridView/">
                                                <CollapsedButton Height="12px" Url="~/App_Themes/Office2003Blue/GridView/gvCollapsedButton.png"
                                                    Width="11px" />
                                                <ExpandedButton Height="12px" Url="~/App_Themes/Office2003Blue/GridView/gvExpandedButton.png"
                                                    Width="11px" />
                                                <DetailCollapsedButton Height="12px" Url="~/App_Themes/Office2003Blue/GridView/gvCollapsedButton.png"
                                                    Width="11px" />
                                                <DetailExpandedButton Height="12px" Url="~/App_Themes/Office2003Blue/GridView/gvExpandedButton.png"
                                                    Width="11px" />
                                            </Images>--%>
                                                    <Styles CssFilePath="~/App_Themes/Office2003Blue/GridView/grid.css" AlternatingRow-Enabled="True"
                                                        CssPostfix="Office2003_Blue">
                                                        <Header ImageSpacing="5px" SortingImageSpacing="5px">
                                                        </Header>
                                                        <LoadingPanel ImageSpacing="10px">
                                                        </LoadingPanel>
                                                        <PagerBottomPanel CssClass="PageFooter">
                                                        </PagerBottomPanel>
                                                        <PagerTopPanel CssClass="PageFooter">
                                                        </PagerTopPanel>
                                                    </Styles>
                                                    <SettingsPager PageSize="15" PrevPageButton-Image-Url="../App_Themes/Office2003Blue/GridView/pPrev.gif"
                                                        PrevPageButton-Image-UrlDisabled="../App_Themes/Office2003Blue/GridView/pPrevDisabled.gif"
                                                        NextPageButton-Image-UrlDisabled="../App_Themes/Office2003Blue/GridView/pNextDisabled.gif"
                                                        NextPageButton-Image-Url="../App_Themes/Office2003Blue/GridView/pNext.gif" AlwaysShowPager="true">
                                                    </SettingsPager>
                                                    <Columns>
                                                        <dxw:GridViewDataColumn FieldName="ItemCategoryName" Caption="Item Category" VisibleIndex="0"
                                                            Width="10%" HeaderStyle-HorizontalAlign="Center" CellStyle-HorizontalAlign="Left">
                                                            <HeaderCaptionTemplate>
                                                                <span class="icon">
                                                                    <img src="../images/icn-assigned-outputs.gif" alt="" title="" align="middle" /></span>
                                                                <span class="label">
                                                                    <asp:Label ID="lblCntrctprdCaption" runat="server" Text="Item Category"></asp:Label></span>
                                                            </HeaderCaptionTemplate>
                                                            <DataItemTemplate>
                                                                <span class="label">
                                                                    <asp:Label ID="lblItemCategoryName" runat="server" Text='<%# Eval("ItemCategoryName").ToString() %>'
                                                                        ForeColor='<%# Eval("AvailQty").ToString() =="0" ? System.Drawing.Color.Red : System.Drawing.Color.Black %>'></asp:Label></span>
                                                            </DataItemTemplate>
                                                            <Settings AllowAutoFilter="False" />
                                                        </dxw:GridViewDataColumn>
                                                        <dxw:GridViewDataColumn FieldName="Itemcode" Caption="Item Code" VisibleIndex="1"
                                                            Width="10%">
                                                            <HeaderCaptionTemplate>
                                                                <span class="icon">
                                                                    <img src="../Images/icn-division.gif" align="top" alt="" title="" /></span>
                                                                <span class="label">
                                                                    <asp:Label ID="lblVendorNameCaption" runat="server" Text="Item Code"></asp:Label></span>
                                                            </HeaderCaptionTemplate>
                                                            <DataItemTemplate>
                                                                <span class="label">
                                                                    <asp:Label ID="lblItemcode" runat="server" Text='<%# Eval("Itemcode").ToString() %>'
                                                                        ForeColor='<%# Eval("AvailQty").ToString() =="0" ? System.Drawing.Color.Red : System.Drawing.Color.Black %>'></asp:Label></span>
                                                            </DataItemTemplate>
                                                        </dxw:GridViewDataColumn>
                                                        <dxw:GridViewDataColumn FieldName="ItemName" Caption="Item Name" VisibleIndex="2"
                                                            CellStyle-Wrap="True" Width="10%" CellStyle-HorizontalAlign="Left">
                                                            <HeaderCaptionTemplate>
                                                                <span class="icon">
                                                                    <img src="../images/icn-description.gif" alt="" title="" align="top" /></span>
                                                                <span class="label">
                                                                    <asp:Label ID="lblWrkOdrCaption" runat="server" Text="Item Name"></asp:Label></span>
                                                            </HeaderCaptionTemplate>
                                                            <DataItemTemplate>
                                                                <span class="label">
                                                                    <asp:Label ID="lblItemName" runat="server" Text='<%# Eval("ItemName").ToString() %>'
                                                                        ForeColor='<%# Eval("AvailQty").ToString() =="0" ? System.Drawing.Color.Red : System.Drawing.Color.Black %>'></asp:Label></span>
                                                            </DataItemTemplate>
                                                        </dxw:GridViewDataColumn>
                                                        <dxw:GridViewDataColumn FieldName="ItemDesc" Caption="Item Desc" VisibleIndex="3"
                                                            CellStyle-Wrap="True" Width="10%" HeaderStyle-HorizontalAlign="Center" CellStyle-HorizontalAlign="Left">
                                                            <HeaderCaptionTemplate>
                                                                <span class="icon">
                                                                    <img src="../images/Schedule Command.png" alt="" title="" align="middle" /></span>
                                                                <span class="label">
                                                                    <asp:Label ID="lblCntrctprdCaption" runat="server" Text="Item Description"></asp:Label></span>
                                                            </HeaderCaptionTemplate>
                                                            <DataItemTemplate>
                                                                <span class="label">
                                                                    <asp:Label ID="lblItemDesc" runat="server" Text='<%# Eval("ItemDesc").ToString() %>'
                                                                        ForeColor='<%# Eval("AvailQty").ToString() =="0" ? System.Drawing.Color.Red : System.Drawing.Color.Black %>'></asp:Label></span>
                                                            </DataItemTemplate>
                                                            <Settings AllowAutoFilter="True" AllowSort="True" ShowFilterRowMenu="True" />
                                                        </dxw:GridViewDataColumn>
                                                        <dxw:GridViewDataColumn FieldName="OpenQty" Caption="Opening Balance" VisibleIndex="4"
                                                            Width="10%" HeaderStyle-HorizontalAlign="Center" CellStyle-HorizontalAlign="Right">
                                                            <HeaderCaptionTemplate>
                                                                <span class="icon">
                                                                    <img src="../images/icn-chart.gif" alt="" title="" align="middle" /></span>
                                                                <span class="label">
                                                                    <asp:Label ID="lblCntrctprdCaption" runat="server" Text="Opening Balance"></asp:Label></span>
                                                            </HeaderCaptionTemplate>
                                                            <DataItemTemplate>
                                                                <span class="label">
                                                                    <asp:Label ID="lblAvailQty" runat="server" Text='<%# Eval("OpenQty").ToString() %>'
                                                                        ForeColor='<%# Eval("AvailQty").ToString() =="0" ? System.Drawing.Color.Red : System.Drawing.Color.Black %>'></asp:Label></span>
                                                            </DataItemTemplate>
                                                            <Settings AllowAutoFilter="False" />
                                                        </dxw:GridViewDataColumn>
                                                        <dxw:GridViewDataColumn FieldName="AvailQty" Caption="Available Qty" VisibleIndex="4"
                                                            Width="10%" HeaderStyle-HorizontalAlign="Center" CellStyle-HorizontalAlign="Right">
                                                            <HeaderCaptionTemplate>
                                                                <span class="icon">
                                                                    <img src="../images/icn-chart.gif" alt="" title="" align="middle" /></span>
                                                                <span class="label">
                                                                    <asp:Label ID="lblCntrctprdCaption" runat="server" Text="Available Qty"></asp:Label></span>
                                                            </HeaderCaptionTemplate>
                                                            <DataItemTemplate>
                                                                <span class="label">
                                                                    <asp:Label ID="lblAvailQty" runat="server" Text='<%# Eval("AvailQty").ToString() %>'
                                                                        ForeColor='<%# Eval("AvailQty").ToString() =="0" ? System.Drawing.Color.Red : System.Drawing.Color.Black %>'></asp:Label></span>
                                                            </DataItemTemplate>
                                                            <Settings AllowAutoFilter="False" />
                                                        </dxw:GridViewDataColumn>
                                                        <dxw:GridViewDataColumn FieldName="UnitPrice" Caption="Unit Price" VisibleIndex="5"
                                                            Width="10%" HeaderStyle-HorizontalAlign="Center" CellStyle-HorizontalAlign="Right">
                                                            <HeaderCaptionTemplate>
                                                                <span class="icon">
                                                                    <img src="../images/cost.gif" alt="" title="" align="middle" /></span>
                                                                <span class="label">
                                                                    <asp:Label ID="lblCntrctprdCaption" runat="server" Text="Unit Price"></asp:Label></span>
                                                            </HeaderCaptionTemplate>
                                                            <DataItemTemplate>
                                                                <span class="label">
                                                                    <asp:Label ID="lblUnitPrice" runat="server" Text='<%# Eval("UnitPrice").ToString() %>'
                                                                        ForeColor='<%# Eval("AvailQty").ToString() =="0" ? System.Drawing.Color.Red : System.Drawing.Color.Black %>'></asp:Label></span>
                                                            </DataItemTemplate>
                                                            <Settings AllowAutoFilter="False" />
                                                        </dxw:GridViewDataColumn>
                                                        <dxw:GridViewDataColumn FieldName="TotalReceipts" Caption="Total Receipts" VisibleIndex="5"
                                                            Width="10%" HeaderStyle-HorizontalAlign="Center" CellStyle-HorizontalAlign="Right">
                                                            <HeaderCaptionTemplate>
                                                                <span class="icon">
                                                                    <img src="../images/popup-tr.gif" alt="" title="" align="middle" /></span>
                                                                <span class="label">
                                                                    <asp:Label ID="lblCntrctprdCaption" runat="server" Text="Total Receipts"></asp:Label></span>
                                                            </HeaderCaptionTemplate>
                                                            <DataItemTemplate>
                                                                <span class="label">
                                                                    <asp:Label ID="lblUnitPrice" runat="server" Text='<%# Eval("TotalReceipts").ToString() %>'
                                                                        ForeColor='<%# Eval("AvailQty").ToString() =="0" ? System.Drawing.Color.Red : System.Drawing.Color.Black %>'></asp:Label></span>
                                                            </DataItemTemplate>
                                                            <Settings AllowAutoFilter="False" />
                                                        </dxw:GridViewDataColumn>
                                                    </Columns>
                                                    <Settings ShowVerticalScrollBar="true" VerticalScrollableHeight="270" />
                                                    <Settings ShowFilterRow="true" ShowFilterRowMenu="True" />
                                                    <SettingsText EmptyDataRow="No Items details found" />
                                                    <SettingsBehavior AllowFocusedRow="false" />
                                                </dxw:ASPxGridView>
                                            </div>
                                            <div class="clear clearfix"></div>
                                            <dxw:ASPxGridViewExporter ID="ASPxGridViewExporter1" runat="server" GridViewID="gvItems"
                                                ReportHeader="{\rtf1\ansi\ansicpg1252\deff0\deflang1033{\fonttbl{\f0\fnil\fcharset0 Times New Roman;}
                                                {\f1\fnil\fcharset0 Arial;}}\viewkind4\uc1\pard\f0\fs20\b\f1\fs28 Item Details\par\par\par}"
                                                DetailHorizontalOffset="1" DetailVerticalOffset="1" MaxColumnWidth="120">
                                                <Styles>
                                                    <Default VerticalAlign="Middle">
                                                    </Default>
                                                    <Header BackColor="#D1D1D1" Font-Bold="True" Font-Names="Arial" Font-Size="10pt"
                                                        ForeColor="Black" HorizontalAlign="Center" VerticalAlign="Middle" Wrap="false">
                                                    </Header>
                                                    <Cell VerticalAlign="Middle" Wrap="True" Font-Size="8pt" Font-Names="Arial" HorizontalAlign="Left"
                                                        ForeColor="Black">
                                                    </Cell>
                                                </Styles>
                                                <PageHeader Center="Fuel Entry Details" VerticalAlignment="Far">
                                                    <Font Bold="True" Names="Arial" Size="10pt" Underline="True"></Font>
                                                </PageHeader>
                                                <PageFooter Right="[Page # of Pages #]">
                                                </PageFooter>
                                            </dxw:ASPxGridViewExporter>
                                        </div>
                                        <div class="AlignControl">
                                            <br />
                                            <img src="../images/red.png" />
                                            <asp:Label ID="RedIcnIndicator" runat="server" Text="Item Reached Reorder level / zero stock availability."></asp:Label>
                                        </div>
                                    </asp:Panel>
                                </div>
                            </div>
                            <%--</div>--%>
                            <!-- Main Content Ends Here -->
                            <div id="left">
                            </div>
                            <div class="clear clearfix">
                            </div>
                        </div>
                        <div id="right">
                        </div>
                        <div class="clear clearfix">
                        </div>
                    </div>
                    <asp:Button ID="btnLoadModel" runat="server" CssClass="btn" Style="display: none"></asp:Button>
                    <asp:Button ID="btnTest" runat="server" CssClass="ControlHide" Text="Test" />
                    <asp:HiddenField ID="hdnCancelsts" runat="server" />
                    <asp:HiddenField ID="hdnselectedays" runat="server" />
                </ContentTemplate>
                <Triggers>
                    <asp:PostBackTrigger ControlID="btnExport" />
                    <asp:PostBackTrigger ControlID="btnTest" />
                </Triggers>
            </asp:UpdatePanel>
            <cc1:ModalPopupExtender ID="mpeProgressIndicator" runat="server" PopupControlID="pnlProgress"
                TargetControlID="Button1">
            </cc1:ModalPopupExtender>
            <asp:Button ID="Button1" Style="display: none;" runat="server" />
            <asp:Panel ID="pnlProgress" runat="server" CssClass="processMessage" Style="z-index: 1000;">
                <center>
                <br />
                <img id="imgLoad" runat="server" alt="Please Wait ..." src="../images/47.gif" /><br />
                <br />
                <asp:Label ID="lbl_msg12" Text="Processing... Please Wait..." runat="server" CssClass="specialdisplay"></asp:Label>
                <br />
                <br />
            </center>
            </asp:Panel>

            <script src="../js/ScriptToClearCtrls.js" type="text/javascript"></script>
            <script type="text/javascript" src="../js/GridCheckBoxMaintaining.js"></script>
            <script type="text/javascript" src="../js/DriverManagementScript.js"></script>
            <script type="text/javascript" src="../js/myformvalidations.js"></script>
            <script type="text/javascript" src="../js/FormValidations.js"></script>
            <script src="../js/InventoryMgmt.js" type="text/javascript"></script>
            <script lang="javascript" type="text/javascript">
                function HidePopUp() {
                    if ($find('mpeProgressIndicator') != undefined) {
                        $find('mpeProgressIndicator').hide();
                    }
                }
                function ShowPopUp() {
                    if ($find('mpeProgressIndicator') != undefined) {
                        $find('mpeProgressIndicator').show();
                    }
                }
            </script>
            <script type="text/javascript">
                Sys.Browser.WebKit = {}; //Safari 3 is considered WebKit
                if (navigator.userAgent.indexOf('WebKit/') > -1) {
                    Sys.Browser.agent = Sys.Browser.WebKit;
                    Sys.Browser.version = parseFloat(navigator.userAgent.match(/WebKit\/(\d+(\.\d+)?)/)[1]);
                    Sys.Browser.name = 'WebKit';
                }
            </script>
            <script type="text/javascript">
                var keyValue;
                function OnMoreInfoClick(element) {
                    popup.ShowAtElement(element);

                }
                function popup_Shown(s, e) {

                    popup.ShowAtPos(s, e);
                }

                function GetItemNo(source, eventArgs) {
                    var hItemNo = eventArgs.get_value();
                    document.getElementById('<%=hdnItemNo.ClientID %>').value = hItemNo;
                    // document.getElementById('GridView1_ctl01_lblItemCode').innerHTML = hItemNo;               
                }
            </script>
        </form>
    </div>
    <!-- Content Ends Here -->
    <uc2:Footer ID="ucFooter" runat="server" />
</body>
</html>
