﻿<%@ page language="C#" autoeventwireup="true" inherits="Forms_Dashboard, App_Web_ah0chvn1" enableeventvalidation="false" %>

<%@ Register Assembly="AjaxControlToolkit" Namespace="AjaxControlToolkit" TagPrefix="cc1" %>
<%@ Register Src="~/UserControls/Notification_List.ascx" TagPrefix="uc3" TagName="NotificationsList" %>
<%@ Register Src="~/UserControls/New_Header.ascx" TagName="Header" TagPrefix="uc1" %>
<%@ Register Src="~/UserControls/New_Footer.ascx" TagName="Footer" TagPrefix="uc2" %>
<%@ Register Assembly="DevExpress.Web.v14.2" Namespace="DevExpress.Web" TagPrefix="dxw" %>
<%@ Register Src="~/UserControls/New_Footer_White.ascx" TagPrefix="uc1" TagName="New_Footer_White" %>


<!DOCTYPE html>
<html lang="en">
<head id="Head1" runat="server">
    <title>tSense-IoT Dashboard</title>
    <meta content="charset=utf-8" />
    <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
    <meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0, user-scalable=0">
    <link href="../css/Monitor_css/Bootstrap-toggle.min.css" rel="stylesheet" />
    <link href="../css/Monitor_css/bootstrap.min.css" rel="stylesheet">
    <link href="../css/Monitor_css/css-chart.css" rel="stylesheet">
    <link href="../css/Monitor_css/morris.css" rel="stylesheet">
    <link href="../css/Monitor_css/style.css" rel="stylesheet">

    <link id="reset" runat="server" href="../css/reset.css" rel="stylesheet" type="text/css" />
    <link id="dropdown" runat="server" href="../css/dropdown.css" rel="stylesheet" type="text/css" />
    <link id="stylesheet2" runat="server" href="../css/stylesheet2.css" rel="stylesheet" type="text/css" />
    <link id="style" runat="server" href="../css/style.css" rel="stylesheet" type="text/css" />
    <link id="jcarousel" runat="server" rel="stylesheet" type="text/css" href="../css/jquery.jcarousel.css" />
    <link id="skin" runat="server" rel="stylesheet" type="text/css" href="../css/skin.css" />
    <link href="../css/CustomeAlert/demos.css" rel="stylesheet" type="text/css" />
    <link href="../css/CustomeAlert/themes/jquery.ui.all.css" rel="stylesheet" type="text/css" />
    <link href="../css/Monitor_css/Togglesswitch.css" rel="stylesheet" />

    <link id="GridView" type="text/css" href="~/App_Themes/Office2003Blue/GridView/grid.css" rel="stylesheet" />
    <link id="Editors" type="text/css" href="~/App_Themes/Office2003Blue/Editors/styles.css" rel="stylesheet" />
    <link rel="SHORTCUT ICON" href="../images/favicon.ico" />

    <link id="BootStrapCss" href="../css/bootstrap.css" runat="server" rel="stylesheet" type="text/css" />
    <link id="mainstyle" runat="server" href="../css/mainstyle.css" rel="stylesheet" type="text/css" />
    <link rel="icon" href="../NewDesign/img/favicon.png" type="image/x-icon">
    <%--<link href="https://fonts.googleapis.com/css?family=Roboto:300,400,500,700,900" rel="stylesheet">--%>
    <link href="../NewDesign/css/bootstrap.css" rel="stylesheet" />
    <link href="../NewDesign/css/font-awesome.css" rel="stylesheet" />
    <link href="../NewDesign/css/responsive.css" rel="stylesheet" />
    <link href="../NewDesign/css/style.css" rel="stylesheet" />
    <link href="../NewDesign/font-awesome-4.7.0/css/font-awesome.css" rel="stylesheet" />
    <link href="../fontawesome-free-5.10.1-web/css/all.min.css" rel="stylesheet" />
    <script src="../js/Monitor_js/jquery.min.js" type="text/javascript"></script>
    <script src="../js/Monitor_js/popper.min.js" type="text/javascript"></script>
    <script src="../js/Monitor_js/bootstrap.min.js" type="text/javascript"></script>
    <script src="../js/Monitor_js/custom.min.js" type="text/javascript"></script>
    <%--<script src="../js/Monitor_js/gauge.min.js" type="text/javascript"></script>--%>
    <script src="../js/Monitor_js/morris.js" type="text/javascript"></script>
    <script src="../js/Monitor_js/perfect-scrollbar.jquery.min.js" type="text/javascript"></script>
    <script src="../js/Monitor_js/raphael-min.js" type="text/javascript"></script>
    <script src="../js/CustomAlert/jquery.min.js" type="text/javascript"></script>
    <script src="../js/CustomAlert/jquery-ui-1.10.3.custom.min.js" type="text/javascript"></script>
    <script src="../js/CustomAlert/jquery-ui-1.10.3.custom.js" type="text/javascript"></script>
    <script src="../js/CustomAlert/CustomAlert.js" type="text/javascript"></script>
    <script src="../js/GetMonitorData.js"></script>
    <script src="../js/Monitor_js/Temp.js"></script>
    <%--<script src="../js/CanvasChart.js"></script>--%>


    <script type="text/javascript">
    </script>
    <script language="javascript" type="text/javascript">
        function HidePopUp() {
            if ($find('mpeMapProgressIndicator') != undefined) {
                $find('mpeMapProgressIndicator').hide();
            }
        }
        function ShowPopUp() {
            if ($find('mpeMapProgressIndicator') != undefined) {
                $find('mpeMapProgressIndicator').show();
            }
        }
    </script>


    <script>
        function LoadMoniterData() {
            if (document.getElementById("hdnuserID") != null) {
                var uservalue = document.getElementById("hdnuserID").value;
                var DeviceId = document.getElementById("hdnDeviceId").value;
                var DeviceType = document.getElementById("hdnDevieType").value;
                GetMonitorData(DeviceId, uservalue, DeviceType);
                LoadChartControl();
            }
        }
        function LoadChartControl() {
            ChartGauFreqgauge.value = document.getElementById("hdnFrequency").value;
            ChartGauGenLinetoNeutral.value = document.getElementById("hdnLNVolt").value;
            ChartGauGenLinetoLine.value = document.getElementById("hdnLLVolt").value;
            ChartGauSpeedgauge.value = document.getElementById("hdnSpeed").value;
            ChartBatteryCharger.value = document.getElementById("hdnBatteryCharger").value;
            ChartGauBatteryVoltage.value = document.getElementById("hdnBatteryVolt").value;
            ChartGauChargeAlternator.value = document.getElementById("hdnChrgAlter").value;
            ChartGauCoolantTemperature.value = document.getElementById("hdnCoolTemp").value;
            ChartGauOilTemperature.value = document.getElementById("hdnOilTemp").value;
            ChartGauOilPressure.value = (parseInt(document.getElementById("hdnOilPres").value) / 100);
            ChartGauFuelLevel.value = document.getElementById("hdnFuelLvl").value;
        }
        
        
        window.onload = function (e) {
            LoadMoniterData();
        }

    </script>
    <script src="../js/wow.min.js"></script>
    <style type="text/css">
        .textStyle {
            position: absolute;
            right: 0;
            bottom: 0;
            padding-right: 10px !important;
            color: white;
            margin: 0 !important;
        }

        input[type=radio], input[type=checkbox] {
            display: none;
        }

            input[type=radio] + label, input[type=checkbox] + label {
                display: inline-block;
                /*margin: -2px;*/
                padding: 4px 12px;
                margin-bottom: 0;
                font-size: 12px;
                line-height: 22px;
                color: #1267ba;
                text-align: center;
                /*text-shadow: 0 1px 1px rgba(255,255,255,0.75);*/
                vertical-align: middle;
                cursor: pointer;
                background-color: #f5f5f5;
                background-image: -moz-linear-gradient(top,#fff,#e6e6e6);
                background-image: -webkit-gradient(linear,0 0,0 100%,from(#fff),to(#e6e6e6));
                background-image: -webkit-linear-gradient(top,#fff,#e6e6e6);
                background-image: -o-linear-gradient(top,#fff,#e6e6e6);
                background-image: linear-gradient(to bottom,#fff,#e6e6e6);
                background-repeat: repeat-x;
                border: 1px solid #ccc;
                border-color: #e6e6e6 #e6e6e6 #bfbfbf;
                border-color: rgba(0,0,0,0.1) rgba(0,0,0,0.1) rgba(0,0,0,0.25);
                border-bottom-color: #b3b3b3;
                filter: progid:DXImageTransform.Microsoft.gradient(startColorstr='#ffffffff',endColorstr='#ffe6e6e6',GradientType=0);
                filter: progid:DXImageTransform.Microsoft.gradient(enabled=false);
                -webkit-box-shadow: inset 0 1px 0 rgba(255,255,255,0.2),0 1px 2px rgba(0,0,0,0.05);
                -moz-box-shadow: inset 0 1px 0 rgba(255,255,255,0.2),0 1px 2px rgba(0,0,0,0.05);
                box-shadow: inset 0 1px 0 rgba(255,255,255,0.2),0 1px 2px rgba(0,0,0,0.05);
            }

            input[type=radio]:checked + label, input[type=checkbox]:checked + label {
                background-image: none;
                outline: 0;
                -webkit-box-shadow: inset 0 2px 4px rgba(0,0,0,0.15),0 1px 2px rgba(0,0,0,0.05);
                -moz-box-shadow: inset 0 2px 4px rgba(0,0,0,0.15),0 1px 2px rgba(0,0,0,0.05);
                box-shadow: inset 0 2px 4px rgba(0, 0, 0, 0.29), 0 1px 2px rgba(0, 0, 0, 0);
                background-color: #1450a4;
                color: white;
            }

        .fa-spingreen {
            -webkit-animation: fa-spin 2s infinite linear;
            animation: fa-spin 1s infinite linear;
        }

        .fa-spinOrange {
            -webkit-animation: fa-spin 2s infinite linear;
            animation: fa-spin 2s infinite linear;
        }

        .cf1_v {
            border: 1px solid #A39EA2;
            background: #404040;
            border-radius: 10px;
            height: 85px;
            padding: 10px 1px;
            float: left;
            width: 35%;
            margin-bottom: 30px;
            text-align: center;
            margin-right: 1.33%;
        }

        text {
            color: white !important;
        }

        th {
            text-align: center;
        }

        div.infoPanel {
            margin: 5px;
            padding: 5px;
            padding-top: 0px;
            /*border: 1px solid #111;*/
            -moz-border-radius: 5px;
            /*border-radius: 5px;*/
            display: block;
            text-shadow: 0px 1px 0px #000;
            /*background-color: #444444 !important;
            background: linear-gradient(#696969, #363636) !important;*/
        }
    </style>
</head>
<body>
    <div class="preloader"></div>
    <div class="page-wrapper" style="background: #404040 !important">
        <form id="form1" runat="server">
            <asp:HiddenField ID="hdnGuid" runat="server" />
            <asp:Panel ID="pnlLoading" runat="server" Style="display: none;" Font-Bold="true">
            </asp:Panel>
            <cc1:ModalPopupExtender ID="ModalProcess" runat="server" TargetControlID="Button1"
                PopupControlID="pnlLoading" Drag="true" DropShadow="true" X="400" Y="500" BackgroundCssClass="modalBackground">
            </cc1:ModalPopupExtender>
            <asp:ScriptManager ID="ScriptManager1" runat="server" EnablePartialRendering="true"
                AsyncPostBackTimeout="600" EnablePageMethods="true">
            </asp:ScriptManager>
            <uc1:Header ID="ucHeader" runat="server" />
            <div class="vlive-filter">
                <asp:UpdatePanel ID="UpdMap" runat="server">
                    <ContentTemplate>
                        <asp:HiddenField ID="hdnTemp" runat="server" Value="0" />
                        <asp:HiddenField ID="hdnSpeed" runat="server" Value="0" />
                        <asp:HiddenField ID="hdnBatteryCharger" runat="server" Value="0" />
                        <asp:HiddenField ID="hdnBatteryVolt" runat="server" Value="0" />
                        <asp:HiddenField ID="hdnFrequency" runat="server" Value="0" />
                        <asp:HiddenField ID="hdnLNVolt" runat="server" Value="0" />
                        <asp:HiddenField ID="hdnLLVolt" runat="server" Value="0" />

                        <asp:HiddenField ID="S2_hdnFrequency" runat="server" Value="0" />
                        <asp:HiddenField ID="S2_hdnLNVolt" runat="server" Value="0" />
                        <asp:HiddenField ID="S2_hdnLLVolt" runat="server" Value="0" />

                        <asp:HiddenField ID="hdnPreTemp" runat="server" Value="0" />
                        <asp:HiddenField ID="hdnPreSpeed" runat="server" Value="0" />
                        <asp:HiddenField ID="hdnPreBatteryVolt" runat="server" Value="0" />
                        <asp:HiddenField ID="hdnPreFrequency" runat="server" Value="0" />

                        <asp:HiddenField ID="hdnChrgAlter" runat="server" Value="0" />
                        <asp:HiddenField ID="hdnCoolTemp" runat="server" Value="0" />
                        <asp:HiddenField ID="hdnOilTemp" runat="server" Value="0" />
                        <asp:HiddenField ID="hdnOilPres" runat="server" Value="0" />
                        <asp:HiddenField ID="hdnFuelLvl" runat="server" Value="0" />

                        <asp:HiddenField ID="hdnuserID" runat="server" />
                        <asp:HiddenField ID="hdnDeviceId" runat="server" />
                        <asp:HiddenField ID="hdnDevieType" runat="server" />
                        <asp:HiddenField ID="hdnDigit_IP" runat="server" />
                        <asp:HiddenField ID="hdnDigit_OP" runat="server" />
                        <div class="vlive-reports-section">
                            <div class="container-fluid">
                                <div class="row clearfix">
                                    <div class="col-sm-12">
                                        <div style="display: none">
                                            <div class="col-ks-2_5" runat="server" style="display: none;" id="divCustomer">
                                                <div>
                                                    <label for="exampleFormControlSelect1">
                                                        <asp:Label runat="server" ID="Label2" Text="Customer"></asp:Label></label>
                                                    <dxw:ASPxComboBox ID="ddlCustomer" runat="server" ValueType="System.Int32" CssClass="form-control"
                                                        ClientInstanceName="ddlCustomer" SelectedIndex="0" OnSelectedIndexChanged="ddlCustomer_SelectedIndexChanged"
                                                        EnableIncrementalFiltering="true" AutoPostBack="true" EnableTheming="true" Theme="Office2003Blue"
                                                        CssFilePath="~/App_Themes/office2003Blue/Editors/styles.css" CssPostfix="office2003_Blue">
                                                        <ClientSideEvents SelectedIndexChanged="function(s, e) { ShowPopUp(); }" />
                                                    </dxw:ASPxComboBox>
                                                </div>
                                            </div>
                                            <div class="col-ks-2_5">
                                                <div>
                                                    <label for="exampleFormControlSelect1">
                                                        <asp:Label runat="server" ID="lblFleetCaption" Text=""></asp:Label></label>
                                                    <dxw:ASPxComboBox ID="ddlFleet" runat="server" ValueType="System.Int32" CssClass="form-control"
                                                        ClientInstanceName="ddlFleet" SelectedIndex="0" OnSelectedIndexChanged="ddlFleet_SelectedIndexChanged"
                                                        EnableIncrementalFiltering="true" AutoPostBack="true" EnableTheming="true" Theme="Office2003Blue"
                                                        CssFilePath="~/App_Themes/office2003Blue/Editors/styles.css" CssPostfix="office2003_Blue">
                                                        <ClientSideEvents SelectedIndexChanged="function(s, e) { ShowPopUp(); }" />
                                                    </dxw:ASPxComboBox>
                                                </div>
                                            </div>
                                            <div class="col-ks-2_5">
                                                <div>
                                                    <label for="exampleFormControlSelect1">
                                                        <asp:Label runat="server" ID="lblDevice" Text="Device"></asp:Label></label>
                                                    <dxw:ASPxComboBox ID="ddlEquipment" runat="server" CssClass="form-control"
                                                        ClientInstanceName="ddlEquipment" SelectedIndex="0" OnSelectedIndexChanged="ddlEquipment_SelectedIndexChanged"
                                                        EnableIncrementalFiltering="true" AutoPostBack="true" EnableTheming="true" Theme="Office2003Blue"
                                                        CssFilePath="~/App_Themes/office2003Blue/Editors/styles.css" CssPostfix="office2003_Blue">
                                                        <ClientSideEvents SelectedIndexChanged="function(s, e) { ShowPopUp(); }" />
                                                    </dxw:ASPxComboBox>
                                                </div>
                                            </div>
                                            <div class="col-ks-2">
                                                <div class="col-ks-16 btn-icons">
                                                    <div class="col-ks-4" style="align-content: center">
                                                        <asp:LinkButton ID="ibtnReferesh" runat="server" CssClass="btn btn-danger btn-circle btn-lg"
                                                            ToolTip="Referesh" OnClick="ibtnReferesh_Click" OnClientClick="ShowPopUp();"><i class="fa fa-refresh" aria-hidden="true"></i>
                                                        </asp:LinkButton>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                        <div class="col-ks-2_5"></div>
                                        <div class="col-ks-2_5"></div>
                                        <div class="col-ks-2"></div>
                                        <div class="col-ks-9">
                                            <div class="pull-right">
                                                <asp:UpdatePanel ID="udpfan" runat="server" UpdateMode="Conditional">
                                                    <ContentTemplate>
                                                        <div class="col-ks-16 btn-icons">
                                                            <asp:RadioButtonList ID="rdblParam" CssClass="radiobtnlst form-controllinebreak" OnSelectedIndexChanged="rdbl_SelectedIndexChanged" runat="server" TabIndex="32" AutoPostBack="true" RepeatDirection="Horizontal" onchange="ShowPopUp();">
                                                                <asp:ListItem Value="0" Text="Generator" Selected="True"></asp:ListItem>
                                                                <asp:ListItem Value="1" Text="Engine"></asp:ListItem>
                                                                <asp:ListItem Value="2" Text="Digital Input"></asp:ListItem>
                                                                <asp:ListItem Value="3" Text="Digital Output"></asp:ListItem>
                                                                <asp:ListItem Value="4" Text="Back"></asp:ListItem>
                                                            </asp:RadioButtonList>
                                                        </div>
                                                    </ContentTemplate>
                                                </asp:UpdatePanel>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <%--Send Command & Last Reported Date--%>
                        <div class="container-fluid">
                            <div class="vlive-f-status pull-left">
                                <div class="infoPanel">
                                    <asp:Image ID="imgDevice" runat="server" ImageUrl="~/images/NoDevice.png" Width="125px" Height="100px" />
                                    <table id="Div_details" runat="server" style="float: right;">
                                        <tr>
                                            <td><strong>
                                                <asp:Label ID="Label1" ForeColor="White" runat="server" Text="Device Name:" Visible="true"></asp:Label></strong>
                                            </td>
                                            <td>
                                                <asp:Label ID="lblDeviceName" runat="server" ForeColor="White" Text=""></asp:Label>
                                            </td>
                                        </tr>
                                        <tr>
                                            <td>
                                                <strong>
                                                    <asp:Label ID="lblPageCountCaption" ForeColor="White" runat="server" Text="Last reported on:" Visible="true"></asp:Label>
                                                </strong>
                                            </td>
                                            <td>&nbsp;<asp:Label ID="lblreportedOn" runat="server" ForeColor="White" Text="" Visible="true"></asp:Label>
                                            </td>
                                        </tr>
                                        <tr id="tdSupervior" runat="server">
                                            <td>
                                                <strong>
                                                    <asp:Label ID="Label3" ForeColor="White" runat="server" Text="Supervisor State: " Visible="true"></asp:Label>
                                                </strong>
                                            </td>
                                            <td>
                                                <asp:Label ID="lblSupervisorState" runat="server" ForeColor="White" Text="" Visible="true"></asp:Label>
                                            </td>
                                        </tr>
                                        <tr id="tdGeneratorrating" runat="server">
                                            <td>
                                                <strong>
                                                    <asp:Label ID="Label4" ForeColor="White" runat="server" Text="Generator rating: " Visible="true"></asp:Label>
                                                </strong>
                                            </td>
                                            <td>
                                                <asp:Label ID="lblGeneratorRating" runat="server" ForeColor="White" Text="" Visible="true"></asp:Label>
                                            </td>
                                        </tr>
                                        <tr id="tdBatteryCharger" runat="server">
                                            <td>
                                                <strong>
                                                    <asp:Label ID="Label7" ForeColor="White" runat="server" Text="Battery Charger: " Visible="true"></asp:Label>
                                                </strong>
                                            </td>
                                            <td>
                                                <asp:Label ID="lblBatteryCharger" runat="server" ForeColor="White" Text="" Visible="true"></asp:Label>
                                            </td>
                                        </tr>
                                    </table>

                                </div>

                                <%-- <a></a>
                                <a></a>--%>
                            </div>
                            <div class="cf1_V" style="float: left; position: relative; left: 12%; border: none; height: 1%; padding-top: -1%">
                            </div>
                            <div class="vlive-f-status pull-right">
                                <a style="display: none;">
                                    <asp:Label ID="lbl_signal" runat="server">
                                        <i class="fas fa-wifi" aria-hidden="true" id="idstatus" runat="server"></i>
                                        <br />

                                    </asp:Label>
                                </a>
                                <asp:LinkButton runat="server" ID="btnStart" Text="" ToolTip="Start" OnClick="btnStart_Click" OnClientClick="return TrinetraConfirm(this.id,'Are you sure? <br>\n Clicking this button resets any latching alarms,<br>\n immediately opens the generator load switch <br>\n and start the engine.');">
                                    <%--<i class="fa fa-power-On-Gen" aria-hidden="true" style="cursor: pointer"></i>&nbsp;Start--%>
                                    <img src="~/images/DSE_Start.png" id="img1" runat="server" alt="Start" width="60">
                                    <br />
                                    <i class="fa fa-circle" aria-hidden="true" runat="server" style="color: gray" id="idStartSelect"></i>
                                </asp:LinkButton>
                                <asp:LinkButton runat="server" ID="btnStop" Text="" ToolTip="Stop" OnClick="btnStop_Click" OnClientClick="return TrinetraConfirm(this.id,'Are you sure? <br>\n Clicking this button resets any latching alarms,<br>\n immediately opens the generator load switch <br>\n and stops the engine.');">
                                    <%--<i class="fa fa-power-OFF-Gen" aria-hidden="true" style="cursor: pointer"></i>&nbsp;Stop--%>
                                    <img src="~/images/DSE_Stop.png" id="img2" runat="server" alt="Stop" width="60">
                                    <br />
                                    <i class="fas fa-circle" aria-hidden="true" runat="server" style="color: gray" id="idStop"></i>
                                </asp:LinkButton>
                                <asp:LinkButton runat="server" ID="btnManual" Text="" ToolTip="Manual" OnClick="btnManual_Click" OnClientClick="return TrinetraConfirm(this.id,'Are you sure? <br>\n Clicking this button resets any latching alarms,<br>\n immediately opens the generator load switch <br>\n and manual the engine.');">
                                    <%--<i class="fa fa-hand-pointer-o-Gen" aria-hidden="true" style="cursor: pointer"></i>&nbsp;Manual--%>
                                    <img src="~/images/DSE_Manual.png" id="img4" runat="server" alt="Manual" width="60">
                                    <br />
                                    <i class="fa fa-circle" aria-hidden="true" runat="server" style="color: gray" id="idManual"></i>
                                </asp:LinkButton>
                                <asp:LinkButton runat="server" ID="btnAuto" Text="" ToolTip="Auto" OnClick="btnAuto_Click" OnClientClick="return TrinetraConfirm(this.id,'Are you sure? <br>\n Clicking this button resets any latching alarms,<br>\n immediately opens the generator load switch <br>\n and auto the engine.');">
                                    <%--  <i class="fa fa-refresh-Gen" aria-hidden="true" style="cursor: pointer"></i>&nbsp;Auto--%>
                                    <img src="~/images/DSE_Auto.png" id="img5" runat="server" alt="T1" width="60">
                                    <br />
                                    <i class="fa fa-circle" aria-hidden="true" runat="server" style="color: gray" id="idAuto"></i>
                                </asp:LinkButton>
                                <asp:LinkButton runat="server" ID="lbtnTest" Text="Auto" ToolTip="Auto" Visible="false" OnClick="btnAuto_Click" OnClientClick="return TrinetraConfirm(this.id,'Are you sure? <br>\n Clicking this test device mode is test.');">
                                    <i class="fa fa-check-circle-o_Gen" aria-hidden="true" style="cursor: pointer"></i>&nbsp;Test
									<br />
                                    <i class="fa fa-circle" aria-hidden="true" runat="server" style="color: gray" id="i1"></i>
                                </asp:LinkButton>
                                <asp:LinkButton runat="server" ID="lbtnMute" Text="" ToolTip="Mute" OnClick="lbtnMute_Click" OnClientClick="return TrinetraConfirm(this.id,'Are you sure? <br>\n Clicking this button resets any latching alarms,<br>\n immediately opens the generator load switch <br>\n and mute the engine.');">
                                    <%--<i class="fa fa-microphone-Gen" aria-hidden="true" style="cursor: pointer"></i>&nbsp;Mute--%>
                                    <img src="~/images/DSE_Mute.png" id="img6" runat="server" alt="T1" width="60">
                                    <br />
                                    <i class="fa fa-circle" aria-hidden="true" runat="server" style="color: gray" id="idMute"></i>
                                </asp:LinkButton>
                                <asp:LinkButton runat="server" ID="lbtnS1OC" Text="" ToolTip="S1 Open/Close" OnClick="lbtnS1OC_Click" OnClientClick="return TrinetraConfirm(this.id,'Are you sure? <br>\n Clicking this button resets any latching alarms,<br>\n immediately opens the generator load switch <br>\n and S1 Open/Close the engine.');">
                                    <%--<i class="fa fa-microphone-Gen" aria-hidden="true" style="cursor: pointer"></i>&nbsp;Mute--%>
                                    <img src="~/images/S1_OpenClose.png" id="img7" runat="server" alt="T1" width="60">
                                    <br />
                                    <i class="fa fa-circle" aria-hidden="true" runat="server" style="color: gray" id="idS1OC"></i>
                                </asp:LinkButton>
                                <asp:LinkButton runat="server" ID="lbtnS2OC" Text="" ToolTip="S2 Open/Close" OnClick="lbtnS2OC_Click" OnClientClick="return TrinetraConfirm(this.id,'Are you sure? <br>\n Clicking this button resets any latching alarms,<br>\n immediately opens the generator load switch <br>\n and S2 Open/Close the engine.');">
                                    <%--<i class="fa fa-microphone-Gen" aria-hidden="true" style="cursor: pointer"></i>&nbsp;Mute--%>
                                    <img src="~/images/S2_OpenClose.png" id="img8" runat="server" alt="T1" width="60">
                                    <br />
                                    <i class="fa fa-circle" aria-hidden="true" runat="server" style="color: gray" id="idS2OC"></i>
                                </asp:LinkButton>

                            </div>
                            <div class="clearfix"></div>
                        </div>

                        <div id="content">
                            <div class="clear clearfix"></div>
                            <div class="container-fluidMnt">
                                <div id="MainScreen" runat="server">
                                    <div class="fms-lft fms">
                                        <div class="vlive-group">
                                            <div id="Temp2" runat="server" style="display: none;">
                                                <div class="t-lft t-lft1">
                                                    <div class="t1">
                                                        <h3></h3>
                                                        <div id="gauge_div" style="height: 240px; padding-left: 20%"></div>
                                                        <img src="../NewDesign/img/T2.png" id="imgP2T1" runat="server" alt="T1" style="display: none;">
                                                        <h2 style="display: none;">
                                                            <asp:Label ID="lbl_T1" runat="server"></asp:Label>
                                                        </h2>
                                                        <p class="textStyle">Coolant Temperature</p>
                                                    </div>
                                                    <div class="t1" style="display: none;">
                                                        <h3></h3>
                                                        <img src="../NewDesign/img/T2.png" id="imgP2T2" runat="server" alt="T2">
                                                        <h2>
                                                            <asp:Label ID="lbl_T2" runat="server"></asp:Label>
                                                        </h2>
                                                        <p class="textStyle">Bearing Temperature</p>
                                                    </div>
                                                </div>
                                            </div>
                                            <div id="Gen_Freq">
                                                <div class="t-lft2">
                                                    <div class="t1" style="width: 100%">
                                                        <h3></h3>
                                                        <div id="Freqgauge" style="height: 240px; padding-left: 20%; display: none;"></div>
                                                        <canvas id="GauFreqgauge"></canvas>
                                                        <p class="textStyle">
                                                            <asp:Label ID="lblCaptionFreq" runat="server" Text="Generator Frequency"></asp:Label>
                                                        </p>
                                                    </div>
                                                </div>
                                            </div>
                                            <div id="GenLinetoNeutral">
                                                <div class="t-lft2">
                                                    <div class="t1" style="width: 100%">
                                                        <h3></h3>
                                                        <canvas id="GauGenLinetoNeutral"></canvas>
                                                        <p class="textStyle">
                                                            <asp:Label ID="lblCaption_GenLN" runat="server" Text="Generator Line to Neutral Voltages"></asp:Label>
                                                        </p>
                                                    </div>
                                                </div>
                                            </div>
                                            <div id="GenLinetoLine">
                                                <div class="t-lft2">
                                                    <div class="t1" style="width: 100%">
                                                        <h3></h3>
                                                        <canvas id="GauGenLinetoLine"></canvas>
                                                        <p class="textStyle">
                                                            <asp:Label ID="lblCaption_GenLL" runat="server" Text="Generator Line to Line Voltages"></asp:Label>
                                                        </p>
                                                    </div>
                                                </div>
                                            </div>
                                            <div id="gaugeArea1_C" style="display: none;">
                                                <div class="t-lft2">
                                                    <div class="t1" style="width: 100%">
                                                        <h3></h3>
                                                        <div id="gaugeArea1" style="height: 240px; padding-left: 20%; color: white !important;"></div>
                                                        <p class="textStyle">Oil Pressure</p>
                                                    </div>
                                                </div>
                                            </div>
                                            <div id="Div1" runat="server" style="display: none;">
                                                <div class="vlive-centrifugal-fan">
                                                    <div class="clear clearfix"></div>
                                                    <div class="cf1" id="Voltages1" style="padding-top: 0px; width: 30%;">
                                                        <h2 style="border-radius: 9px; border-bottom-left-radius: 0px;">Voltage L-L</h2>
                                                        <h3 style="padding-top: 17px;">
                                                            <asp:Label ID="lblVoltageL_L" runat="server" Style="font-size: 25px !important; color: white;" Text="1000"></asp:Label></h3>
                                                        <img src="../NewDesign/img/pf.png" alt="V" style="padding-left: 10px; margin-top: -17px;">
                                                    </div>
                                                    <div class="cf1" id="Voltages2" style="padding-top: 0px; width: 30%;">
                                                        <h2 style="border-radius: 9px; border-bottom-left-radius: 0px;">Voltage L-N</h2>
                                                        <h3 style="padding-top: 17px;">
                                                            <asp:Label ID="lblVoltageL_N" runat="server" Style="font-size: 25px !important; color: white;" Text="1000"></asp:Label></h3>
                                                        <img src="../NewDesign/img/pf.png" alt="V" style="padding-left: 10px; margin-top: -17px;">
                                                    </div>
                                                    <div class="cf1" id="Voltages4" style="padding-top: 0px; width: 30%;">
                                                        <h2 style="border-radius: 9px; border-bottom-left-radius: 0px;">Current</h2>
                                                        <h3 style="padding-top: 17px;">
                                                            <asp:Label ID="lblCurrent" runat="server" Style="font-size: 25px !important; color: white;" Text="1000"></asp:Label></h3>
                                                        <img src="../NewDesign/img/kw.png" alt="A" style="padding-left: 10px; margin-top: -17px;">
                                                    </div>
                                                </div>
                                            </div>
                                            <div id="Div2" runat="server">
                                                <div class="vlive-centrifugal-fan">
                                                    <div class="clear clearfix"></div>

                                                    <div class="cf1" id="divGenTotalWatts" style="padding-top: 0px; width: 30%;">
                                                        <h2 style="border-radius: 9px; border-bottom-left-radius: 0px;">
                                                            <asp:Label runat="server" ID="lblCaptionGenTotal" Text="Generator Total"></asp:Label></h2>
                                                        <div class="col-md-4">
                                                            <%--<asp:Label runat="server" ID="lblGentotwattsText" Text="Watts" style="color:white;"></asp:Label>--%><%--<br />--%>
                                                            <img src="../NewDesign/img/watts.png" style="padding-bottom: 8px;" /><br />
                                                            <asp:Label runat="server" ID="lblGenTotalWatts" Text="0" Style="color: white; font-size: 19px;"></asp:Label>
                                                        </div>
                                                        <div class="col-md-4">
                                                            <%--<asp:Label runat="server" ID="Label6" Text="VA" style="color:white;"></asp:Label><br />--%>
                                                            <img src="../NewDesign/img/VA_icon.png" style="padding-bottom: 8px;" /><br />
                                                            <asp:Label runat="server" ID="lblTotVA" Text="0" Style="color: white; font-size: 19px;"></asp:Label>
                                                        </div>
                                                        <div class="col-md-4">
                                                            <%--<asp:Label runat="server" ID="Label8" Text="Var" style="color:white;"></asp:Label><br />--%>
                                                            <img src="../NewDesign/img/VAr_icon.png" style="padding-bottom: 8px;" /><br />
                                                            <asp:Label runat="server" ID="lblTotVAr" Text="0" Style="color: white; font-size: 19px;"></asp:Label>
                                                        </div>
                                                    </div>
                                                    <div class="cf1" id="divGenTotalVA" style="padding-top: 0px; width: 30%;">
                                                        <h2 style="border-radius: 9px; border-bottom-left-radius: 0px;">
                                                            <asp:Label ID="lblCaptionGenHours" runat="server" Text="Generator Hours"></asp:Label></h2>
                                                        <div class="col-md-4">
                                                            <%--<asp:Label runat="server" ID="Label3" Text="KW Hours" style="color:white;"></asp:Label><br />--%>
                                                            <img src="../NewDesign/img/kWh_icon.png" style="padding-bottom: 8px;" /><br />
                                                            <asp:Label runat="server" ID="lblKWh" Text="0" Style="color: white; font-size: 19px;"></asp:Label>
                                                        </div>
                                                        <div class="col-md-4">
                                                            <%--<asp:Label runat="server" ID="Label10" Text=" KVA Hours" style="color:white;"></asp:Label><br />--%>
                                                            <img src="../NewDesign/img/kVAh_icon.png" style="padding-bottom: 8px;" /><br />
                                                            <asp:Label runat="server" ID="lblKVAh" Text="0" Style="color: white; font-size: 19px;"></asp:Label>
                                                        </div>
                                                        <div class="col-md-4">
                                                            <%--<asp:Label runat="server" ID="Label12" Text="Generator Var" style="color:white;"></asp:Label><br />--%>
                                                            <img src="../NewDesign/img/kVArh_icon.png" style="padding-bottom: 8px;" /><br />
                                                            <asp:Label runat="server" ID="lblKVArh" Text="0" Style="color: white; font-size: 19px;"></asp:Label>
                                                        </div>
                                                    </div>
                                                    <div class="cf1" id="divPowerFactor" style="padding-top: 0px; width: 30%;">
                                                        <h2 style="border-radius: 9px; border-bottom-left-radius: 0px;">Power Factor</h2>
                                                        <h3 style="padding-top: 17px;">
                                                            <asp:Label ID="lblPfactor" runat="server" Style="font-size: 25px !important; color: white;" Text="0"></asp:Label></h3>
                                                        <img src="../NewDesign/img/pf_icon.png" alt="V" style="padding-left: 10px; margin-top: -17px;">
                                                    </div>
                                                </div>
                                            </div>
                                            <div id="Div3" runat="server">
                                                <div class="vlive-centrifugal-fan">
                                                    <div class="clear clearfix"></div>

                                                    <div class="cf1" id="divLtoN" style="padding-top: 0px; width: 20%; height: 200px">
                                                        <h2 style="border-radius: 9px; border-bottom-left-radius: 0px;">
                                                            <asp:Label ID="lblCaption_S1LN" runat="server" Text="Generator"></asp:Label></h2>
                                                        <table class="table table-dark">
                                                            <thead style="text-align: center;">
                                                                <tr>
                                                                    <th></th>
                                                                    <th style="text-align: center; font-weight: bold;">Volt</th>
                                                                </tr>
                                                            </thead>
                                                            <tr style="text-align: center;">
                                                                <td>L1-N
                                                                </td>
                                                                <td>
                                                                    <asp:Label runat="server" ID="lblL1_N" Text="0"></asp:Label>
                                                                </td>
                                                            </tr>
                                                            <tr style="text-align: center;">
                                                                <td>L2-N
                                                                </td>
                                                                <td>
                                                                    <asp:Label runat="server" ID="lblL2_N" Text="0"></asp:Label>
                                                                </td>
                                                            </tr>
                                                            <tr style="text-align: center;">
                                                                <td>L3-N
                                                                </td>
                                                                <td>
                                                                    <asp:Label runat="server" ID="lblL3_N" Text="0"></asp:Label>
                                                                </td>
                                                            </tr>
                                                        </table>
                                                    </div>
                                                    <div class="cf1" id="divLtoL" style="padding-top: 0px; width: 20%; height: 200px">
                                                        <h2 style="border-radius: 9px; border-bottom-left-radius: 0px;">
                                                            <asp:Label ID="lblCaption_S1LL" runat="server" Text="Generator"></asp:Label></h2>
                                                        <table class="table table-dark">
                                                            <thead style="text-align: center;">
                                                                <tr>
                                                                    <th></th>
                                                                    <th style="text-align: center; font-weight: bold;">Volt</th>
                                                                </tr>
                                                            </thead>
                                                            <tr style="text-align: center;">
                                                                <td>L1-L2
                                                                </td>
                                                                <td>
                                                                    <asp:Label runat="server" ID="lblL1_L2" Text="0"></asp:Label>
                                                                </td>
                                                            </tr>
                                                            <tr style="text-align: center;">
                                                                <td>L2-L3
                                                                </td>
                                                                <td>
                                                                    <asp:Label runat="server" ID="lblL2_L3" Text="0"></asp:Label>
                                                                </td>
                                                            </tr>
                                                            <tr style="text-align: center;">
                                                                <td>L1-L3
                                                                </td>
                                                                <td>
                                                                    <asp:Label runat="server" ID="lblL1_L3" Text="0"></asp:Label>
                                                                </td>
                                                            </tr>
                                                        </table>
                                                    </div>

                                                    <div class="cf1" id="divGenGeneratorList" style="padding-top: 0px; width: 50%; height: 200px">
                                                        <h2 style="border-radius: 9px; border-bottom-left-radius: 0px;">
                                                            <asp:Label ID="lblCatptionGenLst" runat="server" Text="Generator"></asp:Label></h2>

                                                        <table class="table table-dark">
                                                            <thead style="text-align: center;">
                                                                <tr>
                                                                    <th></th>
                                                                    <%--<th style="text-align: center; font-weight: bold;">Power Factor</th>
																	<th style="text-align: center; font-weight: bold;">VAr</th>
																	<th style="text-align: center; font-weight: bold;">VA</th>--%>
                                                                    <th style="text-align: center; font-weight: bold;">Watts</th>
                                                                    <th style="text-align: center; font-weight: bold;">Current</th>
                                                                </tr>
                                                            </thead>
                                                            <tr style="text-align: center;">
                                                                <td>L1
                                                                </td>
                                                                <%--<td>
																	<asp:Label runat="server" ID="lblPowerFactorL1" Text="0"></asp:Label>
																</td>
																<td>
																	<asp:Label runat="server" ID="lblVArL1" Text="0"></asp:Label>
																</td>
																<td>
																	<asp:Label runat="server" ID="lblVAL1" Text="0"></asp:Label>
																</td>--%>
                                                                <td>
                                                                    <asp:Label runat="server" ID="lblWattsL1" Text="0"></asp:Label>
                                                                </td>
                                                                <td>
                                                                    <asp:Label runat="server" ID="lblCurrentL1" Text="0"></asp:Label>
                                                                </td>
                                                            </tr>
                                                            <tr style="text-align: center;">
                                                                <td>L2
                                                                </td>
                                                                <%--<td>
																	<asp:Label runat="server" ID="lblPowerFactorL2" Text="0"></asp:Label>
																</td>
																<td>
																	<asp:Label runat="server" ID="lblVArL2" Text="0"></asp:Label>
																</td>
																<td>
																	<asp:Label runat="server" ID="lblVAL2" Text="0"></asp:Label>
																</td>--%>
                                                                <td>
                                                                    <asp:Label runat="server" ID="lblWattsL2" Text="0"></asp:Label>
                                                                </td>
                                                                <td>
                                                                    <asp:Label runat="server" ID="lblCurrentL2" Text="0"></asp:Label>
                                                                </td>
                                                            </tr>
                                                            <tr style="text-align: center;">
                                                                <td>L3
                                                                </td>
                                                                <%--<td>
																	<asp:Label runat="server" ID="lblPowerFactorL3" Text="0"></asp:Label>
																</td>
																<td>
																	<asp:Label runat="server" ID="lblVArL3" Text="0"></asp:Label>
																</td>
																<td>
																	<asp:Label runat="server" ID="lblVAL3" Text="0"></asp:Label>
																</td>--%>
                                                                <td>
                                                                    <asp:Label runat="server" ID="lblWattsL3" Text="0"></asp:Label>
                                                                </td>
                                                                <td>
                                                                    <asp:Label runat="server" ID="lblCurrentL3" Text="0"></asp:Label>
                                                                </td>
                                                            </tr>
                                                        </table>
                                                    </div>
                                                </div>
                                            </div>
                                            <div id="OilPressureOld" style="display: none;">
                                                <div class="t-lft2">
                                                    <div class="t1 p3" id="divp3" runat="server">
                                                        <div id="divSuction3" runat="server" style="position: absolute; bottom: 25%; padding-left: 20%;">
                                                            <h3><span id="SPA" runat="server"></span>
                                                            </h3>
                                                            <div class="gaugejs-boxMnt">
                                                                <canvas id="foo" class="gaugejsMnt" runat="server" style="height: auto !important;">guage</canvas>
                                                                <asp:Label ID="lbl_pa" runat="server" ForeColor="White" Style="font-size: 25px;" Text="1000"></asp:Label>
                                                            </div>
                                                        </div>
                                                        <p class="textStyle">Oil Pressure (kPa)</p>
                                                    </div>
                                                </div>
                                                <div class="clear clearfix"></div>
                                            </div>
                                            <div class="clearfix"></div>
                                        </div>
                                    </div>
                                    <div class="clear clearfix"></div>
                                </div>
                                <%--S2 Screen--%>
                                <div id="S2_Screen" runat="server" style="display: none;">
                                    <div class="fms-lft fms">
                                        <div class="vlive-group">
                                            <div id="S2_Freq">
                                                <div class="t-lft2">
                                                    <div class="t1" style="width: 100%">
                                                        <h3></h3>
                                                        <canvas id="S2_GauFreqgauge"></canvas>
                                                        <p class="textStyle">
                                                            <asp:Label ID="Label5" runat="server" Text="S2 Frequency"></asp:Label>
                                                        </p>
                                                    </div>
                                                </div>
                                            </div>
                                            <div id="S2_LinetoNeutral">
                                                <div class="t-lft2">
                                                    <div class="t1" style="width: 100%">
                                                        <h3></h3>
                                                        <canvas id="S2_GauLinetoNeutral"></canvas>
                                                        <p class="textStyle">
                                                            <asp:Label ID="Label6" runat="server" Text="S2 Line to Neutral Voltages"></asp:Label>
                                                        </p>
                                                    </div>
                                                </div>
                                            </div>
                                            <div id="S2_LinetoLine">
                                                <div class="t-lft2">
                                                    <div class="t1" style="width: 100%">
                                                        <h3></h3>
                                                        <canvas id="S2_GauLinetoLine"></canvas>
                                                        <p class="textStyle">
                                                            <asp:Label ID="Label10" runat="server" Text="S2 Line to Line Voltages"></asp:Label>
                                                        </p>
                                                    </div>
                                                </div>
                                            </div>
                                            <div id="Div7" runat="server">
                                                <div class="vlive-centrifugal-fan">
                                                    <div class="clear clearfix"></div>

                                                    <div class="cf1" id="divS2TotalWatts" style="padding-top: 0px; width: 30%;">
                                                        <h2 style="border-radius: 9px; border-bottom-left-radius: 0px;">
                                                            <asp:Label runat="server" ID="Label14" Text="S2 Total"></asp:Label></h2>
                                                        <div class="col-md-4">
                                                            <%--<asp:Label runat="server" ID="lblGentotwattsText" Text="Watts" style="color:white;"></asp:Label>--%><%--<br />--%>
                                                            <img src="../NewDesign/img/watts.png" style="padding-bottom: 8px;" /><br />
                                                            <asp:Label runat="server" ID="lblS2_TotWatts" Text="0" Style="color: white; font-size: 19px;"></asp:Label>
                                                        </div>
                                                        <div class="col-md-4">
                                                            <%--<asp:Label runat="server" ID="Label6" Text="VA" style="color:white;"></asp:Label><br />--%>
                                                            <img src="../NewDesign/img/VA_icon.png" style="padding-bottom: 8px;" /><br />
                                                            <asp:Label runat="server" ID="lblS2_TotVA" Text="0" Style="color: white; font-size: 19px;"></asp:Label>
                                                        </div>
                                                        <div class="col-md-4">
                                                            <%--<asp:Label runat="server" ID="Label8" Text="Var" style="color:white;"></asp:Label><br />--%>
                                                            <img src="../NewDesign/img/VAr_icon.png" style="padding-bottom: 8px;" /><br />
                                                            <asp:Label runat="server" ID="lblS2_TotVar" Text="0" Style="color: white; font-size: 19px;"></asp:Label>
                                                        </div>
                                                    </div>
                                                    <div class="cf1" id="divS2TotalVA" style="padding-top: 0px; width: 30%;">
                                                        <h2 style="border-radius: 9px; border-bottom-left-radius: 0px;">
                                                            <asp:Label ID="Label18" runat="server" Text="S2 Hours"></asp:Label></h2>
                                                        <div class="col-md-4">
                                                            <%--<asp:Label runat="server" ID="Label3" Text="KW Hours" style="color:white;"></asp:Label><br />--%>
                                                            <img src="../NewDesign/img/kWh_icon.png" style="padding-bottom: 8px;" /><br />
                                                            <asp:Label runat="server" ID="lblS2_Kwh" Text="0" Style="color: white; font-size: 19px;"></asp:Label>
                                                        </div>
                                                        <div class="col-md-4">
                                                            <%--<asp:Label runat="server" ID="Label10" Text=" KVA Hours" style="color:white;"></asp:Label><br />--%>
                                                            <img src="../NewDesign/img/kVAh_icon.png" style="padding-bottom: 8px;" /><br />
                                                            <asp:Label runat="server" ID="lblS2_KVAh" Text="0" Style="color: white; font-size: 19px;"></asp:Label>
                                                        </div>
                                                        <div class="col-md-4">
                                                            <%--<asp:Label runat="server" ID="Label12" Text="Generator Var" style="color:white;"></asp:Label><br />--%>
                                                            <img src="../NewDesign/img/kVArh_icon.png" style="padding-bottom: 8px;" /><br />
                                                            <asp:Label runat="server" ID="lblS2_KVArh" Text="0" Style="color: white; font-size: 19px;"></asp:Label>
                                                        </div>
                                                    </div>
                                                    <div class="cf1" id="S2_divPowerFactor" style="padding-top: 0px; width: 30%;">
                                                        <h2 style="border-radius: 9px; border-bottom-left-radius: 0px;">Power Factor</h2>
                                                        <h3 style="padding-top: 17px;">
                                                            <asp:Label ID="lblS2_PF" runat="server" Style="font-size: 25px !important; color: white;" Text="0"></asp:Label></h3>
                                                        <img src="../NewDesign/img/pf_icon.png" alt="V" style="padding-left: 10px; margin-top: -17px;">
                                                    </div>
                                                </div>
                                            </div>
                                            <div id="Div8" runat="server">
                                                <div class="vlive-centrifugal-fan">
                                                    <div class="clear clearfix"></div>
                                                    <div class="cf1" id="S2_divLtoN" style="padding-top: 0px; width: 20%; height: 200px">
                                                        <h2 style="border-radius: 9px; border-bottom-left-radius: 0px;">
                                                            <asp:Label ID="lblCaption_S2LN" runat="server" Text="S2"></asp:Label></h2>
                                                        <table class="table table-dark">
                                                            <thead style="text-align: center;">
                                                                <tr>
                                                                    <th></th>
                                                                    <th style="text-align: center; font-weight: bold;">Volt</th>
                                                                </tr>
                                                            </thead>
                                                            <tr style="text-align: center;">
                                                                <td>L1-N
                                                                </td>
                                                                <td>
                                                                    <asp:Label runat="server" ID="lblS2_L1N" Text="0"></asp:Label>
                                                                </td>
                                                            </tr>
                                                            <tr style="text-align: center;">
                                                                <td>L2-N
                                                                </td>
                                                                <td>
                                                                    <asp:Label runat="server" ID="lblS2_L2N" Text="0"></asp:Label>
                                                                </td>
                                                            </tr>
                                                            <tr style="text-align: center;">
                                                                <td>L3-N
                                                                </td>
                                                                <td>
                                                                    <asp:Label runat="server" ID="lblS3_L1N" Text="0"></asp:Label>
                                                                </td>
                                                            </tr>
                                                        </table>
                                                    </div>
                                                    <div class="cf1" id="S2_divLtoL" style="padding-top: 0px; width: 20%; height: 200px">
                                                        <h2 style="border-radius: 9px; border-bottom-left-radius: 0px;">
                                                            <asp:Label ID="lblCaption_S2LL" runat="server" Text="S2"></asp:Label></h2>
                                                        <table class="table table-dark">
                                                            <thead style="text-align: center;">
                                                                <tr>
                                                                    <th></th>
                                                                    <th style="text-align: center; font-weight: bold;">Volt</th>
                                                                </tr>
                                                            </thead>
                                                            <tr style="text-align: center;">
                                                                <td>L1-L2
                                                                </td>
                                                                <td>
                                                                    <asp:Label runat="server" ID="lblS2_L1L2" Text="0"></asp:Label>
                                                                </td>
                                                            </tr>
                                                            <tr style="text-align: center;">
                                                                <td>L2-L3
                                                                </td>
                                                                <td>
                                                                    <asp:Label runat="server" ID="lblS2_L2L3" Text="0"></asp:Label>
                                                                </td>
                                                            </tr>
                                                            <tr style="text-align: center;">
                                                                <td>L3-L1
                                                                </td>
                                                                <td>
                                                                    <asp:Label runat="server" ID="lblS2_L1L3" Text="0"></asp:Label>
                                                                </td>
                                                            </tr>
                                                        </table>
                                                    </div>
                                                    <div class="cf1" id="divS2GeneratorList" style="padding-top: 0px; width: 50%; height: 200px">
                                                        <h2 style="border-radius: 9px; border-bottom-left-radius: 0px;">
                                                            <asp:Label ID="Label23" runat="server" Text="S2 / load"></asp:Label></h2>
                                                        <table class="table table-dark">
                                                            <thead style="text-align: center;">
                                                                <tr>
                                                                    <th></th>
                                                                    <%-- <th style="text-align: center; font-weight: bold;">Power Factor</th>
																	<th style="text-align: center; font-weight: bold;">VAr</th>
																	<th style="text-align: center; font-weight: bold;">VA</th>--%>
                                                                    <th style="text-align: center; font-weight: bold;">Watts</th>
                                                                    <th style="text-align: center; font-weight: bold;">Current</th>
                                                                </tr>
                                                            </thead>
                                                            <tr style="text-align: center;">
                                                                <td>L1
                                                                </td>
                                                                <%-- <td>
																	<asp:Label runat="server" ID="Label24" Text="0"></asp:Label>
																</td>
																<td>
																	<asp:Label runat="server" ID="Label25" Text="0"></asp:Label>
																</td>
																<td>
																	<asp:Label runat="server" ID="Label26" Text="0"></asp:Label>
																</td>--%>
                                                                <td>
                                                                    <asp:Label runat="server" ID="lblS2_L1Watts" Text="0"></asp:Label>
                                                                </td>
                                                                <td>
                                                                    <asp:Label runat="server" ID="lblS2_L1Current" Text="0"></asp:Label>
                                                                </td>
                                                            </tr>
                                                            <tr style="text-align: center;">
                                                                <td>L2
                                                                </td>
                                                                <%--<td>
																	<asp:Label runat="server" ID="Label29" Text="0"></asp:Label>
																</td>
																<td>
																	<asp:Label runat="server" ID="Label30" Text="0"></asp:Label>
																</td>
																<td>
																	<asp:Label runat="server" ID="Label31" Text="0"></asp:Label>
																</td>--%>
                                                                <td>
                                                                    <asp:Label runat="server" ID="lblS2_L2Watts" Text="0"></asp:Label>
                                                                </td>
                                                                <td>
                                                                    <asp:Label runat="server" ID="lblS2_L2Current" Text="0"></asp:Label>
                                                                </td>
                                                            </tr>
                                                            <tr style="text-align: center;">
                                                                <td>L3
                                                                </td>
                                                                <%--<td>
																	<asp:Label runat="server" ID="Label34" Text="0"></asp:Label>
																</td>
																<td>
																	<asp:Label runat="server" ID="Label35" Text="0"></asp:Label>
																</td>
																<td>
																	<asp:Label runat="server" ID="Label36" Text="0"></asp:Label>
																</td>--%>
                                                                <td>
                                                                    <asp:Label runat="server" ID="lblS2_L3Watts" Text="0"></asp:Label>
                                                                </td>
                                                                <td>
                                                                    <asp:Label runat="server" ID="lblS2_L3Current" Text="0"></asp:Label>
                                                                </td>
                                                            </tr>
                                                        </table>
                                                    </div>
                                                </div>
                                            </div>
                                            <div class="clearfix"></div>
                                        </div>
                                    </div>
                                    <div class="clear clearfix"></div>
                                </div>

                                <div id="Engine" runat="server" style="display: none;">
                                    <div class="fms-lft fms">
                                        <div class="vlive-group">
                                            <div id="Gen_BatteryVoltage">
                                                <div class="t-lft2">
                                                    <div class="t1" style="width: 100%">
                                                        <h3></h3>
                                                        <canvas id="GauBatteryVoltage"></canvas>
                                                        <p class="textStyle">Battery Voltage (at DSE controller)</p>
                                                    </div>
                                                </div>
                                            </div>
                                            <div id="GenChargeAlternator">
                                                <div class="t-lft2">
                                                    <div class="t1" style="width: 100%">
                                                        <h3></h3>
                                                        <canvas id="GauChargeAlternator"></canvas>
                                                        <p class="textStyle">Charge Alternator</p>
                                                    </div>
                                                </div>
                                            </div>
                                            <div id="GenCoolantTemperature">
                                                <div class="t-lft2">
                                                    <div class="t1" style="width: 100%">
                                                        <h3></h3>
                                                        <canvas id="GauCoolantTemperature"></canvas>
                                                        <p class="textStyle">Coolant Temperature</p>
                                                    </div>
                                                </div>
                                            </div>
                                            <div id="Speed">
                                                <div class="t-lft2">
                                                    <div class="t1" style="width: 100%">
                                                        <h3></h3>
                                                        <div id="Speedgauge" style="height: 240px; padding-left: 20%; display: none;"></div>
                                                        <canvas id="GauSpeedgauge"></canvas>
                                                        <img src="../NewDesign/img/T2.png" id="img3" runat="server" alt="T1" style="display: none;">
                                                        <h2 style="display: none;">
                                                            <asp:Label ID="Label8" runat="server"></asp:Label>
                                                        </h2>
                                                        <p class="textStyle">Speed</p>
                                                    </div>
                                                </div>
                                            </div>
                                            <div id="OilTemperature" style="display: none">
                                                <div class="t-lft2">
                                                    <div class="t1" style="width: 100%">
                                                        <h3></h3>
                                                        <canvas id="GauOilTemperature" data-type="linear-gauge"></canvas>


                                                        <p class="textStyle">Oil Temperature</p>
                                                    </div>
                                                </div>
                                            </div>
                                            <div id="OilPressure">
                                                <div class="t-lft2">
                                                    <div class="t1" style="width: 100%">
                                                        <h3></h3>
                                                        <canvas id="GauOilPressure"></canvas>
                                                        <p class="textStyle">Oil Pressure</p>
                                                    </div>
                                                </div>
                                            </div>
                                            <div id="OilFuelLevel">
                                                <div class="t-lft2">
                                                    <div class="t1" style="width: 100%">
                                                        <h3></h3>
                                                        <canvas id="GauFuelLevel"></canvas>
                                                        <p class="textStyle">
                                                            <asp:Label ID="lblFuel" runat="server"></asp:Label>
                                                        </p>
                                                    </div>
                                                </div>
                                            </div>
                                            <div id="EngineHours">
                                                <div class="t-lft2">
                                                    <div class="t1" style="width: 100%">
                                                        <h3></h3>
                                                        <%--<table style="font-size: 50px; height: 180px; width: 100%; margin-top: 30px;">
															<tr>
																<td style="padding-top: 25px; background-color: white; color: black; border-radius: 20px; box-shadow: 5px 8px #84c7ff">
																	<asp:Label ID="Label5" runat="server" Text="HH" Style="font-size: 30px; color: blue;"></asp:Label><br />
																	<br />
																	<br />
																	<asp:Label ID="lblEngineHours" runat="server" Text="23"></asp:Label>
																</td>
																<td style="color: white;">
																	<br />
																	<br />
																	<br />
																	:
																</td>
																<td style="padding-top: 25px; background-color: white; color: black; border-radius: 20px; box-shadow: 5px 8px #00a2c6">
																	<asp:Label ID="Label6" runat="server" Text="MM" Style="font-size: 30px; color: green;"></asp:Label><br />
																	<br />
																	<br />
																	<asp:Label ID="lblEnginemins" runat="server" Text="59"></asp:Label>
																</td>
																<td style="color: white;">
																	<br />
																	<br />
																	<br />
																	:
																</td>
																<td style="padding-top: 25px; background-color: white; color: black; border-radius: 20px; box-shadow: 5px 8px #ff7d9c">
																	<asp:Label ID="Label10" runat="server" Text="SS" Style="font-size: 30px; color: red;"></asp:Label><br />
																	<br />
																	<br />
																	<asp:Label ID="lblEngineSec" runat="server" Text="59"></asp:Label>
																</td>
															</tr>
														</table>--%>
                                                        <div class="clock">
                                                            <asp:Label runat="server" ID="lblEngineHrs" Text="00:00:00"></asp:Label>
                                                        </div>
                                                        <p class="textStyle">Engine Run Time(HH:MM:SS)</p>
                                                    </div>
                                                </div>
                                            </div>
                                            <div id="BatteryCharger" runat="server">
                                                <div class="t-lft2">
                                                    <div class="t1" style="width: 100%">
                                                        <h3></h3>
                                                        <canvas id="GauBatteryCharger"></canvas>
                                                        <p class="textStyle">Battery Charger Current</p>
                                                    </div>
                                                </div>
                                            </div>
                                            <div id="BatteryCurrent" style="display: none;">
                                                <div class="t-lft2">
                                                    <div class="t1" style="width: 100%">
                                                        <h3></h3>
                                                        <canvas id="GauBatteryCurrent"></canvas>
                                                        <p class="textStyle">BatteryCurrent</p>
                                                    </div>
                                                </div>
                                            </div>
                                            <div class="clearfix"></div>
                                        </div>
                                    </div>
                                    <div class="clear clearfix"></div>
                                </div>

                                <div id="GenInput" runat="server" style="display: none;">
                                    <div class="fms-lft fms">
                                        <div class="vlive-group">
                                            <div class="row">
                                                <div class="col-md-12">
                                                    <div id="grdGenInput"></div>
                                                    <asp:GridView ID="gvGenInput" runat="server" CssClass="table table-bordered" Style="background-color: #404040; color: white;" AutoGenerateColumns="false" HorizontalAlign="Center" HeaderStyle-Font-Bold="true">
                                                        <Columns>
                                                            <asp:TemplateField HeaderText="Input" ItemStyle-HorizontalAlign="Center" ItemStyle-Font-Bold="true">
                                                                <HeaderTemplate>
                                                                    <asp:Label ID="lblInputTypeHeader" runat="server" Text="Input"></asp:Label>
                                                                </HeaderTemplate>
                                                                <ItemTemplate>
                                                                    <asp:Label ID="lblInputType" runat="server" Text='<%# Convert.ToString(Eval("InputType")) %>'></asp:Label>
                                                                </ItemTemplate>
                                                                <HeaderStyle HorizontalAlign="Center" />
                                                            </asp:TemplateField>
                                                            <asp:TemplateField HeaderText="Description">
                                                                <HeaderTemplate>
                                                                    <asp:Label ID="lblInputDescriptionHeader" runat="server" Text="Description"></asp:Label>
                                                                </HeaderTemplate>
                                                                <ItemTemplate>
                                                                    <asp:Label ID="lblInputDescription" runat="server" Text='<%# Convert.ToString(Eval("InputDescription")) %>'></asp:Label>
                                                                </ItemTemplate>
                                                                <HeaderStyle HorizontalAlign="Center" />
                                                            </asp:TemplateField>
                                                            <asp:TemplateField HeaderText="Active" ItemStyle-HorizontalAlign="Center">
                                                                <HeaderTemplate>
                                                                    <asp:Label ID="lblInputActiveStatusHeader" runat="server" Text="Active"></asp:Label>
                                                                </HeaderTemplate>
                                                                <ItemTemplate>
                                                                    <%--<asp:Label ID="lblInputActiveStatus" runat="server" Text='<%# Convert.ToString(Eval("InputActiveStatus")) %>'></asp:Label>--%>
                                                                    <asp:Image runat="server" ID="imgActive" ImageUrl='<%# Convert.ToString(Eval("InputActiveStatus"))=="0"? "../images/In_Active.png" : "../images/Active.png" %>' Style="width: 15px;" />
                                                                </ItemTemplate>
                                                                <HeaderStyle HorizontalAlign="Center" />
                                                            </asp:TemplateField>
                                                            <asp:TemplateField HeaderText="State" ItemStyle-HorizontalAlign="Center">
                                                                <HeaderTemplate>
                                                                    <asp:Label ID="lblInputStateHeader" runat="server" Text="State"></asp:Label>
                                                                </HeaderTemplate>
                                                                <ItemTemplate>
                                                                    <asp:Image runat="server" ID="imgstate" ImageUrl='<%# Convert.ToString(Eval("InputState"))=="0"? "../images/Switch_Off.png" : "../images/Switch_On.png" %>' Style="width: 50px;" />
                                                                    <%--<asp:Label ID="lblInputState" runat="server" Text='<%# Convert.ToString(Eval("InputState")) %>'></asp:Label>--%>
                                                                </ItemTemplate>
                                                                <HeaderStyle HorizontalAlign="Center" />
                                                            </asp:TemplateField>
                                                        </Columns>
                                                        <HeaderStyle CssClass="fleetHead" Height="25px" HorizontalAlign="Center" VerticalAlign="Middle" />
                                                    </asp:GridView>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                                <div id="GenOutput" runat="server" style="display: none;">
                                    <div class="fms-lft fms">
                                        <div class="vlive-group">
                                            <div class="row">
                                                <div class="col-md-12">
                                                    <div id="grdGenOutput"></div>
                                                    <asp:GridView ID="gvGenOutput" runat="server" CssClass="table table-bordered" Style="background-color: #404040; color: white;" AutoGenerateColumns="false" HorizontalAlign="Center" HeaderStyle-Font-Bold="true">
                                                        <Columns>
                                                            <asp:TemplateField HeaderText="Input" ItemStyle-HorizontalAlign="Center" ItemStyle-Font-Bold="true">
                                                                <HeaderTemplate>
                                                                    <asp:Label ID="lblOutputTypeHeader" runat="server" Text="Output"></asp:Label>
                                                                </HeaderTemplate>
                                                                <ItemTemplate>
                                                                    <asp:Label ID="lblOutputType" runat="server" Text='<%# Convert.ToString(Eval("OutputType")) %>'></asp:Label>
                                                                </ItemTemplate>
                                                                <HeaderStyle HorizontalAlign="Center" />
                                                            </asp:TemplateField>
                                                            <asp:TemplateField HeaderText="Description">
                                                                <HeaderTemplate>
                                                                    <asp:Label ID="lblOutputDescriptionHeader" runat="server" Text="Description"></asp:Label>
                                                                </HeaderTemplate>
                                                                <ItemTemplate>
                                                                    <asp:Label ID="lblOutputDescription" runat="server" Text='<%# Convert.ToString(Eval("OutputDescription")) %>'></asp:Label>
                                                                </ItemTemplate>
                                                                <HeaderStyle HorizontalAlign="Center" />
                                                            </asp:TemplateField>
                                                            <asp:TemplateField HeaderText="Active" ItemStyle-HorizontalAlign="Center">
                                                                <HeaderTemplate>
                                                                    <asp:Label ID="lblOutputActiveStatusHeader" runat="server" Text="Active"></asp:Label>
                                                                </HeaderTemplate>
                                                                <ItemTemplate>
                                                                    <asp:Image runat="server" ID="imgActive" ImageUrl='<%# Convert.ToString(Eval("OutputActiveStatus"))=="0"? "../images/In_Active.png" : "../images/Active.png" %>' Style="width: 15px;" />
                                                                </ItemTemplate>
                                                                <HeaderStyle HorizontalAlign="Center" />
                                                            </asp:TemplateField>
                                                            <asp:TemplateField HeaderText="State" ItemStyle-HorizontalAlign="Center">
                                                                <HeaderTemplate>
                                                                    <asp:Label ID="lblOutputStateHeader" runat="server" Text="State"></asp:Label>
                                                                </HeaderTemplate>
                                                                <ItemTemplate>
                                                                    <asp:Image runat="server" ID="imgstate" ImageUrl='<%# Convert.ToString(Eval("OutputState"))=="0"? "../images/Switch_Off.png" : "../images/Switch_On.png" %>' Style="width: 50px;" />
                                                                </ItemTemplate>
                                                                <HeaderStyle HorizontalAlign="Center" />
                                                            </asp:TemplateField>
                                                        </Columns>
                                                        <HeaderStyle CssClass="fleetHead" Height="25px" HorizontalAlign="Center" VerticalAlign="Middle" />
                                                    </asp:GridView>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                                <div id="divExpension" runat="server" style="display: none;">
                                    <div class="fms-lft fms">
                                        <div class="vlive-group">
                                            <div class="row">
                                                <div class="col-md-12">

                                                    <div class="vlive-centrifugal-fan">
                                                        <div style="text-align: center; padding-top: 0px; width: 100%; border-radius: 0px; margin: 0px;">
                                                            <h2 style="border-radius: 0px; border-bottom-left-radius: 0px; margin: 0px; border: 1px solid #ffffff61;">
                                                                <asp:Label ID="Label9" runat="server" Text="EXPANSION MODULE DSE 2130"></asp:Label></h2>
                                                            <div id="grdExpension"></div>
                                                            <asp:GridView ID="gvExpension" runat="server" CssClass="table table-bordered" Style="background-color: #404040; color: white;" AutoGenerateColumns="false" HorizontalAlign="Center" HeaderStyle-Font-Bold="true">
                                                                <Columns>
                                                                    <asp:TemplateField HeaderText="Input" ItemStyle-HorizontalAlign="Center" ItemStyle-Font-Bold="true">
                                                                        <HeaderTemplate>
                                                                            <asp:Label ID="lblInputTypeHeader" runat="server" Text="Input"></asp:Label>
                                                                        </HeaderTemplate>
                                                                        <ItemTemplate>
                                                                            <asp:Label ID="lblInputType" runat="server" Text='<%# Convert.ToString(Eval("InputType")) %>'></asp:Label>
                                                                        </ItemTemplate>
                                                                        <HeaderStyle HorizontalAlign="Center" />
                                                                    </asp:TemplateField>
                                                                    <asp:TemplateField HeaderText="Description" ItemStyle-HorizontalAlign="Left">
                                                                        <HeaderTemplate>
                                                                            <asp:Label ID="lblInputDescriptionHeader" runat="server" Text="Description"></asp:Label>
                                                                        </HeaderTemplate>
                                                                        <ItemTemplate>
                                                                            <asp:Label ID="lblInputDescription" runat="server" Text='<%# Convert.ToString(Eval("InputDescription")) %>'></asp:Label>
                                                                        </ItemTemplate>
                                                                        <HeaderStyle HorizontalAlign="Center" />
                                                                    </asp:TemplateField>
                                                                    <asp:TemplateField HeaderText="Active" ItemStyle-HorizontalAlign="Center">
                                                                        <HeaderTemplate>
                                                                            <asp:Label ID="lblInputActiveStatusHeader" runat="server" Text="Active"></asp:Label>
                                                                        </HeaderTemplate>
                                                                        <ItemTemplate>
                                                                            <%--<asp:Label ID="lblInputActiveStatus" runat="server" Text='<%# Convert.ToString(Eval("InputActiveStatus")) %>'></asp:Label>--%>
                                                                            <asp:Image runat="server" ID="imgActive" ImageUrl='<%# Convert.ToString(Eval("InputActiveStatus"))=="0"? "../images/In_Active.png" : "../images/Active.png" %>' Style="width: 15px;" />
                                                                        </ItemTemplate>
                                                                        <HeaderStyle HorizontalAlign="Center" />
                                                                    </asp:TemplateField>
                                                                    <asp:TemplateField HeaderText="State" ItemStyle-HorizontalAlign="Center">
                                                                        <HeaderTemplate>
                                                                            <asp:Label ID="lblInputStateHeader" runat="server" Text="State"></asp:Label>
                                                                        </HeaderTemplate>
                                                                        <ItemTemplate>
                                                                            <asp:Image runat="server" ID="imgstate" ImageUrl='<%# Convert.ToString(Eval("InputState"))=="0"? "../images/Switch_Off.png" : "../images/Switch_On.png" %>' Style="width: 50px;" />
                                                                            <%--<asp:Label ID="lblInputState" runat="server" Text='<%# Convert.ToString(Eval("InputState")) %>'></asp:Label>--%>
                                                                        </ItemTemplate>
                                                                        <HeaderStyle HorizontalAlign="Center" />
                                                                    </asp:TemplateField>
                                                                </Columns>
                                                                <HeaderStyle CssClass="fleetHead" Height="25px" HorizontalAlign="Center" VerticalAlign="Middle" />
                                                            </asp:GridView>
                                                        </div>
                                                    </div>

                                                </div>

                                            </div>
                                        </div>
                                    </div>
                                </div>

                                <asp:Timer ID="tmr1" runat="server" OnTick="tmr1_Tick" Enabled="false">
                                </asp:Timer>
                                <asp:Timer ID="tmrShow" runat="server" OnTick="tmrShow_Tick" Enabled="false">
                                </asp:Timer>
                                <asp:HiddenField ID="hdnRefreshFrequencyValue" runat="server" />
                                <asp:HiddenField ID="hdnRefreshFrequency" runat="server" />
                            </div>
                    </ContentTemplate>
                    <Triggers>
                        <asp:AsyncPostBackTrigger ControlID="ibtnReferesh" />
                    </Triggers>
                </asp:UpdatePanel>
            </div>

            <cc1:ModalPopupExtender ID="mpeProgressIndicator" runat="server" PopupControlID="progressPopUp"
                BackgroundCssClass="modalBackground" TargetControlID="btnTesting">
            </cc1:ModalPopupExtender>
            <asp:Button ID="btnTesting" Style="display: none;" runat="server" />
            <asp:Panel ID="progressPopUp" runat="server" CssClass="processMessage" Style="z-index: 10000; display: none;">
                <center>
				<br />
				<img id="imgLoad" runat="server" alt="Please Wait ..." src="../images/47.gif" /><br />
				<br />
				<asp:Label ID="lbl_msg12" Text="Processing... Please Wait..." runat="server" CssClass="specialdisplay"></asp:Label>
				<br />
				<br />
					</center>
            </asp:Panel>
            <asp:Button ID="Button1" runat="server" Style="display: none" />
            <a href="#" id="downloadLink" class="ControlHide">Download the inner html</a>
            <div id="kmlData" class="ControlHide"></div>
            <script lang="javascript" type="text/javascript" src="../js/jquery-1.11.2.min.js"></script>
            <%--<script src="../js/Monitor_js/morris-data.js" type="text/javascript"></script>--%>
            <script lang="javascript" type="text/javascript" src="../js/MapPageScript.js"></script>
            <script lang="javascript" type="text/javascript" src="../js/jquery.jcarousel.min.js"></script>
            <script src="../js/myformvalidations.js" type="text/javascript"></script>
            <script type="text/javascript" src="../js/GridCheckBoxMaintaining.js"></script>
            <script src="../js/Formvalidations.js" type="text/javascript"></script>
            <script src="../js/Monitor_js/bundle.js"></script>
            <%--<script src="../js/CanvasChart.js"></script>--%>
            <script src="../js/CanvasChart.js"></script>
            <script src="../js/Monitor_js/widget-data.js"></script>
        </form>
    </div>
    <uc1:New_Footer_White runat="server" ID="New_Footer_White" />
   <%-- <script>
        function LoadChartControl() {
            //$("#GauFreqgauge").attr("data-value", (document.getEl            var EngRuntime = document.getElementById('lblEngineHrs');
            //nt.getElementById('lblEngineHrs');
            ChartGauFreqgauge.value = document.getElementById("hdnFrequency").value;
            ChartGauGenLinetoNeutral.value = document.getElementById("hdnLNVolt").value;
            ChartGauGenLinetoLine.value = document.getElementById("hdnLLVolt").value;
            ChartGauSpeedgauge.value = document.getElementById("hdnSpeed").value;
            ChartBatteryCharger.value = document.getElementById("hdnBatteryCharger").value;
            ChartGauBatteryVoltage.value = document.getElementById("hdnBatteryVolt").value;
            ChartGauChargeAlternator.value = document.getElementById("hdnChrgAlter").value;
            ChartGauCoolantTemperature.value = document.getElementById("hdnCoolTemp").value;
            ChartGauOilTemperature.value = document.getElementById("hdnOilTemp").value;
            ChartGauOilPressure.value = document.getElementById("hdnOilPres").value;
            //ChartGauBatteryVoltage.value = document.getElementById("hEngine.value = document.getElementById("hdnBatteryVolt").value;   
            //ChartGauChargeAlternator.value    //ChartGauChargeAlte//ChartGauCoolantTemperature.value  //ChartGauCoolantTempe//ChartGauSpeedgauge.value          //ChartGauSpee//ChartGauOilTemperature.value      //ChartGauOilTemperature.value = "50";
            //document.getElementById('GauFreqgauge').value = document.getElementById("hdnFrequency").value;
            //$("#GauSpeedgauge").attr("data-value", (document.getElementById("hdnSpeed").value));
            //$("#GauBatteryCharger").attr("data-value", (document.getElementById("hdnBatteryCharger").value));

        }
    </script>--%>

</body>

</html>
