﻿<%@ page language="C#" autoeventwireup="true" inherits="Forms_ESPLayout, App_Web_avqw0kfx" %>

<%@ Register Assembly="AjaxControlToolkit" Namespace="AjaxControlToolkit" TagPrefix="cc1" %>
<%@ Register Src="~/UserControls/New_Header.ascx" TagName="Header" TagPrefix="uc1" %>
<%@ Register Src="~/UserControls/New_Footer.ascx" TagName="Footer" TagPrefix="uc2" %>
<%@ Register Assembly="DevExpress.Web.v14.2" Namespace="DevExpress.Web" TagPrefix="dxw" %>

<!DOCTYPE html>

<html lang="en">
<head runat="server">
    <title>Configuration</title>
    <meta content="charset=utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1" />
    <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1" />

    <link href="../css/CustomeAlert/demos.css" rel="stylesheet" type="text/css" />
    <link href="../css/CustomeAlert/themes/jquery.ui.all.css" rel="stylesheet" type="text/css" />
    <link id="reset" runat="server" href="../css/reset.css" rel="stylesheet" type="text/css" />
    <link id="stylesheet2" runat="server" href="../css/stylesheet2.css" rel="stylesheet" type="text/css" />
    <link id="dropdown" runat="server" href="../css/dropdown.css" rel="stylesheet" type="text/css" />
    <link id="ieonly" runat="server" rel="stylesheet" type="text/css" href="" />
    <link id="datepicker" runat="server" type="text/css" href="../css/ui.datepicker.css" rel="stylesheet" />
    <link id="uicore" runat="server" type="text/css" href="../css/ui.core.css" rel="stylesheet" />
    <link id="uitheme" runat="server" type="text/css" href="../css/ui.theme.css" rel="stylesheet" />

    <%--Custom Theme for DevEx 14.2--%>
    <link type="text/css" href="~/App_Themes/Office2003Blue/GridView/grid.css" rel="stylesheet" />
    <link type="text/css" href="~/App_Themes/Office2003Blue/Editors/styles.css" rel="stylesheet" />
    <link rel="SHORTCUT ICON" href="../images/favicon.ico" />

    <%--BootStrap Css--%>
    <link id="BootStrapCss" href="../css/bootstrap.css" runat="server" rel="stylesheet" type="text/css" />
    <link id="mainstyle" runat="server" href="../css/mainstyle.css" rel="stylesheet" type="text/css" />
    <%--End of BootStrap Css--%>

    <script src="../js/CustomAlert/jquery.min.js" type="text/javascript"></script>
    <script src="../js/CustomAlert/jquery-ui-1.10.3.custom.min.js" type="text/javascript"></script>
    <script src="../js/CustomAlert/jquery-ui-1.10.3.custom.js" type="text/javascript"></script>
    <script src="../js/CustomAlert/CustomAlert.js" type="text/javascript"></script>
    <%--<script type="text/javascript" src="../js/jquery-1.3.2.js"></script>--%>
    <script type="text/javascript" src="../js/jquery-1.5.1.min.js"></script>
    <script type="text/javascript" src="../js/ui.datepicker.js"></script>
    <script type="text/javascript" src="../js/JQQueryDatePicker.js"></script>
    <script src="../js/wow.min.js"></script>
</head>
<body>
    <div class="pageContainer">
        <form id="form1" runat="server">
            <asp:ScriptManager ID="ScriptManager1" runat="server">
            </asp:ScriptManager>
            <asp:UpdatePanel runat="server" ID="updVenDetails" UpdateMode="Conditional">
                <ContentTemplate>
                    <!-- Header Starts Here -->
                    <uc1:Header ID="ucHeader" runat="server" />
                    <!-- Nav Ends Here -->
                    <!-- Content Starts Here -->
                    <div id="outer">
                        <div id="inner">
                            <div id="float-wrap">
                                <!-- Main Content Starts Here -->
                                <div id="content">
                                    <div class="content-wrap">
                                        <div id="divTopContent" runat="server" class="head-part">
                                            <div id="heading" class="col-sm-4 col-md-3">
                                                <img class="icon" src="../images/configuration-icon.jpg" alt="" />
                                                <h1>
                                                    <asp:Literal ID="lblConfigurationCaption" runat="server">ESP Layout</asp:Literal>
                                                </h1>
                                                <a href="MapPage.aspx">
                                                    <asp:Label ID="lblHomeCaption" Text="Home" runat="server"></asp:Label>
                                                </a>
                                                <span>&gt;</span>
                                                <asp:LinkButton ID="lnkESPLayout" PostBackUrl="ESPLayout.aspx" runat="server"
                                                    Text="ESP Layout" OnClick="lnkESPLayout_Click">
                                                </asp:LinkButton>
                                            </div>
                                            <div class="col-sm-8 col-md-9 head-part-btns">
                                                <div class="pull-right">
                                                    <asp:LinkButton ID="lbtnAddDevice" runat="server" CssClass="MultilingualBtn"
                                                        OnClientClick="ShowPopUp();" PostBackUrl="~/Forms/ControllerMaster.aspx">
                                                        <span id="Span1" runat="server" class="MultilingualBtnspan">
                                                            <div class="AddDevice">
                                                                <div id="AddVendorDiv" runat="server" class="MultilingualBtnTextAlign">
                                                                    ESP Configuration
                                                                </div>
                                                            </div>
                                                        </span>
                                                    </asp:LinkButton>
                                                    <asp:LinkButton ID="btnBack" runat="server" CssClass="MultilingualBtn" CausesValidation="false"
                                                        PostBackUrl="~/Forms/ConfigurationSetup.aspx">
                                                        <span id="Span4" runat="server" class="MultilingualBtnspan">
                                                            <div class="Back">
                                                                <div id="BacktoConfigurationDiv" runat="server" class="MultilingualBtnTextAlign">
                                                                    Back to Configuration
                                                                </div>
                                                            </div>
                                                        </span>
                                                    </asp:LinkButton>
                                                </div>
                                            </div>
                                            <div class="clear clearfix"></div>
                                        </div>
                                        <div class="clear clearfix"></div>
                                        <div class="form-box">
                                            <h1>
                                                <span class="icon" style="padding-top: 5">
                                                    <img src="../images/vehicle-icon.gif" alt="" title="" />
                                                </span>
                                                <asp:Label ID="lblVenInfoHeading" runat="server" Text="ESP Layout Information"></asp:Label>
                                            </h1>
                                            <div id="LastUpdTime" style="text-align: right" runat="server" visible="false">
                                                <h1>
                                                    <span class="icon" style="padding-top: 5">
                                                        <img src="../images/vehicle-icon.gif" alt="" title="" />
                                                        <asp:Label ID="LastUpdatedController" runat="server" Text="Last Updated Controller Name & Time : " Font-Bold="true"></asp:Label>
                                                    </span>
                                                </h1>
                                            </div>
                                            <div class="form-tbl rptFormTbl">
                                                <div id="divESPSelection" runat="server" class="col-sm-10 col-md-9 form-horizontal nullpadding">
                                                    <div>
                                                        <div class="form-group">
                                                            <div class="col-sm-2 col-xs-4 icon-img">
                                                                <asp:Label ID="lblEquipLocation" runat="server" Text="Site"></asp:Label>
                                                                <span style="color: red">*</span>
                                                            </div>
                                                            <div class="col-sm-4 col-xs-8">
                                                                <%--OnSelectedIndexChanged="ddlEquipType_SelectedIndexChanged"--%>
                                                                <asp:DropDownList ID="ddlSites" runat="server" AutoPostBack="true" CssClass="form-control" OnSelectedIndexChanged="ddlSites_SelectedIndexChanged" TabIndex="3">
                                                                    <asp:ListItem Text="Select" Value="0"></asp:ListItem>
                                                                </asp:DropDownList>
                                                            </div>
                                                        </div>
                                                        <div class="form-group">
                                                            <div class="col-sm-2 col-xs-4 icon-img">
                                                                <asp:Label ID="lblEqupName" runat="server" Text="Equipment Name"></asp:Label>
                                                                <span style="color: red">*</span>
                                                            </div>
                                                            <div class="col-sm-4 col-xs-8 form-controllinebreak">
                                                                <asp:DropDownList ID="ddlESP" runat="server" AutoPostBack="false" CssClass="form-control" TabIndex="3">
                                                                    <asp:ListItem Text="Select" Value="0"></asp:ListItem>
                                                                </asp:DropDownList>
                                                            </div>
                                                        </div>
                                                        <%--<div class="form-group">
                                                            <div class="col-sm-2 col-xs-4 icon-img">
                                                                <asp:Label ID="Label1" runat="server" Text="Passage"></asp:Label>
                                                                <span style="color: red">*</span>
                                                            </div>
                                                            <div class="col-sm-4 col-xs-8">
                                                                <asp:DropDownList ID="ddlPassage" runat="server" TabIndex="3" CssClass="form-control" AutoPostBack="false">
                                                                    <asp:ListItem Text="Select" Value="0"></asp:ListItem>
                                                                    <asp:ListItem Text="Passage A" Value="A"></asp:ListItem>
                                                                    <asp:ListItem Text="Passage B" Value="B"></asp:ListItem>
                                                                </asp:DropDownList>
                                                            </div>
                                                        </div>
                                                        <div class="form-group">
                                                            <div class="col-sm-2 col-xs-4 icon-img">
                                                                <asp:Label ID="Label2" runat="server" Text="FieldSet"></asp:Label>
                                                                <span style="color: red">*</span>
                                                            </div>
                                                            <div class="col-sm-4 col-xs-8">
                                                                <asp:DropDownList ID="ddlFieldSet" runat="server" TabIndex="3" CssClass="form-control" AutoPostBack="false">
                                                                    <asp:ListItem Text="Select" Value="0"></asp:ListItem>
                                                                    <asp:ListItem Text="FieldSet A" Value="A"></asp:ListItem>
                                                                    <asp:ListItem Text="FieldSet B" Value="B"></asp:ListItem>
                                                                </asp:DropDownList>
                                                            </div>
                                                        </div>
                                                        <div class="form-group">
                                                        </div>--%>
                                                        <div class="form-group">
                                                            <div class="col-sm-3">
                                                                <asp:Label ID="Label3" runat="server" ForeColor="Red">*</asp:Label>
                                                                <asp:Label ID="lblIndicatesMandatory" runat="server">Required Fields</asp:Label>
                                                            </div>
                                                            <div class="col-sm-8">
                                                                <asp:LinkButton ID="btnShowESPLayout" runat="server" CssClass="MultilingualBtn" OnClick="btnShowESPLayout_Click" OnClientClick="ShowPopUp();">
                                                                    <span id="Span7" runat="server" class="MultilingualBtnspan">
                                                                        <div class="View">
                                                                            <div id="AddVehicleButDiv" runat="server" class="MultilingualBtnTextAlign">
                                                                                Show ESP Layout
                                                                            </div>
                                                                        </div>
                                                                    </span>
                                                                </asp:LinkButton>
                                                            </div>
                                                        </div>
                                                    </div>
                                                </div>
                                                <div class="clear clearfix">
                                                </div>
                                                <asp:Panel ID="pnlESPLayout" runat="server">
                                                    <div id="divESPView" runat="server" class="col-sm-12 col-md-11 col-lg-10" style="height: auto; padding: 5px 0;">
                                                    </div>
                                                    <%--<div id="divPassage1" class="col-sm-6">
                                                            <div id="divField1" class="col-sm-6 Passage">
                                                                <div id="divController1" class="row padding-width-lg Controller">
                                                                    <div id="divIdContainer_Cntrl1" class="col-sm-6 ControllerId">
                                                                        <img id="icnStatus_Cntrl1" src="../images/1_.png" class="ControllerStatusIcon" /><br />
                                                                        <span><b>ID 1</b></span><br />
                                                                        <span><b>TR 1A-1A</b></span>
                                                                    </div>
                                                                    <div id="divStatisticsContainer_Cntrl1" class="col-sm-6 form-controllinebreak" style="height: auto; font: 16px arial; top: 10px">
                                                                        <span>0<b> VOLTS</b></span><br />
                                                                        <span>0<b> AMPS</b></span><br />
                                                                        <span>0<b> KV</b></span><br />
                                                                        <span>0<b> MA</b></span><br />
                                                                    </div>
                                                                    <div id="divStatusContainer_Cntrl1" class="col-sm-6 nullpadding" style="width: auto; height: auto; top: 3px;">
                                                                        <div id="divStatusIndicatorTxt_Cntrl1" style="border: 1px solid; border-color: green; text-align: center;">
                                                                            <span style="color: green"><b>OFF</b></span>
                                                                        </div>
                                                                    </div>
                                                                </div>
                                                                <div id="divController2" class="row padding-width-lg Controller">
                                                                    <div id="divIdContainer_Cntrl2" class="col-sm-6 ControllerId">
                                                                        <img id="icnStatus_Cntrl2" src="../images/fuellow-1_.png" class="ControllerStatusIcon" /><br />
                                                                        <span><b>ID 2</b></span><br />
                                                                        <span><b>TR 1A-2A</b></span>
                                                                    </div>
                                                                    <div id="divStatisticsContainer_Cntrl2" class="col-sm-6 form-controllinebreak" style="height: auto; font: 16px arial; top: 10px">
                                                                        <span>180<b> VOLTS</b></span><br />
                                                                        <span>28<b> AMPS</b></span><br />
                                                                        <span>26<b> KV</b></span><br />
                                                                        <span>104<b> MA</b></span><br />
                                                                    </div>
                                                                    <div id="divStatusContainer_Cntrl2" class="col-sm-6 nullpadding" style="width: auto; height: auto; top: 3px;">
                                                                        <div id="divStatusIndicatorTxt_Cntrl2" style="border: 1px solid; border-color: red; text-align: center;">
                                                                            <span style="color: red"><b>ON</b></span>
                                                                        </div>
                                                                    </div>
                                                                </div>
                                                                <div id="divController3" class="row padding-width-lg Controller">
                                                                    <div id="divIdContainer_Cntrl3" class="col-sm-6 ControllerId">
                                                                        <img id="icnStatus_Cntrl3" class="ControllerStatusIcon" src="../images/fuellow-1_.png" /><br />
                                                                        <span><b>ID 3</b></span><br />
                                                                        <span><b>TR 1A-3A</b></span>
                                                                    </div>
                                                                    <div id="divStatisticsContainer_Cntrl3" class="col-sm-6 form-controllinebreak ControllerStatistics">
                                                                        <span>180<b> VOLTS</b></span><br />
                                                                        <span>28<b> AMPS</b></span><br />
                                                                        <span>26<b> KV</b></span><br />
                                                                        <span>104<b> MA</b></span><br />
                                                                    </div>
                                                                    <div id="divStatusContainer_Cntrl3" class="col-sm-6 nullpadding CntrlStatusContainer">
                                                                        <div id="divStatusIndicatorTxt_Cntrl3" class="CntrlStatusIndicator">
                                                                            <span class="ON"><b>ON</b></span>
                                                                        </div>
                                                                    </div>
                                                                </div>
                                                                <div id="divController4" class="row padding-width-lg Controller">
                                                                    <div id="divIdContainer_Cntrl4" class="col-sm-6 ControllerId">
                                                                        <img id="icnStatus_Cntrl4" src="../images/fuellow-1_.png" class="ControllerStatusIcon" /><br />
                                                                        <span><b>ID 4</b></span><br />
                                                                        <span><b>TR 1A-4A</b></span>
                                                                    </div>
                                                                    <div id="divStatisticsContainer_Cntrl4" class="col-sm-6 form-controllinebreak ControllerStatistics">
                                                                        <span>180<b> VOLTS</b></span><br />
                                                                        <span>28<b> AMPS</b></span><br />
                                                                        <span>26<b> KV</b></span><br />
                                                                        <span>104<b> MA</b></span><br />
                                                                    </div>
                                                                    <div id="divStatusContainer_Cntrl4" class="col-sm-6 nullpadding CntrlStatusContainer">
                                                                        <div id="divStatusIndicatorTxt_Cntrl4" class="CntrlStatusIndicator">
                                                                            <span class="ON"><b>ON</b></span>
                                                                        </div>
                                                                    </div>
                                                                </div>
                                                            </div>
                                                            <div id="divField2" class="col-sm-6" style="border: 5px solid; border-width: thick; border-color: darkcyan;">
                                                                <div id="divController5" style="height: 120px;">
                                                                </div>
                                                            </div>
                                                        </div>
                                                        <div id="divPassage2" class="col-sm-6">
                                                            <div id="divField3" class="col-sm-6" style="border: 5px solid; border-width: thick; border-color: darkcyan">
                                                                <div id="divController9" style="height: 120px;">
                                                                </div>
                                                            </div>
                                                            <div id="divField4" class="col-sm-6" style="border: 5px solid; border-width: thick; border-color: darkcyan">
                                                                <div id="divController13" style="height: 120px;">
                                                                </div>
                                                            </div>
                                                        </div>--%>
                                                    <div class="clear clearfix">
                                                    </div>
                                                </asp:Panel>
                                            </div>
                                        </div>
                                        <div class="clear clearfix">
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </ContentTemplate>
            </asp:UpdatePanel>
            <cc1:ModalPopupExtender ID="mpeProgressIndicator" runat="server" PopupControlID="pnlProgress" TargetControlID="Button1">
            </cc1:ModalPopupExtender>
            <asp:Button ID="Button1" Style="display: none;" runat="server" />
            <asp:Panel ID="pnlProgress" runat="server" CssClass="processMessage" Style="z-index: 1000;">
                <center>
                <br />
                <img id="imgLoad" runat="server" alt="Please Wait ..." src="../images/47.gif" /><br />
                <br />
                <asp:Label ID="lbl_msg12" Text="Processing... Please Wait..." runat="server" CssClass="specialdisplay"></asp:Label>
                <br />
                <br />
            </center>
            </asp:Panel>
        </form>
    </div>
    <uc2:Footer ID="ucFooter" runat="server" />
</body>
</html>
