﻿<%@ page language="C#" autoeventwireup="true" inherits="Forms_FullscreenMap, App_Web_lgyfb0kl" %>

<%@ Register Assembly="AjaxControlToolkit" Namespace="AjaxControlToolkit" TagPrefix="cc1" %>
<%@ Register Src="~/UserControls/Notification_List.ascx" TagPrefix="uc3" TagName="NotificationsList" %>
<%@ Register Src="~/UserControls/New_Header.ascx" TagName="Header" TagPrefix="uc1" %>
<%@ Register Src="~/UserControls/New_Footer.ascx" TagName="Footer" TagPrefix="uc2" %>

<%--<%@ Register Assembly="DevExpress.Web.ASPxGridView.v8.2, Version=8.2.10.0, Culture=neutral, PublicKeyToken=9b171c9fd64da1d1"
    Namespace="DevExpress.Web.ASPxGridView" TagPrefix="dxwgv" %>
<%@ Register Assembly="DevExpress.Web.ASPxEditors.v8.2, Version=8.2.10.0, Culture=neutral, PublicKeyToken=9b171c9fd64da1d1"
    Namespace="DevExpress.Web.ASPxEditors" TagPrefix="dxe" %>
<%@ Register Assembly="DevExpress.Web.ASPxEditors.v8.2" Namespace="DevExpress.Web.ASPxEditors"
    TagPrefix="dxe" %>
<%@ Register Assembly="DevExpress.Web.ASPxGridView.v8.2.Export" Namespace="DevExpress.Web.ASPxGridView.Export"
    TagPrefix="exp" %>--%>

<!DOCTYPE html">
<html lang="en">
<head id="Head1" runat="server">
    <title>Full screen Map View</title>
    <%--<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />--%>
    <%-- <meta http-equiv="Content-Type" content="text/html; charset=windows-1256" />
    <meta http-equiv="Page-Enter" content="blendTrans(Duration=0)" />
    <meta http-equiv="Page-Exit" content="blendTrans(Duration=0)" />--%>

    <meta content="charset=utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1" />
    <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1" />



    <link id="reset" runat="server" href="../css/reset.css" rel="stylesheet" type="text/css" />
    <link id="dropdown" runat="server" href="../css/dropdown.css" rel="stylesheet" type="text/css" />
    <link id="stylesheet2" runat="server" href="../css/stylesheet2.css" rel="stylesheet"
        type="text/css" />
    <link id="style" runat="server" href="../css/style.css" rel="stylesheet" type="text/css" />
    <%--<link id="jcarousel" runat="server" rel="stylesheet" type="text/css" href="../css/jquery.jcarousel.css" />--%>
    <link id="skin" runat="server" rel="stylesheet" type="text/css" href="../css/skin.css" />
    <link rel="SHORTCUT ICON" href="../images/favicon.ico" />
    <link id="ieonly" runat="server" rel="stylesheet" type="text/css" href="" />
    <link href="../css/CustomeAlert/demos.css" rel="stylesheet" type="text/css" />
    <link href="../css/CustomeAlert/themes/jquery.ui.all.css" rel="stylesheet" type="text/css" />
    <script src="../js/jquery-1.11.2.min.js" type="text/javascript"></script>
    <script src="../js/bootstrap.min.js" type="text/javascript"></script>
    <script src="../js/CustomAlert/jquery.min.js" type="text/javascript"></script>

    <script src="../js/CustomAlert/jquery-ui-1.10.3.custom.min.js" type="text/javascript"></script>

    <script src="../js/CustomAlert/jquery-ui-1.10.3.custom.js" type="text/javascript"></script>

    <script src="../js/CustomAlert/CustomAlert.js" type="text/javascript"></script>

    <script type="text/javascript" src="../js/jquery-1.2.3.pack.js"></script>

    <script language="javascript" type="text/javascript" src="../js/CommonFuncitonsInHeader.js"></script>
    <%--BootStrap Css--%>
    <link id="BootStrapCss" href="../css/bootstrap.css" runat="server" rel="stylesheet" type="text/css" />
    <link id="mainstyle" runat="server" href="../css/mainstyle.css" rel="stylesheet" type="text/css" />
    <%--End of BootStrap Css--%>
    <script src="../js/wow.min.js"></script>
</head>
<body onprerender="ShowPopUp();">
    <%--<div class="pageContainer">--%>
    <form id="form1" runat="server">
        <cc1:ModalPopupExtender ID="mpeProgressIndicator" runat="server" PopupControlID="progressPopUp"
            TargetControlID="btnTesting">
        </cc1:ModalPopupExtender>
        <asp:Button ID="btnTesting" Style="display: none;" runat="server" />
        <asp:HiddenField ID="hdnLandmarkEntries" runat="server" Value="" />
        <asp:HiddenField runat="server" ID="hdnGeozoneValue" />
        <asp:HiddenField ID="hdnCoordinates" runat="server" />
        <asp:Panel ID="progressPopUp" runat="server" CssClass="processMessage" Style="z-index: 1000; display: none;">
            <center>
                <br />
                <img alt="Please Wait ..." src="../images/47.gif" /><br />
                <br />
                <asp:Label ID="lbl_msg12" Text="Processing... Please Wait..." runat="server" CssClass="specialdisplay"></asp:Label>
                <br />
                <br />
            </center>
        </asp:Panel>
        <asp:ScriptManager ID="ScriptManager1" runat="server">
        </asp:ScriptManager>
        <br />
        <br />
        <!-- Content Starts Here -->
        <div id="outer">
            <div id="inner" class="col-Geozone">
                <div id="float-wrap">
                    <!-- Main Content Starts Here -->
                    <div id="content">
                        <div class="content-wrap">
                            <div id="map-lang" style="right: 0px; height: auto; position: absolute; z-index: 100; margin-top: 05px; padding-top: 0px; float: right;">
                                <div class='panel_lng' align='center' id='lnkLegend'>
                                    <div class='panelcontent_lng'>
                                        <asp:Panel ID="pnlH3_legend" runat="server">

                                            <div class="form-group mapLanguage">

                                                <span id="eng3" class="H_btn H_rdo_title" title="Switch To English Language" aria-role="label"
                                                    style="cursor: pointer;">ENG</span>

                                                <span id="arb3" class="H_btn H_rdo_title" title="التحول إلى اللغة العربية" aria-role="label"
                                                    style="cursor: pointer;">العربية</span>

                                                <span id="hin3" class="H_btn H_rdo_title" title="हिन्दी भाषा के लिए स्विच" aria-role="label"
                                                    style="cursor: pointer;">हिंदी</span>
                                            </div>
                                        </asp:Panel>

                                        <asp:Panel ID="pnlH2_legend" runat="server">
                                            <ul class="nm_mapSettingsWrap nm_layout_horizontal nm_right" aria-expanded="false"
                                                aria-role="menubar">
                                                <dl aria-haspopup="true" aria-hidden="false" aria-expanded="false" class="nm_dropDownMenu  nm_mapSelectorWrap nm_wrap nm_layout_horizontal nm_firstInGroup nm_lastInGroup"
                                                    tabindex="0" aria-role="menu">
                                                    <dt class="nm_menuItemMapType" aria-role="menuitem"><span id="eng2" class="nm_labelOpen nm_firstBG"
                                                        title="Switch To English Language" aria-role="label" style="cursor: pointer">ENG</span>
                                                    </dt>
                                                </dl>
                                            </ul>
                                            <ul class="nm_mapSettingsWrap nm_layout_horizontal nm_right" aria-expanded="false"
                                                aria-role="menubar">
                                                <dl aria-haspopup="true" aria-hidden="false" aria-expanded="false" class="nm_dropDownMenu  nm_mapSelectorWrap nm_wrap nm_layout_horizontal nm_firstInGroup nm_lastInGroup"
                                                    tabindex="0" aria-role="menu">
                                                    <dt class="nm_menuItemMapType" aria-role="menuitem"><span id="arb2" class="nm_labelOpen nm_firstBG"
                                                        title="التحول إلى اللغة العربية" aria-role="label" style="cursor: pointer">العربية</span>
                                                    </dt>
                                                </dl>
                                            </ul>
                                            <ul class="nm_mapSettingsWrap nm_layout_horizontal nm_right" aria-expanded="false"
                                                aria-role="menubar">
                                                <dl aria-haspopup="true" aria-hidden="false" aria-expanded="false" class="nm_dropDownMenu  nm_mapSelectorWrap nm_wrap nm_layout_horizontal nm_firstInGroup nm_lastInGroup"
                                                    tabindex="0" aria-role="menu">
                                                    <dt class="nm_menuItemMapType" aria-role="menuitem"><span id="hin2" class="nm_labelOpen nm_firstBG"
                                                        title="हिन्दी भाषा के लिए स्विच" aria-role="label" style="cursor: pointer">हिंदी</span></dt>
                                                </dl>
                                            </ul>
                                        </asp:Panel>
                                    </div>
                                </div>
                            </div>
                            <div id="map-legend" style="right: 0px; height: auto; position: absolute; z-index: 100; margin-top: 125px; padding-top: 0px; float: right;">
                            </div>
                            <div style="width: 100%;">
                                <div id="map-dsply" style="direction: ltr">
                                </div>
                            </div>
                            <style type="text/css">
                                .nm_buttonPair {
                                    right: 96%;
                                }

                                @media screen and (-webkit-min-device-pixel-ratio:0) {
                                    .nm_zoomWrap {
                                        margin-right: 96%;
                                    }
                                }

                                .nm_mapSettingsWrap {
                                    display: inline-block !important;
                                    position: relative;
                                    z-index: 10000000;
                                }

                                .nm_mapSettingsWrap {
                                    display: inline-block !important;
                                    position: relative;
                                    z-index: 10000000;
                                }

                                .nm_right[aria-role="menubar"] {
                                    float: left;
                                    margin-left: 3px; /*margin-right: 94%;*/
                                }

                                .nm_dropDownMenu {
                                    float: left !important;
                                    margin-left: 1px !important;
                                }

                                .nm_menuItemMapType {
                                    float: left !important;
                                    margin-left: 1px !important;
                                }
                            </style>
                        </div>
                    </div>
                    <!-- Main Content Ends Here -->
                    <div id="left">
                    </div>
                    <div class="clear clearfix">
                    </div>
                </div>
                <div id="right">
                </div>
                <div class="clear clearfix">
                </div>
            </div>
        </div>
        <asp:HiddenField ID="hdnMapType" runat="server" Value="N" />
        <asp:UpdatePanel ID="updMap" runat="server" UpdateMode="Conditional">
            <ContentTemplate>
                <asp:Button ID="btnMap" runat="server" OnClick="btnMap_Click" Text="Full Map" Style="display: none" />
                <asp:Timer ID="tmrRefresh" runat="server" Enabled="false" OnTick="tmrRefresh_Tick">
                </asp:Timer>
            </ContentTemplate>
        </asp:UpdatePanel>
        <asp:HiddenField ID="hdnAddLandmark" runat="server" />
        <asp:HiddenField ID="hdnlang" runat="server" />
        <asp:HiddenField ID="hdnMapLng" runat="server" />
        <!-- Content Ends Here -->
        <!-- LandMark Panel-->
        <asp:UpdatePanel ID="UpdatePanel1" runat="server" UpdateMode="Conditional">
            <ContentTemplate>
                <asp:Panel ID="pnlLandmark" runat="server" CssClass="landmarkPanel col-sm-8 col-md-6 col-lg-4">
                    <span id="spLatlng" style="display: none;">
                        <div class="row">
                            <div class="col-sm-3">
                                <asp:Label ID="Label24" runat="server" Text="Latitude"></asp:Label>
                            </div>
                            <div class="col-sm-3">
                                <asp:Label ID="Label25" runat="server" Text="Longitude"></asp:Label>
                            </div>
                            <div class="col-sm-3">
                                <asp:TextBox ID="txtlat" runat="server" CssClass="form-control"></asp:TextBox>
                            </div>
                            <div class="col-sm-3">
                                <asp:TextBox ID="txtlong" runat="server" CssClass="form-control"></asp:TextBox>
                            </div>
                        </div>
                    </span>
                    <div class="popup">
                        <%--<tr>
                            <td id="NotificationPnltopl" runat="server" class="top-l">&nbsp;
                            </td>
                            <td class="top-m">&nbsp;
                            </td>
                            <td id="NotificationPnltopr" runat="server" class="top-r">&nbsp;
                            </td>
                        </tr>
                        <tr>
                            <td id="NotificationPnlLeft" runat="server" class="left">&nbsp;
                            </td>
                            <td>--%>
                        <div class="top">
                            <h1>
                                <img src="../images/icn-landmark-name.gif" alt="" align="middle" />
                                <asp:Label ID="lblLandmarkPanel" runat="server" Text="Landmark Panel"></asp:Label>
                            </h1>
                            <div class="close">
                                <asp:ImageButton ID="ibtClose" runat="server" OnClientClick="return ClearLandmarkContents();"
                                    ImageUrl="~/Images/popup-close.gif" />
                            </div>
                            <div class="clear clearfix">
                            </div>
                        </div>
                        <div class="popup-cont">
                            <div class="form-horizontal padding-width-lg-left">
                                <div class="form-group">
                                    <div class="col-sm-3 col-lg-2">
                                        <asp:Label ID="lblLocationName" runat="server" Text="Location Name"></asp:Label>
                                        <span style="color: Red">*</span>
                                    </div>
                                    <div class="col-sm-5">
                                        <asp:TextBox ID="txtLocationName" runat="server" CssClass="form-control" MaxLength="100" onpaste="return false"
                                            TabIndex="1" ondrop="return false" onkeypress="return chkAlphaNumericWithSpace(event,this,99);"></asp:TextBox>
                                    </div>
                                </div>
                                <div class="form-group">
                                    <div class="col-sm-3 col-lg-2">
                                        <asp:Label ID="lblLocationDesc" runat="server" Text="Location Description"></asp:Label>
                                    </div>
                                    <div class="col-sm-5">
                                        <asp:TextBox ID="txtLocationDesc" runat="server" CssClass="form-control" Rows="5" TextMode="MultiLine" TabIndex="2"
                                            Height="30px" onblur="return disallowScriptTags(this);" onkeypress="return chkDescription(event,this,249);"></asp:TextBox>
                                    </div>
                                </div>
                                <div class="form-group">
                                    <div class="col-sm-3 col-lg-2">
                                        <asp:Label ID="lblRadius" runat="server" Text="Radius"></asp:Label><span style="color: Red">*</span>
                                    </div>
                                    <div class="col-sm-5">
                                        <asp:TextBox ID="txtRadius" runat="server" CssClass="form-control" onpaste="return false" TabIndex="3" ondrop="return false"
                                            MaxLength="4" onkeypress="return chkNumeric_only(event);"></asp:TextBox>
                                    </div>
                                </div>
                                <div class="form-group">
                                    <div class="col-sm-3 col-lg-2">
                                        <asp:Label ID="lblStreetAddr" runat="server" Text="Street Address"></asp:Label>
                                    </div>
                                    <div class="col-sm-5">
                                        <asp:TextBox ID="txtstreet" Enabled="false" runat="server" CssClass="form-control" TabIndex="4" TextMode="MultiLine"
                                            Height="30px" Rows="5" onblur="return disallowScriptTags(this);"
                                            onkeypress="return chkDescription(event,this,249);"></asp:TextBox>
                                    </div>
                                </div>
                                <div class="form-group">
                                    <div class="col-sm-3 col-lg-2">
                                        <asp:Label ID="lblCategory" runat="server" Text="Category"></asp:Label>
                                    </div>
                                    <div class="col-sm-5">
                                        <asp:DropDownList runat="server" TabIndex="5" ID="ddlCategory" CssClass="form-control">
                                        </asp:DropDownList>
                                    </div>
                                </div>
                                <div class="form-group">
                                    <div class="col-sm-3 col-lg-2"></div>
                                    <div class="col-sm-5">
                                        <asp:ImageButton ID="btnAddNotifictions1" runat="server" TabIndex="6" ImageUrl="~/images/btn-manage-notification.jpg"
                                            OnClick="btnAddNotifictions_Click" OnClientClick="document.getElementById('pnlNotificationsList').style.display = 'block';"
                                            Text="Add Notifications" Visible="false" />
                                        <asp:LinkButton ID="btnAddNotifictions" runat="server" CssClass="MultilingualBtn"
                                            OnClientClick="document.getElementById('pnlNotificationsList').style.display = 'block';"
                                            OnClick="btnAddNotifictions_Click">
                                            <span id="Span6" runat="server" class="MultilingualBtnspan">
                                                <div class="ManageNotification">
                                                    <div id="AddNotifictionsButDiv" runat="server" class="MultilingualBtnTextAlign">
                                                        Manage Notifications
                                                    </div>
                                                </div>
                                            </span>
                                        </asp:LinkButton>
                                    </div>
                                </div>
                                <div class="form-group">
                                    <div class="col-sm-3 col-lg-2"></div>
                                    <div class="col-sm-5">
                                        <asp:ImageButton ID="btnLandMark1" runat="server" TabIndex="7" ImageUrl="~/images/btn-save.jpg"
                                            OnClientClick="if( ValidateLandmarkFields()) {ShowPopUp(); return true;} else{return false;}"
                                            OnClick="btnLandMark_Click" Text="Save" ValidationGroup="grp" Visible="false" />&nbsp;&nbsp;
                                        <asp:ImageButton runat="server" Text="Cancel" ID="imgCancel1" OnClientClick="return ClearLandmarkContents();"
                                            TabIndex="8" onkeydown="return setFocus(event,'txtLocationName');" ImageUrl="~/images/btn-cancel.jpg"
                                            Visible="false" />
                                        <asp:LinkButton ID="btnLandMark" runat="server" CssClass="MultilingualBtn" OnClientClick="if( ValidateLandmarkFields()) {ShowPopUp(); return true;} else{return false;}"
                                            OnClick="btnLandMark_Click" ValidationGroup="grp">
                                            <span id="Span7" runat="server" class="MultilingualBtnspan">
                                                <div class="Save">
                                                    <div id="SaveButDiv" runat="server" class="MultilingualBtnTextAlign">
                                                        Save
                                                    </div>
                                                </div>
                                            </span>
                                        </asp:LinkButton>&nbsp;&nbsp;
                                        <asp:LinkButton ID="imgCancel" runat="server" CssClass="MultilingualBtn" OnClientClick="return ClearLandmarkContents();">
                                            <span id="Span8" runat="server" class="MultilingualBtnspan">
                                                <div class="Cancel">
                                                    <div id="CancelButDiv" runat="server" class="MultilingualBtnTextAlign">
                                                        Cancel
                                                    </div>
                                                </div>
                                            </span>
                                        </asp:LinkButton>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <%--</td>
                            <td id="NotificationPnlRight" runat="server" class="right">&nbsp;
                            </td>
                        </tr>
                        <tr>
                            <td id="NotificationPnlbottoml" runat="server" class="bottom-l">&nbsp;
                            </td>
                            <td class="bottom-m">&nbsp;
                            </td>
                            <td id="NotificationPnlbottomr" runat="server" class="bottom-r">&nbsp;
                            </td>
                        </tr>--%>
                    </div>
                </asp:Panel>
            </ContentTemplate>
        </asp:UpdatePanel>

        <asp:UpdatePanel ID="updNotify" runat="server" UpdateMode="Conditional">
            <ContentTemplate>
                <asp:Panel ID="pnlNotificationsList" runat="server" CssClass="notifyManagePanel col-xs-9">
                    <uc3:NotificationsList ID="ucNotificationList" runat="server" NotificationType="3" />
                </asp:Panel>
            </ContentTemplate>
        </asp:UpdatePanel>

        <cc1:ModalPopupExtender ID="mpeMapProgressIndicator" runat="server" PopupControlID="pnlMapPopUp"
            TargetControlID="btnTesting">
        </cc1:ModalPopupExtender>
        <asp:Panel ID="pnlMapPopUp" runat="server" CssClass="processMessage" Style="z-index: 1000; display: none;">
            <center>
                <br />
                <img id="imgLoad" runat="server" alt="Please Wait ..." src="../images/47.gif" /><br />
                <br />
                <asp:Label ID="lbl_msg13" Text="Auto Refreshing... Please Wait..." runat="server"
                    CssClass="specialdisplay"></asp:Label>
                <br />
                <br />
            </center>
        </asp:Panel>
        <%-- <script language="javascript" type="text/javascript" src="../js/Map_Google.js"></script>

        <script type="text/javascript" src="../js/Elabel.js"></script>

        <script type="text/javascript" src="../js/HtmlControl.js"></script>
        
        <script type="text/javascript" src="../js/Clusterer2.js"></script>

        <script src="http://jsapi.lbsp.navteq.com/v1/jsl.js" type="text/javascript" charset="utf-8"></script>

        <script language="javascript" type="text/javascript" src="../js/Map_NavTeq1.js"></script>--%>

        <script src="../js/myformvalidations.js" type="text/javascript"></script>

        <script type="text/javascript" src="../js/GridCheckBoxMaintaining.js"></script>

        <script type="text/javascript" src="../js/HistoryScript.js"></script>

        <script src="../js/Formvalidations.js" type="text/javascript"></script>

        <script type="text/javascript">
            function doPostback() {
                document.getElementById('btnMap').click();
            }


            $("#eng2").click(function () {
                mapTypeChoosen();
                changeTileProvider(maptype, 'En');
                LoadTime = null;
            });
            $("#arb2").click(function () {
                mapTypeChoosen();
                changeTileProvider(maptype, 'Ar');
                LoadTime = null;
            });
            $("#hin2").click(function () {
                mapTypeChoosen();
                changeTileProvider(maptype, 'hin');
                LoadTime = null;
            });
            $("#eng3").click(function () {
                mapTypeChoosen();
                changeTileProvider(maptype, 'En');
                LoadTime = null;
            });
            $("#arb3").click(function () {
                mapTypeChoosen();
                changeTileProvider(maptype, 'Ar');
                LoadTime = null;
            });
            $("#hin3").click(function () {
                mapTypeChoosen();
                changeTileProvider(maptype, 'hin');
                LoadTime = null;
            });
        </script>

    </form>
    <%--</div>--%>
    <!-- Content Ends Here -->
    <uc2:Footer ID="ucFooter" runat="server" />
</body>
</html>
