﻿<%@ page language="C#" autoeventwireup="true" inherits="Forms_FullscreenMap_RouteETA, App_Web_phobza4z" %>

<%@ Register Assembly="AjaxControlToolkit" Namespace="AjaxControlToolkit" TagPrefix="cc1" %>
<%@ Register Src="~/UserControls/Notification_List.ascx" TagPrefix="uc3" TagName="NotificationsList" %>
<%@ Register Src="~/UserControls/New_Header.ascx" TagName="Header" TagPrefix="uc1" %>
<%@ Register Src="~/UserControls/New_Footer.ascx" TagName="Footer" TagPrefix="uc2" %>

<%--<%@ Register Assembly="DevExpress.Web.ASPxGridView.v8.2, Version=8.2.10.0, Culture=neutral, PublicKeyToken=9b171c9fd64da1d1"
    Namespace="DevExpress.Web.ASPxGridView" TagPrefix="dxwgv" %>
<%@ Register Assembly="DevExpress.Web.ASPxEditors.v8.2, Version=8.2.10.0, Culture=neutral, PublicKeyToken=9b171c9fd64da1d1"
    Namespace="DevExpress.Web.ASPxEditors" TagPrefix="dxe" %>
<%@ Register Assembly="DevExpress.Web.ASPxEditors.v8.2" Namespace="DevExpress.Web.ASPxEditors"
    TagPrefix="dxe" %>
<%@ Register Assembly="DevExpress.Web.ASPxGridView.v8.2.Export" Namespace="DevExpress.Web.ASPxGridView.Export"
    TagPrefix="exp" %>--%>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN"    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xmlns:v="urn:schemas-microsoft-com:vml">
<head id="Head1" runat="server">
    <title>Full screen Map View</title>
    <%--<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />--%>
    <meta http-equiv="Content-Type" content="text/html; charset=windows-1256" />
    <meta http-equiv="Page-Enter" content="blendTrans(Duration=0)" />
    <meta http-equiv="Page-Exit" content="blendTrans(Duration=0)" />
    <link id="reset" runat="server" href="../css/reset.css" rel="stylesheet" type="text/css" />
    <link id="dropdown" runat="server" href="../css/dropdown.css" rel="stylesheet" type="text/css" />
    <link id="stylesheet2" runat="server" href="../css/stylesheet2.css" rel="stylesheet" type="text/css" />
    <link id="style" runat="server" href="../css/style.css" rel="stylesheet" type="text/css" />
    <%--<link id="jcarousel" runat="server" rel="stylesheet" type="text/css" href="../css/jquery.jcarousel.css" />--%>
    <link id="skin" runat="server" rel="stylesheet" type="text/css" href="../css/skin.css" />
    <link rel="SHORTCUT ICON" href="../images/favicon.ico" />
    <link id="ieonly" runat="server" rel="stylesheet" type="text/css" href="" />
    <link href="../css/CustomeAlert/demos.css" rel="stylesheet" type="text/css" />
    <link href="../css/CustomeAlert/themes/jquery.ui.all.css" rel="stylesheet" type="text/css" />

    <script src="../js/CustomAlert/jquery.min.js" type="text/javascript"></script>
    <script src="../js/CustomAlert/jquery-ui-1.10.3.custom.min.js" type="text/javascript"></script>
    <script src="../js/CustomAlert/jquery-ui-1.10.3.custom.js" type="text/javascript"></script>
    <script src="../js/CustomAlert/CustomAlert.js" type="text/javascript"></script>
    <script lang="javascript" type="text/javascript" src="../js/jquery-1.2.3.pack.js"></script>
    <script lang="javascript" type="text/javascript" src="../js/CommonFuncitonsInHeader.js"></script>
    <script src="../js/wow.min.js"></script>
</head>
<body onprerender="ShowPopUp();">
    <div id="container">
        <form id="form1" runat="server">
            <cc1:ModalPopupExtender ID="mpeProgressIndicator" runat="server" PopupControlID="progressPopUp"
                TargetControlID="btnTesting">
            </cc1:ModalPopupExtender>
            <asp:Button ID="btnTesting" Style="display: none;" runat="server" />
            <asp:HiddenField ID="hdnLandmarkEntries" runat="server" Value="" />
            <asp:Panel ID="progressPopUp" runat="server" CssClass="processMessage" Style="z-index: 1000; display: none;">
                <center>
                <br />
                <img alt="Please Wait ..." src="../images/47.gif" /><br />
                <br />
                <asp:Label ID="lbl_msg12" Text="Processing... Please Wait..." runat="server" CssClass="specialdisplay"></asp:Label>
                <br />
                <br />
            </center>
            </asp:Panel>
            <asp:ScriptManager ID="ScriptManager1" runat="server">
            </asp:ScriptManager>
            <br />
            <br />
            <!-- Content Starts Here -->
            <div id="outer">
                <div id="inner">
                    <div id="float-wrap">
                        <!-- Main Content Starts Here -->
                        <div id="content">
                            <div class="content-wrap">
                                <div id="map-lang" style="right: 0px; height: auto; position: absolute; z-index: 100; margin-top: 05px; padding-top: 0px; float: right;">
                                    <div class='panel_lng' align='center' id='lnkLegend'>
                                        <div class='panelcontent_lng'>
                                            <asp:Panel ID="pnlH3_legend" runat="server">
                                                <table id='tblLegend_lng' align='right' style='direction: ltr;'>
                                                    <tr>
                                                        <td align='right' style='padding: 15px 0px 6px 6px;'>
                                                            <table cellpadding='2' cellspacing='2' align='right' width='100px' height='25px'>
                                                                <tr>
                                                                    <td align='left'>
                                                                        <span id="eng3" class="H_btn H_rdo_title" title="Switch To English Language" aria-role="label"
                                                                            style="cursor: pointer">ENG</span>
                                                                    </td>
                                                                    <td align='left'>
                                                                        <span id="arb3" class="H_btn H_rdo_title" title="التحول إلى اللغة العربية" aria-role="label"
                                                                            style="cursor: pointer">العربية</span>
                                                                    </td>
                                                                    <td align='left'>
                                                                        <span id="hin3" class="H_btn H_rdo_title" title="हिन्दी भाषा के लिए स्विच" aria-role="label"
                                                                            style="cursor: pointer">हिंदी</span>
                                                                    </td>
                                                                </tr>
                                                            </table>
                                                        </td>
                                                    </tr>
                                                </table>
                                            </asp:Panel>
                                            <asp:Panel ID="pnlH2_legend" runat="server">
                                                <ul class="nm_mapSettingsWrap nm_layout_horizontal nm_right" aria-expanded="false"
                                                    aria-role="menubar">
                                                    <dl aria-haspopup="true" aria-hidden="false" aria-expanded="false" class="nm_dropDownMenu  nm_mapSelectorWrap nm_wrap nm_layout_horizontal nm_firstInGroup nm_lastInGroup"
                                                        tabindex="0" aria-role="menu">
                                                        <dt class="nm_menuItemMapType" aria-role="menuitem"><span id="eng2" class="nm_labelOpen nm_firstBG"
                                                            title="Switch To English Language" aria-role="label" style="cursor: pointer">ENG</span>
                                                        </dt>
                                                    </dl>
                                                </ul>
                                                <ul class="nm_mapSettingsWrap nm_layout_horizontal nm_right" aria-expanded="false"
                                                    aria-role="menubar">
                                                    <dl aria-haspopup="true" aria-hidden="false" aria-expanded="false" class="nm_dropDownMenu  nm_mapSelectorWrap nm_wrap nm_layout_horizontal nm_firstInGroup nm_lastInGroup"
                                                        tabindex="0" aria-role="menu">
                                                        <dt class="nm_menuItemMapType" aria-role="menuitem"><span id="arb2" class="nm_labelOpen nm_firstBG"
                                                            title="التحول إلى اللغة العربية" aria-role="label" style="cursor: pointer">العربية</span>
                                                        </dt>
                                                    </dl>
                                                </ul>
                                                <ul class="nm_mapSettingsWrap nm_layout_horizontal nm_right" aria-expanded="false"
                                                    aria-role="menubar">
                                                    <dl aria-haspopup="true" aria-hidden="false" aria-expanded="false" class="nm_dropDownMenu  nm_mapSelectorWrap nm_wrap nm_layout_horizontal nm_firstInGroup nm_lastInGroup"
                                                        tabindex="0" aria-role="menu">
                                                        <dt class="nm_menuItemMapType" aria-role="menuitem"><span id="hin2" class="nm_labelOpen nm_firstBG"
                                                            title="हिन्दी भाषा के लिए स्विच" aria-role="label" style="cursor: pointer">हिंदी</span></dt>
                                                    </dl>
                                                </ul>
                                            </asp:Panel>
                                        </div>
                                    </div>
                                </div>

                                <div id="maparea" style="height: 380px; background-color: #E0E0E0; margin-top: 5px"
                                    dir="ltr">
                                </div>
                                <style type="text/css">
                                    .nm_buttonPair {
                                        right: 96%;
                                    }

                                    @media screen and (-webkit-min-device-pixel-ratio:0) {
                                        .nm_zoomWrap {
                                            margin-right: 96%;
                                        }
                                    }

                                    .nm_mapSettingsWrap {
                                        display: inline-block !important;
                                        position: relative;
                                        z-index: 10000000;
                                    }

                                    .nm_right[aria-role="menubar"] {
                                        float: left;
                                        margin-left: 3px; /*margin-right: 94%;*/
                                    }

                                    .nm_dropDownMenu {
                                        float: left !important;
                                        margin-left: 1px !important;
                                    }

                                    .nm_menuItemMapType {
                                        float: left !important;
                                        margin-left: 1px !important;
                                    }
                                </style>
                            </div>
                        </div>
                        <!-- Main Content Ends Here -->
                        <div id="left">
                        </div>
                        <div class="clear clearfix">
                        </div>
                    </div>
                    <div id="right">
                    </div>
                    <div class="clear clearfix">
                    </div>
                </div>
            </div>
            <div style="width: 100%;">
                <asp:UpdatePanel ID="upUserGroup" runat="server">
                    <Triggers>
                        <%--<asp:PostBackTrigger ControlID="btnTest" />--%>
                        <%--<asp:PostBackTrigger ControlID="btnRoute" />--%>
                        <%--<asp:PostBackTrigger ControlID="btnDelete" />--%>
                    </Triggers>
                    <ContentTemplate>
                        <asp:Panel ID="pnlRouteInformations" runat="server" CssClass="ControlHide">
                            <%--<div class="form-box">
                                                    <h1>
                                                        <span class="icon" style="padding-top: 0px">
                                                            <asp:Image runat="server" ID="imgUserGroupInformation" ImageUrl="../images/icn-manage-usergroup.gif" />
                                                        </span>
                                                        <asp:Label ID="lblRouteInformation" runat="server" Text="Manage Routes"></asp:Label></h1>--%>
                            <table border="0" cellpadding="0" cellspacing="0" class="form-tbl" width="100%">
                                <tr>
                                    <td class="split"></td>
                                    <td>
                                        <asp:Label ID="lblRouteName" runat="server" CssClass="label" Text="Route Name"></asp:Label>
                                        &nbsp;
                                                                <asp:Label ID="Label14" runat="server" ForeColor="Red">*</asp:Label>
                                    </td>
                                    <td>
                                        <asp:TextBox ID="txtRouteName" runat="server" onkeypress="return chkAlphaNumericWithSpace(event,this,29)"
                                            MaxLength="30" TabIndex="1" onpaste="return false;" ondrop="return false;" Width="200px"></asp:TextBox>
                                    </td>
                                </tr>
                                <tr>
                                    <td>
                                        <asp:Button ID="btnAddIntermidiateLocation" runat="server" Text="Add Intermediate Locations"
                                            CssClass="ControlHide" />
                                    </td>
                                    <td valign="top">
                                        <asp:Label ID="lblRouteDes" runat="server" CssClass="label" Text="Route Description"
                                            Width="120px"></asp:Label>
                                    </td>
                                    <td>
                                        <asp:TextBox ID="txtRouteDescription" runat="server" Width="250px" Height="50px"
                                            TextMode="MultiLine" MaxLength="250" TabIndex="2" onblur="return disallowScriptTags(this);"
                                            onkeypress="return chkDescription(event,this,249);"></asp:TextBox>
                                    </td>
                                </tr>
                                <tr>
                                    <td></td>
                                    <td>
                                        <asp:Label ID="lblLandmark" Text="Select Landmark" runat="server"></asp:Label>
                                        &nbsp;
                                                                <asp:Label ID="Label3" runat="server" ForeColor="Red">*</asp:Label>
                                    </td>
                                    <td class="AlignControl">
                                        <asp:DropDownList ID="ddlLandmarks" runat="server" CssClass="ddllAlign">
                                        </asp:DropDownList>
                                        <%--<div style="padding-left: 5px; float: left"> CssClass="btn"--%>
                                        <asp:LinkButton ID="btnAdd" runat="server" CssClass="MultilingualBtn">
                                            <span id="Span6" runat="server" class="MultilingualBtnspan">
                                                <div class="AddGeozone">
                                                    <div id="AddLand" runat="server" class="MultilingualBtnTextAlign">
                                                        Add
                                                    </div>
                                                </div>
                                            </span>
                                        </asp:LinkButton>
                                        <%--<asp:LinkButton ID="btnAdd" runat="server" CssClass="btn" OnClick="btnAdd_Click"><span >Add</span></asp:LinkButton>--%>
                                        <%--<asp:Button ID="btnAdd" runat="server" OnClick="btnAdd_Click" Text="Add" CssClass="btn" />--%>
                                        <%-- </div>--%>
                                    </td>
                                </tr>
                                <tr class="ControlHide">
                                    <td></td>
                                    <td>
                                        <asp:Label ID="lblDuration" runat="server" Text="Duration"></asp:Label>
                                    </td>
                                    <td>
                                        <div>
                                            <div style="float: left">
                                                <asp:DropDownList ID="ddlDuration" runat="server" CssClass="time ControlHide">
                                                    <asp:ListItem>00</asp:ListItem>
                                                    <asp:ListItem>15</asp:ListItem>
                                                    <asp:ListItem>30</asp:ListItem>
                                                    <asp:ListItem>45</asp:ListItem>
                                                    <asp:ListItem>60</asp:ListItem>
                                                </asp:DropDownList>
                                            </div>
                                            <%--<div style="padding-left: 5px; float: left">
                                                                        <asp:LinkButton ID="btnAdd" runat="server" CssClass="btn" OnClick="btnAdd_Click"><span >Add</span></asp:LinkButton>
                                                                    </div>--%>
                                        </div>
                                    </td>
                                </tr>
                                <tr>
                                    <td></td>
                                    <td>
                                        <asp:Label ID="lblTravelTime" runat="server">Travel Time</asp:Label>
                                    </td>
                                    <td>
                                        <asp:TextBox ID="txtDuration" runat="server" onkeypress="return false;" onkeydown="return false;"
                                            Width="200px"></asp:TextBox>
                                    </td>
                                </tr>
                                <tr>
                                    <td></td>
                                    <td>
                                        <asp:Label ID="Label2" runat="server">Travel Time With Traffic</asp:Label>
                                    </td>
                                    <td>
                                        <asp:TextBox ID="txtTrafficDuration" runat="server" onkeypress="return false;" onkeydown="return false;"
                                            Width="200px"></asp:TextBox>
                                    </td>
                                </tr>
                                <tr>
                                    <td></td>
                                    <td>
                                        <asp:Label ID="lblTravelDistance" runat="server">Travel Distance</asp:Label>
                                    </td>
                                    <td>
                                        <asp:TextBox ID="txtDistance" runat="server" onkeypress="return false;" onkeydown="return false;"
                                            Width="200px"></asp:TextBox>
                                    </td>
                                </tr>

                                <tr>
                                    <td></td>
                                    <td colspan="2">
                                        <asp:Label ID="Label1" runat="server" ForeColor="Red">*</asp:Label>&nbsp;
                                                                <asp:Label ID="lblMandatory" runat="server" Text="Required Fields"></asp:Label>
                                    </td>
                                    <td>
                                        <asp:TextBox ID="lblNextStopDuration" runat="server">Next Stop Duration</asp:TextBox><br />
                                        <asp:TextBox ID="lblNextStopDistance" runat="server">Next Stop Distance</asp:TextBox><br />
                                        <asp:TextBox ID="lblDestinationDuration" runat="server">Destination Duration</asp:TextBox><br />
                                        <asp:TextBox ID="lblDestinationDistance" runat="server">Destination Distance</asp:TextBox><br />
                                    </td>
                                </tr>
                            </table>
                            <%--  </div>--%>
                        </asp:Panel>
                        <div id="right">
                        </div>
                        <table id="selection" class="selection" cellpadding="1" cellspacing="1">
                            <tr>
                                <td width="276px" style="display: none">Start:
                                </td>
                                <td width="424px">
                                    <input type="hidden" id='start' style="width: 250px;" runat="server" />
                                </td>
                                <td></td>
                            </tr>
                            <tr style="display: none">
                                <td width="276px">Via Point 1:
                                </td>
                                <td width="424px">
                                    <input type='text' id='via_0' style="width: 250px;" value='' />
                                </td>
                                <td></td>
                            </tr>
                            <tr style="display: none">
                                <td width="276px">Via Point 2:
                                </td>
                                <td width="424px">
                                    <input type='text' id='via_1' style="width: 250px;" value='' />
                                </td>
                                <td></td>
                            </tr>
                            <tr style="display: none">
                                <td width="276px">Via Point 3:
                                </td>
                                <td width="424px">
                                    <input type='text' id='via_2' style="width: 250px;" value='' />
                                </td>
                                <td></td>
                            </tr>
                            <tr style="display: none">
                                <td width="276px">Via Point 4:
                                </td>
                                <td width="424px">
                                    <input type='text' id='via_3' style="width: 250px;" value='' />
                                </td>
                                <td></td>
                            </tr>
                            <tr>
                                <td width="276px" style="display: none">Destination:
                                </td>
                                <td width="424px">
                                    <input type="hidden" id='destination' style="width: 250px;" runat="server" />
                                </td>
                                <td></td>
                            </tr>
                        </table>
                        <br />
                        <div id="routeID" style="display: none">
                        </div>
                        <div id="routeDescription" style="text-align: left; width: 700px;" style="display: none">
                        </div>
                        </div>
                    </ContentTemplate>
                    <Triggers>
                        <%--<asp:PostBackTrigger ControlID="btnExport" />--%>
                        <%--<asp:PostBackTrigger ControlID="ibtnCancelRoute" />--%>
                        <%--<asp:PostBackTrigger ControlID="ibtnReferesh" />--%>
                    </Triggers>
                </asp:UpdatePanel>
            </div>
            <asp:HiddenField ID="hdnMapType" runat="server" Value="N" />
            <asp:UpdatePanel ID="updMap" runat="server" UpdateMode="Conditional">
                <ContentTemplate>
                    <asp:Button ID="btnMap" runat="server" OnClick="btnMap_Click" Text="Full Map" Style="display: none" />
                    <asp:Timer ID="tmrRefresh" runat="server" Enabled="false" OnTick="tmrRefresh_Tick">
                    </asp:Timer>
                </ContentTemplate>
            </asp:UpdatePanel>
            <asp:HiddenField ID="hdnAddLandmark" runat="server" />
            <asp:HiddenField ID="hdnlang" runat="server" />
            <asp:HiddenField ID="hdnMapLng" runat="server" />
            <!-- Content Ends Here -->

            <cc1:ModalPopupExtender ID="mpeMapProgressIndicator" runat="server" PopupControlID="pnlMapPopUp"
                TargetControlID="btnTesting">
            </cc1:ModalPopupExtender>
            <asp:Panel ID="pnlMapPopUp" runat="server" CssClass="processMessage" Style="z-index: 1000; display: none;">
                <center>
                <br />
                <img id="imgLoad" runat="server" alt="Please Wait ..." src="../images/47.gif" /><br />
                <br />
                <asp:Label ID="lbl_msg13" Text="Auto Refreshing... Please Wait..." runat="server"
                    CssClass="specialdisplay"></asp:Label>
                <br />
                <br />
            </center>
            </asp:Panel>

            <%-- <script language="javascript" type="text/javascript" src="../js/Map_Google.js"></script>
            <script type="text/javascript" src="../js/Elabel.js"></script>
            <script type="text/javascript" src="../js/HtmlControl.js"></script>        
            <script type="text/javascript" src="../js/Clusterer2.js"></script>
            <script language="javascript" type="text/javascript" src="../js/Map_NavTeq1.js"></script>--%>
            <script type="text/javascript">
                function doPostback() {
                    document.getElementById('btnMap').click();
                }
            </script>
        </form>
    </div>
    <!-- Content Ends Here -->
    <uc2:Footer ID="ucFooter" runat="server" />
</body>
</html>
