<%@ page language="C#" autoeventwireup="true" inherits="Forms_LandMarks, App_Web_kantv33r" enableeventvalidation="false" %>

<%@ Register Assembly="AjaxControlToolkit" Namespace="AjaxControlToolkit" TagPrefix="cc1" %>
<%@ Register Src="~/UserControls/New_Header.ascx" TagName="Header" TagPrefix="uc1" %>
<%@ Register Src="~/UserControls/New_Footer.ascx" TagName="Footer" TagPrefix="uc2" %>
<%@ Register Src="~/UserControls/Notification_List.ascx" TagPrefix="uc3" TagName="NotificationsList" %>

<%--<%@ Register Assembly="DevExpress.Web.ASPxGridView.v8.2, Version=8.2.10.0, Culture=neutral, PublicKeyToken=9b171c9fd64da1d1"
    Namespace="DevExpress.Web.ASPxGridView" TagPrefix="dxwgv" %>
<%@ Register Assembly="DevExpress.Web.ASPxGridView.v8.2.Export" Namespace="DevExpress.Web.ASPxGridView.Export"
    TagPrefix="exp" %>
<%@ Register Assembly="DevExpress.Web.ASPxEditors.v8.2, Version=8.2.10.0, Culture=neutral, PublicKeyToken=9b171c9fd64da1d1"
    Namespace="DevExpress.Web.ASPxEditors" TagPrefix="dxe" %>
<%@ Register Assembly="DevExpress.Web.ASPxEditors.v8.2" Namespace="DevExpress.Web.ASPxEditors"
    TagPrefix="dxe" %>--%>

<%@ Register Assembly="DevExpress.Web.v14.2" Namespace="DevExpress.Web" TagPrefix="dxw" %>

<!DOCTYPE html>
<html lang="en">
<head id="Head1" runat="server">
    <meta content="charset=utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1" />
    <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1" />
    <title>tSense-IoT Landmarks</title>
    <link href="../css/CustomeAlert/demos.css" rel="stylesheet" type="text/css" />
    <link href="../css/CustomeAlert/themes/jquery.ui.all.css" rel="stylesheet" type="text/css" />
    <link id="resets" runat="server" rel="Stylesheet" type="text/css" href="../css/reset.css" />
    <%-- <link rel="Stylesheet" type="text/css" href="../css/stylesheet.css" />--%>
    <link id="stylesheet2" runat="server" rel="stylesheet" type="text/css" href="../css/stylesheet2.css" />
    <link id="updatedcss" runat="server" rel="stylesheet" type="text/css" href="../css/Updated_css.css" />
    <link id="dropdown" runat="server" rel="Stylesheet" type="text/css" href="../css/dropdown.css" />
    <link id="ieonly" runat="server" rel="stylesheet" type="text/css" href="" />
    <%--Custom Theme for DevEx 14.2--%>
    <link id="GridView" runat="server" type="text/css" href="~/App_Themes/Office2003Blue/GridView/grid.css" rel="stylesheet" />
    <link id="Editors" runat="server" type="text/css" href="~/App_Themes/Office2003Blue/Editors/styles.css" rel="stylesheet" />
    <link rel="SHORTCUT ICON" href="../images/favicon.ico" />

    <script src="../js/jquery-1.11.2.min.js" type="text/javascript"></script>

    <script src="../js/CustomAlert/jquery.min.js" type="text/javascript"></script>

    <script src="../js/CustomAlert/jquery-ui-1.10.3.custom.min.js" type="text/javascript"></script>

    <script src="../js/CustomAlert/jquery-ui-1.10.3.custom.js" type="text/javascript"></script>

    <script src="../js/CustomAlert/CustomAlert.js" type="text/javascript"></script>

    <%--BootStrap Css--%>
    <link id="BootStrapCss" href="../css/bootstrap.css" runat="server" rel="stylesheet" type="text/css" />
    <link id="mainstyle" runat="server" href="../css/mainstyle.css" rel="stylesheet" type="text/css" />
    <%--End of BootStrap Css--%>
    <script src="../js/wow.min.js"></script>
</head>
<body onload="loadForLandMark();validateNotification();">
    <div class="pageContainer">
        <form id="form1" runat="server">
            <asp:ScriptManager ID="ScriptManager1" runat="server" EnablePageMethods="true">
            </asp:ScriptManager>
            <%-- <asp:UpdatePanel ID="updPage" runat="server">
        <ContentTemplate>    --%>
            <!-- Header Starts Here -->
            <uc1:Header ID="ucHeader" runat="server" />
            <!-- Header Ends Here -->
            <input type="hidden" id="hdnCoords" />
            <input type="hidden" id="hdnInput" name="hdnInput" />
            <!-- Content Starts Here -->
            <div id="outer">
                <div id="inner">
                    <div id="float-wrap">
                        <!-- Main Content Starts Here -->
                        <asp:HiddenField ID="hdnCanAddLandmarks" runat="server" Value="true" />
                        <asp:HiddenField ID="hdnRestriction" runat="server" />

                        <div id="content">

                            <div class="content-wrap">
                                <%--  <div id="top-content">--%>


                                <div id="top-content" class="container-fluid head-part">
                                    <div class="row">
                                        <div id="heading" class="col-sm-4 col-md-3">

                                            <img class="icon" src="../images/landmarks-icon.jpg" alt="" />
                                            <h1>
                                                <asp:Literal ID="lblLandmarksCaption" runat="server"></asp:Literal></h1>

                                            <asp:LinkButton ID="lnkHomeCaption" runat="server"></asp:LinkButton>
                                            <span>&gt;</span><span><a href="LandMarks.aspx"><asp:Label ID="lblLandmarks" runat="server"
                                                Text="Landmarks"></asp:Label></a></span>
                                        </div>

                                    </div>
                                </div>
                                <div class="clear clearfix"></div>
                                <div class="row">
                                    <div class="col-lg-9 col-md-8 col-sm-7 leftMapLandmark">
                                        <div id="search-area" style="width: 100%;">
                                            <div id="map-legend" style="right: 0px; height: auto; position: absolute; z-index: 100; margin-top: 90px; padding-top: 0px; float: right;">
                                            </div>
                                            <div id="map-dsply" style="direction: ltr; width: 100%;">
                                            </div>
                                        </div>
                                        <style type="text/css">
                                            .nm_buttonPair {
                                                right: 96%;
                                            }

                                            @media screen and (-webkit-min-device-pixel-ratio:0) {
                                                .nm_zoomWrap {
                                                    margin-right: 96%;
                                                }
                                            }
                                        </style>
                                    </div>
                                    <div class="col-lg-3 col-md-4 col-sm-5 nullpadding">
                                        <div style="vertical-align: top;">
                                            <div id="search-box" class="landmarkAlign">
                                                <asp:UpdatePanel ID="updPanel" runat="server" UpdateMode="Conditional">
                                                    <ContentTemplate>
                                                        <asp:Panel ID="pnlAddLandMark" runat="server">
                                                            <div class="row">
                                                                <h1>
                                                                    <span class="icon">
                                                                        <img src="../images/landmark-icon.gif" alt="" style="vertical-align: top;" /></span>
                                                                    <asp:Label ID="lblLandmarkDetails" runat="server" Text="Landmark Details"></asp:Label>
                                                                </h1>

                                                            </div>

                                                            <div id="search-tbl" style="vertical-align: top;">
                                                                <div class="row gridrow-space">
                                                                    <div class="col-xs-1"></div>
                                                                    <div class="col-xs-5 col-Landmark">
                                                                        <div id="tdStreetAddr" runat="server" class="LandmarkPaddingStyle">
                                                                            <asp:DropDownList ID="ddlType" runat="server" CssClass="form-control" onchange="showControls(this.selectedIndex);">
                                                                            </asp:DropDownList>
                                                                        </div>
                                                                    </div>

                                                                </div>
                                                                <div class="row gridrow-space">
                                                                    <div class="col-xs-1">
                                                                        <asp:Label ID="Label3" runat="server" ForeColor="Red">*</asp:Label>
                                                                    </div>
                                                                    <div class="col-xs-5 col-Landmark nullpadding">
                                                                        <asp:TextBox ID="txtLocationName" Width="100px" CssClass="form-control" runat="server" MaxLength="100" onpaste="return false"
                                                                            ondrop="return false" onkeypress="return chkAlphaNumericWithSpace(event,this,99);"></asp:TextBox>
                                                                        <cc1:TextBoxWatermarkExtender ID="wtxtLocationName" runat="server" WatermarkText="Name"
                                                                            TargetControlID="txtLocationName">
                                                                        </cc1:TextBoxWatermarkExtender>
                                                                    </div>




                                                                    <div class="col-xs-4 nullpadding" style="margin-left: -24px;">
                                                                        <asp:TextBox ID="txtRadius" Width="100px" runat="server" CssClass="form-control" onpaste="return false" ondrop="return false"
                                                                            MaxLength="4" onkeypress="return chkNumeric_only(event);"></asp:TextBox>
                                                                    </div>

                                                                    <cc1:TextBoxWatermarkExtender ID="wtxtRadius" runat="server" WatermarkText="Radius"
                                                                        TargetControlID="txtRadius">
                                                                    </cc1:TextBoxWatermarkExtender>

                                                                    <div class="col-xs-2 nullpadding icon-label">
                                                                        <asp:Label ID="lblinmetres" runat="server" Text="in metres"></asp:Label>
                                                                    </div>

                                                                </div>



                                                                <div class="row gridrow-space">

                                                                    <div class="LandmarkPaddingStyle">
                                                                        <div class="col-xs-1"></div>
                                                                        <div class="col-xs-5 col-Landmark">

                                                                            <asp:TextBox ID="txtLocationDesc" runat="server" CssClass="form-control" Height="50px" MaxLength="250" onblur="return disallowScriptTags(this);"
                                                                                onkeypress="return chkDescription(event,this,249);" TextMode="MultiLine"></asp:TextBox>
                                                                            <cc1:TextBoxWatermarkExtender ID="wtxtLocationDesc" runat="server" TargetControlID="txtLocationDesc"
                                                                                WatermarkText="Description">
                                                                            </cc1:TextBoxWatermarkExtender>

                                                                        </div>
                                                                    </div>
                                                                </div>

                                                                <div class="row gridrow-space">
                                                                    <div id="spAddr" name="spAddr" runat="server">

                                                                        <div class="col-xs-1">
                                                                            <asp:Label ID="Label1" runat="server" ForeColor="Red" valign="top">*</asp:Label>
                                                                        </div>

                                                                        <div class="col-xs-4 col-Landmark">

                                                                            <asp:TextBox ID="txtstreet" CssClass="form-control" runat="server" onblur="return disallowScriptTags(this);"
                                                                                TextMode="MultiLine" MaxLength="250" onkeypress="return chkDescription(event,this,249);"></asp:TextBox>
                                                                            <cc1:TextBoxWatermarkExtender ID="wtxtstreet" runat="server" WatermarkText="Address"
                                                                                TargetControlID="txtstreet">
                                                                            </cc1:TextBoxWatermarkExtender>

                                                                        </div>

                                                                        <div class="col-xs-1"></div>
                                                                        <div class="col-xs-4">
                                                                            <asp:TextBox ID="txtcity" runat="server" CssClass="form-control" onpaste="return false" ondrop="return false"
                                                                                onkeypress="return chkCharacter_only(event)" MaxLength="25"></asp:TextBox>
                                                                            <cc1:TextBoxWatermarkExtender ID="wtxtcity" runat="server" WatermarkText="City" TargetControlID="txtcity">
                                                                            </cc1:TextBoxWatermarkExtender>
                                                                            <asp:TextBox ID="txtstate" runat="server" CssClass="form-control" onpaste="return false" ondrop="return false"
                                                                                onkeypress="return chkCharacter_only(event)" MaxLength="25"></asp:TextBox>
                                                                            <cc1:TextBoxWatermarkExtender ID="wtxtstate" runat="server" WatermarkText="State"
                                                                                TargetControlID="txtstate">
                                                                            </cc1:TextBoxWatermarkExtender>
                                                                            <asp:TextBox ID="txtCountry" onpaste="return false" CssClass="form-control" ondrop="return false" runat="server"
                                                                                onkeypress="return chkCharacter_only(event)" MaxLength="25"></asp:TextBox>
                                                                            <cc1:TextBoxWatermarkExtender ID="wtxtCountry" runat="server" WatermarkText="Country"
                                                                                TargetControlID="txtCountry">
                                                                            </cc1:TextBoxWatermarkExtender>
                                                                        </div>


                                                                    </div>
                                                                </div>


                                                                <div id="spLatlng" name="spLatlng" runat="server" style="display: none;">
                                                                    <div class="row gridrow-space">
                                                                        <div class="col-xs-1">
                                                                            <asp:Label ID="Label2" runat="server" ForeColor="Red">*</asp:Label>
                                                                        </div>

                                                                        <div class="col-xs-5 col-Landmark nullpadding">
                                                                            <asp:TextBox ID="txtlat" CssClass="form-control" runat="server" MaxLength="17" onkeypress="return chkDecNums(event,this);"></asp:TextBox>
                                                                            <cc1:TextBoxWatermarkExtender ID="wtxtlat" runat="server" WatermarkText="Latitude"
                                                                                TargetControlID="txtlat">
                                                                            </cc1:TextBoxWatermarkExtender>
                                                                        </div>

                                                                        <div class="col-xs-5 nullpadding">
                                                                            <asp:TextBox ID="txtlong" CssClass="form-control" runat="server" MaxLength="17" onkeypress="return chkDecNums(event,this);"></asp:TextBox>
                                                                            <cc1:TextBoxWatermarkExtender ID="wtxtlong" runat="server" WatermarkText="Longitude"
                                                                                TargetControlID="txtlong">
                                                                            </cc1:TextBoxWatermarkExtender>
                                                                        </div>
                                                                    </div>
                                                                </div>




                                                                <div class="row gridrow-space">
                                                                    <div class="col-xs-1"></div>
                                                                    <div class="col-xs-5 col-Landmark nullpadding">
                                                                        <div class="LandmarkPaddingStyleASPX">
                                                                            <span class="dropdown">
                                                                                <div style="position: relative;">
                                                                                    <dxw:ASPxComboBox ID="ddlCategory" Style="width: 120px!important;" ClientInstanceName="ddlCategory" ItemStyle-Height="10px"
                                                                                        AutoPostBack="true" ItemImage-Height="16px" ItemImage-Width="16px" runat="server"
                                                                                        EnableIncrementalFiltering="true" EnableTheming="true" Theme="Office2003Blue"
                                                                                        CssFilePath="~/App_Themes/Office2003Blue/Editors/styles.css" CssPostfix="Office2003_Blue"
                                                                                        Height="20px" OnSelectedIndexChanged="ddlCategory_SelectedIndexChanged">
                                                                                        <ItemStyle Height="10px" />
                                                                                        <ItemImage Height="16px" Width="16px" />
                                                                                    </dxw:ASPxComboBox>
                                                                                </div>
                                                                            </span>
                                                                        </div>
                                                                    </div>
                                                                    <div class="col-xs-2 padding-width-lg-right" style="margin-left: -7px;">

                                                                        <asp:UpdatePanel ID="updLndCat" UpdateMode="Conditional" runat="server">
                                                                            <ContentTemplate>
                                                                                <div id="AddLandmarkCategory" runat="server">
                                                                                    <asp:ImageButton ID="lnkAdd" runat="server" ToolTip="Add LandMark Category" Style="width: auto; display: none"
                                                                                        ImageUrl="../images/add-icon.gif" CausesValidation="false" OnClientClick="ShowPopUp();AddCategory(); return false;"></asp:ImageButton>
                                                                                </div>
                                                                                <div id="EditLandmarkCategory" runat="server">
                                                                                    <asp:ImageButton ID="lnkEdit" ToolTip="Edit LandMark Category" runat="server" ImageUrl="../images/icn-edit.gif"
                                                                                        Style="width: auto; display: none" OnClick="lnkEdit_Click" OnClientClick="ShowPopUp();"></asp:ImageButton>
                                                                                </div>
                                                                            </ContentTemplate>
                                                                        </asp:UpdatePanel>

                                                                    </div>
                                                                    <div class="col-xs-4 nullpadding" style="margin-left: -27px;">
                                                                        <asp:ImageButton ID="btnAddress1" runat="server" ImageUrl="~/images/btn-locate-me.jpg"
                                                                            OnClientClick="ShowPopUp();if(PlotAddress()){HidePopUp(); return false;}else{HidePopUp(); return false;}"
                                                                            OnClick="btnAddress_Click" Visible="false" />
                                                                        <asp:LinkButton ID="btnAddress" runat="server" Width="120px" CssClass="MultilingualBtn" OnClientClick="ShowPopUp();if(PlotAddress()){HidePopUp(); return false;}else{HidePopUp(); return false;}"
                                                                            OnClick="btnAddress_Click">
                                                                            <span runat="server" class="MultilingualBtnspan">
                                                                                <div class="LocateMe">
                                                                                    <div id="AddressButDiv" runat="server" class="MultilingualBtnTextAlign">
                                                                                        Locate Me
                                                                                    </div>
                                                                                </div>
                                                                            </span>
                                                                        </asp:LinkButton>

                                                                    </div>

                                                                </div>


                                                                <div class="row gridrow-space">

                                                                    <div class="col-xs-1"></div>


                                                                    <div class="LandmarkPaddingStyle">
                                                                        <div class="col-xs-4 checkBox col-Landmark">

                                                                            <asp:CheckBox ID="chkNotify" CssClass="checkbox chkSettings radioLabel" runat="server" Text="Notify" onclick="validateNotification();" />

                                                                        </div>
                                                                        <div class="col-xs-8" style="margin-left: -50px;">
                                                                            <asp:ImageButton ID="btnAddNotifictions1" runat="server" OnClick="btnAddNotifictions_Click"
                                                                                ImageUrl="~/images/btn-manage-notification.jpg" OnClientClick="ShowPopUp();"
                                                                                Visible="false" />
                                                                            <asp:LinkButton ID="btnAddNotifictions" runat="server" CssClass="MultilingualBtn"
                                                                                OnClientClick="ShowPopUp();" OnClick="btnAddNotifictions_Click">
                                                                                <span runat="server" class="MultilingualBtnspan">
                                                                                    <div class="ManageNotification">
                                                                                        <div id="AddNotifictionsButDiv" runat="server" class="MultilingualBtnTextAlign">
                                                                                            Manage Notifications
                                                                                        </div>
                                                                                    </div>
                                                                                </span>
                                                                            </asp:LinkButton>
                                                                        </div>
                                                                    </div>
                                                                </div>


                                                                <div class="row gridrow-space">

                                                                    <div class="col-xs-1">
                                                                        <asp:Label ID="Label12" runat="server" ForeColor="Red">*</asp:Label>
                                                                    </div>

                                                                    <div class="col-xs-5 col-Landmark">
                                                                        <asp:Label ID="lblMandatory" runat="server" Text="Required Fields"></asp:Label>

                                                                    </div>
                                                                </div>

                                                                <div class="row gridrow-space">
                                                                    <div class="col-xs-1"></div>
                                                                    <div class="col-xs-9">
                                                                        <asp:ImageButton ID="btnLandMark1" runat="server" ImageUrl="~/images/btn-save.jpg"
                                                                            OnClientClick="if(AddToDB()){ShowPopUp();return true;}else{ HidePopUp(); return false;}"
                                                                            OnClick="btnLandMark_Click" ValidationGroup="grp" Visible="false" />
                                                                        <asp:ImageButton ID="btnCancel1" runat="server" ImageUrl="~/images/btn-cancel.jpg"
                                                                            OnClientClick="ShowPopUp();CancelLandmark(); showControls(0);document.getElementById('hdnIsCancel').value = 1;"
                                                                            OnClick="btnCancel_Click" Visible="false" />

                                                                        <asp:LinkButton ID="btnLandMark" runat="server" CssClass="MultilingualBtn" OnClientClick="if(AddToDB()){ShowPopUp();return true;}else{ HidePopUp(); return false;}"
                                                                            OnClick="btnLandMark_Click" ValidationGroup="grp">
                                                                            <span runat="server" class="MultilingualBtnspan">
                                                                                <div class="Save">
                                                                                    <div id="SaveButDiv" runat="server" class="MultilingualBtnTextAlign">
                                                                                        Save
                                                                                    </div>
                                                                                </div>
                                                                            </span>
                                                                        </asp:LinkButton>
                                                                        &nbsp;&nbsp;
                                                                         
                                                                     
                                                                    <asp:LinkButton ID="btnCancel" runat="server" CssClass="MultilingualBtn" OnClientClick="ShowPopUp();CancelLandmark(); showControls(0);"
                                                                        OnClick="btnCancel_Click">
                                                                        <span runat="server" class="MultilingualBtnspan">
                                                                            <div class="Cancel">
                                                                                <div id="CancelButDiv" runat="server" class="MultilingualBtnTextAlign">
                                                                                    Cancel
                                                                                </div>
                                                                            </div>
                                                                        </span>
                                                                    </asp:LinkButton>

                                                                    </div>
                                                                </div>

                                                            </div>


                                                        </asp:Panel>
                                                    </ContentTemplate>
                                                </asp:UpdatePanel>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                                <asp:HiddenField ID="hdnLandmarkEntries" runat="server" Value="" />
                                <div class="clear clearfix">
                                </div>
                                <div id="grid-dsply" style="width: 100%;">
                                    <asp:UpdatePanel ID="upExport" runat="server">
                                        <ContentTemplate>
                                            <div id="top">
                                                <div class="col-sm-12 col-md-12 pnlAlign">
                                                    <div class="col-sm-8 col-md-9">
                                                    </div>
                                                    <div class="col-sm-4 col-md-3">
                                                        <div class="pull-right">
                                                            <span class="txt">
                                                                <asp:ImageButton ID="btnImportLandmarks" runat="server" ImageUrl="~/images/import.jpg" /></span>
                                                            <span class="dropdownExport" style="width: 83px!important;">
                                                                <dxw:ASPxComboBox ID="ASPxCboExport" runat="server" ValueType="System.String" Width="80px" Height="20px"
                                                                    ShowImageInEditBox="false" ItemImage-Height="12px" ClientInstanceName="ASPxCboExport" SelectedIndex="0" EnableTheming="true"
                                                                    Theme="Office2003Blue" CssFilePath="~/App_Themes/Office2003Blue/Editors/styles.css" CssPostfix="Office2003_Blue">
                                                                    <Items>
                                                                        <dxw:ListEditItem ImageUrl="../images/icn-pdf.jpg" Text="pdf" Value="pdf" />
                                                                        <dxw:ListEditItem ImageUrl="../images/icn-excel.jpg" Text="xls" Value="xls" />
                                                                        <dxw:ListEditItem ImageUrl="../images/icn-excel-xlsx.png" Text="xlsx" Value="xlsx" />
                                                                        <dxw:ListEditItem ImageUrl="../images/icn-word.jpg" Text="rtf" Value="rtf" />
                                                                        <%--<dxw:ListEditItem ImageUrl="../images/icn-csv.gif" Text="csv" Value="csv" />--%>
                                                                    </Items>
                                                                </dxw:ASPxComboBox>
                                                            </span>
                                                            <div class="ExportAlign">
                                                                <asp:ImageButton ID="btnExport1" runat="server" ImageUrl="~/images/btn-export.jpg"
                                                                    OnClick="btnExport_Click" Visible="false" />
                                                                <asp:LinkButton ID="btnExport" runat="server" CssClass="MultilingualBtn" OnClick="btnExport_Click"
                                                                    OnClientClick="ShowPopUp();">
                                                                    <span runat="server" class="MultilingualBtnspan">
                                                                        <div class="Export">
                                                                            <div id="ExportButDiv" runat="server" class="MultilingualBtnTextAlign">
                                                                                Export
                                                                            </div>
                                                                        </div>
                                                                    </span>
                                                                </asp:LinkButton>
                                                            </div>
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>

                                            <dxw:ASPxButton ID="btnFieldChooser" runat="server" BackgroundImage-ImageUrl="~/images/icn-addRemoveColumns.png"
                                                Image-AlternateText="Toggle Field Chooser" RenderMode="Link" Height="20px" Width="20px" ToolTip="Toggle Field Chooser"
                                                Visible="false">
                                                <ClientSideEvents Click="function(s,e) {
                                                                if (gvData.IsCustomizationWindowVisible())
                                                                    gvData.HideCustomizationWindow();
                                                                else
                                                                    gvData.ShowCustomizationWindow();
                                                                }" />
                                            </dxw:ASPxButton>

                                            <cc1:ModalPopupExtender ID="mpeLandmarkDetailsLoad" runat="server" BackgroundCssClass="modalbackground"
                                                PopupControlID="pnlImportLandmarks" TargetControlID="btnImportLandmarks" X="280"
                                                CancelControlID="ibtnCancelImport">
                                            </cc1:ModalPopupExtender>
                                        </ContentTemplate>
                                        <Triggers>
                                            <asp:PostBackTrigger ControlID="btnImportLandmarks" />
                                        </Triggers>
                                    </asp:UpdatePanel>
                                    <div class="clear clearfix">
                                    </div>
                                    <asp:UpdatePanel ID="updGrid" runat="server" UpdateMode="Conditional">
                                        <ContentTemplate>
                                            <dxw:ASPxPopupMenu ID="ExportContextMenu" runat="server" ClientInstanceName="ExportContextMenu"
                                                EnableTheming="true" Theme="Office2003Blue" OnItemClick="ExportContextMenu_ItemClick" Visible="true">
                                                <Items>
                                                    <dxw:MenuItem Name="ExportToPDF" Text="Export to PDF" Image-Url="../images/icn-pdf.jpg" />
                                                    <%--ToolTip="Click to Export to PDF"--%>
                                                    <dxw:MenuItem Name="ExportToXLS" Text="Export to XLS" Image-Url="../images/icn-excel.jpg" />
                                                    <%--ToolTip="Click to Export to XLS"--%>
                                                    <dxw:MenuItem Name="ExportToXLSX" Text="Export to XLSX" Image-Url="../images/icn-excel-xlsx.png" />
                                                    <%--ToolTip="Click to Export to XLSX"--%>
                                                    <dxw:MenuItem Name="ExportToRTF" Text="Export to RTF" Image-Url="../images/icn-word.jpg" />
                                                    <%--ToolTip="Click to Export to RTF"--%>
                                                </Items>
                                                <ClientSideEvents ItemClick="function(s, e) { ExportContextMenu.Hide(); }" />
                                            </dxw:ASPxPopupMenu>
                                            <div class="clear clearfix">
                                            </div>
                                            <div class="table-responsive">
                                                <dxw:ASPxGridView ID="gvData" ClientInstanceName="gvData" KeyFieldName="LandMarkId"
                                                    runat="server" EnableTheming="true" Theme="Office2003Blue" Width="100%" AutoGenerateColumns="False"
                                                    CssFilePath="~/App_Themes/Office2003Blue/GridView/grid.css" CssPostfix="Office2003_Blue"
                                                    OnHtmlRowCreated="gvData_OnHtmlRowCreated" OnFillContextMenuItems="gvData_FillContextMenuItems" ToolTip="Right Click for more options...">
                                                    <%--<Images ImageFolder="~/App_Themes/Office2003Blue/GridView/">
                                                <CollapsedButton Height="12px" Url="~/App_Themes/Office2003Blue/GridView/gvCollapsedButton.png"
                                                    Width="11px" />
                                                <ExpandedButton Height="12px" Url="~/App_Themes/Office2003Blue/GridView/gvExpandedButton.png"
                                                    Width="11px" />
                                                <DetailCollapsedButton Height="12px" Url="~/App_Themes/Office2003Blue/GridView/gvCollapsedButton.png"
                                                    Width="11px" />
                                                <DetailExpandedButton Height="12px" Url="~/App_Themes/Office2003Blue/GridView/gvExpandedButton.png"
                                                    Width="11px" />
                                            </Images>--%>
                                                    <Styles CssFilePath="~/App_Themes/Office2003Blue/{0}/grid.css" AlternatingRow-Enabled="True"
                                                        CssPostfix="Office2003_Blue">
                                                        <Header ImageSpacing="5px" SortingImageSpacing="5px">
                                                        </Header>
                                                        <LoadingPanel ImageSpacing="10px">
                                                        </LoadingPanel>
                                                        <PagerBottomPanel CssClass="PageFooter">
                                                        </PagerBottomPanel>
                                                        <PagerTopPanel CssClass="PageFooter">
                                                        </PagerTopPanel>
                                                    </Styles>
                                                    <SettingsPager PrevPageButton-Image-Url="../App_Themes/Office2003 Blue/GridView/pPrev.gif"
                                                        PrevPageButton-Image-UrlDisabled="../App_Themes/Office2003 Blue/GridView/pPrevDisabled.gif"
                                                        NextPageButton-Image-UrlDisabled="../App_Themes/Office2003 Blue/GridView/pNextDisabled.gif"
                                                        NextPageButton-Image-Url="../App_Themes/Office2003 Blue/GridView/pNext.gif" AlwaysShowPager="true"
                                                        PageSize="50" Mode="ShowPager">
                                                    </SettingsPager>
                                                    <SettingsPopup CustomizationWindow-HorizontalAlign="RightSides" CustomizationWindow-VerticalAlign="TopSides" />
                                                    <SettingsBehavior EnableCustomizationWindow="false" />
                                                    <SettingsContextMenu Enabled="true" EnableGroupPanelMenu="False" ColumnMenuItemVisibility-GroupByColumn="false" ColumnMenuItemVisibility-ShowGroupPanel="false"
                                                        EnableFooterMenu="False" ColumnMenuItemVisibility-ShowFooter="false" RowMenuItemVisibility-NewRow="false" RowMenuItemVisibility-EditRow="false"
                                                        RowMenuItemVisibility-DeleteRow="false" EnableRowMenu="false">
                                                    </SettingsContextMenu>
                                                    <ClientSideEvents Init="function(s,e) {
                                                            $('.dxgvFilterRow_Office2003Blue').attr('title', '');
                                                            $('.dxgvPagerBottomPanel_Office2003Blue').attr('title', '');                                                            
                                                        }"
                                                        EndCallback="function(s,e) {
                                                                $('.dxgvFilterRow_Office2003Blue').attr('title', '');
                                                                $('.dxgvPagerBottomPanel_Office2003Blue').attr('title', '');                                                            
                                                            }"
                                                        ContextMenu="function OnContextMenu(s, e) {
                                                                if (e.objectType == 'row') {
                                                                    ExportContextMenu.ShowAtPos(ASPxClientUtils.GetEventX(e.htmlEvent), ASPxClientUtils.GetEventY(e.htmlEvent));
                                                                }
                                                            }" />
                                                    <Columns>
                                                        <dxw:GridViewDataTextColumn Caption="AutoID" FieldName="LandMarkId" VisibleIndex="0"
                                                            Visible="false" ShowInCustomizationForm="false">
                                                        </dxw:GridViewDataTextColumn>
                                                        <dxw:GridViewDataTextColumn Caption="LandMark Name" FieldName="LandMarkName" VisibleIndex="1"
                                                            Width="10%">
                                                            <HeaderCaptionTemplate>
                                                                <span class="icon">
                                                                    <asp:Image ImageUrl="../images/landmark-icon.gif" ImageAlign="top" AlternateText=""
                                                                        runat="server" ID="imgLandmarkName" /></span>
                                                                <asp:Label ID="lblLandmarkName" runat="server" CssClass="label" Text="Landmark Name"></asp:Label>
                                                            </HeaderCaptionTemplate>
                                                        </dxw:GridViewDataTextColumn>
                                                        <dxw:GridViewDataTextColumn Caption="Description" FieldName="Description" VisibleIndex="2"
                                                            Width="10%">
                                                            <HeaderCaptionTemplate>
                                                                <span class="icon">
                                                                    <asp:Image ImageUrl="../images/icn-description.gif" ImageAlign="top" AlternateText=""
                                                                        runat="server" ID="imgLandmarkDesc" /></span>
                                                                <asp:Label ID="lblLandmarkDescCaption" runat="server" CssClass="label" Text="Description"></asp:Label>
                                                            </HeaderCaptionTemplate>
                                                        </dxw:GridViewDataTextColumn>
                                                        <dxw:GridViewDataTextColumn Caption="Latitude" FieldName="Latitude" VisibleIndex="3"
                                                            Visible="true" Width="5%">
                                                            <HeaderCaptionTemplate>
                                                                <span class="label">
                                                                    <asp:Label ID="lblLatitude" runat="server" Text="Latitude"></asp:Label>
                                                                </span>
                                                            </HeaderCaptionTemplate>
                                                        </dxw:GridViewDataTextColumn>
                                                        <dxw:GridViewDataTextColumn Caption="Longitude" FieldName="Longitude" VisibleIndex="4"
                                                            Visible="true" Width="5%">
                                                            <HeaderCaptionTemplate>
                                                                <span class="label">
                                                                    <asp:Label ID="lblLongitude" runat="server" Text="Longitude"></asp:Label>
                                                                </span>
                                                            </HeaderCaptionTemplate>
                                                        </dxw:GridViewDataTextColumn>
                                                        <dxw:GridViewDataTextColumn Caption="StreetAddress" FieldName="StreetAddress" Width="15%"
                                                            VisibleIndex="5" CellStyle-Wrap="true">
                                                            <HeaderCaptionTemplate>
                                                                <span class="icon">
                                                                    <asp:Image ImageUrl="../images/icn-address.gif" ImageAlign="top" AlternateText=""
                                                                        ID="imgStreetAddressCaption" runat="server" /></span>
                                                                <asp:Label Text="Street Address" CssClass="label" ID="lblAddressCaption" runat="server"></asp:Label>
                                                            </HeaderCaptionTemplate>
                                                        </dxw:GridViewDataTextColumn>
                                                        <dxw:GridViewDataTextColumn Caption="Radius" FieldName="Radius" VisibleIndex="6"
                                                            Width="7%">
                                                            <HeaderCaptionTemplate>
                                                                <span class="icon">
                                                                    <asp:Image ImageUrl="../images/icn-radius.gif" ImageAlign="top" AlternateText=""
                                                                        runat="server" ID="imgRadiusIcon" /></span>
                                                                <asp:Label ID="lblRadiusCaption" runat="server" CssClass="label" Text="Radius"></asp:Label>
                                                            </HeaderCaptionTemplate>
                                                        </dxw:GridViewDataTextColumn>
                                                        <dxw:GridViewDataTextColumn Caption="Severity" FieldName="Severity" VisibleIndex="7"
                                                            Width="7%">
                                                            <HeaderCaptionTemplate>
                                                                <span class="icon">
                                                                    <asp:Image ID="imgSeverityCaption" runat="server" ImageUrl="../images/icn-severity.gif"
                                                                        ImageAlign="top" AlternateText="" /></span>
                                                                <asp:Label ID="lblSeverityCaption" runat="server" CssClass="label" Text="Severity"></asp:Label>
                                                            </HeaderCaptionTemplate>
                                                        </dxw:GridViewDataTextColumn>
                                                        <dxw:GridViewDataTextColumn Caption="CategoryName" FieldName="CategoryName" VisibleIndex="7"
                                                            Width="8%">
                                                            <HeaderCaptionTemplate>
                                                                <span class="icon">
                                                                    <asp:Image runat="server" ImageUrl="../images/icn-category.gif" ID="imgCategory"
                                                                        align="top" AlternateText="Category" ToolTip="Category" /></span> <span class="label">
                                                                            <asp:Label ID="lblCategory" runat="server" Text="Category"></asp:Label>
                                                                        </span>
                                                            </HeaderCaptionTemplate>
                                                        </dxw:GridViewDataTextColumn>
                                                        <dxw:GridViewDataTextColumn Caption="EmailUserNameList" FieldName="EmailUserNameList"
                                                            VisibleIndex="8" Width="12%">
                                                            <HeaderCaptionTemplate>
                                                                <span class="icon">
                                                                    <asp:Image ID="imgEmailUsers" runat="server" ImageUrl="../images/icn-email-users.gif"
                                                                        align="top" AlternateText="Email Users" ToolTip="Email Users" /></span>
                                                                <span class="label">
                                                                    <asp:Label ID="lblEmailUsers" runat="server" Text="Email Users"></asp:Label>
                                                                </span>
                                                            </HeaderCaptionTemplate>
                                                        </dxw:GridViewDataTextColumn>
                                                        <dxw:GridViewDataTextColumn Caption="SMSUserNameList" FieldName="SMSUserNameList"
                                                            VisibleIndex="9" Width="11%">
                                                            <HeaderCaptionTemplate>
                                                                <span class="icon">
                                                                    <asp:Image ID="imgSMSUsers" runat="server" ImageUrl="../images/icn-sms-users.gif"
                                                                        align="top" AlternateText="SMS Users" ToolTip="SMS Users" /></span> <span class="label">
                                                                            <asp:Label ID="lblSMSUsers" runat="server" Text="SMS Users"></asp:Label>
                                                                        </span>
                                                            </HeaderCaptionTemplate>
                                                        </dxw:GridViewDataTextColumn>
                                                        <dxw:GridViewDataTextColumn Caption="View" Width="3%" Name="View">
                                                            <HeaderTemplate>
                                                            </HeaderTemplate>
                                                            <DataItemTemplate>
                                                                <asp:LinkButton ID="ibView" runat="server" OnClick="ibView_Click" OnClientClick="ShowPopUp();"
                                                                    CommandArgument='<%# Eval("LandMarkId") %>' Style="text-decoration: none;"><img src="../images/icn-view.gif" alt="Click here to View" title="Click here to View"/></asp:LinkButton>
                                                            </DataItemTemplate>
                                                        </dxw:GridViewDataTextColumn>
                                                        <dxw:GridViewDataTextColumn Caption="Edit" CellStyle-HorizontalAlign="Center" Width="3%"
                                                            Name="Edit">
                                                            <HeaderTemplate>
                                                            </HeaderTemplate>
                                                            <DataItemTemplate>
                                                                <asp:LinkButton ID="ibEdit" runat="server" CommandArgument='<%# Eval("LandMarkId") %>'
                                                                    CommandName="Edit" OnClick="ibEdit_Click" OnClientClick="ShowPopUp();" Style="text-decoration: none;"><img src="../images/icn-edit.gif" alt="Click here to Edit" title="Click here to Edit"/></asp:LinkButton>
                                                            </DataItemTemplate>
                                                        </dxw:GridViewDataTextColumn>
                                                        <dxw:GridViewDataTextColumn Caption="Delete" CellStyle-HorizontalAlign="Center"
                                                            Width="3%" Name="Delete">
                                                            <HeaderTemplate>
                                                            </HeaderTemplate>
                                                            <DataItemTemplate>
                                                                <asp:LinkButton ID="ibDelete" runat="server" CommandArgument='<%# Eval("LandMarkId") %>'
                                                                    CommandName="Delete" OnClick="ibDelete_Click" OnClientClick="ShowPopUp();" Style="text-decoration: none;"><img src="../images/delete-icon.gif" alt="Click here to Delete" title="Click here to Delete"/></asp:LinkButton>
                                                                <asp:HiddenField ID="hdnDelete" runat="server" Value='<%#Eval("IsAbleToDelete") %>' />
                                                            </DataItemTemplate>
                                                        </dxw:GridViewDataTextColumn>
                                                        <dxw:GridViewDataTextColumn Caption="Type" FieldName="LandmarkType" VisibleIndex="10"
                                                            Visible="false" ShowInCustomizationForm="false">
                                                        </dxw:GridViewDataTextColumn>
                                                    </Columns>
                                                    <Settings ShowStatusBar="Auto" ShowFilterRow="true" ShowGroupPanel="false" ShowVerticalScrollBar="true"
                                                        VerticalScrollableHeight="125" />
                                                    <SettingsText EmptyDataRow="No Landmarks Identified" />
                                                    <SettingsBehavior ColumnResizeMode="NextColumn" AllowSort="true" AllowDragDrop="true"
                                                        AllowGroup="true" AllowFocusedRow="false" AllowMultiSelection="true" />
                                                </dxw:ASPxGridView>

                                            </div>

                                            <dxw:ASPxGridViewExporter ID="ASPxGridViewExporter1" runat="server" GridViewID="gvData"
                                                OnRenderBrick="ASPxGridViewExporter1_RenderBrick"
                                                ReportHeader="{\rtf1\ansi\ansicpg1252\deff0\deflang1033{\fonttbl{\f0\fnil\fcharset0 Arial;}}
                                                                \viewkind4\uc1\pard\qc\b\fs28 Landmark Details    \par
                                                                \pard\par
                                                                \par
                                                                }
                                                                ">
                                                <PageFooter Right="[Page # of Pages #]">
                                                </PageFooter>
                                            </dxw:ASPxGridViewExporter>
                                        </ContentTemplate>
                                    </asp:UpdatePanel>
                                </div>
                            </div>

                        </div>
                    </div>
                    <!-- Main Content Ends Here -->
                    <div id="left">
                    </div>
                    <div class="clear clearfix">
                    </div>
                </div>
                <div id="right">
                </div>
                <div class="clear clearfix">
                </div>
            </div>

            <asp:HiddenField runat="server" ID="hdnLand" />
            <!-- Popup Starts here -->
            <asp:UpdatePanel ID="updNotify" runat="server" UpdateMode="Conditional">
                <ContentTemplate>
                    <asp:Panel ID="pnlNotificationsList" runat="server" CssClass="notifyManagePanel col-xs-9">
                        <uc3:NotificationsList ID="ucNotificationList" runat="server" NotificationType="3" />
                    </asp:Panel>
                </ContentTemplate>
            </asp:UpdatePanel>
            <asp:Button ID="btnTesting" Style="display: none" runat="server" />
            <asp:Panel ID="pnlAddressLocating" runat="server" CssClass="col-sm-7 col-md-8" Style="display: none;">
                <div id="message" class="col-sm-12" style="position: absolute; z-index: 100;">
                    &nbsp;
                </div>
            </asp:Panel>
            <asp:Button ID="btnShowMsg" runat="server" Style="display: none" />
            <%--<cc1:ModalPopupExtender ID="ModalPopupExtender1" runat="server" TargetControlID="btnShowMsg"
        PopupControlID="pnlInfoWindow" >
    </cc1:ModalPopupExtender>--%>
            <!-- Popup Ends here -->
            <!-- Popup For Add or Edit landmark Category -->
            <asp:Button ID="hdnAddEditLandmarkCategory" runat="server" Style="display: none" />
            <asp:HiddenField ID="hdnCategoryOprType" runat="server" />
            <asp:Panel ID="pnlAddEditLandmarkCategory" runat="server" CssClass="edit-LandmarkPanel col-sm-7 col-md-5 col-lg-5 ">
                <asp:UpdatePanel ID="upLandmarkCate" runat="server">
                    <ContentTemplate>
                        <div class="popup">

                            <div class="top">
                                <h1>
                                    <asp:Label ID="lblResetPwd" Text="Add / Edit Landmark Category" runat="server"></asp:Label></h1>
                                <div class="close">
                                    <asp:ImageButton ID="ibtClose" runat="server" OnClientClick="CloseCategoryPopup(); return false;"
                                        ImageUrl="~/Images/popup-close.gif" />
                                </div>
                                <div class="clear clearfix">
                                </div>
                            </div>
                            <%-- <div class="popup-cont">--%>
                            <div class="form-tbl form-landmark">

                                <div class="row row-Geozone" style="margin-left: 0px;">
                                    <div class="col-sm-3">
                                        <asp:Label ID="lblCategoryName" runat="server" Text="Category Name" CssClass="label"></asp:Label>
                                        <span style="color: Red">*</span>
                                    </div>

                                    <div class="col-sm-8">
                                        <asp:TextBox ID="txtCategoryName" runat="server" CssClass="form-control" MaxLength="25" onpaste="return false"
                                            ondrop="return false" onkeypress="return chkAlphaNumericWithSpace(event,this,24);"
                                            TabIndex="1"></asp:TextBox>
                                    </div>
                                </div>

                                <div class="row row-Geozone" style="margin-left: 0px;">
                                    <div class="col-sm-3">
                                        <asp:Label ID="lblDescription" runat="server" Text="Description" CssClass="label"></asp:Label>
                                        <span style="color: Red">*</span>
                                    </div>
                                    <div class="col-sm-8">
                                        <asp:TextBox ID="txtDescription" CssClass="form-control" TextMode="MultiLine" runat="server" Rows="5" TabIndex="2"
                                            MaxLength="500" onkeypress="return chkDescription(event,this,499);"
                                            onblur="return disallowScriptTags(this);"></asp:TextBox>
                                    </div>
                                </div>

                                <div class="row row-Geozone" style="margin-left: 0px;">
                                    <div class="col-sm-3">
                                        <asp:Label ID="lblImageUpload" runat="server" Text="Image Upload" CssClass="label"></asp:Label>
                                        <span style="color: Red">*</span>
                                    </div>
                                    <div class="col-sm-8">
                                        <asp:FileUpload ID="fuImageUpload" runat="server" onpaste="return false;" ondrop="return false;"
                                            TabIndex="3" onkeypress="return false;" onchange="readFileName();" />
                                        <asp:Label ID="lblFileName" runat="server" Text="" CssClass="label"></asp:Label>
                                    </div>

                                </div>



                                <asp:Image ID="imgUploded" runat="server" Style="display: none" TabIndex="4" ImageUrl="" />


                                <div class="row row-Geozone" style="margin-left: 0px;">
                                    <div class="col-sm-3"></div>
                                    <div class="col-sm-8">
                                        <asp:Label ID="lblFileType" runat="server" Text="(.png,.jpg,.jpeg,.bmp,.gif; max. 10KB)"
                                            Font-Size="8"></asp:Label>
                                    </div>
                                </div>



                                <div class="row row-Geozone" style="margin-left: 0px;">
                                    <div class="col-sm-3"></div>
                                    <div class="col-sm-8">
                                        <asp:ImageButton ID="btnSaveLandmarkCategory1" runat="server" CausesValidation="true"
                                            TabIndex="5" ValidationGroup="vgLandmark" ImageUrl="~/images/btn-save.jpg" OnClientClick="if(ValidateCategory()){ShowPopUp();return true;} else{return false;}"
                                            OnClick="btnSaveLandmarkCategory_Click" Visible="false" />
                                        <asp:LinkButton ID="btnSaveLandmarkCategory" runat="server" CausesValidation="true"
                                            ValidationGroup="vgLandmark" CssClass="MultilingualBtn" OnClientClick="if(ValidateCategory()){ShowPopUp();return true;} else{return false;}"
                                            OnClick="btnSaveLandmarkCategory_Click">
                                            <span runat="server" class="MultilingualBtnspan">
                                                <div class="Save">
                                                    <div id="SaveButDivCategory" runat="server" class="MultilingualBtnTextAlign">
                                                        Save
                                                    </div>
                                                </div>
                                            </span>
                                        </asp:LinkButton>
                                        <%-- <asp:ImageButton ID="btnDeleteCategory" runat="server" OnClick="btnDeleteCategory_Click"
                                                    TabIndex="6" ImageUrl="~/images/btn-delete.jpg" OnClientClick="ShowPopUp();"
                                                    vertical-align="bottom" />--%>
                                        <asp:LinkButton ID="btnDeleteCategory" runat="server" CssClass="MultilingualBtn"
                                            OnClick="btnDeleteCategory_Click" OnClientClick="ShowPopUp();">
                                            <span id="Span7" runat="server" class="MultilingualBtnspan">
                                                <div class="Delete">
                                                    <div id="DeleteButDivCategory" runat="server" class="MultilingualBtnTextAlign">
                                                        Delete
                                                    </div>
                                                </div>
                                            </span>
                                        </asp:LinkButton>
                                        <asp:ImageButton ID="btnCancelPwd1" runat="server" class="btn" ImageUrl="~/images/btn-cancel.jpg"
                                            onkeydown="return setFocus(event,'txtCategoryName');" CausesValidation="false"
                                            OnClientClick="CloseCategoryPopup(); return false;" TabIndex="7" Visible="false" />
                                        <asp:LinkButton ID="btnCancelPwd" runat="server" CssClass="MultilingualBtn" CausesValidation="false"
                                            OnClientClick="CloseCategoryPopup(); return false;">
                                            <span runat="server" class="MultilingualBtnspan">
                                                <div class="Cancel">
                                                    <div id="CancelButDivCategory" runat="server" class="MultilingualBtnTextAlign">
                                                        Cancel
                                                    </div>
                                                </div>
                                            </span>
                                        </asp:LinkButton>
                                    </div>


                                </div>
                            </div>
                            <%--</div>--%>
                        </div>
                        <asp:HiddenField ID="hdnLandmarkImage" runat="server" />
                    </ContentTemplate>
                    <Triggers>
                        <asp:PostBackTrigger ControlID="btnSaveLandmarkCategory" />
                        <%--<asp:PostBackTrigger ControlID="btnDeleteCategory" />           --%>
                    </Triggers>
                </asp:UpdatePanel>
            </asp:Panel>
            <!-- End -->


            <asp:Panel ID="pnlImportLandmarks" runat="server" Style="display: none;" CssClass="import-LandmarkPanel col-sm-7 col-md-5 col-lg-5">
                <asp:UpdatePanel ID="UpdatePanel1" runat="server">
                    <ContentTemplate>

                        <div class="popup">

                            <div class="top">
                                <h1>
                                    <asp:Label ID="lblFile" Text="Bulk Import Landmarks" runat="server"></asp:Label></h1>
                                <div class="close">
                                    <asp:ImageButton ID="ibtnClose" OnClientClick="$find('mpeLandmarkDetailsLoad').hide(); return false;"
                                        CausesValidation="false" ImageUrl="~/images/popup-close.gif" Visible="true" runat="server" />
                                </div>
                                <div class="clear clearfix">
                                </div>
                            </div>

                            <%--   <div class="popup-cont"> --%>
                            <div class="form-tbl form-landmark">
                                <div class="row form-group" style="margin-left: 0px;">
                                    <div class="col-sm-2">
                                        <asp:Label ID="lblDriverDetails" runat="server" Text="Select File" CssClass="label"></asp:Label>
                                    </div>
                                    <div class="col-sm-8">
                                        <asp:FileUpload ID="fuLandmarks" runat="server" onchange="return validateCSVFileUpload(this);" />
                                    </div>
                                </div>
                                <div class="row form-group" style="margin-left: 0px;">
                                    <div class="col-sm-2"></div>
                                    <div class="col-sm-8">
                                        <asp:ImageButton ID="ibtnUpdateDrivers1" runat="server" ImageUrl="~/images/btn-update.jpg"
                                            Visible="false" />
                                        <asp:LinkButton ID="ibtnUpdateLandmarkEntry" runat="server" CssClass="MultilingualBtn"
                                            TabIndex="17" OnClick="ibtnUpdateLandmarkEntry_Click" OnClientClick="return ValidateFileEmpty();">
                                            <span id="Span12" runat="server" class="MultilingualBtnspan">
                                                <div class="Update">
                                                    <div id="UpdateDiv" runat="server" class="MultilingualBtnTextAlign">
                                                        Update
                                                    </div>
                                                </div>
                                            </span>
                                        </asp:LinkButton>
                                        <asp:ImageButton ID="ibtnCancel1" runat="server" ImageUrl="~/images/btn-Cancel.jpg"
                                            Visible="false" />
                                        &nbsp;
                                                <asp:LinkButton ID="ibtnCancelImport" runat="server" CssClass="MultilingualBtn" TabIndex="19">
                                                    <span id="Span13" runat="server" class="MultilingualBtnspan">
                                                        <div class="Cancel">
                                                            <div id="CancelDiv" runat="server" class="MultilingualBtnTextAlign">
                                                                Cancel
                                                            </div>
                                                        </div>
                                                    </span>
                                                </asp:LinkButton>
                                        &nbsp;&nbsp;
                                                <asp:LinkButton ID="lbtnDownloadTemp" runat="server" Text="Download Template" OnClick="Download_Template"></asp:LinkButton>

                                    </div>
                                </div>

                            </div>
                        </div>
                    </ContentTemplate>
                    <Triggers>
                        <asp:PostBackTrigger ControlID="ibtnUpdateLandmarkEntry" />
                        <asp:PostBackTrigger ControlID="ibtnCancelImport" />
                        <asp:PostBackTrigger ControlID="lbtnDownloadTemp" />
                    </Triggers>
                </asp:UpdatePanel>
            </asp:Panel>

            <cc1:ModalPopupExtender ID="mpeProgressIndicator" runat="server" PopupControlID="progressPopUp"
                TargetControlID="btnTesting">
            </cc1:ModalPopupExtender>
            <%--<asp:Button ID="btnTesting1" Style="display: none;" runat="server" />--%>
            <asp:Panel ID="progressPopUp" runat="server" CssClass="processMessage" Style="display: none;">
                <center>
            <br />
            <img id="imgLoad" runat="server" alt="Please Wait ..." src="../images/47.gif" /><br />
            <br /> 
            <asp:Label ID="lbl_msg12" Text="Processing... Please Wait..." runat="server" CssClass="specialdisplay"></asp:Label>
            <br />
            <br />
            </center>
            </asp:Panel>
            <asp:HiddenField ID="hdnIsCancel" runat="server" Value="0" />
            <asp:HiddenField ID="hdnLatLong" runat="server" />
            <asp:HiddenField ID="hdnMapZoomLevel" runat="server" Value="" />
            <asp:HiddenField ID="hdnMapZoomLevelLatLong" runat="server" Value="" />
            <asp:HiddenField ID="hdnIsLocateMe" runat="server" Value="N" />
            <asp:HiddenField ID="hdnlang" runat="server" />
            <asp:HiddenField ID="hdnMapLng" runat="server" />

            <script type="text/javascript" src="../js/Callback.js"></script>

            <%--<script type="text/javascript" language="javascript" src="../js/jquery-1.3.2.js"></script>--%>

            <script language="javascript" type="text/javascript" src="../js/LandmarkScripts.js"></script>

            <%--  <script language="javascript" type="text/javascript" src="../js/Map_Google.js"></script>

    <script src="http://jsapi.lbsp.navteq.com/v1/jsl.js" type="text/javascript" charset="utf-8"></script>

    <script src="../js/Map_Navteq1.js" type="text/javascript"></script>--%>

            <script type="text/javascript" src="../js/GridCheckBoxMaintaining.js"></script>
            <script src="../js/myformvalidations.js" type="text/javascript"></script>
            <script src="../js/CommonFuncitonsInHeader.js" type="text/javascript"></script>

            <asp:HiddenField ID="hdnLogout" runat="server" />
        </form>
        <!-- Content Ends Here -->
    </div>
    <!-- Footer Starts Here -->
    <uc2:Footer ID="ucFooter" runat="server" />
    <!-- Footer Ends Here -->

    <script language="javascript" type="text/javascript">
        window.onload = function () {
            validateNotification();
        }
        var prm = Sys.WebForms.PageRequestManager.getInstance();
        prm.add_endRequest(function (s, e) {
            validateNotification();
        });
    </script>

    <script language="javascript" type="text/javascript">
        var AlertFileType = 'files are not allowed.\n\n Please upload only xls/xlsx files.';
        var AlertSelectStudent = 'Please select one or more Student.';
        var totalRecordCount = '';
        var totalPageCount = '';
        var _selectNumber = 0;
        var _all = false;
        var _handle = true;
        function setAlertMessageFileType(Filetype) {
            AlertFileType = Filetype;
        }
        function validateCSVFileUpload(obj) {
            var fileName = new String();
            var fileExtension = new String();
            var validfileextensions = "xls";
            var validfileextensions1 = "xlsx";
            var flag = false;
            // store the file name into the variable
            filename = obj.value;
            // extract and store the file extension into another variable
            fileextension = filename.substr(filename.length - 3, 3);
            // check over the valid file extensions to compare them with uploaded file
            if (fileextension.toLowerCase() == validfileextensions.toString().toLowerCase() || fileextension.toLowerCase() == validfileextensions1.toString().toLowerCase()) {
                flag = true;

            }
            else {
                TrinetraCustomAlerts(AlertFileType);
            }
        }


    </script>

</body>
</html>
