﻿<%@ page language="C#" autoeventwireup="true" inherits="Forms_SendReleaseUpdate, App_Web_uesuzxvd" %>

<%@ Register TagPrefix="cc" Namespace="Winthusiasm.HtmlEditor" Assembly="Winthusiasm.HtmlEditor" %>
<%@ Register Assembly="AjaxControlToolkit" Namespace="AjaxControlToolkit" TagPrefix="cc1" %>
<%@ Register Src="~/UserControls/New_Header.ascx" TagName="Header" TagPrefix="uc1" %>
<%@ Register Src="~/UserControls/New_Footer.ascx" TagName="Footer" TagPrefix="uc2" %>

<%--<%@ Register Assembly="DevExpress.Web.ASPxGridView.v8.2, Version=8.2.10.0, Culture=neutral, PublicKeyToken=9B171C9FD64DA1D1"
    Namespace="DevExpress.Web.ASPxGridView" TagPrefix="dxwgv" %>
<%@ Register Assembly="DevExpress.Web.ASPxEditors.v8.2, Version=8.2.10.0, Culture=neutral, PublicKeyToken=9B171C9FD64DA1D1"
    Namespace="DevExpress.Web.ASPxEditors" TagPrefix="dxe" %>
<%@ Register Assembly="DevExpress.Web.ASPxEditors.v8.2" Namespace="DevExpress.Web.ASPxEditors"
    TagPrefix="dxe" %>
<%@ Register Assembly="DevExpress.Web.ASPxGridView.v8.2.Export, Version=8.2.10.0, Culture=neutral, PublicKeyToken=9B171C9FD64DA1D1"
    Namespace="DevExpress.Web.ASPxGridView.Export" TagPrefix="exp" %>
<%@ Register Assembly="DevExpress.Web.ASPxEditors.v8.2, Version=8.2.10.0, Culture=neutral, PublicKeyToken=9B171C9FD64DA1D1"
    Namespace="DevExpress.Web.ASPxEditors" TagPrefix="dx" %>--%>

<%@ Register Assembly="DevExpress.Web.v14.2" Namespace="DevExpress.Web" TagPrefix="dxw" %>
<%@ Register Assembly="DevExpress.Web.ASPxHtmlEditor.v14.2" Namespace="DevExpress.Web.ASPxHtmlEditor" TagPrefix="dxh" %>

<!DOCTYPE html>
<html lang="en">
<head runat="server">
    <title>tSense-IoT Release Notes</title>
    <meta content="charset=utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1" />
    <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1" />
    <%--<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
    <meta http-equiv="Page-Enter" content="blendTrans(Duration=0)" />
    <meta http-equiv="Page-Exit" content="blendTrans(Duration=0)" />
    <meta http-equiv="X-UA-Compatible" content="IE=7" />--%>

    <link id="reset" runat="server" href="../css/reset.css" rel="stylesheet" type="text/css" />
    <link id="stylesheet2" runat="server" href="../css/stylesheet2.css" rel="stylesheet" type="text/css" />
    <link id="updatedcss" runat="server" href="../css/Updated_css.css" rel="stylesheet" type="text/css" />
    <link id="dropdown" runat="server" href="../css/dropdown.css" rel="stylesheet" type="text/css" />
    <link href="../css/CustomeAlert/demos.css" rel="stylesheet" type="text/css" />
    <link href="../css/CustomeAlert/themes/jquery.ui.all.css" rel="stylesheet" type="text/css" />

    <%--Custom Theme for DevEx 14.2--%>
    <link id="GridView" runat="server" type="text/css" href="~/App_Themes/Office2003Blue/GridView/grid.css" rel="stylesheet" />
    <link id="Editors" runat="server" type="text/css" href="~/App_Themes/Office2003Blue/Editors/styles.css" rel="stylesheet" />
    <link rel="SHORTCUT ICON" href="../images/favicon.ico" />

    <%--********* For Bootstrap Implementation *************--%>
    <link id="BootStrapCss" href="../css/bootstrap.css" runat="server" rel="stylesheet" type="text/css" />
    <link id="mainstyle" runat="server" href="../css/mainstyle.css" rel="stylesheet" type="text/css" />
    <%--********* End of Bootstrap Implementation *************--%>

    <style type="text/css">
        .preview1 {
            width: 578px;
            padding: 10px;
        }

        div#Content1 {
            width: 100%;
        }

        table#DemoTable {
            width: 780px;
        }

        td#EditorCell {
            width: 600px;
            vertical-align: top;
        }

        td#OptionsCell {
            width: 180px;
            vertical-align: top;
        }

        div#Options {
            width: 150px;
            margin-left: 5px;
        }

        div#DemoControls {
            width: 600px;
            height: 25px;
            line-height: 25px;
            text-align: center;
        }

        div#Preview {
            width: 598px;
            border: solid 1px gray;
            margin-top: 25px;
        }

        div#PreviewControls {
            height: 35px;
            line-height: 35px;
            text-align: left;
            border-bottom: solid 1px gray;
        }

        div.demoHeading {
            height: 25px;
            line-height: 25px;
            color: black;
            font-weight: bold;
            border-bottom: solid 1px gray;
            text-align: center;
        }

        div.optionsHeading {
            font-size: 10pt;
            border: none;
            text-align: left;
            margin-left: 10px;
        }

        div.optionsLabel {
            margin: 10px;
            font-weight: bold;
        }

        div.optionControls {
            margin-left: 10px;
        }

        div#Footer {
            margin-top: 10px;
            color: #7f9db9;
            font-size: 7pt;
        }

        div#Footer {
            margin-top: 10px;
            color: black;
            font-size: 7pt;
        }

        .style1 {
            width: 451px;
        }

        .dx-vam td {
            height: 0px !important;
        }
    </style>

    <script type="text/javascript">
        var mySelection = new Array();
        function GVContacts_SelectionChanged(s, e) {
            s.GetSelectedFieldValues("Email", GetSelectedFieldValuesCallback);
            s.GetSelectedFieldValues("ContactPerson", GetSelectedFieldValuesCallback1);
            //document.getElementById('hdnType').value = "Email";
        }
        function gvContactsNew_SelectionChanged(s, e) {
            s.GetSelectedFieldValues("Email", GetSelectedFieldValuesCallback);
            //s.GetSelectedFieldValues("ContactPerson", GetSelectedFieldValuesCallback1);
            // document.getElementById('hdnType').value = "Email";

            //   s.GetSelectedFieldValues("OrganizationId", GetSelectedFieldValuesCallback);
            // s.GetSelectedFieldValues("ContactPerson", GetSelectedFieldValuesCallback1);
            //s.GetSelectedFieldValues("OrganizationId", GetSelectedFieldValuesCallback1);
        }
        function GetSelectedFieldValuesCallback(values) {
            //selList.BeginUpdate();
            try {
                // selList.ClearItems();
                document.getElementById("hdnContacts").value = '';
                for (var i = 0; i < values.length; i++) {
                    if (document.getElementById("hdnContacts").value == '') {
                        document.getElementById("hdnContacts").value = values[i];
                        //  document.getElementById('hdnType').value = "Email";
                    }
                    else {

                        document.getElementById("hdnContacts").value = values[i] + '|' + document.getElementById("hdnContacts").value;
                        // document.getElementById('hdnType').value = "Email";
                    }
                    //mySelection[i] = values[i];
                    //selList.AddItem(values[i]);
                    //alert(document.getElementById("hdnContacts").value);
                }
            } finally {
                //selList.EndUpdate();
            }
            //document.getElementById("selCount").innerHTML = grid.GetSelectedRowCount();
        }
        function GetSelectedFieldValuesCallback1(values1) {
            //selList.BeginUpdate();
            try {
                // selList.ClearItems();
                document.getElementById("hdnContactName").value = '';
                for (var i = 0; i < values1.length; i++) {
                    if (document.getElementById("hdnContactName").value == '') {
                        document.getElementById("hdnContactName").value = values1[i];
                        // document.getElementById('hdnType').value = "Email";
                    }
                    else {
                        document.getElementById("hdnContactName").value = values1[i] + '|' + document.getElementById("hdnContactName").value;
                        //document.getElementById('hdnType').value = "Email";
                    }
                }
            } finally {
                //selList.EndUpdate();
            }
        }
    </script>
    <script type="text/javascript">
        //Trim the input text
        function Trim(input) {
            var lre = /^\s*/;
            var rre = /\s*$/;
            input = input.replace(lre, "");
            input = input.replace(rre, "");
            return input;
        }
        // filter the files before Uploading for text file only  
        function CheckForTestFile() {
            var file = document.getElementById('UploadContacts');
            var fileName = file.value;
            //Checking for file browsed or not 
            if (Trim(fileName) == '') {
                alert("Please select a file to Get contact(s)!!!");
                file.focus();
                return false;
            }
            //Setting the extension array for diff. type of text files 
            var extArray = new Array(".csv");
            //getting the file name
            while (fileName.indexOf("\\") != -1)
                fileName = fileName.slice(fileName.indexOf("\\") + 1);
            //Getting the file extension                     
            var ext = fileName.slice(fileName.indexOf(".")).toLowerCase();
            //matching extension with our given extensions.
            for (var i = 0; i < extArray.length; i++) {
                if (extArray[i] == ext) {
                    return true;
                }
            }
            alert("Please only upload files that end in types:  "
           + (extArray.join("  ")) + "\nPlease select a new "
           + "file to upload and submit again.");
            file.focus();
            return false;
        }
    </script>
    <script src="../js/jquery-1.11.2.min.js" type="text/javascript"></script>
    <script lang="JavaScript1.2" type="text/javascript" src="../js/SendReleaseUpdateScript.js"></script>
    <script src="../js/wow.min.js"></script>
</head>
<body>
    <div class="pageContainer">
        <form id="form1" runat="server">
            <asp:ScriptManager ID="smNews" runat="server"></asp:ScriptManager>
            <asp:UpdatePanel ID="upNews" runat="server">
                <ContentTemplate>
                    <!-- Header Starts Here -->
                    <uc1:Header ID="ucHeader" runat="server" />
                    <!-- Nav Ends Here -->
                    <!-- Content Starts Here -->
                    <div id="outer">
                        <div id="inner">
                            <div id="float-wrap">
                                <!-- Do not delete 'btnTest' Button -->
                                <asp:Button ID="btnTest" Text="Test" CssClass="ControlHide" runat="server" OnClick="btnTest_Click" />
                                <!-- Main Content Starts Here -->
                                <div id="content">
                                    <div class="content-wrap">
                                        <div id="top-content" class="head-part">
                                            <div id="heading" class="col-sm-4">
                                                <img class="icon" src="../images/configuration-icon.jpg" alt="" />
                                                <h1>
                                                    <asp:Literal ID="lblConfigurationSetupCaption" Text="Configuration" runat="server"></asp:Literal>
                                                </h1>
                                                <asp:LinkButton ID="lnkHomeCaption" runat="server"></asp:LinkButton>
                                                <span>&gt;</span>
                                                <span>
                                                    <a href="SendReleaseUpdate.aspx">
                                                        <asp:Label ID="lblrelease" Text="Send Release Mail" runat="server"></asp:Label>
                                                    </a>
                                                </span>
                                            </div>
                                            <div class="col-sm-8 head-part-btns">
                                                <div class="pull-right">
                                                    <asp:HyperLink ID="lbtConfiguration" runat="server" NavigateUrl="~/Forms/ConfigurationSetup.aspx"
                                                        ImageUrl="~/images/btn-back-to-configuration.jpg"></asp:HyperLink>
                                                </div>
                                            </div>
                                            <div class="clear clearfix"></div>
                                        </div>
                                        <div class="clear clearfix"></div>
                                        <div class="form-box">
                                            <h1>
                                                <span class="icon">
                                                    <img id="imgManageFleet" src="../images/SendReleaseNotes.png" runat="server" alt="" />
                                                </span>
                                                <asp:Label ID="lblManageFleet" Text="Send Release Mail" runat="server"></asp:Label>
                                            </h1>
                                            <asp:UpdatePanel ID="UpdatePanel1" runat="server" UpdateMode="Conditional">
                                                <Triggers>
                                                    <asp:AsyncPostBackTrigger ControlID="IbutSend" EventName="Click" />
                                                </Triggers>
                                                <ContentTemplate>
                                                    <asp:Panel ID="Panel1" runat="server" Style="width: 100%; height: 100%; margin-left: 1%">
                                                    </asp:Panel>
                                                </ContentTemplate>
                                            </asp:UpdatePanel>
                                            <div>
                                                <asp:Panel ID="PnlEditor" runat="server" Style="width: 100%; height: 500px;">
                                                    <table>
                                                        <tr valign="top">
                                                            <td id="EditorCell" colspan="3">
                                                                <br />
                                                                <%--<div id="EditorPanel">--%>

                                                                <%--<asp:UpdatePanel ID="UpdatePanel1" runat="server" UpdateMode="Conditional">
                                                                                            <Triggers>
                                                                                                <asp:AsyncPostBackTrigger ControlID="IbutSend" EventName="Click" />
                                                                                            </Triggers>
                                                                                            <ContentTemplate>
                                                                                                <asp:Panel ID="DesignPanel" runat="server">
                                                                                                    <cc:HtmlEditor ID="Editor" runat="server" Height="400px" Width="975px" HtmlModeEditable="False"
                                                                                                    ToggleMode="None" />
                                                                                                </asp:Panel>
                                                                                            </ContentTemplate>
                                                                                        </asp:UpdatePanel>--%>
                                                                <%--<div id="Preview">
                                                                                        <div id="PreviewHeading" runat="server" class="demoHeading">
                                                                                            Preview</div>
                                                                                        <div id="PreviewText">
                                                                                            <asp:UpdatePanel ID="UpdatePanel3" runat="server" UpdateMode="Conditional">
                                                                                                <Triggers>
                                                                                                    <asp:AsyncPostBackTrigger ControlID="butPreview" EventName="Click" />
                                                                                                </Triggers>
                                                                                                <ContentTemplate>
                                                                                                    <div id="TextPreview" runat="server" class="preview1">
                                                                                                    </div>
                                                                                                </ContentTemplate>
                                                                                            </asp:UpdatePanel>
                                                                                        </div>
                                                                                    </div>
                                                                            </div>--%>

                                                                <table class="form-tbl" border="0" cellpadding="0" cellspacing="0">
                                                                    <tr>
                                                                        <td width="100px">
                                                                            <img id="ImgTemplateName" src="../images/TemplateName.jpeg" runat="server" alt="" />
                                                                            <asp:Label ID="lblFilenameCaption" runat="server" Text="Template Name"></asp:Label>
                                                                        </td>
                                                                        <td width="100px" class="dropdown">
                                                                            <dxw:ASPxComboBox ID="ddlTemplate" runat="server" ValueType="System.String" ShowImageInEditBox="false"
                                                                                ClientInstanceName="ddlTemplate" SelectedIndex="-1" Width="190px" Height="20px" AutoPostBack="true"
                                                                                CssFilePath="~/App_Themes/Office2003Blue/Editors/styles.css" CssPostfix="Office2003_Blue" EnableTheming="true"
                                                                                Theme="Office2003Blue" OnSelectedIndexChanged="ddlTemplate_SelectedIndexChanged">
                                                                                <ClientSideEvents SelectedIndexChanged="function(s,e) {ShowPopUp();}" />
                                                                            </dxw:ASPxComboBox>
                                                                            <asp:TextBox ID="txtTemplatename" runat="server" Visible="false" Width="190px" MaxLength="180"></asp:TextBox>
                                                                            <asp:TextBox ID="txtTemplatenameEdit" runat="server" Visible="false" Width="190px"
                                                                                MaxLength="180"></asp:TextBox>
                                                                        </td>
                                                                        <td width="600px" style="padding-left: 0px;">
                                                                            <asp:ImageButton ID="ibtnAddTemplate" runat="server" ToolTip="Add Template" ImageUrl="../images/add-icon.gif"
                                                                                OnClick="ibtnAddTemplate_Click"></asp:ImageButton>
                                                                        </td>
                                                                    </tr>
                                                                </table>
                                                                <br />
                                                                <dxh:ASPxHtmlEditor ID="Editor" ClientInstanceName="Editor" runat="server" Height="400px" Width="975px"
                                                                    EnableTheming="true" Theme="Office2003Blue" ToolbarMode="Ribbon">
                                                                    <SettingsDialogFormElements InsertImageDialog-ShowFileUploadSection="false"></SettingsDialogFormElements>
                                                                    <SettingsImageUpload UploadImageFolder="">
                                                                        <ValidationSettings AllowedFileExtensions=".jpe,.jpeg,.jpg,.gif,.png" MaxFileSize="500000">
                                                                        </ValidationSettings>
                                                                    </SettingsImageUpload>
                                                                    <ClientSideEvents EndCallback="function(s,e)
                                                                                {
                                                                                        Editor.AdjustControl();
                                                                                }" />
                                                                </dxh:ASPxHtmlEditor>
                                                            </td>
                                                        </tr>
                                                        <tr>
                                                            <td colspan="3" align="center">
                                                                <asp:ImageButton ID="IbutSave" runat="server" ToolTip="Save & Next" Style="width: auto;"
                                                                    ImageUrl="../images/save-next.png" OnClick="IbutSave_Click" OnClientClick="ShowPopUp();"></asp:ImageButton>
                                                                <asp:ImageButton ID="IbutClear" runat="server" ToolTip="Clear" Style="width: auto;"
                                                                    ImageUrl="../images/btn-clear.jpg" OnClick="IbutClear_Click" OnClientClick="ShowPopUp();"></asp:ImageButton>
                                                                <%--<asp:Button ID="butNext" runat="server" Text="Next" OnClick="butNext_Click" />--%>
                                                                <asp:ImageButton ID="IbutDelete" runat="server" ToolTip="Delete" Style="width: auto;"
                                                                    ImageUrl="../images/btn-delete.jpg" OnClick="IbutDelete_Click" OnClientClick="return confirm('Do you want to really delete this Template?');"></asp:ImageButton>
                                                                <asp:ImageButton ID="IbutNext" runat="server" ToolTip="Next" Style="width: auto;"
                                                                    ImageUrl="../images/nextKey.png" OnClick="IbutNext_Click" OnClientClick="ShowPopUp();"></asp:ImageButton>
                                                            </td>
                                                        </tr>
                                                    </table>
                                                </asp:Panel>
                                            </div>
                                            <div>
                                                <div id="con" runat="server" style="display: none">
                                                    <div class="popup">
                                                        <asp:UpdatePanel ID="UpdatePaneSendMail" runat="server" UpdateMode="Conditional">
                                                            <ContentTemplate>
                                                                <div class="form-tbl">
                                                                    <div class="col-sm-12">
                                                                        <div class="form-horizontal">
                                                                            <div class="form-group">
                                                                                <div class="col-sm-2 padding-width-sm icon-img">
                                                                                    <asp:Label ID="lblSubject" runat="server" Text="Subject"></asp:Label>
                                                                                    <asp:Label ID="Label5" runat="server" ForeColor="Red">*</asp:Label>
                                                                                </div>
                                                                                <div class="col-sm-10 padding-width-sm">
                                                                                    <asp:TextBox ID="txtSubject" runat="server" CssClass="form-control" MaxLength="100"></asp:TextBox>
                                                                                </div>
                                                                            </div>
                                                                            <div class="form-group">
                                                                                <div class="col-sm-2 padding-width-sm icon-img">
                                                                                    <asp:Label ID="lblTemplateCaptionDisp" runat="server" Text="Add Attachment(s)"></asp:Label>
                                                                                </div>
                                                                                <div class="col-sm-6 col-md-5 col-lg-3 padding-width-sm">
                                                                                    <div class="col-sm-9 nullpadding">
                                                                                        <asp:FileUpload ID="AddAttachment" runat="server" />
                                                                                    </div>
                                                                                    <div class="col-sm-3 nullpadding">
                                                                                        <asp:Button ID="butAddAttachment" runat="server" Text="Attach File(s)" OnClick="butAddAttachment_Click"
                                                                                            OnClientClick="ShowPopUp();" />
                                                                                    </div>
                                                                                </div>
                                                                                <div class="col-sm-3 padding-width-sm">
                                                                                    <dxw:ASPxComboBox ID="ddlAttachmentLst" runat="server" ValueType="System.String"
                                                                                        ShowImageInEditBox="false" ClientInstanceName="ddlAttachmentLst" SelectedIndex="-1"
                                                                                        CssFilePath="~/App_Themes/Office2003Blue/Editors/styles.css" CssPostfix="Office2003_Blue"
                                                                                        EnableTheming="true" Theme="Office2003Blue" AutoPostBack="false" CssClass="form-control"
                                                                                        ToolTip="List of attached file(s)">
                                                                                    </dxw:ASPxComboBox>
                                                                                </div>
                                                                                <div class="col-sm-1 padding-width-sm">
                                                                                    <asp:ImageButton ID="IButRemoveAttachment" runat="server" ToolTip="Remove Attachment"
                                                                                        Style="width: auto;" ImageUrl="../images/icn-action-off.gif" OnClick="IButRemoveAttachment_Click"
                                                                                        OnClientClick="ShowPopUp();"></asp:ImageButton>
                                                                                </div>
                                                                            </div>
                                                                            <div class="form-group">
                                                                                <div class="col-sm-2 padding-width-sm icon-img">
                                                                                    <asp:Label ID="ImportXmlFileLBL" runat="server" Text="Import Contact(s)"></asp:Label>
                                                                                    <asp:Label ID="Label1" runat="server" ForeColor="Red">*</asp:Label>
                                                                                </div>
                                                                                <div class="col-sm-8 col-md-7 col-lg-5 padding-width-sm">
                                                                                    <div class="col-sm-6 nullpadding">
                                                                                        <asp:FileUpload ID="UploadContacts" runat="server" />
                                                                                    </div>
                                                                                    <div class="col-sm-3 nullpadding">
                                                                                        <asp:Button ID="butUploadContacts" runat="server" Text="Get Contact(s)" OnClick="butUploadContacts_Click"
                                                                                            OnClientClick="return CheckForTestFile();ShowPopUp();" />
                                                                                    </div>
                                                                                    <div class="col-sm-3 nullpadding">
                                                                                        <asp:LinkButton ID="LnkDownloadTemplate" runat="server" OnClick="LnkDownloadTemplate_Click"
                                                                                            OnClientClick="ShowPopUp();">Download Template</asp:LinkButton>
                                                                                    </div>
                                                                                </div>
                                                                            </div>
                                                                        </div>
                                                                        <%--  <tr><td colspan="4">--%>
                                                                        <%--    <div id="grid-dsply">
                                                                                                <dxw:ASPxGridView ID="GVContacts" runat="server" AutoGenerateColumns="False" KeyFieldName="Email"

                                                                                            <div id="grid-dsply">
                                                                                                <dxw:ASPxGridView ID="GVContacts" runat="server" AutoGenerateColumns="False" KeyFieldName="Id"

                                                                                                    Width="80%" EnableTheming="true" CssFilePath="~/App_Themes/Office2003Blue/GridView/styles.css"
                                                                                                    CssPostfix="Office2003_Blue" SettingsPager-AlwaysShowPager="true" SettingsPager-PageSize="500" >
                                                                                                    <Images ImageFolder="~/App_Themes/Office2003Blue/GridView/">
                                                                                                        <CollapsedButton Height="12px" Url="~/App_Themes/Office2003Blue/GridView/gvCollapsedButton.png"
                                                                                                            Width="11px" />
                                                                                                        <ExpandedButton Height="12px" Url="~/App_Themes/Office2003Blue/GridView/gvExpandedButton.png"
                                                                                                            Width="11px" />
                                                                                                        <DetailCollapsedButton Height="12px" Url="~/App_Themes/Office2003Blue/GridView/gvCollapsedButton.png"
                                                                                                            Width="11px" />
                                                                                                        <DetailExpandedButton Height="12px" Url="~/App_Themes/Office2003Blue/GridView/gvExpandedButton.png"
                                                                                                            Width="11px" />
                                                                                                    </Images>
                                                                                                    <Styles CssFilePath="~/App_Themes/Office2003Blue/GridView/grid.css" AlternatingRow-Enabled="True"
                                                                                                        CssPostfix="Office2003_Blue">
                                                                                                        <Header ImageSpacing="5px" SortingImageSpacing="5px">
                                                                                                        </Header>
                                                                                                        <LoadingPanel ImageSpacing="10px">
                                                                                                        </LoadingPanel>
                                                                                                        <PagerBottomPanel CssClass="PageFooter">
                                                                                                        </PagerBottomPanel>
                                                                                                        <PagerTopPanel CssClass="PageFooter">
                                                                                                        </PagerTopPanel>
                                                                                                    </Styles>
                                                                                                    <Columns>
                                                                                                        <dxw:GridViewCommandColumn ShowSelectCheckbox="True" VisibleIndex="0" Width="10%">
                                                                                                            <HeaderTemplate>
                                                                                                                <input type="checkbox" id="CheckBoxControl" name="SelectAllCheckbox" onclick="GVContacts.SelectAllRowsOnPage(this.checked);"
                                                                                                                    runat="server" />
                                                                                                            </HeaderTemplate>
                                                                                                        </dxw:GridViewCommandColumn>
                                                                                                        <dxw:GridViewDataTextColumn FieldName="Name" VisibleIndex="1" Width="30%">
                                                                                                        </dxw:GridViewDataTextColumn>
                                                                                                        <dxw:GridViewDataTextColumn FieldName="Email" VisibleIndex="2" Width="60%">
                                                                                                        </dxw:GridViewDataTextColumn>
                                                                                                    </Columns>
                                                                                                    <Settings ShowVerticalScrollBar="true" VerticalScrollableHeight="200" />
                                                                                                    <ClientSideEvents SelectionChanged="GVContacts_SelectionChanged" />
                                                                                                </dxw:ASPxGridView>
<<<<<<< .mine
                                                                                            </div>--%>
                                                                        <div id="grid-dsply">
                                                                            <div class="table-responsive">
                                                                                <dxw:ASPxGridView ID="gvContactsNew" runat="server" AutoGenerateColumns="False" EnableViewState="false"
                                                                                    ClientInstanceName="gvContactsNew" KeyFieldName="Email" Width="90%" EnableTheming="true" Theme="Office2003Blue"
                                                                                    CssFilePath="~/App_Themes/Office2003Blue/GridView/styles.css" CssPostfix="Office2003_Blue"
                                                                                    OnHtmlRowCreated="gvContactsNew_HtmlRowCreated">
                                                                                    <%--<Images ImageFolder="~/App_Themes/Office2003Blue/GridView/">
                                                                                                        <CollapsedButton Height="12px" Url="~/App_Themes/Office2003Blue/GridView/gvCollapsedButton.png"
                                                                                                            Width="11px" />
                                                                                                        <ExpandedButton Height="12px" Url="~/App_Themes/Office2003Blue/GridView/gvExpandedButton.png"
                                                                                                            Width="11px" />
                                                                                                        <DetailCollapsedButton Height="12px" Url="~/App_Themes/Office2003Blue/GridView/gvCollapsedButton.png"
                                                                                                            Width="11px" />
                                                                                                        <DetailExpandedButton Height="12px" Url="~/App_Themes/Office2003Blue/GridView/gvExpandedButton.png"
                                                                                                            Width="11px" />
                                                                                                    </Images>--%>
                                                                                    <Styles CssFilePath="~/App_Themes/Office2003Blue/GridView/grid.css" AlternatingRow-Enabled="True"
                                                                                        CssPostfix="Office2003_Blue">
                                                                                        <Header ImageSpacing="5px" SortingImageSpacing="5px">
                                                                                        </Header>
                                                                                        <LoadingPanel ImageSpacing="10px">
                                                                                        </LoadingPanel>
                                                                                        <PagerBottomPanel CssClass="PageFooter">
                                                                                        </PagerBottomPanel>
                                                                                        <PagerTopPanel CssClass="PageFooter">
                                                                                        </PagerTopPanel>
                                                                                    </Styles>
                                                                                    <Columns>
                                                                                        <dxw:GridViewCommandColumn ShowSelectCheckbox="True" VisibleIndex="4" Width="3%"
                                                                                            Visible="true" CellStyle-CssClass="display-none">
                                                                                            <HeaderTemplate>
                                                                                                <%-- <input type="checkbox" id="CheckBoxControl" name="SelectAllCheckbox" onclick="gvContactsNew.SelectAllRowsOnPage(this.checked);"
                                                                                                                    runat="server" />--%>
                                                                                                <asp:CheckBox ID="chkSelectAllEmailId" runat="server" onclick="gvContactsNew.SelectAllRowsOnPage(this.checked);"
                                                                                                    Text="" ToolTip="Select all in the current page" AutoPostBack="false" />
                                                                                            </HeaderTemplate>
                                                                                        </dxw:GridViewCommandColumn>
                                                                                        <dxw:GridViewDataTextColumn Caption="Organization" VisibleIndex="1" Width="25%"
                                                                                            FieldName="OrganizationDisplayName">
                                                                                            <HeaderTemplate>
                                                                                                <asp:CheckBox ID="chkSelectAllOrg" runat="server" onclick="DevExpressGridCheckAll(17);"
                                                                                                    Text="" ToolTip="Select all in the current page" AutoPostBack="false" />
                                                                                                <asp:Label ID="lblorg1" runat="server" Text="OrganizationName"></asp:Label>
                                                                                            </HeaderTemplate>
                                                                                            <DataItemTemplate>
                                                                                                <asp:HiddenField ID="hdnOrganzation" runat="server" Value='<%#Eval("OrganizationId") %>' />
                                                                                                <asp:CheckBox ID="chkorg" runat="server" Text="" AutoPostBack="false" />
                                                                                                <%--      <input id="chkSelect" type="checkbox" runat="server" value='<%# Eval("OrganizationId") %>'
                                                                                                                    name='<%# Eval("OrganizationId") %>' />--%>
                                                                                                <asp:Label ID="lblorg" runat="server" Text='<%# Eval("OrganizationDisplayName") %>'></asp:Label>
                                                                                            </DataItemTemplate>
                                                                                        </dxw:GridViewDataTextColumn>
                                                                                        <dxw:GridViewDataTextColumn Caption="UserGroup" VisibleIndex="2" Width="25%" FieldName="UserGroup">
                                                                                            <%--  <DataItemTemplate>
                                                                                                                <asp:Label ID="lblusrgrp" runat="server" Text="Others"></asp:Label>
                                                                                                            </DataItemTemplate>--%>
                                                                                            <HeaderTemplate>
                                                                                                <asp:CheckBox ID="chkSelectAllUsrgrp" runat="server" onclick="DevExpressGridCheckAll(18);"
                                                                                                    Text="" ToolTip="Select all in the current page" AutoPostBack="false" />
                                                                                                <asp:Label ID="lblusrgrp" runat="server" Text="UserGroup"></asp:Label>
                                                                                            </HeaderTemplate>
                                                                                            <DataItemTemplate>
                                                                                                <asp:HiddenField ID="hdnUsrGrp" runat="server" Value='<%#Eval("UserGroupId") %>' />
                                                                                                <asp:CheckBox ID="chkUsrgrp" runat="server" Text="" AutoPostBack="false" />
                                                                                                <asp:Label ID="lblorg" runat="server" Text='<%# Eval("UserGroup") %>'></asp:Label>
                                                                                            </DataItemTemplate>
                                                                                        </dxw:GridViewDataTextColumn>
                                                                                        <dxw:GridViewDataTextColumn FieldName="ContactPerson" VisibleIndex="3" Width="25%">
                                                                                        </dxw:GridViewDataTextColumn>
                                                                                        <dxw:GridViewDataTextColumn FieldName="Email" VisibleIndex="5" Width="40%">
                                                                                            <HeaderTemplate>
                                                                                                <%-- <asp:CheckBox ID="chkSelectAllEmailId" runat="server" onclick="gvContactsNew.SelectAllRowsOnPage(this.checked);"
                                                                                                                    Text="" ToolTip="Select all in the current page" AutoPostBack="true" />--%>
                                                                                                <asp:Label ID="lblusrgrp" runat="server" Text="EmailID"></asp:Label>
                                                                                            </HeaderTemplate>
                                                                                            <DataItemTemplate>
                                                                                                <asp:HiddenField ID="hdnEmailUsersRelease" runat="server" Value='<%#Eval("Email")%>' />
                                                                                                <%--    <asp:CheckBox ID="chkEmailId" runat="server" Text="" AutoPostBack="false" />--%>
                                                                                                <asp:Label ID="lblorg" runat="server" Text='<%#Eval("Email")%>'> </asp:Label>
                                                                                            </DataItemTemplate>
                                                                                        </dxw:GridViewDataTextColumn>
                                                                                    </Columns>
                                                                                    <SettingsPager PageSize="100" Mode="ShowPager" AlwaysShowPager="true">
                                                                                    </SettingsPager>
                                                                                    <Settings ShowVerticalScrollBar="true" VerticalScrollableHeight="500" ShowFilterRow="true" />
                                                                                    <SettingsBehavior AllowDragDrop="false" AllowSort="false" />
                                                                                    <Settings ShowFilterRow="true" ShowStatusBar="Auto" />
                                                                                    <ClientSideEvents SelectionChanged="gvContactsNew_SelectionChanged" />
                                                                                </dxw:ASPxGridView>
                                                                            </div>
                                                                        </div>
                                                                        <div class="form-group">
                                                                            <div class="col-sm-9">
                                                                                <asp:Label ID="Label2" runat="server" ForeColor="Red">*</asp:Label>&nbsp;
                                                                                                    <asp:Label ID="lblIndicatesMandatory" runat="server" Text="Required fields"></asp:Label>
                                                                            </div>
                                                                        </div>
                                                                        <div class="form-group">
                                                                            <div class="col-sm-3"></div>
                                                                            <div class="col-sm-9">
                                                                                <asp:ImageButton ID="IbutBack" runat="server" ToolTip="Back" Style="width: auto;"
                                                                                    ImageUrl="../images/btn-back.jpg" OnClick="IbutBack_Click" OnClientClick="ShowPopUp();"></asp:ImageButton>
                                                                                <asp:ImageButton ID="IbutSend" runat="server" ToolTip="Send Email" Style="width: auto;"
                                                                                    ImageUrl="../images/btn-send-email.jpg" OnClick="IbutSend_Click" OnClientClick="if(ValidationSendEmail()){ShowPopUp(); return true;} else{return false;}"></asp:ImageButton>
                                                                                <asp:ImageButton ID="IbutCancel" runat="server" ToolTip="Cancel" Style="width: auto;"
                                                                                    ImageUrl="../images/btn-cancel.jpg" OnClick="IbutCancel_Click" OnClientClick="ShowPopUp();"></asp:ImageButton>
                                                                            </div>
                                                                        </div>
                                                                    </div>
                                                                </div>
                                                                <div class="clearfix"></div>
                                                                </div>
                                                                <cc1:ModalPopupExtender ID="mpeProgressIndicator" runat="server" PopupControlID="progressPopUp"
                                                                    TargetControlID="btnTesting">
                                                                </cc1:ModalPopupExtender>
                                                                <asp:Button ID="btnTesting" Style="display: none;" runat="server" />
                                                                <asp:Panel ID="progressPopUp" runat="server" CssClass="processMessage" Style="z-index: 1000; display: none;">
                                                                    <center>
                                                                        <br />
                                                                        <img id="imgLoad" runat="server" alt="Please Wait ..." src="../images/47.gif" /><br />
                                                                        <br />
                                                                        <asp:Label ID="lbl_msg12" Text="Processing... Please Wait..." runat="server" CssClass="specialdisplay"></asp:Label>
                                                                        <br />
                                                                        <br />
                                                                    </center>
                                                                </asp:Panel>
                                                            </ContentTemplate>
                                                            <Triggers>
                                                                <asp:PostBackTrigger ControlID="butUploadContacts" />
                                                                <asp:PostBackTrigger ControlID="butAddAttachment" />
                                                                <asp:PostBackTrigger ControlID="LnkDownloadTemplate" />
                                                            </Triggers>
                                                        </asp:UpdatePanel>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                                <!-- Main Content Ends Here -->
                                <div id="left">
                                </div>
                                <div class="clear clearfix">
                                </div>
                            </div>
                            <div id="right">
                            </div>
                        </div>
                    </div>
                </ContentTemplate>
                <Triggers>
                    <asp:PostBackTrigger ControlID="butUploadContacts" />
                    <asp:PostBackTrigger ControlID="butAddAttachment" />
                    <asp:PostBackTrigger ControlID="LnkDownloadTemplate" />
                </Triggers>
            </asp:UpdatePanel>

            <script src="../js/myformvalidations.js" type="text/javascript"></script>
            <script src="../js/CustomAlert/jquery.min.js" type="text/javascript"></script>
            <script src="../js/CustomAlert/jquery-ui-1.10.3.custom.min.js" type="text/javascript"></script>
            <script src="../js/CustomAlert/jquery-ui-1.10.3.custom.js" type="text/javascript"></script>
            <script src="../js/CustomAlert/CustomAlert.js" type="text/javascript"></script>
            <script src="../js/GridCheckBoxMaintaining.js" type="text/javascript"></script>

            <asp:HiddenField ID="hdnLogout" runat="server" />
            <asp:HiddenField ID="hdnContacts" runat="server" />
            <asp:HiddenField ID="hdnContactName" runat="server" />
            <asp:HiddenField ID="hdnEmailUsersRelease" runat="server" />
            <asp:HiddenField ID="hdnOrganzation" runat="server" />
            <asp:HiddenField ID="hdnUsrGrp" runat="server" />
            <asp:HiddenField ID="hdnType" runat="server" />
        </form>
    </div>
    <!-- Content Ends Here -->
    <uc2:Footer ID="ucFooter" runat="server" />
</body>
</html>
