﻿<%@ page language="C#" autoeventwireup="true" inherits="Forms_StudentHistory, App_Web_tixsvc3u" enableeventvalidation="false" %>

<%@ Register Assembly="TimePicker" Namespace="MKB.TimePicker" TagPrefix="MKB" %>
<%@ Register Assembly="AjaxControlToolkit" Namespace="AjaxControlToolkit" TagPrefix="cc1" %>
<%@ Register Src="~/UserControls/New_Header.ascx" TagName="Header" TagPrefix="uc1" %>
<%@ Register Src="~/UserControls/New_Footer.ascx" TagName="Footer" TagPrefix="uc2" %>

<%--<%@ Register Assembly="DevExpress.Web.ASPxGridView.v8.2" Namespace="DevExpress.Web.ASPxGridView"
    TagPrefix="dxgv" %>
<%@ Register Assembly="DevExpress.Web.ASPxEditors.v8.2" Namespace="DevExpress.Web.ASPxEditors"
    TagPrefix="dxe" %>--%>

<%@ Register Assembly="DevExpress.Web.v14.2" Namespace="DevExpress.Web" TagPrefix="dxw" %>

<%--********* For Bootstrap Implementation *************--%>
<!DOCTYPE html>
<html lang="en">
<%--********* End of Bootstrap Implementation *************--%>
<head runat="server">
    <title>tSense-IoT Configuration</title>
    <link href="../css/CustomeAlert/demos.css" rel="stylesheet" type="text/css" />
    <link href="../css/CustomeAlert/themes/jquery.ui.all.css" rel="stylesheet" type="text/css" />
    <%--********* For Bootstrap Implementation *************--%>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
    <%--********* End of Bootstrap Implementation *************--%>
    <link id="reset" runat="server" href="../css/reset.css" rel="stylesheet" type="text/css" />
    <link id="stylesheet2" runat="server" href="../css/stylesheet2.css" rel="stylesheet"
        type="text/css" />
    <%--<link href="../css/Updated_css.css" rel="stylesheet" type="text/css" />--%>
    <link id="dropdown" runat="server" href="../css/dropdown.css" rel="stylesheet" type="text/css" />
    <link id="ieonly" runat="server" rel="stylesheet" type="text/css" href="" />
    <link rel="SHORTCUT ICON" href="../images/favicon.ico" />
    <link id="datepicker" runat="server" type="text/css" href="../css/ui.datepicker.css"
        rel="stylesheet" />
    <link id="uicore" runat="server" type="text/css" href="../css/ui.core.css" rel="stylesheet" />
    <link id="uitheme" runat="server" type="text/css" href="../css/ui.theme.css" rel="stylesheet" />

    <%--Custom Theme for DevEx 14.2--%>
    <link id="GridView" type="text/css" href="~/App_Themes/Office2003Blue/GridView/grid.css" rel="stylesheet" />
    <link id="Editors" type="text/css" href="~/App_Themes/Office2003Blue/Editors/styles.css" rel="stylesheet" />

    <script src="../js/CustomAlert/jquery.min.js" type="text/javascript"></script>

    <script src="../js/CustomAlert/jquery-ui-1.10.3.custom.min.js" type="text/javascript"></script>

    <script src="../js/CustomAlert/jquery-ui-1.10.3.custom.js" type="text/javascript"></script>

    <script src="../js/CustomAlert/CustomAlert.js" type="text/javascript"></script>

    <script src="../js/myformvalidations.js" type="text/javascript"></script>

    <script type="text/javascript" src="../js/jquery-1.5.1.min.js"></script>

    <script type="text/javascript" src="../js/ui.datepicker.js"></script>

    <script type="text/javascript" src="../js/JQQueryDatePicker.js"></script>
    <%--********* For Bootstrap Implementation *************--%>
    <link id="BootStrapCss" href="../css/bootstrap.css" runat="server" rel="stylesheet" type="text/css" />
    <link id="mainstyle" runat="server" href="../css/mainstyle.css" rel="stylesheet" type="text/css" />
    <%--********* End of Bootstrap Implementation *************--%>
    <script src="../js/wow.min.js"></script>
</head>
<body>
    <%--********* For Bootstrap Implementation *************--%>
    <div class="pageContainer">
        <%--********* End of Bootstrap Implementation *************--%>
        <form id="form1" runat="server">
            <asp:ScriptManager ID="ScriptManager1" runat="server">
            </asp:ScriptManager>
            <!-- Header Starts Here -->
            <uc1:Header ID="ucHeader" runat="server" />
            <!-- Nav Ends Here -->
            <!-- Content Starts Here -->
            <asp:UpdatePanel ID="updGrid" runat="server">
                <ContentTemplate>
                    <div id="outer">
                        <div id="inner">
                            <div id="float-wrap">
                                <!-- Main Content Starts Here -->
                                <!-- Main Content Starts Here -->
                                <div id="content">
                                    <div class="content-wrap">
                                        <div id="top-content" class="container-fluid head-part">
                                            <div id="heading" class="col-sm-4 col-md-4">
                                                <img class="icon" src="../images/configuration-icon.jpg" alt="" />
                                                <h1>
                                                    <asp:Literal ID="lblConfigurationCaption" runat="server"></asp:Literal></h1>
                                                <asp:LinkButton ID="lnkHomeCaption" runat="server"></asp:LinkButton>
                                                <%--<a href="Dashboard.aspx">Home</a>--%><span>&gt;</span><span><a href="StudentHistory.aspx">
                                                    <asp:Label ID="lnkPageCaption" runat="server" Text="Student History"></asp:Label>
                                                </a></span>
                                                <%--<span><a href="ConfigurationSetup.aspx">Users</a></span><span>&gt;</span>--%>
                                            </div>
                                            <div id="" class="col-sm-7 col-md-7 pull-right">
                                                <div class="pull-right btn-wrap">

                                                    <asp:ImageButton ID="ibtBackToConfig1" runat="server" ImageUrl="~/images/btn-back-to-configuration.jpg"
                                                        TabIndex="10" PostBackUrl="~/Forms/ConfigurationSetup.aspx" Visible="false" />
                                                    <asp:LinkButton ID="ibtBackToConfig" runat="server" CssClass="MultilingualBtn" PostBackUrl="~/Forms/ConfigurationSetup.aspx">
                                                        <span runat="server" class="MultilingualBtnspan">
                                                            <div class="Back">
                                                                <div id="BacktoConfigurationDiv" runat="server" class="MultilingualBtnTextAlign">
                                                                    Back to Configuration
                                                                </div>
                                                            </div>
                                                        </span>
                                                    </asp:LinkButton>
                                                </div>
                                            </div>
                                            <div class="clear clearfix">
                                            </div>
                                        </div>
                                        <asp:Panel ID="pnlUsrGroupSelection" runat="server" CssClass="ControlShow">
                                            <div class="form-box col-xs-12 nullpadding">
                                                <h1>
                                                    <span class="icon">
                                                        <img src="../images/group-icon.gif" alt="" /></span>
                                                    <asp:Label ID="lblGroupUserAssignment" runat="server" Text="Group User Assignment"></asp:Label></h1>

                                                <div class="col-sm-10 MySearchPanelFilter">
                                                    <div class="col-sm-3 controllinebreak">
                                                        <div class="col-xs-1 nullpadding">
                                                            <asp:Image ID="imgFleetName" runat="server" ImageUrl="../images/fleet-icon.gif" alt="Fleet Name"
                                                                title="Fleet Name" />
                                                        </div>
                                                        <div class="col-xs-11">
                                                            <asp:DropDownList ID="ddlFleet" runat="server" class="form-control" AutoPostBack="True" OnSelectedIndexChanged="ddlFleet_SelectedIndexChanged">
                                                            </asp:DropDownList>
                                                        </div>
                                                    </div>
                                                    <div class="col-sm-3 controllinebreak">
                                                        <div class="col-xs-1 nullpadding">
                                                            <asp:Image ID="imgVehicle" runat="server" ImageUrl="../images/vehicle-icon.gif"
                                                                alt="Vehicle" ToolTip="Vehicle" />
                                                        </div>
                                                        <div class="col-xs-11">
                                                            <asp:DropDownList ID="ddlVehicle" runat="server" AutoPostBack="false" class="form-control">
                                                            </asp:DropDownList>
                                                        </div>
                                                    </div>
                                                    <div class="col-sm-3 controllinebreak">
                                                        <div class="col-xs-1 nullpadding">
                                                            <asp:Image ID="imgDurationFrom" runat="server" ImageUrl="../images/calendar-rht-icon.gif"
                                                                AlternateText="Duration From" /><asp:HiddenField runat="server" ID="hdnDateFormat"
                                                                    Value="dd-MMM-yyyy" />
                                                        </div>
                                                        <div class="col-xs-11">
                                                            <asp:TextBox ID="txtStartDate" runat="server" oncopy="return false" oncut="return false"
                                                                onkeydown="doCheckBackSpaceOrDelete()" onkeypress="return false" onpaste="return false"
                                                                class="form-control" ToolTip="dd-MMM-yyyy"></asp:TextBox>

                                                            <MKB:TimeSelector ID="tsFromHrs" runat="server" AmPm="AM" DisplaySeconds="False"
                                                                Hour="8" Font-Size="10pt" Height="20px" SelectedTimeFormat="Twelve" CssClass="time1" Visible="false">
                                                            </MKB:TimeSelector>
                                                        </div>
                                                    </div>

                                                    <div class="col-sm-2 controllinebreak" style="display: none;">
                                                        <div class="col-xs-1 nullpadding">

                                                            <asp:Image ID="imgDurationTo" runat="server" ImageUrl="../images/calendar-lft-icon.gif"
                                                                AlternateText="Duration To" Visible="false" />

                                                            <asp:TextBox ID="txtEndDate" runat="server" oncopy="return false" oncut="return false"
                                                                class="form-control" onkeydown="doCheckBackSpaceOrDelete()" onkeypress="return false"
                                                                onpaste="return false" ToolTip="dd-MMM-yyyy" Visible="false"></asp:TextBox>

                                                            <MKB:TimeSelector ID="tsToHours" runat="server" AmPm="AM" DisplaySeconds="False"
                                                                Hour="10" Font-Size="10pt" Height="20px" SelectedTimeFormat="Twelve" CssClass="time1" Visible="false">
                                                            </MKB:TimeSelector>
                                                        </div>
                                                        <div class="col-xs-11">
                                                        </div>
                                                    </div>
                                                    <div class="col-sm-3 controllinebreak">
                                                        <div class="col-xs-12 nullpadding">
                                                            <asp:LinkButton ID="btnView" runat="server" CssClass="MultilingualBtn" OnClientClick="ShowPopUp();"
                                                                OnClick="btnView_Click">
                                                                <span id="Span1" runat="server" class="MultilingualBtnspan">
                                                                    <div class="Search">
                                                                        <div id="UpdateResultsButDiv" runat="server" class="MultilingualBtnTextAlign">
                                                                            Update Results
                                                                        </div>
                                                                    </div>
                                                                </span>
                                                            </asp:LinkButton>
                                                        </div>
                                                        <div class="col-xs-2"></div>
                                                    </div>
                                                </div>
                                            </div>
                                        </asp:Panel>
                                        <div class="clear clearfix">
                                        </div>
                                        <asp:Panel ID="pnlUnAssignedUsersList" runat="server">
                                            <div id="grid-dsply">
                                                <div id="top">
                                                    <div class="left-col">
                                                        <h1>
                                                            <span class="icon txt">
                                                                <img src="../images/icn-unassigned-users.gif" alt="" />
                                                                <asp:Label ID="lblUnassignedUsers" runat="server" Font-Bold="true" Text="Unassigned Users"></asp:Label>
                                                            </span>
                                                        </h1>
                                                    </div>
                                                </div>
                                                <asp:HiddenField ID="hdnStudentsToBeAssigned" runat="server" />
                                                <asp:HiddenField ID="hdnAssignedGroupUser" runat="server" />
                                                <div style="width: 100%; overflow: auto;">
                                                    <div class="table-responsive">
                                                        <dxw:ASPxGridView ID="gvUnAssignedStudents" runat="server" Width="100%" KeyFieldName="StudentMasterID" EnableViewState="false" Visible="true"
                                                            CssFilePath="~/App_Themes/Office2003Blue/GridView/styles.css" CssPostfix="Office2003_Blue" EnableTheming="true" Theme="Office2003Blue"
                                                            OnHtmlRowCreated="gvUnAssignedStudents_OnHtmlRowCreated" OnAfterPerformCallback="gvUnAssignedStudents_AfterPerformCallback">
                                                            <ClientSideEvents SelectionChanged="function(s, e) { OnGridSelectionChangedStudentAssign(1); }" />
                                                            <%--<Images ImageFolder="~/App_Themes/Office2003Blue/GridView/">
                                                    <CollapsedButton Height="12px" Url="~/App_Themes/Office2  003 Blue/GridView/gvCollapsedButton.png"
                                                        Width="11px" />
                                                    <ExpandedButton Height="12px" Url="~/App_Themes/Office2003Blue/GridView/gvExpandedButton.png"
                                                        Width="11px" />
                                                    <DetailCollapsedButton Height="12px" Url="~/App_Themes/Office2003Blue/GridView/gvCollapsedButton.png"
                                                        Width="11px" />
                                                    <DetailExpandedButton Height="12px" Url="~/App_Themes/Office2003Blue/GridView/gvExpandedButton.png"
                                                        Width="11px" />
                                                </Images>--%>
                                                            <Styles CssFilePath="~/App_Themes/Office2003Blue/GridView/grid.css" AlternatingRow-Enabled="True"
                                                                CssPostfix="Office2003_Blue">
                                                                <Header ImageSpacing="5px" SortingImageSpacing="5px">
                                                                </Header>
                                                                <LoadingPanel ImageSpacing="10px">
                                                                </LoadingPanel>
                                                                <PagerBottomPanel CssClass="PageFooter">
                                                                </PagerBottomPanel>
                                                                <PagerTopPanel CssClass="PageFooter">
                                                                </PagerTopPanel>
                                                            </Styles>
                                                            <SettingsPager PrevPageButton-Image-Url="../App_Themes/Office2003Blue/GridView/pPrev.gif"
                                                                PrevPageButton-Image-UrlDisabled="../App_Themes/Office2003Blue/GridView/pPrevDisabled.gif"
                                                                NextPageButton-Image-UrlDisabled="../App_Themes/Office2003Blue/GridView/pNextDisabled.gif"
                                                                NextPageButton-Image-Url="../App_Themes/Office2003Blue/GridView/pNext.gif" AlwaysShowPager="true">
                                                            </SettingsPager>
                                                            <Columns>
                                                                <dxw:GridViewDataColumn FieldName="StudentMasterID" Caption="AutoID" VisibleIndex="0"
                                                                    Visible="false">
                                                                </dxw:GridViewDataColumn>
                                                                <%-- <dxw:GridViewCommandColumn ShowSelectCheckbox="True" VisibleIndex="1" Width="50px">
                                                        <HeaderTemplate>
                                                            <input type="checkbox" id="chkSelectAll" runat="server" onclick="gvUnAssignedStudents.SelectAllRowsOnPage(this.checked);"
                                                                style="vertical-align: middle;" tabindex="1"></input>
                                                        </HeaderTemplate>
                                                        <HeaderStyle Paddings-PaddingTop="1" Paddings-PaddingBottom="1" HorizontalAlign="Center" />
                                                    </dxw:GridViewCommandColumn>--%>
                                                                <dxw:GridViewDataColumn FieldName="StudentID" Caption="StudentID" VisibleIndex="2"
                                                                    Width="80px">
                                                                    <HeaderCaptionTemplate>
                                                                        <span class="icon">
                                                                            <img src="../images/usermanage-icon.gif" align="top" alt="" /></span> <span class="label">
                                                                                <asp:Label ID="lblStudentIDU" runat="server" Text="Student ID"></asp:Label></span>
                                                                    </HeaderCaptionTemplate>
                                                                    <DataItemTemplate>
                                                                        <asp:Label ID="lblStudentIDU" runat="server" Text='<%# Eval("StudentID") %>'
                                                                            ForeColor='<%# Convert.ToString(Eval("IsMapped")) == "True" ? System.Drawing.Color.Red : System.Drawing.Color.Black %>'></asp:Label>
                                                                    </DataItemTemplate>
                                                                    <Settings AllowAutoFilter="True" />
                                                                </dxw:GridViewDataColumn>
                                                                <dxw:GridViewDataColumn FieldName="StudentFirstName" Caption="Student Name" VisibleIndex="2"
                                                                    Width="200px">
                                                                    <HeaderCaptionTemplate>
                                                                        <span class="icon">
                                                                            <img src="../images/usermanage-icon.gif" align="top" alt="" /></span> <span class="label">
                                                                                <asp:Label ID="lblUserNameU" runat="server" Text="Student Name"></asp:Label></span>
                                                                    </HeaderCaptionTemplate>
                                                                    <DataItemTemplate>
                                                                        <asp:Label ID="lblUserNameU" runat="server" Text='<%# Eval("StudentFirstName") %>'
                                                                            ForeColor='<%# Convert.ToString(Eval("IsMapped")) == "True" ? System.Drawing.Color.Red : System.Drawing.Color.Black %>'></asp:Label>
                                                                    </DataItemTemplate>
                                                                    <Settings AllowAutoFilter="True" />
                                                                </dxw:GridViewDataColumn>
                                                                <dxw:GridViewDataColumn FieldName="Grade" Caption="Grade" VisibleIndex="2"
                                                                    Width="100px">
                                                                    <HeaderCaptionTemplate>
                                                                        <span class="icon">
                                                                            <img src="../images/incentive-name.png" align="top" alt="" /></span> <span class="label">
                                                                                <asp:Label ID="lblGradeU" runat="server" Text="Grade / Class"></asp:Label></span>
                                                                    </HeaderCaptionTemplate>
                                                                    <DataItemTemplate>
                                                                        <asp:Label ID="lblGradeU" runat="server" Text='<%# Eval("Grade") %>'
                                                                            ForeColor='<%# Convert.ToString(Eval("IsMapped")) == "True" ? System.Drawing.Color.Red : System.Drawing.Color.Black %>'></asp:Label>
                                                                    </DataItemTemplate>
                                                                    <Settings AllowAutoFilter="True" />
                                                                </dxw:GridViewDataColumn>
                                                                <dxw:GridViewDataColumn FieldName="SchoolName" Caption="School Name" VisibleIndex="2"
                                                                    Width="200px">
                                                                    <HeaderCaptionTemplate>
                                                                        <span class="icon">
                                                                            <img src="../images/school.png" align="top" alt="" /></span> <span class="label">
                                                                                <asp:Label ID="lblSchoolNameU" runat="server" Text="School Name"></asp:Label></span>
                                                                    </HeaderCaptionTemplate>
                                                                    <DataItemTemplate>
                                                                        <asp:Label ID="lblSchoolNameU" runat="server" Text='<%# Eval("SchoolName") %>'
                                                                            ForeColor='<%# Convert.ToString(Eval("IsMapped")) == "True" ? System.Drawing.Color.Red : System.Drawing.Color.Black %>'></asp:Label>
                                                                    </DataItemTemplate>
                                                                    <Settings AllowAutoFilter="True" />
                                                                </dxw:GridViewDataColumn>
                                                                <dxw:GridViewDataColumn FieldName="RFID" Caption="RFID" VisibleIndex="3" Width="100px">
                                                                    <HeaderCaptionTemplate>
                                                                        <span class="icon">
                                                                            <img src="../images/key-details.png" align="top" alt="" /></span> <span class="label">
                                                                                <asp:Label ID="lblRFIDU" runat="server" Text="RFID"></asp:Label></span>
                                                                    </HeaderCaptionTemplate>
                                                                    <DataItemTemplate>
                                                                        <asp:Label ID="lblRFIDU" runat="server" Text='<%# Eval("RFID") %>'
                                                                            ForeColor='<%# Convert.ToString(Eval("IsMapped")) == "True" ? System.Drawing.Color.Red : System.Drawing.Color.Black %>'></asp:Label>
                                                                    </DataItemTemplate>
                                                                    <Settings AllowAutoFilter="True" />
                                                                </dxw:GridViewDataColumn>
                                                                <dxw:GridViewDataColumn FieldName="DateTimePunch" Caption="Date" VisibleIndex="3">
                                                                    <HeaderCaptionTemplate>
                                                                        <span class="icon">
                                                                            <img src="../images/icn-timezone.gif" align="top" alt="" /></span> <span class="label">
                                                                                <asp:Label ID="lblDateTimePunchU" runat="server" Text="Date"></asp:Label></span>
                                                                    </HeaderCaptionTemplate>
                                                                    <DataItemTemplate>
                                                                        <asp:Label ID="lblDateTimePunchU" runat="server" Text='<%# Eval("DateTimePunch") %>'
                                                                            ForeColor='<%# Convert.ToString(Eval("IsMapped")) == "True" ? System.Drawing.Color.Red : System.Drawing.Color.Black %>'></asp:Label>
                                                                    </DataItemTemplate>
                                                                    <Settings AllowAutoFilter="True" />
                                                                </dxw:GridViewDataColumn>
                                                                <dxw:GridViewDataColumn FieldName="SchoolEntryPunch" Caption="School Entry Punch"
                                                                    VisibleIndex="3">
                                                                    <HeaderCaptionTemplate>
                                                                        <span class="icon">
                                                                            <img src="../images/icn-timezone.gif" align="top" alt="" /></span> <span class="label">
                                                                                <asp:Label ID="lblSchoolEntryPunch" runat="server" Text="School Entry Punch"></asp:Label></span>
                                                                    </HeaderCaptionTemplate>
                                                                    <DataItemTemplate>
                                                                        <asp:Label ID="lblSchoolEntryPunch" runat="server" Text='<%# Eval("SchoolEntryPunch") %>'
                                                                            ForeColor='<%# Convert.ToString(Eval("IsMapped")) == "True" ? System.Drawing.Color.Red : System.Drawing.Color.Black %>'></asp:Label>
                                                                    </DataItemTemplate>
                                                                    <Settings AllowAutoFilter="True" />
                                                                </dxw:GridViewDataColumn>
                                                                <dxw:GridViewDataColumn FieldName="SchoolExitPunch" Caption="School Exit Punch"
                                                                    VisibleIndex="3">
                                                                    <HeaderCaptionTemplate>
                                                                        <span class="icon">
                                                                            <img src="../images/icn-timezone.gif" align="top" alt="" /></span> <span class="label">
                                                                                <asp:Label ID="lblSchoolExitPunch" runat="server" Text="School Exit Punch"></asp:Label></span>
                                                                    </HeaderCaptionTemplate>
                                                                    <DataItemTemplate>
                                                                        <asp:Label ID="lblSchoolExitPunch" runat="server" Text='<%# Eval("SchoolExitPunch") %>'
                                                                            ForeColor='<%# Convert.ToString(Eval("IsMapped")) == "True" ? System.Drawing.Color.Red : System.Drawing.Color.Black %>'></asp:Label>
                                                                    </DataItemTemplate>
                                                                    <Settings AllowAutoFilter="True" />
                                                                </dxw:GridViewDataColumn>
                                                                <dxw:GridViewDataTextColumn FieldName="ActiveStatus" Caption="Active Status" VisibleIndex="5"
                                                                    HeaderStyle-HorizontalAlign="Center" CellStyle-HorizontalAlign="Center" Width="80px">
                                                                    <HeaderCaptionTemplate>
                                                                        <span class="icon">
                                                                            <img src="../images/icn-active-status.gif" align="top" alt="" /></span> <span class="label">
                                                                                <asp:Label ID="lblActiveStatusU" runat="server" Text="Status"></asp:Label></span>
                                                                    </HeaderCaptionTemplate>
                                                                    <DataItemTemplate>
                                                                        <table>
                                                                            <tr>
                                                                                <%-- <td>
                                                                        <asp:Image ID="imgUnAssActiveStatus" runat="server" AlternateText="" />
                                                                    </td>--%>
                                                                                <td>&nbsp;<asp:Label ID="lblUnAssActiveStatus" runat="server" Text='<%#Eval("ActiveStatusDisp") %>'
                                                                                    ForeColor='<%# Convert.ToString(Eval("IsMapped")) == "True" ? System.Drawing.Color.Red : System.Drawing.Color.Black %>'></asp:Label>
                                                                                </td>
                                                                            </tr>
                                                                        </table>
                                                                    </DataItemTemplate>
                                                                    <Settings AllowAutoFilter="False" />
                                                                </dxw:GridViewDataTextColumn>
                                                            </Columns>
                                                            <SettingsText EmptyDataRow="No Unassigned Users found" />
                                                            <Settings ShowFilterRow="true" ShowFilterRowMenu="True" />
                                                        </dxw:ASPxGridView>
                                                    </div>
                                                </div>
                                            </div>
                                            <div class="AlignControl">
                                                <br />
                                                <img src="../images/black.png" />
                                                <asp:Label ID="BlueIcnIndicator" runat="server" Text="Mapped Student(s)"></asp:Label>&nbsp;
                                        &nbsp;
                                        <img src="../images/red.png" />
                                                <asp:Label ID="RedIcnIndicator" runat="server" Text="Unmapped Student(s)"></asp:Label>
                                            </div>
                                        </asp:Panel>
                                        <div class="clear clearfix">
                                        </div>
                                    </div>
                                </div>
                                <!-- Main Content Ends Here -->
                                <div id="left">
                                </div>
                                <div class="clear clearfix">
                                </div>
                            </div>
                            <div id="right">
                            </div>
                            <div class="clear clearfix">
                            </div>
                        </div>
                    </div>
                </ContentTemplate>
                <Triggers>
                    <%--<asp:PostBackTrigger ControlID="btnAssignUsers" />--%>
                </Triggers>
            </asp:UpdatePanel>
            <cc1:ModalPopupExtender ID="mpeProgressIndicator" runat="server" PopupControlID="pnlProgress1"
                TargetControlID="btnTesting">
            </cc1:ModalPopupExtender>
            <asp:Button ID="btnTesting" Style="display: none;" runat="server" />
            <%-- <asp:UpdateProgress ID="uprDataLoading" runat="server" DynamicLayout="True" AssociatedUpdatePanelID="updVhDetails">
            <ProgressTemplate>--%>
            <asp:Panel ID="pnlProgress1" runat="server" CssClass="processMessage" Style="z-index: 1000;">
                <center>
                <br />
                <img id="imgLoad" runat="server" alt="Please Wait ..." src="../images/47.gif" /><br />
                <br />
                <asp:Label ID="lbl_msg12" Text="Processing... Please Wait..." runat="server" CssClass="specialdisplay"></asp:Label>
                <br />
                <br />
            </center>
            </asp:Panel>
            <script type="text/javascript" language="javascript" src="../js/StudentVehicleAssignmentScripts.js"></script>

            <%--<script type="text/javascript" language="javascript" src="../js/FormValidations.js"></script>--%>
            <asp:HiddenField ID="hdnLogout" runat="server" />
        </form>
    </div>
    <!-- Content Ends Here -->
    <uc2:Footer ID="ucFooter" runat="server" />
</body>
</html>
