﻿<%@ page language="C#" autoeventwireup="true" inherits="Forms_TrendHistory, App_Web_phobza4z" enableeventvalidation="false" maintainscrollpositiononpostback="true" validaterequest="false" %>

<%@ Register Assembly="TimePicker" Namespace="MKB.TimePicker" TagPrefix="MKB" %>
<%@ Register Src="~/UserControls/Notification_List.ascx" TagPrefix="uc3" TagName="NotificationsList" %>
<%@ Register Assembly="AjaxControlToolkit" Namespace="AjaxControlToolkit" TagPrefix="cc1" %>
<%@ Register Src="~/UserControls/New_Header.ascx" TagName="Header" TagPrefix="uc1" %>
<%@ Register Src="~/UserControls/New_Footer.ascx" TagName="Footer" TagPrefix="uc2" %>
<%@ Register Assembly="DevExpress.XtraCharts.v14.2.Web" Namespace="DevExpress.XtraCharts.Web" TagPrefix="dxchartsui" %>
<%@ Register Assembly="DevExpress.XtraCharts.v14.2" Namespace="DevExpress.XtraCharts" TagPrefix="dxcharts" %>

<%@ Register Assembly="DevExpress.Web.v14.2" Namespace="DevExpress.Web" TagPrefix="dxw" %>

<!DOCTYPE html>
<html lang="en">
<head runat="server">
    <title>trinetra - Trend Chart</title>
    <meta content="charset=utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1" />
    <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1" />
    <%--<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
    <meta http-equiv="Page-Enter" content="blendTrans(Duration=0)" />
    <meta http-equiv="Page-Exit" content="blendTrans(Duration=0)" />--%>

    <%--<link id="datepicker" runat="server" type="text/css" href="../css/ui.datepicker.css" rel="stylesheet" />--%>
    <%--<link id="uicore" runat="server" type="text/css" href="../css/ui.core.css" rel="stylesheet" />--%>
    <%--<link id="uitheme" runat="server" type="text/css" href="../css/ui.theme.css" rel="stylesheet" />--%>
    <%--<link id="reset" runat="server" href="../css/reset.css" rel="stylesheet" type="text/css" />--%>
    <link id="reset" runat="server" href="../css/reset.css" rel="stylesheet" type="text/css" />
    <link id="stylesheet2" runat="server" href="../css/stylesheet2.css" rel="stylesheet" type="text/css" />
    <%--<link id="dropdown" runat="server" href="../css/dropdown.css" rel="stylesheet" type="text/css" />--%>
    <%--<link id="ieonly" runat="server" rel="stylesheet" type="text/css" href="" />--%>
    <%--<link rel="SHORTCUT ICON" href="../images/favicon.ico" />--%>
    <%--Custom Theme for DevEx 14.2--%>
    <link id="GridView" type="text/css" href="~/App_Themes/Office2003Blue/GridView/grid.css" rel="stylesheet" />
    <link id="Editors" type="text/css" href="~/App_Themes/Office2003Blue/Editors/styles.css" rel="stylesheet" />
    <%--BootStrap Css--%>
    <%--<link id="BootStrapCss" href="../css/bootstrap.css" runat="server" rel="stylesheet" type="text/css" />--%>
    <link id="mainstyle" runat="server" href="../css/mainstyle.css" rel="stylesheet" type="text/css" />
    <%--End of BootStrap Css--%>
    <link rel="icon" href="../NewDesign/img/favicon.png" type="image/x-icon">
    <link href="../NewDesign/css/bootstrap.css" rel="stylesheet" />
    <%--<link href="../NewDesign/css/font-awesome.css" rel="stylesheet" />--%>
    <link href="../NewDesign/css/responsive.css" rel="stylesheet" />
    <link href="../NewDesign/css/style.css" rel="stylesheet" />
    <%--<script src="../js/jquery-3.3.1.min.js"></script>
    <script src="../NewDesign/js/bootstrap.min.js"></script>--%>
    <%-- <script src="../NewDesign/js/jquery.js"></script>
    <script src="../NewDesign/js/script.js"></script>--%>
    <link href="../NewDesign/font-awesome-4.7.0/css/font-awesome.css" rel="stylesheet" />
    <link href="../NewDesign/font-awesome-4.7.0/css/font-awesome.min.css" rel="stylesheet" />
    <script type="text/javascript" src="http://ajax.googleapis.com/ajax/libs/jquery/1.8.3/jquery.min.js"></script>
    <%--<script src="../js/jquery-1.11.2.min.js" type="text/javascript"></script>--%>
    <%--<script src="../js/bootstrap.js" type="text/javascript"></script>--%>
    <link href="../css/CustomeAlert/demos.css" rel="stylesheet" type="text/css" />
    <link href="../css/CustomeAlert/themes/jquery.ui.all.css" rel="stylesheet" type="text/css" />
    <script src="../js/CustomAlert/jquery.min.js" type="text/javascript"></script>
    <script src="../js/CustomAlert/jquery-ui-1.10.3.custom.min.js" type="text/javascript"></script>
    <script src="../js/CustomAlert/jquery-ui-1.10.3.custom.js" type="text/javascript"></script>
    <script src="../js/CustomAlert/CustomAlert.js" type="text/javascript"></script>

    <style type="text/css">
        #miniature {
            float: left;
            margin-left: 20px;
            margin-top: 50px;
        }

        #choices {
            margin-left: 10px;
            width: 2000px !important;
        }

            #choices span > div {
                display: inline-block;
                margin-right: 4px;
            }

        /*.legend {
            display: none !important;
        }*/
        .btn {
            white-space: normal;
        }

        /*.chartWrapper {
            position: relative;
        }

            .chartWrapper > #flotChartplaceholder {
                position: absolute;
                left: 0;
                top: 0;
                pointer-events: none;
            }

        .chartAreaWrapper {
            width: 100%;
            overflow-x: scroll;
        }*/

        .dxgvHeaderPanel_Office2003Blue {
            background: url(grid-hrow.jpg) repeat-x scroll center top #e7e5e6 !important;
            color: Black;
            padding: 8px 6px;
            border-bottom: 1px solid #d0d0d0 !important;
        }
    </style>
    <script src="../js/wow.min.js"></script>

</head>
<body class="white">
    <div class="page-wrapper">
        <form id="form1" runat="server">
            <asp:ScriptManager ID="ScriptManager1" runat="server" AsyncPostBackTimeout="600">                
            </asp:ScriptManager>

            <!-- Header Starts Here -->
            <uc1:Header ID="ucHeader" runat="server" />
            <!-- Nav Ends Here -->
            <!-- Content Starts Here -->
            <div class="preloader"></div>
            <div class="vlive-reports-section maintenance" style="padding: 5px 0 !important;">
                <div class="container-fluid">
                    <div class="row clearfix">
                        <div class="col-ks-2">
                            <div class="col-ks-16">
                                <h2 class="pull-left">
                                    <asp:Literal ID="lblAlertPageCaption" Text="Trend History" runat="server"></asp:Literal></h2>
                            </div>
                            <div class="col-ks-16">
                                <asp:SiteMapPath ID="site" runat="server" CssClass="breadcrumb">
                                    <NodeStyle CssClass="active" />
                                </asp:SiteMapPath>
                            </div>
                            <div class="col-sm-6" align="right" style="display: none;">
                                <asp:LinkButton runat="server" CssClass="fa fa fa-chevron-down" ForeColor="Black" Text="&nbsp;&nbsp;Filter" data-toggle="collapse" data-target="#FilterDiv" OnClientClick="return false;"></asp:LinkButton>
                            </div>
                        </div>
                        <div class="col-ks-14">
                            <asp:UpdatePanel ID="UpdatePanel1" runat="server" UpdateMode="Conditional">
                                <ContentTemplate>
                                    <div class="form-horizontal">
                                        <div class="col-ks-16">
                                            <div runat="server" id="Div_Customer">
                                                <div class="col-ks-1">
                                                    <%-- <asp:Image ID="Image1" ImageUrl="../images/usermanage-icon.gif" AlternateText="Fleet Name"
                                                            runat="server" class="" />--%>
                                                    <label for="exampleFormControlSelect1">
                                                        <asp:Label runat="server" ID="lblCustomer" Text="Customer"></asp:Label></label>
                                                </div>
                                                <div class="col-ks-3">
                                                    <dxw:ASPxComboBox ID="ddlCustomer" runat="server" ValueType="System.Int32" CssClass="form-control" onchange="ShowPopUp()"
                                                        EnableIncrementalFiltering="true" ShowImageInEditBox="false" ClientInstanceName="ddlCustomer"
                                                        SelectedIndex="0" OnSelectedIndexChanged="ddlCustomer_SelectedIndexChanged"
                                                        CssFilePath="~/App_Themes/office2003Blue/Editors/styles.css" CssPostfix="Office2003_Blue"
                                                        EnableTheming="true" Theme="Office2003Blue" AutoPostBack="true">
                                                    </dxw:ASPxComboBox>
                                                </div>
                                            </div>
                                            <div class="col-ks-1">
                                                <%--    <asp:Image ID="imgFleetIcon" ImageUrl="../images/fleet-icon.gif" AlternateText="Fleet Name"
                                                        runat="server" class="" />--%>
                                                <label for="exampleFormControlSelect1">
                                                    <asp:Label runat="server" ID="lblSite" Text="Site"></asp:Label></label>
                                            </div>
                                            <div class="col-ks-3">
                                                <dxw:ASPxComboBox ID="ddlFleet" runat="server" ValueType="System.Int32" CssClass="form-control"
                                                    EnableIncrementalFiltering="true" ShowImageInEditBox="false" ClientInstanceName="ddlFleet"
                                                    SelectedIndex="0" OnSelectedIndexChanged="ddlFleet_SelectedIndexChanged"
                                                    CssFilePath="~/App_Themes/office2003Blue/Editors/styles.css" CssPostfix="Office2003_Blue"
                                                    EnableTheming="true" Theme="Office2003Blue" AutoPostBack="true">
                                                </dxw:ASPxComboBox>
                                            </div>
                                            <div class="col-ks-1">
                                                <label for="exampleFormControlSelect1">
                                                    <asp:Label runat="server" ID="lblDevice" Text="Devices"></asp:Label></label>
                                            </div>
                                            <div class="col-ks-3">
                                                <%--<dxw:ASPxComboBox ID="ddlVehicle" runat="server" ValueType="System.Int32" CssClass="form-control"
                                                    ShowImageInEditBox="false" ClientInstanceName="ddlVehicle" SelectedIndex="0"
                                                    OnSelectedIndexChanged="ddlVehicle_SelectedIndexChanged" AutoPostBack="true"
                                                    EnableIncrementalFiltering="true" EnableTheming="true" Theme="Office2003Blue"
                                                    CssFilePath="~/App_Themes/office2003Blue/Editors/styles.css" CssPostfix="Office2003_Blue">
                                                    <ClientSideEvents SelectedIndexChanged="function(s, e) { ShowPopUp(); }" />
                                                </dxw:ASPxComboBox>--%>
                                                <asp:ListBox ID="ddlVehicle" runat="server" class="multiselected form-control" SelectionMode="Multiple" Width="100"></asp:ListBox>
                                            </div>
                                        </div>
                                        <div class="col-ks-16" style="padding-top: 10px;">
                                            <div class="col-ks-1">
                                                <label for="exampleFormControlSelect1">
                                                    <asp:Label runat="server" ID="Label2" Text="Param"></asp:Label></label>
                                            </div>
                                            <div class="col-ks-3">
                                                <asp:ListBox ID="lstParams" runat="server" class="multiselect-ui form-control" SelectionMode="Multiple" Width="100"></asp:ListBox>
                                            </div>
                                            <div class="col-ks-1">
                                                <label for="exampleFormControlSelect1">
                                                    <asp:Label runat="server" ID="lblFrom" Text="From"></asp:Label></label>
                                            </div>
                                            <div class="col-ks-3">
                                                <asp:HiddenField runat="server" ID="HiddenField1" Value="dd-MMM-yyyy" />
                                                <div class="input-group" id="dtStartDate" runat="server">
                                                    <asp:TextBox ID="txtStartDate" runat="server" CssClass="form-control pull-right" oncopy="return false" oncut="return false"
                                                        onkeydown="doCheckBackSpaceOrDelete()" onkeypress="return false" onpaste="return false"
                                                        ToolTip="dd-MMM-yyyy" Style="border-bottom-right-radius: 0px !important; border-top-right-radius: 0px !important"></asp:TextBox>
                                                    <div class="input-group-addon" style="cursor: pointer">
                                                        <i class="fa fa-calendar"></i>
                                                    </div>
                                                </div>
                                                <div class="time1 Responsivetime" style="display: none;">
                                                    <MKB:TimeSelector ID="TimeSelector1" runat="server" Width="" AmPm="AM" DisplaySeconds="False"
                                                        Hour="8" Font-Size="10pt" Height="20px" SelectedTimeFormat="Twelve">
                                                    </MKB:TimeSelector>
                                                    <dxw:ASPxTimeEdit ID="ASPxTimeEdit1" runat="server" Visible="false" DateTime="2009/11/01 15:31:34" CssClass="form-control"
                                                        EnableTheming="true" Theme="Office2003Blue">
                                                        <ValidationSettings ErrorDisplayMode="None" />
                                                    </dxw:ASPxTimeEdit>
                                                </div>
                                            </div>
                                            <div class="col-ks-1">
                                                <label for="exampleFormControlSelect1">
                                                    <asp:Label runat="server" ID="Label1" Text="To"></asp:Label></label>
                                            </div>
                                            <div class="col-ks-3">
                                                <div class="input-group" id="dtEndDate" runat="server">
                                                    <asp:TextBox ID="txtEndDate" runat="server" CssClass="form-control" oncopy="return false" oncut="return false"
                                                        onkeydown="doCheckBackSpaceOrDelete()" onkeypress="return false" onpaste="return false"
                                                        ToolTip="dd-MMM-yyyy" Style="border-bottom-right-radius: 0px !important; border-top-right-radius: 0px !important"></asp:TextBox>
                                                    <div class="input-group-addon" style="cursor: pointer">
                                                        <i class="fa fa-calendar"></i>
                                                    </div>
                                                </div>
                                                <div class="time1 Responsivetime" style="display: none;">
                                                    <MKB:TimeSelector ID="TimeSelector2" runat="server" Width="100px" AmPm="AM" DisplaySeconds="False"
                                                        Hour="10" Font-Size="10pt" Height="21px" SelectedTimeFormat="Twelve">
                                                    </MKB:TimeSelector>
                                                    <dxw:ASPxTimeEdit ID="tsToHours1" runat="server" Visible="false" DateTime="2009/11/01 15:31:34" CssClass="form-control"
                                                        EnableTheming="true" Theme="Office2003Blue">
                                                        <ValidationSettings ErrorDisplayMode="None" />
                                                    </dxw:ASPxTimeEdit>
                                                </div>
                                            </div>
                                            <div class="col-ks-2">
                                                <asp:LinkButton ID="ibtSearch" runat="server" CssClass="btn btn-danger btn-circle btn-lg" ToolTip="Search" OnClientClick="return TrendValidate();"
                                                    OnClick="btnView_Click"><i class="fa fa-search"></i>                                                       
                                                </asp:LinkButton>
                                                <%--try{if( Validate('V')){ShowPopUp(); return true;} else return false;} catch(Error){return false} return TrendValidate(); ;--%>
                                            </div>
                                        </div>
                                    </div>
                                </ContentTemplate>
                            </asp:UpdatePanel>
                        </div>
                    </div>
                </div>
            </div>
            <div id="outer">
                <div id="inner">
                    <div id="float-wrap">
                        <!-- Main Content Starts Here -->
                        <div id="vlive-filter">
                            <div class="container-fluid">
                                <div id="top-content" class="head-part ControlHide">
                                    <div id="heading" class="col-sm-3 col-md-2">
                                        <img class="icon" src="../images/history-icon.jpg" alt="" />
                                        <h1>
                                            <asp:Literal ID="ltHistory" runat="server"></asp:Literal>
                                        </h1>
                                        <asp:LinkButton ID="lnkHomeCaption" runat="server"></asp:LinkButton>
                                        <span>&gt;</span>
                                        <a href="TrendHistory.aspx">
                                            <asp:Label ID="lblHistoryCaption" runat="server"></asp:Label></a>
                                        <%--<a href="AdvancedHistoryPage.aspx">> AdvancedHistory</a>--%>
                                    </div>
                                    <div class="col-sm-9 padding-width-sm">
                                        <asp:UpdatePanel UpdateMode="Conditional" ID="updPanel" runat="server" OnUnload="UpdatePanel_Unload">
                                            <ContentTemplate>
                                                <asp:Button ID="Button1" Style="display: none;" runat="server" />
                                                <div class="form-horizontal">
                                                    <div class="col-sm-12 padding-width-sm">
                                                        <div class="col-sm-4 col-md-2 nullpadding">

                                                            <div class="col-sm-12 padding-width-sm icon-img">
                                                                <div class="col-xs-1 nullpadding override-col-width">
                                                                    <asp:Image ID="imgFleetIcon" runat="server" ImageUrl="../images/Zone-icon.gif" AlternateText="Fleet Name" />
                                                                </div>
                                                                <div class="col-xs-11 col-sm-10 padding-width-sm form-controllinebreak">
                                                                </div>
                                                            </div>
                                                            <div class="col-sm-12 padding-width-sm icon-img">
                                                                <div class="col-xs-1 nullpadding override-col-width">
                                                                    <asp:Image ID="imgVehicleIcon" runat="server" ImageUrl="../images/vehicle-icon.gif" AlternateText="ESP" />
                                                                </div>
                                                                <div class="col-xs-11 col-sm-10 padding-width-sm form-controllinebreak">
                                                                </div>
                                                            </div>
                                                        </div>
                                                        <div class="col-md-2 nullpadding">
                                                            <div class="col-sm-12 padding-width-sm icon-img">
                                                                <div class="col-xs-1 nullpadding override-col-width">
                                                                    <asp:Image ID="ImgControllerIcon" runat="server" ImageUrl="../images/vehicle-icon.gif" AlternateText="Vehicle" />
                                                                </div>
                                                                <div class="col-xs-11 col-sm-10 padding-width-sm form-controllinebreak">
                                                                    <dxw:ASPxComboBox ID="ddlControllers" runat="server" ValueType="System.Int32" CssClass="form-control"
                                                                        ShowImageInEditBox="false" ClientInstanceName="ddlControllers" SelectedIndex="0" AutoPostBack="false"
                                                                        EnableIncrementalFiltering="true" EnableTheming="true" Theme="Office2003Blue"
                                                                        CssFilePath="~/App_Themes/office2003Blue/Editors/styles.css" CssPostfix="Office2003_Blue">
                                                                        <Items>
                                                                            <dxw:ListEditItem Text="-Select-" Value="0" />

                                                                        </Items>
                                                                    </dxw:ASPxComboBox>
                                                                </div>
                                                            </div>
                                                            <div class="col-sm-12 padding-width-sm icon-img ControlHide">
                                                                <div class="col-xs-1 nullpadding override-col-width">
                                                                    <asp:Image ID="Image1" runat="server" ImageUrl="../Images/usermanage-icon.gif" AlternateText="Fleet Name" ToolTip="Customer" />
                                                                </div>
                                                                <div class="col-xs-11 col-sm-10 padding-width-sm form-controllinebreak">
                                                                    <dxw:ASPxComboBox ID="ddlCustomer1" runat="server" ValueType="System.Int32" CssClass="form-control"
                                                                        EnableIncrementalFiltering="true" ShowImageInEditBox="false" ClientInstanceName="ddlCustomer"
                                                                        SelectedIndex="0" OnSelectedIndexChanged="ddlCustomer_SelectedIndexChanged"
                                                                        CssFilePath="~/App_Themes/office2003Blue/Editors/styles.css" CssPostfix="Office2003_Blue"
                                                                        EnableTheming="true" Theme="Office2003Blue" AutoPostBack="true">
                                                                    </dxw:ASPxComboBox>
                                                                </div>
                                                            </div>
                                                        </div>
                                                        <div class="col-sm-6 col-md-4 col-lg-3 nullpadding">
                                                            <div class="lft-bor" id="tdPolyCaption" runat="server" style="display: none">
                                                                <asp:Label ID="lblPolyline" runat="server" Text="Polyline Style"></asp:Label>
                                                            </div>
                                                            <div class="col-sm-12 nullpadding icon-img">
                                                                <div class="col-xs-6 padding-width-sm">
                                                                    <div class="col-xs-1 nullpadding override-col-width">
                                                                        <asp:Image ID="imgDurationFrom" runat="server" ImageUrl="../images/calendar-rht-icon.gif"
                                                                            AlternateText="Duration From" />
                                                                    </div>
                                                                    <div class="col-xs-10 padding-width-sm">
                                                                        <asp:HiddenField runat="server" ID="hdnDateFormat" Value="dd-MMM-yyyy" />
                                                                        <%--    <asp:TextBox ID="txtStartDate" runat="server" oncopy="return false" oncut="return false"
                                                                            onkeydown="doCheckBackSpaceOrDelete()" onkeypress="return false" onpaste="return false"
                                                                            CssClass="form-control" ToolTip="dd-MMM-yyyy"></asp:TextBox>--%>
                                                                    </div>
                                                                </div>
                                                                <div class="col-xs-6 nullpadding override-col-width form-controllinebreak">
                                                                    <div class="time1 Responsivetime">
                                                                        <MKB:TimeSelector ID="tsFromHrs" runat="server" AmPm="AM" DisplaySeconds="False"
                                                                            Hour="8" Font-Size="10pt" Height="20px" SelectedTimeFormat="Twelve">
                                                                        </MKB:TimeSelector>
                                                                    </div>
                                                                    <dxw:ASPxTimeEdit ID="tsFromHrs1" runat="server" DateTime="2009/11/01 15:31:34" CssClass="form-control"
                                                                        EnableTheming="true" Theme="Office2003Blue" Visible="false">
                                                                        <ValidationSettings ErrorDisplayMode="None" />
                                                                    </dxw:ASPxTimeEdit>
                                                                </div>
                                                            </div>
                                                            <div class="col-sm-12 nullpadding icon-img">
                                                                <div class="col-xs-6 padding-width-sm">
                                                                    <div class="col-xs-1 nullpadding override-col-width">
                                                                        <asp:Image ID="imgDurationTo" runat="server" ImageUrl="../images/calendar-lft-icon.gif"
                                                                            AlternateText="Duration To" />
                                                                    </div>
                                                                    <div class="col-xs-10 padding-width-sm">
                                                                        <%--  <asp:TextBox ID="txtEndDate" runat="server" oncopy="return false" oncut="return false"
                                                                            CssClass="form-control" onkeydown="doCheckBackSpaceOrDelete()" onkeypress="return false"
                                                                            onpaste="return false" ToolTip="dd-MMM-yyyy"></asp:TextBox>--%>
                                                                    </div>
                                                                </div>
                                                                <div class="col-xs-6 nullpadding override-col-width">
                                                                    <div class="time1 Responsivetime">
                                                                        <MKB:TimeSelector ID="tsToHours" runat="server" AmPm="AM" DisplaySeconds="False"
                                                                            Hour="10" Font-Size="10pt" Height="20px" SelectedTimeFormat="Twelve">
                                                                        </MKB:TimeSelector>
                                                                    </div>
                                                                    <dxw:ASPxTimeEdit ID="tsToHrs1" runat="server" DateTime="2009/11/01 15:31:34" CssClass="form-control"
                                                                        EnableTheming="true" Theme="Office2003Blue" Visible="false">
                                                                        <ValidationSettings ErrorDisplayMode="None" />
                                                                    </dxw:ASPxTimeEdit>
                                                                </div>
                                                            </div>
                                                        </div>
                                                        <div class="col-sm-12 col-md-5 padding-width-sm">
                                                            <div class="col-xs-12 nullpadding icon-img">&nbsp;</div>
                                                            <div class="col-xs-12 nullpadding icon-label">
                                                                <div class="col-xs-11 col-sm-8 col-md-10 col-lg-11 nullpadding">

                                                                    <asp:LinkButton ID="btnView" runat="server" CssClass="MultilingualBtn" OnClientClick="try{if( Validate('V')){ShowPopUp(); return true;} else return false;} catch(Error){return false};"
                                                                        OnClick="btnView_Click">
                                                                        <span runat="server" class="MultilingualBtnspan">
                                                                            <div class="Search">
                                                                                <div id="UpdateResultsButDiv" runat="server" class="MultilingualBtnTextAlign">
                                                                                    Update Results
                                                                                </div>
                                                                            </div>
                                                                        </span>
                                                                    </asp:LinkButton>

                                                                </div>
                                                                <%-- <div id="divChangeAlertView" class="data-icn col-xs-1 nullpadding icon-label" runat="server" oncontextmenu="return false;">
                                                                    <asp:CheckBox ID="chkChangeViewCriticalAlert" runat="server" Checked="true" onclick="chart(1);" onchange="chart(1);" />
                                                                    <cc1:ToggleButtonExtender ID="ToggleButtonExtender2" runat="server" TargetControlID="chkChangeViewCriticalAlert"
                                                                        CheckedImageUrl="~/images/icn-chart-view.gif" CheckedImageAlternateText="Chart View"
                                                                        UncheckedImageUrl="~/images/50.png" UncheckedImageAlternateText="Map View" ImageHeight="16" ImageWidth="16">
                                                                    </cc1:ToggleButtonExtender>
                                                                </div>--%>
                                                            </div>
                                                        </div>
                                                    </div>
                                                </div>
                                            </ContentTemplate>
                                        </asp:UpdatePanel>
                                        <asp:HiddenField ID="hdndataMin" runat="server" />
                                        <asp:HiddenField ID="hdndataMax" runat="server" />
                                    </div>
                                    <div class="clear clearfix"></div>
                                </div>
                                <div class="clear clearfix">
                                </div>
                                <asp:UpdatePanel ID="udppnl" runat="server" UpdateMode="Conditional">
                                    <ContentTemplate>
                                        <div class="vlive-centrifugal-fan maintenance-plan">
                                            <div class="col-ks-16 vlive-header_VXL">
                                                <div class="col-ks-13_5">
                                                    <asp:Label ID="lblCriticalAlarms" runat="server" Text="Trend History"></asp:Label>
                                                </div>
                                                <div class="col-ks-1">
                                                    <button type="button" class="fa-file-image-o btn btn-primary" id="lnkexport" onclick="ExportChart()" title="Save image">&nbsp;Export</button>
                                                    <%--<asp:LinkButton ID="lnkexport" runat="server" Text="&nbsp;&nbsp;Export" CssClass="fa-file-image-o btn btn-primary" OnClientClick="PrintDiv();"></asp:LinkButton>--%>
                                                </div>
                                            </div>
                                            <div style="width: 100%; overflow-x: scroll; background-color: white;">
                                                <br />
                                                <div id="flotChartplaceholder" runat="server" style="height: 300px; margin: 0 auto; margin-left: 10px; width: 110px;"></div>
                                                <div id="choices"></div>
                                            </div>
                                        </div>
                                    </ContentTemplate>
                                </asp:UpdatePanel>
                                <%--  <asp:UpdatePanel ID="udpnl" runat="server" UpdateMode="Conditional">
                                    <ContentTemplate>
                                        <button id="id_generate_pdf" type="button" onclick="GetTrendPdf();">Click</button>
                                    </ContentTemplate>
                                </asp:UpdatePanel>--%>
                                <div class="clear clearfix"></div>
                                <div id="gvhst" runat="server" class="ControlShow">
                                    <div id="grid-dsply">
                                        <div class="clear clearfix">
                                        </div>
                                        <div class="clearfix"></div>
                                        <asp:UpdatePanel ID="updGrid" runat="server" UpdateMode="Conditional">
                                            <ContentTemplate>
                                                <img id="tImg" runat="server" style="display: none" />
                                                <div class="table-responsive">
                                                    <dxw:ASPxGridView ID="gvHistory" ClientInstanceName="gvHistory" runat="server" AutoGenerateColumns="True" SettingsBehavior-AllowDragDrop="false"
                                                        SettingsText-GroupPanel=" " SettingsText-EmptyHeaders=" " SettingsText-HeaderFilterShowBlanks=" "
                                                        EnableTheming="true" Theme="Office2003Blue" CssFilePath="~/App_Themes/office2003Blue/GridView/grid.css" CssPostfix="Office2003_Blue"
                                                        Width="100%" KeyFieldName="MessageInID" Settings-ShowFilterRow="false" EnableViewState="true" Settings-ShowFilterBar="Hidden"
                                                        OnFillContextMenuItems="gvData_FillContextMenuItems" Settings-ShowGroupPanel="false" Settings-ShowTitlePanel="false" Settings-ShowHeaderFilterBlankItems="false"
                                                        ToolTip="" ClientIDMode="AutoID">
                                                        <%--OnHtmlRowCreated="gvHistory_OnHtmlRowCreated"--%>
                                                        <Settings UseFixedTableLayout="true" />
                                                        <%--<Images ImageFolder="~/App_Themes/office2003Blue/{0}/">
                                                    <CollapsedButton Height="12px" Url="~/App_Themes/office2003Blue/GridView/gvCollapsedButton.png"
                                                        Width="11px" />
                                                    <ExpandedButton Height="12px" Url="~/App_Themes/office2003Blue/GridView/gvExpandedButton.png"
                                                        Width="11px" />
                                                    <DetailCollapsedButton Height="12px" Url="~/App_Themes/office2003Blue/GridView/gvCollapsedButton.png"
                                                        Width="11px" />
                                                    <DetailExpandedButton Height="12px" Url="~/App_Themes/office2003Blue/GridView/gvExpandedButton.png"
                                                        Width="11px" />
                                                </Images>--%>
                                                        <SettingsLoadingPanel Mode="ShowAsPopup" />
                                                        <Styles CssFilePath="~/App_Themes/office2003Blue/GridView/grid.css" AlternatingRow-Enabled="True"
                                                            CssPostfix="Office2003_Blue">
                                                            <Header ImageSpacing="5px" SortingImageSpacing="5px">
                                                            </Header>
                                                            <LoadingPanel ImageSpacing="10px">
                                                            </LoadingPanel>
                                                            <PagerBottomPanel CssClass="PageFooter">
                                                            </PagerBottomPanel>
                                                            <PagerTopPanel CssClass="PageFooter">
                                                            </PagerTopPanel>
                                                        </Styles>
                                                        <SettingsPager PrevPageButton-Image-Url="../App_Themes/office2003Blue/GridView/pPrev.gif"
                                                            PrevPageButton-Image-UrlDisabled="../App_Themes/office2003Blue/GridView/pPrevDisabled.gif"
                                                            NextPageButton-Image-UrlDisabled="../App_Themes/office2003Blue/GridView/pNextDisabled.gif"
                                                            NextPageButton-Image-Url="../App_Themes/office2003Blue/GridView/pNext.gif" AlwaysShowPager="true">
                                                        </SettingsPager>
                                                        <SettingsPopup CustomizationWindow-HorizontalAlign="RightSides" CustomizationWindow-VerticalAlign="TopSides" />
                                                        <SettingsBehavior EnableCustomizationWindow="false" />
                                                        <SettingsContextMenu Enabled="False" EnableGroupPanelMenu="False" ColumnMenuItemVisibility-GroupByColumn="false"
                                                            ColumnMenuItemVisibility-ShowGroupPanel="false" EnableFooterMenu="False" ColumnMenuItemVisibility-ShowFooter="false"
                                                            RowMenuItemVisibility-NewRow="false" RowMenuItemVisibility-EditRow="false" RowMenuItemVisibility-DeleteRow="false" EnableRowMenu="false">
                                                        </SettingsContextMenu>
                                                        <Settings ShowFilterBar="Hidden" ShowFilterRow="false" />
                                                        <%--Ad-hoc query filter--%>
                                                        <%-- <ClientSideEvents ContextMenu="function OnContextMenu(s, e) {
                                                                if (e.objectType == 'row') {
                                                                    ExportContextMenu.ShowAtPos(ASPxClientUtils.GetEventX(e.htmlEvent), ASPxClientUtils.GetEventY(e.htmlEvent));
                                                                }
                                                            }" />
                                                    <Columns>
                                                        <dxw:GridViewDataTextColumn FieldName="MessageInID" Caption="AutoID" Visible="false"
                                                            VisibleIndex="0" ShowInCustomizationForm="false">
                                                            <DataItemTemplate>
                                                                <asp:Label ID="lblAutoID" runat="server" Text='<%# Eval("MessageInID") %> '></asp:Label>
                                                            </DataItemTemplate>
                                                        </dxw:GridViewDataTextColumn>
                                                        <dxw:GridViewDataTextColumn FieldName="DeviceID" VisibleIndex="0" Width="8%" Caption="Device ID">
                                                        </dxw:GridViewDataTextColumn>
                                                        <dxw:GridViewDataTextColumn FieldName="VehicleDescription" VisibleIndex="1" Caption="Vehicle Name"
                                                            Width="14%">
                                                        </dxw:GridViewDataTextColumn>
                                                        <dxw:GridViewDataDateColumn FieldName="Time" VisibleIndex="2" Caption="Date Time"
                                                            Width="13%">
                                                        </dxw:GridViewDataDateColumn>
                                                        <dxw:GridViewDataTextColumn FieldName="Today1" VisibleIndex="3" Caption="idling Duration(In mins)"
                                                            Width="13%" ShowInCustomizationForm="false">
                                                        </dxw:GridViewDataTextColumn>
                                                        <dxw:GridViewDataTextColumn FieldName="Today2" VisibleIndex="3" Caption="Idling Instances"
                                                            Width="13%" ShowInCustomizationForm="false">
                                                        </dxw:GridViewDataTextColumn>
                                                        <dxw:GridViewDataTextColumn FieldName="Today3" VisibleIndex="3" Caption="Ext. Idling Instances"
                                                            Width="13%" ShowInCustomizationForm="false">
                                                        </dxw:GridViewDataTextColumn>

                                                    </Columns>--%>
                                                        <Settings ShowVerticalScrollBar="true" VerticalScrollableHeight="150" />
                                                        <SettingsText EmptyDataRow="No data matching to the search criteria" />
                                                        <%-- <ClientSideEvents SelectionChanged="function(s, e) {OnGridSelectionChanged(); }"
                                                    EndCallback="function(s, e) { CheckMapItBoxes();SetDivPosition();}" />--%>
                                                        <Settings ShowFilterRow="false" ShowFilterRowMenu="false" />
                                                    </dxw:ASPxGridView>
                                                    <dxw:ASPxGridViewExporter ID="ASPxGridViewExporter1" runat="server" ClientIDMode="AutoID" GridViewID="gvHistory"
                                                        ReportHeader="{\rtf1\ansi\ansicpg1252\deff0\deflang1033{\fonttbl{\f0\fnil\fcharset0 Arial;}}
                                                                    \viewkind4\uc1\pard\qc\b\fs28 History Details\par\pard\par\par}"
                                                        OnDataBinding="ASPxGridViewExporter1_DataBinding" OnPreRender="ASPxGridViewExporter1_PreRender" OnRenderBrick="ASPxGridViewExporter1_RenderBrick">
                                                        <PageFooter Right="[Page # of Pages #]">
                                                        </PageFooter>
                                                    </dxw:ASPxGridViewExporter>
                                                </div>

                                                <asp:HiddenField runat="server" ID="hdnGeozoneValue" />
                                                <asp:HiddenField ID="hdnGeoCoordinates" runat="server" />
                                                <asp:HiddenField ID="hdnMaxGeozoneMarkers" runat="server" />
                                                <asp:HiddenField ID="hdnCoordinates" runat="server" />
                                            </ContentTemplate>
                                            <Triggers>
                                                <%--<asp:PostBackTrigger ControlID="btnExport" />--%>
                                            </Triggers>
                                        </asp:UpdatePanel>

                                    </div>
                                </div>
                            </div>
                        </div>
                        <!-- Main Content Ends Here -->
                        <div id="left">
                        </div>
                        <div class="clear clearfix">
                        </div>
                    </div>
                    <div id="right">
                        <div class="clear clearfix">
                        </div>
                    </div>
                </div>
            </div>
            <asp:HiddenField ID="hdnExport" runat="server" Value="0" />
            <!-- Content Ends Here -->
            <cc1:ModalPopupExtender ID="mpeProgressIndicator" runat="server" PopupControlID="progressPopUp"
                TargetControlID="btnTesting" BackgroundCssClass="modalBackground">
            </cc1:ModalPopupExtender>
            <asp:Button ID="btnTesting" Style="display: none;" runat="server" />
            <asp:Panel ID="progressPopUp" runat="server" CssClass="processMessage" Style="display: none;">
                <center>
                <br />
                <img id="imgLoad" runat="server" alt="Please Wait ..." src="../images/47.gif" /><br />
                <br />
                <asp:Label ID="lbl_msg12" Text="Processing... Please Wait..." runat="server" CssClass="specialdisplay"></asp:Label>
                <br />
                <br />
            </center>
            </asp:Panel>
            <input type="hidden" id="hdnInput" name="hdnInput" style="display: none" />
            <input type="hidden" id="hdnMapItValue" name="hdnMapItValue" runat="server" style="display: none" />
            <asp:HiddenField ID="hdnLogout" runat="server" />
            <asp:HiddenField ID="hdnCaptureChar" runat="server" Value="" />
            <asp:HiddenField ID="hdnOrgId" runat="server" Value="" />
            <asp:HiddenField ID="hdnUserId" runat="server" Value="" />

            <script language="javascript" type="text/javascript">
                function HidePopUp() {
                    if ($find('mpeProgressIndicator') != undefined) {
                        $find('mpeProgressIndicator').hide();
                    }
                }
                function ShowPopUp() {
                    if ($find('mpeProgressIndicator') != undefined) {
                        $find('mpeProgressIndicator').show();
                    }
                }
            </script>
            <script type="text/javascript">

                Sys.Browser.WebKit = {}; //Safari 3 is considered WebKit
                if (navigator.userAgent.indexOf('WebKit/') > -1) {
                    Sys.Browser.agent = Sys.Browser.WebKit;
                    Sys.Browser.version = parseFloat(navigator.userAgent.match(/WebKit\/(\d+(\.\d+)?)/)[1]);
                    Sys.Browser.name = 'WebKit';
                }

                $Hst = jQuery.noConflict();
                var keyValue;
                function OnMoreInfoClick(element) {
                    popup.ShowAtElement(element);
                }
                function popup_Shown(s, e) {
                    popup.ShowAtPos(s, e);
                }

            </script>
            <script lang="javascript" type="text/javascript" src="../js/DateValidations.js"></script>
            <script type="text/javascript" lang="javascript" src="../js/HistoryScript.js"></script>
            <script lang="javascript" type="text/javascript" src="../js/Threading.js"></script>

            <script type="text/javascript" src="../JQTimePicker/jquery-2.1.1.min.js"></script>
            <link id="Link3" runat="server" href="../css/Monitor_css/bootstrap-datetimepicker.css" rel="stylesheet" type="text/css" />
            <script type="text/javascript" src="../JQTimePicker/moment-with-locales.js"></script>
            <script type="text/javascript" src="../js/Monitor_js/bootstrap-datetimepicker.js"></script>
            <script type="text/javascript" src="../js/BDatePicker.js"></script>

            <script type="text/javascript" src="http://cdnjs.cloudflare.com/ajax/libs/twitter-bootstrap/3.0.3/js/bootstrap.min.js"></script>
            <link href="../css/MultiSelectedddl.css" rel="stylesheet" type="text/css" />
            <script src="../js/MultiSelectddl.js" type="text/javascript"></script>
            <script type="text/javascript" src="../js/TrendMultiselect.js"></script>


            <script type="text/javascript" src="../JQueryChart/jquery.flot.min.js"></script>
            <script type="text/javascript" src="../JQueryChart/jquery.flot.animator.min.js"></script>
            <script type="text/javascript" src="../JQueryChart/jquery.colorhelpers.js"></script>
            <script type="text/javascript" src="../JQueryChart/jquery.flot.js"></script>
            <script type="text/javascript" src="../JQueryChart/jquery.flot.canvas.js"></script>
            <script type="text/javascript" src="../JQueryChart/jquery.flot.time.js"></script>
            <script type="text/javascript" src="../JQueryChart/jshashtable-2.1.js"></script>
            <script type="text/javascript" src="../JQueryChart/jquery.numberformatter-1.2.3.min.js"></script>
            <script type="text/javascript" src="../JQueryChart/jquery.flot.symbol.js"></script>
            <script type="text/javascript" src="../JQueryChart/jquery.flot.axislabels.js"></script>
            <%--<script type="text/javascript" src="../JQueryChart/jquery.flot.selection.js"></script>--%>
            <script type="text/javascript" src="../JQueryChart/jquery.flot.navigate.js"></script>
            <script type="text/javascript" src="../JQueryChart/jquery.flot.resize.js"></script>
            <%--<script type="text/javascript" src="../JQueryChart/jquery.flot.text.js"></script>--%>
            <!-- other dependencies -->
            <script type="text/javascript" src="../JQueryChart/base64.js"></script>
            <script type="text/javascript" src="../JQueryChart/canvas2image.js"></script>
            <!-- this plugin -->
            <script type="text/javascript" src="../JQueryChart/jquery.flot.saveAsImage.js"></script>
            <script type="text/javascript" src="../JQueryChart/jquery.flot.legendoncanvas.js"></script>
            <script type="text/javascript" src="../JQueryChart/jquery.flot.fillcanvascolor.js"></script>
            <script type="text/javascript" src="../JQueryChart/TrendChart.js"></script>
            <%--<script src="https://ajax.googleapis.com/ajax/libs/jquery/2.2.4/jquery.min.js"></script>--%>
            <script src="http://yourjavascript.com/04131271074/html2canvas.js"></script>
            <%--<script src="http://yourjavascript.com/47112101241/jspdf-min.js"></script>--%>
            <script type="text/javascript">
                function ExportChart() {
                    var hdnchart = document.getElementById('hdnCaptureChar').value;
                    if (hdnchart != "") {
                        downloadURI(hdnchart, "TrendChart.png")
                    }
                    else {
                        TrinetraCustomAlerts('No data to be exported !');
                    }

                }

                function downloadURI(uri, name) {
                    var link = document.createElement("a");
                    link.download = name;
                    link.href = uri;
                    document.body.appendChild(link);
                    link.click();
                }
            </script>
        </form>
    </div>
    <uc2:Footer ID="ucFooter" runat="server" />
</body>
</html>
