﻿<%@ page language="C#" autoeventwireup="true" inherits="Forms_UserManipulation, App_Web_x5mqvqwt" enableeventvalidation="false" %>

<%@ Register Assembly="AjaxControlToolkit" Namespace="AjaxControlToolkit" TagPrefix="cc1" %>
<%@ Register Src="~/UserControls/Notification_List.ascx" TagPrefix="uc3" TagName="NotificationsList" %>
<%@ Register Src="~/UserControls/New_Header.ascx" TagName="Header" TagPrefix="uc1" %>
<%@ Register Src="~/UserControls/New_Footer.ascx" TagName="Footer" TagPrefix="uc2" %>
<%--<%@ Register Assembly="DevExpress.Web.ASPxGridView.v8.2" Namespace="DevExpress.Web.ASPxGridView"
    TagPrefix="dxgv" %>
<%@ Register Assembly="DevExpress.Web.ASPxEditors.v8.2, Version=8.2.10.0, Culture=neutral, PublicKeyToken=9b171c9fd64da1d1"
    Namespace="DevExpress.Web.ASPxEditors" TagPrefix="dxe" %>
<%@ Register Assembly="DevExpress.Web.ASPxEditors.v8.2" Namespace="DevExpress.Web.ASPxEditors"
    TagPrefix="dxe" %>
<%@ Register Assembly="DevExpress.Web.ASPxGridView.v8.2.Export" Namespace="DevExpress.Web.ASPxGridView.Export"
    TagPrefix="exp" %>--%>
<%@ Register Assembly="DevExpress.Web.v14.2" Namespace="DevExpress.Web" TagPrefix="dxw" %>
<%--********* For Bootstrap Implementation *************--%>
<!DOCTYPE html>
<html lang="en">
<%--********* End of Bootstrap Implementation *************--%>
<head id="Head1" runat="server">
    <title>tSense-IoT Configuration</title>
    <%--********* For Bootstrap Implementation *************--%>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
    <%--********* End of Bootstrap Implementation *************--%>
    <link href="../css/CustomeAlert/demos.css" rel="stylesheet" type="text/css" />
    <link href="../css/CustomeAlert/themes/jquery.ui.all.css" rel="stylesheet" type="text/css" />
    <link runat="server" type="text/css" href="~/css/bootstrap.css" rel="stylesheet" />
    <link id="reset" runat="server" href="../css/reset.css" rel="stylesheet" type="text/css" />
    <link id="stylesheet2" runat="server" href="../css/stylesheet2.css" rel="stylesheet" type="text/css" />
    <link id="updatedcss" runat="server" href="../css/Updated_css.css" rel="stylesheet" type="text/css" />
    <link id="dropdown" runat="server" href="../css/dropdown.css" rel="stylesheet" type="text/css" />
    <link rel="icon" href="../NewDesign/img/favicon.png" type="image/x-icon">
    <link href="../NewDesign/css/bootstrap.css" rel="stylesheet" />
    <link href="../NewDesign/css/font-awesome.css" rel="stylesheet" />
    <link href="../NewDesign/css/responsive.css" rel="stylesheet" />
    <link href="../NewDesign/css/style.css" rel="stylesheet" />
    <script src="../NewDesign/js/jquery.min.js"></script>
    <script src="../js/jquery-3.3.1.min.js"></script>
    <script src="../NewDesign/js/bootstrap.min.js"></script>
    <script src="../NewDesign/js/jquery.js"></script>
    <script src="../NewDesign/js/script.js"></script>
    <link href="../NewDesign/font-awesome-4.7.0/css/font-awesome.css" rel="stylesheet" />
    <link href="../NewDesign/font-awesome-4.7.0/css/font-awesome.min.css" rel="stylesheet" />
    <link id="uidatepicker" runat="server" type="text/css" href="../css/ui.datepicker.css" rel="stylesheet" />
    <link id="uicore" runat="server" type="text/css" href="../css/ui.core.css" rel="stylesheet" />
    <link id="uitheme" runat="server" type="text/css" href="../css/ui.theme.css" rel="stylesheet" />
    <link id="ieonly" runat="server" rel="stylesheet" type="text/css" href="" />
    <%--Custom Theme for DevEx 14.2--%>
    <link id="GridView" runat="server" type="text/css" href="~/App_Themes/Office2003Blue/GridView/grid.css" rel="stylesheet" />
    <link id="Editors" runat="server" type="text/css" href="~/App_Themes/Office2003Blue/Editors/styles.css" rel="stylesheet" />
    <script src="../js/CustomAlert/jquery.min.js" type="text/javascript"></script>
    <script src="../js/CustomAlert/jquery-ui-1.10.3.custom.min.js" type="text/javascript"></script>
    <script src="../js/CustomAlert/jquery-ui-1.10.3.custom.js" type="text/javascript"></script>
    <script src="../js/CustomAlert/CustomAlert.js" type="text/javascript"></script>
    <%--<script type="text/javascript" src="../js/jquery-1.5.1.min.js"></script>
    <script type="text/javascript" src="../js/ui.datepicker.js"></script>
    <script type="text/javascript" src="../js/JQQueryDatePicker.js"></script>--%>
    <%--BootStrap Css--%>
    <%--<link id="BootStrapCss" href="../css/bootstrap.css" runat="server" rel="stylesheet" type="text/css" />--%>
    <link id="mainstyle" runat="server" href="../css/mainstyle.css" rel="stylesheet" type="text/css" />
    <%--End of BootStrap Css--%>
    <style>
        .ftop .col-md-12 {
            padding-top: 10px;
        }
    </style>
    <script src="../js/wow.min.js"></script>
</head>
<body class="white">
    <div class="page-wrapper">
        <div class="preloader"></div>
        <form id="form1" runat="server">
            <asp:ScriptManager ID="ScriptManager1" runat="server" EnablePageMethods="true">
            </asp:ScriptManager>
            <!-- Header Starts Here -->
            <uc1:Header ID="ucHeader" runat="server" />
            <!-- Nav Ends Here -->
            <!-- Content Starts Here -->
            <asp:UpdatePanel ID="updGrid" runat="server">
                <ContentTemplate>
                    <div class="vlive-reports-section maintenance">
                        <div class="container-fluid">
                            <div class="row clearfix">
                                <div class="col-ks-16">
                                    <div class="col-ks-6 HeaderTest">
                                        <div class="col-ks-16">
                                            <h2 class="pull-left">
                                                <asp:Literal ID="lblConfigurationSetupCaption" Text="Configuration" runat="server"></asp:Literal>
                                            </h2>
                                        </div>
                                        <div class="col-ks-16">
                                            <asp:SiteMapPath ID="site" runat="server" CssClass="breadcrumb">
                                                <NodeStyle CssClass="active" />
                                            </asp:SiteMapPath>
                                        </div>
                                    </div>
                                    <div class="col-ks-10 HeaderTopButton">
                                        <asp:LinkButton ID="lbtAddUsers" runat="server" CssClass="fa-plus btn btn-primary" OnClick="lbtAddUsers_Click" OnClientClick="ShowPopUp();">
                                        </asp:LinkButton>
                                        <asp:LinkButton ID="ibtManageUserGroup" runat="server" CssClass="btn-fa-users btn btn-primary"
                                            NavigateUrl="~/Forms/UserGroups.aspx">
                                        </asp:LinkButton>
                                        <asp:LinkButton ID="lbtAssignUserGrp" runat="server" CssClass="btn-fa-check-square-o btn btn-primary" OnClick="lbtAssignUserGrp_Click">
                                        </asp:LinkButton>
                                        <asp:LinkButton ID="btnBack" runat="server" CssClass="fa-arrow-left btn btn-primary" NavigateUrl="~/Forms/ConfigurationSetup.aspx">
                                        </asp:LinkButton>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                    <asp:Panel ID="pnlUserInfo" runat="server" CssClass="ControlShow">
                        <div class="vlive-filter">
                            <div class="container-fluid">
                                <div class="vlive-centrifugal-fan maintenance-plan">
                                    <div class="col-ks-16 vlive-header_VXL">
                                        <div class="col-ks-16">
                                            <asp:Label ID="lblUserInfo" runat="server" CssClass="pnlhearder" Text="User Information"></asp:Label>
                                        </div>
                                    </div>
                                    <div class="row ftop">
                                        <div class="col-md-12">
                                            <div class="col-ks-3">
                                                <asp:Label ID="lblTitle" runat="server" CssClass="icon-img" Text="Title"></asp:Label>
                                                <%--<asp:Label ID="Label4" runat="server" ForeColor="Red">*</asp:Label>--%>
                                            </div>
                                            <div class="col-ks-5">
                                                <asp:DropDownList ID="ddlTitle" CssClass="form-control form-controllinebreak man-dat" runat="server" TabIndex="1">
                                                </asp:DropDownList>
                                            </div>
                                            <div class="col-ks-3">
                                                <div class="checkbox" style="padding-top: 0px!important;">
                                                    <asp:CheckBox ID="chkIsHidden" runat="server" onkeydown="return DisableEnterkey(event);"
                                                        TabIndex="6" Text=" Hidden User" />
                                                </div>
                                            </div>
                                            <div class="col-ks-5"></div>
                                        </div>
                                        <div class="col-md-12">
                                            <div class="col-ks-3">
                                                <asp:Label ID="lblFirstName" runat="server" CssClass="icon-img" Text="First Name"></asp:Label>
                                                <%--<asp:Label ID="Label1" runat="server" ForeColor="Red">*</asp:Label>--%>
                                            </div>
                                            <div class="col-ks-5">
                                                <asp:TextBox ID="txtFirstName" CssClass="form-control man-dat" runat="server" MaxLength="50" TabIndex="2" onkeypress="return chkCharacter_only(event);"></asp:TextBox>
                                            </div>
                                            <div runat="server" id="divCustomerSelect" style="display: none;">
                                                <div class="col-ks-3">
                                                    <asp:Label ID="lblCustomername" runat="server" CssClass="icon-img" Text="Customer Name"></asp:Label>
                                                    <%--<asp:Label ID="Label6" runat="server" ForeColor="Red">*</asp:Label>--%>
                                                    <asp:TextBox ID="txtLastName" runat="server" MaxLength="50" CssClass="form-control form-controllinebreak man-dat" onkeypress="return chkCharWithDot(event)"
                                                        TabIndex="3" Visible="false"></asp:TextBox>
                                                </div>
                                                <div class="col-ks-5">
                                                    <asp:DropDownList ID="ddlCustomer" CssClass="form-control man-dat" runat="server"
                                                        TabIndex="4">
                                                    </asp:DropDownList>
                                                </div>
                                            </div>
                                            <div class="col-ks-3">
                                                <asp:Label ID="lblPhone" runat="server" Text="Phone Number"></asp:Label>
                                            </div>
                                            <div class="col-ks-5">
                                                <asp:TextBox ID="txtPhone" runat="server" MaxLength="15" ondrop="return false;" onkeypress="return chkPhoneMobile(event);"
                                                    TabIndex="6" CssClass="form-control"></asp:TextBox>
                                                <div class="row-Geozone"></div>
                                                <asp:Label ID="lblEgPh1" CssClass="icon-label" runat="server" Text="For e.g 91-4252-267604"></asp:Label>
                                            </div>

                                        </div>
                                        <div class="col-md-12">
                                            <div class="col-ks-3">
                                                <asp:Label ID="lblemail" runat="server" Text="Email"></asp:Label>
                                                <%--<asp:Label ID="Label5" runat="server" ForeColor="Red">*</asp:Label>--%>
                                            </div>
                                            <div class="col-ks-5">
                                                <asp:TextBox ID="txtEmail" runat="server" onkeypress="return chkDescription(event,this,199);" CssClass="form-control man-dat"
                                                    MaxLength="200" TabIndex="5" onkeydown="return DisableEnterkey(event);" ondrop="return false;"></asp:TextBox>
                                            </div>
                                            <div class="col-ks-3">
                                                <asp:Label ID="lblMobile" runat="server" Text="Mobile Number"></asp:Label>
                                            </div>
                                            <div class="col-ks-5">
                                                <asp:TextBox ID="txtMobile" runat="server" MaxLength="15" onkeypress="return chkNumeric_only(event);"
                                                    TabIndex="7" ondrop="return false;" CssClass="form-control"></asp:TextBox>
                                                <div class="row-Geozone"></div>
                                                <asp:Label ID="lblForEgPh2" runat="server" CssClass="caption form-controllinebreak" Text="For e.g 919047790266"></asp:Label>
                                            </div>




                                        </div>
                                        <%--  <div class="col-md-12">
                                           



                                        </div>--%>
                                        <div class="col-md-12">
                                            <div class="col-ks-3">
                                                <asp:Label ID="lblUsername" runat="server" Text="User Name"></asp:Label>
                                                <%--<asp:Label ID="Label9" runat="server" ForeColor="Red">*</asp:Label>--%>
                                            </div>
                                            <div class="col-ks-5">
                                                <asp:TextBox ID="txtUsername" runat="server" MaxLength="50" onkeypress="return ValidateUserName(event)"
                                                    TabIndex="10" CssClass="form-control man-dat"></asp:TextBox>
                                            </div>
                                            <div class="col-ks-3">
                                                <asp:Label ID="lblDisplayname" runat="server" Text="Display Name"></asp:Label>
                                                <%--<asp:Label ID="Label13" runat="server" ForeColor="Red">*</asp:Label>--%>
                                            </div>
                                            <div class="col-ks-5">
                                                <asp:TextBox ID="txtDispName" runat="server" MaxLength="25" onkeypress="return ValidateUserName(event)"
                                                    TabIndex="11" CssClass="form-control man-dat"></asp:TextBox>
                                            </div>
                                        </div>
                                        <div class="col-md-12" id="divPwd" runat="server">
                                            <div class="col-ks-3">
                                                <asp:Label ID="lblPwd" runat="server" Text="Password"></asp:Label>
                                                <%--<asp:Label ID="Label10" runat="server" ForeColor="Red">*</asp:Label>--%>
                                            </div>
                                            <div class="col-ks-5">
                                                <asp:TextBox ID="txtPwd" runat="server" MaxLength="20" TabIndex="12" TextMode="Password"
                                                    onkeypress="return chkPassword(event)" onkeydown="return DisableEnterkey(event);"
                                                    onpaste="return false;" ondrop="return false;" CssClass="form-control form-controllinebreak man-dat"></asp:TextBox>
                                            </div>
                                            <div class="col-ks-3">
                                                <asp:Label ID="lblconfirmPwd0" runat="server" Text="Confirm Password"></asp:Label>
                                                <%--<asp:Label ID="Label11" runat="server" ForeColor="Red">*</asp:Label>--%>
                                            </div>
                                            <div class="col-ks-5">
                                                <asp:TextBox ID="txtConPwd" runat="server" MaxLength="20" TabIndex="13" TextMode="Password"
                                                    onkeypress="return chkPassword(event)" onkeydown="return DisableEnterkey(event);"
                                                    onpaste="return false;" ondrop="return false;" CssClass="form-control man-dat"></asp:TextBox>
                                            </div>
                                        </div>
                                        <div class="col-md-12">
                                            <div id="DivuserGroup" runat="server">
                                                <div class="col-ks-3">
                                                    <asp:Label ID="lblUserGroup2" runat="server" Text="User Group"></asp:Label>
                                                    <%--<asp:Label ID="Label7" runat="server" ForeColor="Red">*</asp:Label>--%>
                                                </div>
                                                <div class="col-ks-5">
                                                    <asp:DropDownList ID="ddlUsrGroups" runat="server" TabIndex="14" CssClass="form-control form-controllinebreak man-dat">
                                                    </asp:DropDownList>
                                                </div>
                                            </div>
                                            <div class="col-ks-3">
                                                <asp:Label ID="lblRefreshFrequency" runat="server" Font-Bold="False"
                                                    Text="Screen Refresh Frequency (in Sec)"></asp:Label>
                                            </div>
                                            <div class="col-ks-5">
                                                <asp:DropDownList ID="ddlRefreshFrequencyValue" runat="server" AppendDataBoundItems="true"
                                                    TabIndex="15" CssClass="form-control">
                                                </asp:DropDownList>
                                            </div>
                                        </div>
                                        <div class="col-md-12">
                                            <div class="col-ks-3">
                                                <asp:Label ID="lblDefaultFleet" runat="server" Font-Bold="False"
                                                    Text="Default Fleet"></asp:Label>
                                            </div>
                                            <div class="col-ks-5">
                                                <asp:DropDownList ID="ddlFleet" runat="server" AppendDataBoundItems="true" TabIndex="16" CssClass="form-control form-controllinebreak">
                                                </asp:DropDownList>
                                            </div>
                                            <div class="col-ks-3">
                                                <asp:CheckBox ID="chkUnlockedStatus" runat="server" onkeydown="return DisableEnterkey(event);"
                                                    TabIndex="8" Text="Unlocked" />
                                            </div>
                                            <div class="col-ks-5">
                                                <asp:CheckBox ID="chkActiveStatus" runat="server" onkeydown="return DisableEnterkey(event);"
                                                    TabIndex="9" Text="Active" />
                                            </div>
                                            <div class="col-ks-3 ControlHide">
                                                <asp:Label ID="lblDistance" runat="server" Font-Bold="False" Text="Distance"></asp:Label>
                                            </div>
                                            <div class="col-ks-5 ControlHide">
                                                <div class="col-sm-5 col-lg-4 col-md-4 ">
                                                    <div class="radio">
                                                        <asp:RadioButton ID="rbtKilometers" runat="server" CssClass="checkBoxListWrap form-control" GroupName="Distance"
                                                            Text="Kilometers" TabIndex="17" onkeydown="return DisableEnterkey(event);" />
                                                    </div>
                                                </div>
                                                <div class="col-sm-6 col-lg-4 col-md-4">
                                                    <div class="radio">
                                                        <asp:RadioButton ID="rbtMiles" runat="server" Checked="True" GroupName="Distance"
                                                            Text="Miles" TabIndex="18" onkeydown="return DisableEnterkey(event);" Style="text-align: right;"
                                                            CssClass="form-control" />
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                        <div class="col-md-12">
                                            <div class="col-ks-3">
                                                <asp:Label ID="lblTimezone" runat="server" Font-Bold="False" Text="Timezone"></asp:Label>
                                            </div>
                                            <div class="col-ks-5">
                                                <asp:DropDownList ID="ddlTimezone" runat="server" AppendDataBoundItems="true" TabIndex="19"
                                                    CssClass="form-control form-controllinebreak">
                                                </asp:DropDownList>
                                            </div>
                                            <div class="col-ks-3">
                                                <asp:Label ID="lblExpiryDate" runat="server" Font-Bold="False" Text="Expiry Date"></asp:Label>
                                            </div>
                                            <div class="col-ks-5">
                                                <asp:TextBox ID="txtDueOnDate" runat="server" oncopy="return false" oncut="return false"
                                                    CssClass="date form-control" onkeydown="doCheckBackSpaceOrDelete()" onkeypress="return false"
                                                    onpaste="return false" ToolTip="dd-MMM-yyyy" TabIndex="20"></asp:TextBox>
                                            </div>
                                        </div>
                                        <div class="col-md-12">
                                            <div class="col-ks-16">
                                                <%--<asp:Label ID="Label12" runat="server" ForeColor="Red">*</asp:Label>--%>
                                                <span class="redtxt">|</span>&nbsp;<asp:Label ID="lblIndicatesMandatory" runat="server" Text="Required Fields"></asp:Label>
                                            </div>
                                        </div>
                                        <div class="col-md-12">

                                            <div class="col-ks-16" align="right">
                                                <asp:LinkButton ID="lbtEdit" CausesValidation="true" runat="server" CssClass="btn-fa-pencil btn btn-primary"
                                                    OnClick="lbtEdit_Click" OnClientClick="ShowPopUp();" TabIndex="21">
                                                    <span runat="server" class="MultilingualBtnspan">
                                                        <div class="Save">
                                                            <div id="EditButDiv" runat="server" class="MultilingualBtnTextAlign">
                                                                Save
                                                            </div>
                                                        </div>
                                                    </span>
                                                </asp:LinkButton>
                                                <asp:LinkButton ID="btnAddUser" CausesValidation="true" runat="server" CssClass="btn btn-primary btn-fa-floppy-o"
                                                    OnClick="btnAddUser_Click" OnClientClick="ShowPopUp();" TabIndex="22">
                                                </asp:LinkButton>
                                                <asp:LinkButton ID="btnUserCancel" CausesValidation="false" runat="server" CssClass="btn btn-primary btn-fa-ban"
                                                    OnClick="btnUserCancel_Click" OnClientClick="ShowPopUp();" TabIndex="23">
                                                </asp:LinkButton>
                                            </div>

                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </asp:Panel>
                    <asp:HiddenField runat="server" ID="hdnDateFormat" Value="dd-MMM-yyyy" />
                    <asp:HiddenField ID="hdnSMS" runat="server" Value="" />
                    <div class="clear clearfix">
                    </div>
                    <asp:Panel ID="pnlUserDetailsList" runat="server" CssClass="ControlShow">
                        <div class="vlive-filter">
                            <div class="container-fluid">
                                <div class="vlive-centrifugal-fan maintenance-plan">
                                    <div class="col-ks-16 vlive-header_VXL">
                                        <div class="col-ks-13">
                                            <asp:Label ID="lblUserDetails" runat="server" CssClass="pnlhearder" Text="User Details"></asp:Label>
                                        </div>
                                        <div class="col-ks-1">
                                            <dxw:ASPxComboBox ID="ASPxCboExport" runat="server" ValueType="System.String" CssClass="form-control exportddl"
                                                ShowImageInEditBox="false" ItemImage-Height="12px" ClientInstanceName="ASPxCboExport" SelectedIndex="0"
                                                CssFilePath="~/App_Themes/Office2003Blue/Editors/styles.css" CssPostfix="Office2003_Blue"
                                                EnableTheming="true" Theme="Office2003Blue">
                                                <Items>
                                                    <dxw:ListEditItem ImageUrl="../images/icn-pdf.jpg" Text="pdf" Value="pdf" />
                                                    <dxw:ListEditItem ImageUrl="../images/icn-excel.jpg" Text="xls" Value="xls" />
                                                    <dxw:ListEditItem ImageUrl="../images/icn-excel-xlsx.png" Text="xlsx" Value="xlsx" />
                                                    <dxw:ListEditItem ImageUrl="../images/icn-word.jpg" Text="rtf" Value="rtf" />
                                                    <%--<dxw:ListEditItem ImageUrl="../images/icn-csv.gif" Text="csv" Value="csv" />--%>
                                                </Items>
                                            </dxw:ASPxComboBox>
                                        </div>
                                        <div class="col-ks-2">
                                            <asp:ImageButton ID="btnExport1" runat="server" ImageUrl="~/images/btn-export.jpg"
                                                OnClick="btnExport_Click" Visible="false" />
                                            <asp:LinkButton ID="btnExport" runat="server" CssClass="fa-file-excel-o btn btn-primary" OnClick="btnExport_Click" Text="&nbsp;&nbsp;Export">
                                            </asp:LinkButton>
                                        </div>
                                    </div>
                                    <div class="row ftop">
                                        <div class="col-md-12" style="padding-top: 10px;">
                                            <asp:HiddenField ID="hdnRefreshStatus" runat="server" Value="" />
                                            <asp:HiddenField ID="hdnSelectedUserIds" runat="server" Value="" />
                                            <dxw:ASPxGridViewExporter ID="ASPxGridViewExporter1" runat="server" GridViewID="gvUsers"
                                                ReportHeader="{\rtf1\ansi\ansicpg1252\deff0\deflang1033{\fonttbl{\f0\fnil\fcharset0 Arial;}}
\viewkind4\uc1\pard\qc\b\fs28 User Details\par
\pard\par
\par
}
">
                                                <PageFooter Right="[Page # of Pages #]">
                                                </PageFooter>
                                            </dxw:ASPxGridViewExporter>
                                            <dxw:ASPxGridView ID="gvUsers" ClientInstanceName="gvUsers" runat="server" Width="100%"
                                                KeyFieldName="UserId" OnRowCommand="gvUsers_RowCommand" EnableTheming="true" Theme="Office2003Blue"
                                                CssFilePath="~/App_Themes/office2003Blue/GridView/styles.css" CssPostfix="Office2003_Blue"
                                                Settings-ShowFilterRow="true" OnHtmlRowCreated="gvUsers_OnHtmlRowCreated">
                                                <ClientSideEvents SelectionChanged="function(s, e) { OnGridSelectionChanged(1); }" />
                                                <Settings ShowVerticalScrollBar="true" VerticalScrollableHeight="300" />
                                                <SettingsBehavior ProcessSelectionChangedOnServer="false" />
                                                <Styles CssFilePath="~/App_Themes/office2003Blue/GridView/grid.css" AlternatingRow-Enabled="True"
                                                    CssPostfix="Office2003_Blue">
                                                    <Header ImageSpacing="5px" SortingImageSpacing="5px">
                                                    </Header>
                                                    <LoadingPanel ImageSpacing="10px">
                                                    </LoadingPanel>
                                                    <PagerBottomPanel CssClass="PageFooter">
                                                    </PagerBottomPanel>
                                                    <PagerTopPanel CssClass="PageFooter">
                                                    </PagerTopPanel>
                                                </Styles>
                                                <SettingsPager PrevPageButton-Image-Url="../App_Themes/office2003Blue/GridView/pPrev.gif"
                                                    PrevPageButton-Image-UrlDisabled="../App_Themes/office2003Blue/GridView/pPrevDisabled.gif"
                                                    NextPageButton-Image-UrlDisabled="../App_Themes/office2003Blue/GridView/pNextDisabled.gif"
                                                    NextPageButton-Image-Url="../App_Themes/office2003Blue/GridView/pNext.gif" AlwaysShowPager="true" PageSize="15">
                                                </SettingsPager>
                                                <Columns>
                                                    <dxw:GridViewDataColumn FieldName="UserId" Caption="AutoID" VisibleIndex="0" Visible="false">
                                                    </dxw:GridViewDataColumn>
                                                    <dxw:GridViewCommandColumn ShowSelectCheckbox="True" VisibleIndex="1" Width="4%"
                                                        Name="chk">
                                                        <HeaderTemplate>
                                                            <input type="checkbox" onclick="gvUsers.SelectAllRowsOnPage(this.checked);" style="vertical-align: middle;"
                                                                title="Select/Unselect all rows on the page"></input>
                                                        </HeaderTemplate>
                                                        <HeaderStyle Paddings-PaddingTop="1" Paddings-PaddingBottom="1" HorizontalAlign="Center" />
                                                    </dxw:GridViewCommandColumn>
                                                    <dxw:GridViewDataColumn FieldName="UserName" Caption="User Name" VisibleIndex="2"
                                                        HeaderStyle-HorizontalAlign="Center" Width="11%">
                                                        <HeaderCaptionTemplate>
                                                            <asp:Label ID="lblUserName" runat="server" Text="User Name"></asp:Label>
                                                        </HeaderCaptionTemplate>
                                                        <DataItemTemplate>
                                                            <asp:Label ID="lblUserName" runat="server" Text='<%# Convert.ToString(Eval("UserName")) %>'></asp:Label>
                                                        </DataItemTemplate>
                                                    </dxw:GridViewDataColumn>
                                                    <%--                        <dxw:GridViewDataColumn FieldName="DisplayName" Caption="Display Name" VisibleIndex="3" Visible="false"
                                                                HeaderStyle-HorizontalAlign="Center" Width="11%">
                                                                <HeaderCaptionTemplate>
                                                                    <span class="icon">
                                                                        <asp:Image ID="imgDisplayName" runat="server" ImageUrl="..\Images\icn-display-name.gif"
                                                                            align="top" /></span> <span class="label">
                                                                                <asp:Label ID="lblDisplayName" runat="server" Text="Display Name"></asp:Label>
                                                                            </span>
                                                                </HeaderCaptionTemplate>
                                                                <DataItemTemplate>
                                                                    <asp:Label ID="lblUserName" runat="server" Text='<%# Eval("DisplayName") %>' ToolTip='<%# Convert.ToString(Eval("IsHidden")) == "True" ? "Hidden User" :"" %>'
                                                                        ForeColor='<%# Convert.ToString(Eval("IsHidden")) == "True" ? System.Drawing.Color.Green : System.Drawing.Color.Black %>'></asp:Label>
                                                                </DataItemTemplate>
                                                            </dxw:GridViewDataColumn>--%>
                                                    <dxw:GridViewDataColumn FieldName="Lastname" Caption="Customer Name" VisibleIndex="3"
                                                        HeaderStyle-HorizontalAlign="Center" Width="11%">
                                                        <HeaderCaptionTemplate>
                                                            <asp:Label ID="lblLastname" runat="server" Text="Customer Name"></asp:Label>
                                                        </HeaderCaptionTemplate>
                                                        <DataItemTemplate>
                                                            <asp:Label ID="lblLastname" runat="server" Text='<%# Eval("Lastname") %>' ToolTip='<%# Convert.ToString(Eval("IsHidden")) == "True" ? "Hidden User" :"" %>'
                                                                ForeColor='<%# Convert.ToString(Eval("IsHidden")) == "True" ? System.Drawing.Color.Green : System.Drawing.Color.Black %>'></asp:Label>
                                                        </DataItemTemplate>
                                                    </dxw:GridViewDataColumn>
                                                    <dxw:GridViewDataColumn FieldName="Password" Caption="Password" VisibleIndex="2"
                                                        HeaderStyle-HorizontalAlign="Center" Width="11%">
                                                        <HeaderCaptionTemplate>
                                                            <asp:Label ID="lblPwd" runat="server" Text="Password"></asp:Label>
                                                        </HeaderCaptionTemplate>
                                                        <DataItemTemplate>
                                                            <asp:Label ID="lblPwd" runat="server" Text='' ToolTip='<%# Convert.ToString(Eval("IsHidden")) == "True" ? "Hidden User" :"" %>'
                                                                ForeColor='<%# Convert.ToString(Eval("IsHidden")) == "True" ? System.Drawing.Color.Green : System.Drawing.Color.Black %>'></asp:Label>
                                                        </DataItemTemplate>
                                                    </dxw:GridViewDataColumn>
                                                    <dxw:GridViewDataColumn FieldName="Email" Caption="Email" VisibleIndex="4" HeaderStyle-HorizontalAlign="Center"
                                                        Width="14%">
                                                        <HeaderCaptionTemplate>
                                                            <asp:Label ID="lblEmail" runat="server" Text="Email"></asp:Label>
                                                        </HeaderCaptionTemplate>
                                                        <DataItemTemplate>
                                                            <asp:Label ID="lblEmail" runat="server" Text='<%# Eval("Email") %>' ToolTip='<%# Convert.ToString(Eval("IsHidden")).ToString() == "True" ? "Hidden User" :"" %>'
                                                                ForeColor='<%# Convert.ToString(Eval("IsHidden")) == "True" ? System.Drawing.Color.Green : System.Drawing.Color.Black %>'></asp:Label>
                                                        </DataItemTemplate>
                                                    </dxw:GridViewDataColumn>
                                                    <dxw:GridViewDataColumn FieldName="GroupBelongsTo" Caption="User Group" VisibleIndex="5"
                                                        HeaderStyle-HorizontalAlign="Center" Width="11%">
                                                        <HeaderCaptionTemplate>
                                                            <asp:Label ID="lblGroup" runat="server" Text="User Group"></asp:Label>
                                                        </HeaderCaptionTemplate>
                                                        <DataItemTemplate>
                                                            <asp:Label ID="lblGroup" runat="server" Text='<%# Eval("GroupBelongsTo") %>' ToolTip='<%# Convert.ToString(Eval("IsHidden")) == "True" ? "Hidden User" :"" %>'
                                                                ForeColor='<%# Convert.ToString(Eval("IsHidden")) == "True" ? System.Drawing.Color.Green : System.Drawing.Color.Black %>'></asp:Label>
                                                        </DataItemTemplate>
                                                    </dxw:GridViewDataColumn>
                                                    <dxw:GridViewDataTextColumn FieldName="ActiveStatus" Caption="Active Status" VisibleIndex="6"
                                                        HeaderStyle-HorizontalAlign="Center" CellStyle-HorizontalAlign="Center" Width="10%">
                                                        <HeaderCaptionTemplate>
                                                            <asp:Label ID="lblActiveStatus" runat="server" Text="Active Status"></asp:Label>
                                                        </HeaderCaptionTemplate>
                                                        <DataItemTemplate>
                                                            <center>
                                                                            <table>
                                                                                <tr>
                                                                                    <td>
                                                                                        <asp:LinkButton ID="imgActiveStatus" runat="server" alternatetext="Click to change the status"
                                                                                            ToolTip="Click to change the status" OnClick="ChangeActiveStatus" CssClass="handButton"
                                                                                            CommandArgument='<%# "1,"+Eval("UserId")+","+Eval("ActiveStatus") %>'>
                                                                                            <asp:Image ID="imgActiveStatusIndicator" runat="server" Visible="false" />
                                                                                        </asp:LinkButton>
                                                                                    </td>
                                                                                    <td style="vertical-align: middle">
                                                                                      &nbsp;&nbsp;<asp:Label ID="lblActiveStatus" runat="server" Text='<%#Eval("ActiveStatusDisp") %>'></asp:Label>
                                                                                    </td>
                                                                                </tr>
                                                                            </table>
                                                                        </center>
                                                        </DataItemTemplate>
                                                        <Settings AllowAutoFilter="False" AllowSort="True" ShowFilterRowMenu="False" />
                                                    </dxw:GridViewDataTextColumn>
                                                    <dxw:GridViewDataTextColumn FieldName="LockedStatus" Caption="Locked Status" VisibleIndex="7"
                                                        HeaderStyle-HorizontalAlign="Center" CellStyle-HorizontalAlign="Center" Width="10%">
                                                        <HeaderCaptionTemplate>
                                                            <asp:Label ID="lblLockedStatus" runat="server" Text="Locked Status"></asp:Label>
                                                        </HeaderCaptionTemplate>
                                                        <DataItemTemplate>
                                                            <center>
                                                                            <table>
                                                                                <tr>
                                                                                    <td style="padding-top: 0">
                                                                                        <asp:LinkButton ID="imgLockedStatus" runat="server" alternatetext="Click to change the status"
                                                                                            ToolTip="Click to change the status" OnClick="ChangeActiveStatus" CssClass="handButton"
                                                                                            CommandArgument='<%# "2,"+Eval("UserId")+","+Eval("LockedStatus") %>'>
                                                                                            <asp:Image ID="imgLockStatusChange" runat="server" Visible="false"/>
                                                                                        </asp:LinkButton>
                                                                                    </td>
                                                                                    <td style="vertical-align: middle">
                                                                                       &nbsp;&nbsp;<asp:Label ID="lblLockedStatus" runat="server" Text='<%#Eval("LockedStatusDisp") %>'></asp:Label>
                                                                                    </td>
                                                                                </tr>
                                                                            </table>
                                                                        </center>
                                                        </DataItemTemplate>
                                                        <Settings AllowAutoFilter="False" ShowFilterRowMenu="False" />
                                                    </dxw:GridViewDataTextColumn>
                                                    <dxw:GridViewDataTextColumn FieldName="SMS" Caption="SMS Based Query" VisibleIndex="8"
                                                        HeaderStyle-HorizontalAlign="Center" CellStyle-HorizontalAlign="Center" Width="10%">
                                                        <HeaderCaptionTemplate>
                                                            <asp:Label ID="lblSMSBasedStatus" runat="server" Text="SMS Based Query"></asp:Label>
                                                        </HeaderCaptionTemplate>
                                                        <DataItemTemplate>
                                                            <center>
                                                                            <table>
                                                                                <tr>
                                                                                    <td>
                                                                                        <asp:LinkButton ID="imgSMSBasedStatus" runat="server" alternatetext="Click to change the status"
                                                                                            ToolTip="Click to change the status" OnClick="ChangeActiveStatus" CssClass="handButton"
                                                                                            CommandArgument='<%# "3,"+Eval("UserId")+","+Eval("SMS") %>'>
                                                                                            <asp:Image ID="imgSMSBasedIndicator" runat="server" />
                                                                                        </asp:LinkButton>
                                                                                    </td>
                                                                                    <td style="vertical-align: middle">&nbsp;
                                                                            <asp:Label ID="lblSMSBasedStatus" runat="server" Text='<%#Eval("SMS") %>'></asp:Label>
                                                                                    </td>
                                                                                </tr>
                                                                            </table>
                                                                        </center>
                                                        </DataItemTemplate>
                                                        <Settings AllowAutoFilter="False" AllowSort="True" ShowFilterRowMenu="False" />
                                                    </dxw:GridViewDataTextColumn>
                                                    <dxw:GridViewDataTextColumn FieldName="IsHidden" Caption="Hidden Status" VisibleIndex="9"
                                                        HeaderStyle-HorizontalAlign="Center" CellStyle-HorizontalAlign="Center" Width="10%"
                                                        Visible="false">
                                                        <HeaderCaptionTemplate>
                                                            <span class="label">
                                                                <asp:Label ID="lblHiddenStatus" runat="server" Text="Hidden Status"></asp:Label>
                                                            </span>
                                                        </HeaderCaptionTemplate>
                                                        <DataItemTemplate>
                                                            <center>
                                                                            <table>
                                                                                <tr>
                                                                                    <td style="vertical-align: middle">
                                                                                        <asp:Label ID="lblHiddenStatus" runat="server" Text='<%#Eval("IsHidden") %>'></asp:Label>
                                                                                    </td>
                                                                                </tr>
                                                                            </table>
                                                                        </center>
                                                        </DataItemTemplate>
                                                        <Settings AllowAutoFilter="False" ShowFilterRowMenu="False" />
                                                    </dxw:GridViewDataTextColumn>
                                                    <dxw:GridViewDataColumn FieldName="ExpiryDate" Caption="Expiry Date" VisibleIndex="10"
                                                        HeaderStyle-HorizontalAlign="Center" Width="7%">
                                                        <HeaderCaptionTemplate>
                                                            <%-- <span class="icon">
                                                                <asp:Image runat="server" ID="imgGroup" ImageUrl="..\Images\groupnew-icon.gif" align="top" /></span> --%>
                                                            <span class="label">
                                                                <asp:Label ID="lblGroup" runat="server" Text="ExpiryDate"></asp:Label>
                                                            </span>
                                                        </HeaderCaptionTemplate>
                                                        <Settings AllowAutoFilter="False" ShowFilterRowMenu="False" />
                                                    </dxw:GridViewDataColumn>
                                                    <dxw:GridViewDataTextColumn Caption="Edit" VisibleIndex="11" Width="3%" HeaderStyle-HorizontalAlign="Center"
                                                        CellStyle-HorizontalAlign="Center" Name="Edit">
                                                        <HeaderTemplate>
                                                        </HeaderTemplate>
                                                        <DataItemTemplate>
                                                            <asp:LinkButton ID="btnEditUser" runat="server" CommandArgument='<%# Eval("UserId") %>'
                                                                alternatetext="Edit" OnClientClick="ShowPopUp();" OnClick="btnEditUser_click"
                                                                ToolTip="Click here to Edit" CssClass="Grid-btn-fa-pencil-square-o">
                                                                <%--<asp:Image ID="imgEdit" runat="server" ImageUrl="~/images/icn-edit.gif" />--%>
                                                            </asp:LinkButton>
                                                        </DataItemTemplate>
                                                    </dxw:GridViewDataTextColumn>
                                                    <dxw:GridViewDataTextColumn Caption="Reset Password" VisibleIndex="12" Width="3%"
                                                        HeaderStyle-HorizontalAlign="Center" CellStyle-HorizontalAlign="Center" Name="Reset">
                                                        <HeaderTemplate>
                                                        </HeaderTemplate>
                                                        <DataItemTemplate>
                                                            <asp:LinkButton ID="btnResetpwd" CommandArgument='<%# Eval("UserId")+","+Eval("DisplayName") %>'
                                                                runat="server" OnClick="btnResetPwd_click" alternatetext="Reset Password" CausesValidation="false"
                                                                CommandName="Reset" CssClass="Grid-btn-fa-repeat" ToolTip="Click here to Reset Password">
                                                                <%--<asp:Image ID="imgResetPwd" runat="server" ImageUrl="~/Images/icn-reset-pwd.gif" />--%>
                                                            </asp:LinkButton>
                                                        </DataItemTemplate>
                                                    </dxw:GridViewDataTextColumn>
                                                    <dxw:GridViewDataTextColumn Caption="Delete" VisibleIndex="13" Width="3%" HeaderStyle-HorizontalAlign="Center"
                                                        CellStyle-HorizontalAlign="Center">
                                                        <HeaderTemplate>
                                                        </HeaderTemplate>
                                                        <DataItemTemplate>
                                                            <asp:LinkButton ID="lbtnDelete" runat="server" alternatetext="Delete" ToolTip="Click here to Delete" CssClass="Grid-btn-fa-trash-o"
                                                                CommandArgument='<%# Convert.ToString(Eval("UserId")) %>' Visible='<%# Convert.ToString(Eval("UserName"))=="Administrator"?false:true %>'
                                                                OnClick="lbtnDelete_click"></asp:LinkButton>
                                                            <%--<img src="../images/delete-icon.gif" alt="" />--%>
                                                        </DataItemTemplate>
                                                    </dxw:GridViewDataTextColumn>
                                                </Columns>
                                                <Settings ShowFilterRowMenu="True" />
                                                <SettingsText EmptyDataRow="No data matching to the search criteria" />
                                            </dxw:ASPxGridView>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="vlive-filter" id="divMassUpdate" runat="server">
                            <div class="container-fluid">
                                <div class="vlive-centrifugal-fan maintenance-plan">
                                    <div class="col-ks-16 vlive-header_VXL">
                                        <div class="col-ks-16">
                                            <asp:Label ID="lblMassUpdate" runat="server" CssClass="pnlhearder" Text="Mass Update"></asp:Label>
                                        </div>
                                    </div>
                                    <div class="row ftop">
                                        <div class="col-md-12">
                                            <asp:HiddenField ID="HiddenField1" runat="server" />
                                            <asp:HiddenField ID="hdnResetPopupTarget" runat="server" />
                                            <asp:Panel ID="pnlMassUpdate" runat="server">
                                                <div class="col-ks-16">
                                                    <div style="padding-top: 5px;">
                                                        <div class="col-ks-4">
                                                            <div class="col-ks-6">
                                                                <asp:Label ID="lblStatusMU" runat="server" CssClass="form-groupAlign" Text="Status"></asp:Label>
                                                            </div>
                                                            <div class="col-ks-10">
                                                                <asp:DropDownList ID="ddlStatusMU" runat="server" CssClass="form-control"></asp:DropDownList>
                                                            </div>
                                                        </div>
                                                        <div class="col-ks-4">
                                                            <div class="col-ks-6">
                                                                <asp:Label ID="lblLockStatusMU" runat="server" CssClass="label" Text="Lock / Unlock"></asp:Label>
                                                            </div>
                                                            <div class="col-ks-10">
                                                                <asp:DropDownList ID="ddlLockStatusMU" runat="server" CssClass="form-control"></asp:DropDownList>
                                                            </div>
                                                        </div>
                                                        <div class="col-ks-4">
                                                            <div class="col-ks-6">
                                                                <asp:Label ID="lblUserGroupMU" runat="server" CssClass="label" Text="Assign To"></asp:Label>
                                                            </div>
                                                            <div class="col-ks-10">
                                                                <asp:DropDownList ID="ddlUserGroupMU" runat="server" CssClass="form-control">
                                                                </asp:DropDownList>
                                                            </div>
                                                        </div>
                                                        <div class="col-ks-4">
                                                            <div class="col-ks-1">
                                                                <asp:ImageButton ID="btnMassUpdate1" runat="server" CausesValidation="true" class="blu-btn form-control"
                                                                    OnClick="btnMassUpdate_Click" ImageUrl="~/images/btn-update.jpg" Visible="false" />
                                                            </div>
                                                            <div class="col-ks-15">
                                                                <asp:LinkButton ID="btnMassUpdate" runat="server" CausesValidation="false" CssClass="btn-fa-refresh btn btn-primary"
                                                                    OnClick="btnMassUpdate_Click">
                                                                </asp:LinkButton>
                                                            </div>
                                                        </div>
                                                    </div>
                                                </div>
                                            </asp:Panel>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div id="popupforResetpassword">
                            <cc1:ModalPopupExtender ID="mpResetPwd" PopupControlID="pnlResetPwd" TargetControlID="hdnResetPopupTarget"
                                X="280" runat="server" DynamicServicePath="" BackgroundCssClass="modalbackground"
                                CancelControlID="btnCancelPwd">
                            </cc1:ModalPopupExtender>
                            <asp:Panel ID="pnlResetPwd" runat="server" Style="display: none;" CssClass="resetPasswordPanel col-sm-7 col-md-5 col-lg-5">
                                <div class="popup">
                                    <div class="top">
                                        <h1>
                                            <asp:Label ID="lblResetPwd" Text="Reset Password for " runat="server"></asp:Label></h1>
                                        <div class="close">
                                            <asp:ImageButton ID="ImageButtonn1" OnClientClick="$find('mpResetPwd').hide(); return false;"
                                                CausesValidation="false" ImageUrl="~/images/popup-close.gif" Visible="false" runat="server" />
                                            <asp:LinkButton ID="ImageButton1" runat="server" CssClass="Map-btn-fa-times-circle-o" OnClientClick="$find('mpResetPwd').hide(); return false;" CausesValidation="false"></asp:LinkButton>
                                        </div>
                                        <div class="clear clearfix">
                                        </div>
                                    </div>
                                    <div class="popup-cont">
                                        <div class="form-tbl">
                                            <div class="row">
                                                <div class="col-md-12">
                                                    <div class="col-ks-6">
                                                        <asp:Label ID="Label2" runat="server" Text="New Password" CssClass="label"></asp:Label>
                                                    </div>
                                                    <div class="col-ks-10">
                                                        <asp:TextBox ID="txtNewPwd" TextMode="Password" CssClass="form-control man-dat" runat="server" MaxLength="22"
                                                            TabIndex="40" onpaste="return false;" ondrop="return false;" onkeypress="return chkPassword(event)"></asp:TextBox>
                                                    </div>
                                                </div>
                                            </div>
                                            <div class="row" style="padding-top: 10px">
                                                <div class="col-md-12">
                                                    <div class="col-ks-6">
                                                        <asp:Label ID="Label3" runat="server" Text="Confirm Password" CssClass="label"></asp:Label>
                                                    </div>
                                                    <div class="col-ks-10">
                                                        <asp:TextBox ID="txtConfirmPwd" CssClass="form-control man-dat" TextMode="Password" runat="server" MaxLength="20"
                                                            TabIndex="41" onpaste="return false;" ondrop="return false;" onkeypress="return chkPassword(event)"></asp:TextBox>
                                                    </div>
                                                </div>
                                            </div>
                                            <div class="row" style="padding-top: 10px">
                                                <div class="col-md-12">
                                                    <div class="col-ks-16" align="right">
                                                        <asp:ImageButton ID="btnSavePwd1" runat="server" CausesValidation="true" OnClick="btnSavePwd_Click"
                                                            TabIndex="42" ImageUrl="~/images/btn-save.jpg" Visible="false" />
                                                        <asp:LinkButton ID="btnSavePwd" runat="server" CausesValidation="true" CssClass="btn btn-primary btn-fa-floppy-o"
                                                            OnClick="btnSavePwd_Click">
                                                        </asp:LinkButton>
                                                        <asp:ImageButton ID="btnCancelPwd1" runat="server" class="btn" OnClick="btnCancelPwd_Click"
                                                            ImageUrl="~/images/btn-cancel.jpg" TabIndex="43" onkeydown="return setFocus(event,'txtNewPwd');"
                                                            Visible="false" />
                                                        <asp:LinkButton ID="btnCancelPwd" runat="server" CssClass="btn btn-primary btn-fa-ban" OnClick="btnCancelPwd_Click">
                                                        </asp:LinkButton>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </asp:Panel>
                        </div>
                    </asp:Panel>
                </ContentTemplate>
                <Triggers>
                    <asp:PostBackTrigger ControlID="btnExport"></asp:PostBackTrigger>
                </Triggers>
            </asp:UpdatePanel>
            <asp:Button ID="btnTesting" Style="display: none;" runat="server" />
            <asp:UpdatePanel ID="updNotify" runat="server" UpdateMode="Conditional">
                <ContentTemplate>
                    <asp:Panel ID="pnlNotificationsList" runat="server" CssClass="notifyManagePanel col-xs-9">
                        <uc3:NotificationsList ID="ucNotificationList" runat="server" NotificationType="3" />
                    </asp:Panel>
                </ContentTemplate>
            </asp:UpdatePanel>
            <cc1:ModalPopupExtender ID="mpeProgressIndicator" runat="server" PopupControlID="pnlProgress"
                TargetControlID="btnTesting" BackgroundCssClass="modalBackground">
            </cc1:ModalPopupExtender>
            <asp:Button ID="Button1" Style="display: none;" runat="server" />
            <%-- <asp:UpdateProgress ID="uprDataLoading" runat="server" DynamicLayout="True" AssociatedUpdatePanelID="updVhDetails">
            <ProgressTemplate>--%>
            <asp:Panel ID="pnlProgress" runat="server" CssClass="processMessage" Style="z-index: 1000;">
                <center>
                    <br />
                    <img id="imgLoad" runat="server" alt="Please Wait ..." src="../images/47.gif" /><br />
                    <br />
                    <asp:Label ID="lbl_msg12" Text="Processing... Please Wait..." runat="server" CssClass="specialdisplay"></asp:Label>
                    <br />
                    <br />
                </center>
            </asp:Panel>
            <%--  <script language="javascript" type="text/javascript">
                function HidePopUp() {
                    if ($find('mpeProgressIndicator') != undefined) {
                        $find('mpeProgressIndicator').hide();
                    }
                }
                function ShowPopUp() {
                    if ($find('mpeProgressIndicator') != undefined) {
                        $find('mpeProgressIndicator').show();
                    }
                }
                //            function Check() {
                //                if (!hdnSMS) {
                //                    if (hdnSMS.Value == '0') {
                //                        alert('Active for Maximum User ');
                //                    }
                //                }
                //            }
            </script>--%>
            <script type="text/javascript" src="../js/GridCheckBoxMaintaining.js"></script>
            <script type="text/javascript" lang="javascript" src="../js/UserManipulationsScript.js"></script>
            <script lang="JavaScript1.2" type="text/javascript" src="../js/myformvalidations.js"></script>
            <script src="../js/CommonFuncitonsInHeader.js" type="text/javascript"></script>
            <script src="../js/ScriptToClearCtrls.js" type="text/javascript"></script>
            <asp:HiddenField ID="hdnLogout" runat="server" />
        </form>
    </div>
    <!-- Content Ends Here -->
    <uc2:Footer ID="ucFooter" runat="server" />
</body>
</html>
